searchData={"items":[{"type":"module","title":"GoogleApi.Dialogflow.V2","doc":"API client metadata for GoogleApi.Dialogflow.V2.","ref":"GoogleApi.Dialogflow.V2.html"},{"type":"function","title":"GoogleApi.Dialogflow.V2.discovery_revision/0","doc":"","ref":"GoogleApi.Dialogflow.V2.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_batch_delete/4","doc":"Deletes entity types in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_batch_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_batch_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the agent to delete all entities types for. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntityTypesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_batch_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_batch_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_batch_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_batch_update/4","doc":"Updates/Creates multiple entity types in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: BatchUpdateEntityTypesResponse Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the agent to update or create entity types in. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_batch_update/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_batch_update/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_create/4","doc":"Creates an entity type in the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create a entity type for. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_delete/4","doc":"Deletes the specified entity type. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entity type to delete. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_entities_batch_create/4","doc":"Creates multiple new entities in the specified entity type. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_entities_batch_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_entities_batch_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the entity type to create entities in. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchCreateEntitiesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_entities_batch_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_entities_batch_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_entities_batch_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_entities_batch_delete/4","doc":"Deletes entities in the specified entity type. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_entities_batch_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_entities_batch_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the entity type to delete entries for. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntitiesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_entities_batch_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_entities_batch_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_entities_batch_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_entities_batch_update/4","doc":"Updates or creates multiple entities in the specified entity type. This method does not affect entities in the entity type that aren't explicitly specified in the request. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_entities_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_entities_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the entity type to update or create entities in. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntitiesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_entities_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_entities_batch_update/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_entities_batch_update/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_get/4","doc":"Retrieves the specified entity type.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entity type. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_list/4","doc":"Returns the list of all entity types in the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all entity types from. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEntityTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_patch/4","doc":"Updates the specified entity type. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_entity_types_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_entity_types_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_create/4","doc":"Creates an agent environment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create an environment for. Supported formats: - `projects//agent` - `projects//locations//agent`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:environmentId` (*type:* `String.t`) - Required. The unique id of the new environment.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_delete/4","doc":"Deletes the specified agent environment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the environment to delete. / Format: - `projects//agent/environments/` - `projects//locations//agent/environments/` The environment ID for the default environment is `-`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_get/4","doc":"Retrieves the specified agent environment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the environment. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/` The environment ID for the default environment is `-`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_get_history/4","doc":"Gets the history of the specified environment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_get_history/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_get_history/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the environment to retrieve history for. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/` The environment ID for the default environment is `-`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_get_history/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_get_history/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistory{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_get_history/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_intents_list/4","doc":"Returns the list of all intents in the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_intents_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_intents_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all intents from. Format: `projects//agent` or `projects//locations//agent`. Alternatively, you can specify the environment to list intents for. Format: `projects//agent/environments/` or `projects//locations//agent/environments/`. Note: training phrases of the intents will not be returned for non-draft environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - Optional. The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_intents_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_intents_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_intents_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_list/4","doc":"Returns the list of all non-default environments of the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all environments from. Format: - `projects//agent` - `projects//locations//agent`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEnvironmentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_patch/4","doc":"Updates the specified agent environment. This method allows you to deploy new agent versions into the environment. When an environment is pointed to a new agent version by setting `environment.agent_version`, the environment is temporarily set to the `LOADING` state. During that time, the environment continues serving the previous version of the agent. After the new agent version is done loading, the environment is set back to the `RUNNING` state. You can use \"-\" as Environment ID in environment name to update an agent version in the default environment. WARNING: this will negate all recent changes to the draft agent and can't be undone. You may want to save the draft agent to a version before calling this method.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. The unique identifier of this agent environment. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/` The environment ID for the default environment is `-`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowLoadToDraftAndDiscardChanges` (*type:* `boolean()`) - Optional. This field is used to prevent accidental overwrite of the default environment, which is an operation that cannot be undone. To confirm that the caller desires this overwrite, this field must be explicitly set to true when updating the default environment (environment ID = `-`).\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_create/4","doc":"Creates a context. If the specified context already exists, overrides the context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to create a context for. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_delete/4","doc":"Deletes the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the context to delete. Format: `projects//agent/sessions//contexts/` or `projects//agent/environments//users//sessions//contexts/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_get/4","doc":"Retrieves the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the context. Format: `projects//agent/sessions//contexts/` or `projects//agent/environments//users//sessions//contexts/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_list/4","doc":"Returns the list of all contexts in the specified session.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to list all contexts from. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_patch/4","doc":"Updates the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of the context. Format: `projects//agent/sessions//contexts/`, or `projects//agent/environments//users//sessions//contexts/`. The `Context ID` is always converted to lowercase, may only contain characters in `a-zA-Z0-9_-%` and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: * `__system_counters__` * `*_id_dialog_context` * `*_dialog_params_size`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_contexts_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_contexts_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_delete_contexts/4","doc":"Deletes all active contexts in the specified session.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_delete_contexts/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_delete_contexts/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the session to delete all contexts from. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_delete_contexts/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_delete_contexts/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_delete_contexts/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_detect_intent/4","doc":"Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause contexts and session entity types to be updated, which in turn might affect results of future queries. If you might use [Agent Assist](https://cloud.google.com/dialogflow/docs/#aa) or other CCAI products now or in the future, consider using AnalyzeContent instead of `DetectIntent`. `AnalyzeContent` has additional functionality for Agent Assist and other CCAI products. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_detect_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_detect_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//agent/sessions/`, or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment (`Environment ID` might be referred to as environment name at some places). If `User ID` is not specified, we are using \"-\". It's up to the API caller to choose an appropriate `Session ID` and `User Id`. They can be a random number or some type of user and session identifiers (preferably hashed). The length of the `Session ID` and `User ID` must not exceed 36 characters. For more information, see the [API interactions guide](https://cloud.google.com/dialogflow/docs/api-overview). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_detect_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_detect_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_detect_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_create/4","doc":"Creates a session entity type. If the specified session entity type already exists, overrides the session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to create a session entity type for. Format: `projects//agent/sessions/` or `projects//agent/environments//users// sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_delete/4","doc":"Deletes the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entity type to delete. Format: `projects//agent/sessions//entityTypes/` or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_get/4","doc":"Retrieves the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the session entity type. Format: `projects//agent/sessions//entityTypes/` or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_list/4","doc":"Returns the list of all session entity types in the specified session. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to list all session entity types from. Format: `projects//agent/sessions/` or `projects//agent/environments//users// sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_patch/4","doc":"Updates the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of this session entity type. Format: `projects//agent/sessions//entityTypes/`, or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_environments_users_sessions_entity_types_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_environments_users_sessions_entity_types_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_export/4","doc":"Exports the specified agent to a ZIP file. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ExportAgentResponse","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_export/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_export/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to export is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_export/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_export/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_get_fulfillment/4","doc":"Retrieves the fulfillment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_get_fulfillment/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_get_fulfillment/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the fulfillment. Format: `projects//agent/fulfillment`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_get_fulfillment/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_get_fulfillment/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_get_fulfillment/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_get_validation_result/4","doc":"Gets agent validation result. Agent validation is performed during training time and is updated automatically when training is completed.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_get_validation_result/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_get_validation_result/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language for which you want a validation result. If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_get_validation_result/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_get_validation_result/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationResult{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_get_validation_result/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_import/4","doc":"Imports the specified agent from a ZIP file. Uploads new intents and entity types without deleting the existing ones. Intents and entity types with the same name are replaced with the new versions from ImportAgentRequest. After the import, the imported draft agent will be trained automatically (unless disabled in agent settings). However, once the import is done, training may not be completed yet. Please call TrainAgent and wait for the operation it returns in order to train explicitly. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) The operation only tracks when importing is complete, not when it is done training. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_import/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_import/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to import is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_import/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_import/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_batch_delete/4","doc":"Deletes intents in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_batch_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_batch_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the agent to delete all entities types for. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteIntentsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_batch_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_batch_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_batch_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_batch_update/4","doc":"Updates/Creates multiple intents in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: BatchUpdateIntentsResponse Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the agent to update or create intents in. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_batch_update/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_batch_update/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_create/4","doc":"Creates an intent in the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create a intent for. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - Optional. The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_delete/4","doc":"Deletes the specified intent and its direct or indirect followup intents. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the intent to delete. If this intent has direct or indirect followup intents, we also delete them. Format: `projects//agent/intents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_get/4","doc":"Retrieves the specified intent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the intent. Format: `projects//agent/intents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - Optional. The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_list/4","doc":"Returns the list of all intents in the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all intents from. Format: `projects//agent` or `projects//locations//agent`. Alternatively, you can specify the environment to list intents for. Format: `projects//agent/environments/` or `projects//locations//agent/environments/`. Note: training phrases of the intents will not be returned for non-draft environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - Optional. The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_patch/4","doc":"Updates the specified intent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Format: `projects//agent/intents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - Optional. The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_intents_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_intents_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_create/4","doc":"Creates a knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to create a knowledge base for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_delete/4","doc":"Deletes the specified knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the knowledge base to delete. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - Optional. Force deletes the knowledge base. When set to true, any documents in the knowledge base are also deleted.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_create/4","doc":"Creates a new document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The knowledge base to create a document for. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_delete/4","doc":"Deletes the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to delete. Format: `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_get/4","doc":"Retrieves the specified document.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to retrieve. Format `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_list/4","doc":"Returns the list of all documents of the knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The knowledge base to list all documents for. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression used to filter documents returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: * knowledge_types with has(:) operator * display_name with has(:) operator * state with equals(=) operator Examples: * \"knowledge_types:FAQ\" matches documents with FAQ knowledge type. * \"display_name:customer\" matches documents whose display name contains \"customer\". * \"state=ACTIVE\" matches documents with ACTIVE state. * \"knowledge_types:FAQ AND state=ACTIVE\" matches all active FAQ documents. For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 10 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_patch/4","doc":"Updates the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Optional. The document resource name. The name must be empty when creating a document. Format: `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_reload/4","doc":"Reloads the specified document from its specified source, content_uri or content. The previously loaded content of the document will be deleted. Note: Even when the content of the document has not changed, there still may be side effects because of internal implementation changes. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_reload/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_reload/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to reload. Format: `projects//locations//knowledgeBases//documents/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_reload/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_documents_reload/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_documents_reload/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_get/4","doc":"Retrieves the specified knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the knowledge base to retrieve. Format `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_list/4","doc":"Returns the list of all knowledge bases of the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list of knowledge bases for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression used to filter knowledge bases returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: * display_name with has(:) operator * language_code with equals(=) operator Examples: * 'language_code=en-us' matches knowledge bases with en-us language code. * 'display_name:articles' matches knowledge bases whose display name contains \"articles\". * 'display_name:\"Best Articles\"' matches knowledge bases whose display name contains \"Best Articles\". * 'language_code=en-gb AND display_name=articles' matches all knowledge bases whose display name contains \"articles\" and whose language code is \"en-gb\". Note: An empty filter string (i.e. \"\") is a no-op and will result in no filtering. For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 10 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_patch/4","doc":"Updates the specified knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The knowledge base resource name. The name must be empty when creating a knowledge base. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_knowledge_bases_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_knowledge_bases_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_restore/4","doc":"Restores the specified agent from a ZIP file. Replaces the current agent version with a new one. All the intents and entity types in the older version are deleted. After the restore, the restored draft agent will be trained automatically (unless disabled in agent settings). However, once the restore is done, training may not be completed yet. Please call TrainAgent and wait for the operation it returns in order to train explicitly. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) The operation only tracks when restoring is complete, not when it is done training. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_restore/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_restore/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to restore is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2RestoreAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_restore/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_restore/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_restore/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_search/4","doc":"Returns the list of agents. Since there is at most one conversational agent per project, this method is useful primarily for listing all agents across projects the caller has access to. One can achieve that with a wildcard project collection id \"-\". Refer to [List Sub-Collections](https://cloud.google.com/apis/design/design_patterns#list_sub-collections).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_search/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_search/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list agents from. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_search/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_search/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchAgentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_search/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_create/4","doc":"Creates a context. If the specified context already exists, overrides the context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to create a context for. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_delete/4","doc":"Deletes the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the context to delete. Format: `projects//agent/sessions//contexts/` or `projects//agent/environments//users//sessions//contexts/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_get/4","doc":"Retrieves the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the context. Format: `projects//agent/sessions//contexts/` or `projects//agent/environments//users//sessions//contexts/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_list/4","doc":"Returns the list of all contexts in the specified session.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to list all contexts from. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_patch/4","doc":"Updates the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of the context. Format: `projects//agent/sessions//contexts/`, or `projects//agent/environments//users//sessions//contexts/`. The `Context ID` is always converted to lowercase, may only contain characters in `a-zA-Z0-9_-%` and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: * `__system_counters__` * `*_id_dialog_context` * `*_dialog_params_size`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_contexts_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_contexts_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_delete_contexts/4","doc":"Deletes all active contexts in the specified session.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_delete_contexts/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_delete_contexts/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the session to delete all contexts from. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_delete_contexts/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_delete_contexts/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_delete_contexts/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_detect_intent/4","doc":"Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause contexts and session entity types to be updated, which in turn might affect results of future queries. If you might use [Agent Assist](https://cloud.google.com/dialogflow/docs/#aa) or other CCAI products now or in the future, consider using AnalyzeContent instead of `DetectIntent`. `AnalyzeContent` has additional functionality for Agent Assist and other CCAI products. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_detect_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_detect_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//agent/sessions/`, or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment (`Environment ID` might be referred to as environment name at some places). If `User ID` is not specified, we are using \"-\". It's up to the API caller to choose an appropriate `Session ID` and `User Id`. They can be a random number or some type of user and session identifiers (preferably hashed). The length of the `Session ID` and `User ID` must not exceed 36 characters. For more information, see the [API interactions guide](https://cloud.google.com/dialogflow/docs/api-overview). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_detect_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_detect_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_detect_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_create/4","doc":"Creates a session entity type. If the specified session entity type already exists, overrides the session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to create a session entity type for. Format: `projects//agent/sessions/` or `projects//agent/environments//users// sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_delete/4","doc":"Deletes the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entity type to delete. Format: `projects//agent/sessions//entityTypes/` or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_get/4","doc":"Retrieves the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the session entity type. Format: `projects//agent/sessions//entityTypes/` or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_list/4","doc":"Returns the list of all session entity types in the specified session. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to list all session entity types from. Format: `projects//agent/sessions/` or `projects//agent/environments//users// sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_patch/4","doc":"Updates the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of this session entity type. Format: `projects//agent/sessions//entityTypes/`, or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_sessions_entity_types_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_sessions_entity_types_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_train/4","doc":"Trains the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_train/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_train/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to train is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TrainAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_train/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_train/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_train/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_update_fulfillment/4","doc":"Updates the fulfillment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_update_fulfillment/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_update_fulfillment/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of the fulfillment. Supported formats: - `projects//agent/fulfillment` - `projects//locations//agent/fulfillment` This field is not used for Fulfillment in an Environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated. If the mask is not present, all fields will be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_update_fulfillment/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_update_fulfillment/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_update_fulfillment/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_create/4","doc":"Creates an agent version. The new version points to the agent instance in the \"default\" environment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create a version for. Supported formats: - `projects//agent` - `projects//locations//agent`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_delete/4","doc":"Delete the specified agent version.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the version to delete. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_get/4","doc":"Retrieves the specified agent version.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the version. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_list/4","doc":"Returns the list of all versions of the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all versions from. Supported formats: - `projects//agent` - `projects//locations//agent`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListVersionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_patch/4","doc":"Updates the specified agent version. Note that this method does not allow you to update the state of the agent the given version points to. It allows you to update only mutable properties of the version resource.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. The unique identifier of this agent version. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_agent_versions_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_agent_versions_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_answer_records_list/4","doc":"Returns the list of all answer records in the specified project in reverse chronological order.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_answer_records_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_answer_records_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list all answer records for in reverse chronological order. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filters to restrict results to specific answer records. Marked deprecated as it hasn't been, and isn't currently, supported. For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of records to return in a single page. The server may return fewer records than this. If unspecified, we use 10. The maximum is 100.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The ListAnswerRecordsResponse.next_page_token value returned from a previous list request used to continue listing on the next page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_answer_records_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_answer_records_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListAnswerRecordsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_answer_records_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_answer_records_patch/4","doc":"Updates the specified answer record.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_answer_records_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_answer_records_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of this answer record. Format: `projects//locations//answerRecords/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_answer_records_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_answer_records_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_answer_records_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_datasets_get/4","doc":"Retrieves the specified conversation dataset.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_datasets_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_datasets_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation dataset to retrieve. Format: `projects//locations//conversationDatasets/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_datasets_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_datasets_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_datasets_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_datasets_import_conversation_data/4","doc":"Import data into the specified conversation dataset. Note that it is not allowed to import data to a conversation dataset that already has data in it. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: ImportConversationDataOperationMetadata - `response`: ImportConversationDataOperationResponse","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_datasets_import_conversation_data/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_datasets_import_conversation_data/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Dataset resource name. Format: `projects//locations//conversationDatasets/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_datasets_import_conversation_data/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_datasets_import_conversation_data/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_datasets_import_conversation_data/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_datasets_list/4","doc":"Returns the list of all conversation datasets in the specified project and location.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_datasets_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_datasets_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project and location name to list all conversation datasets for. Format: `projects//locations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Maximum number of conversation datasets to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_datasets_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_datasets_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationDatasetsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_datasets_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_create/4","doc":"Creates a model. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: CreateConversationModelOperationMetadata - `response`: ConversationModel","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The project to create conversation model for. Format: `projects/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_delete/4","doc":"Deletes a model. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: DeleteConversationModelOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation model to delete. Format: `projects//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_deploy/4","doc":"Deploys a model. If a model is already deployed, deploying it has no effect. A model can only serve prediction requests after it gets deployed. For article suggestion, custom model will not be used unless it is deployed. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: DeployConversationModelOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_deploy/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_deploy/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation model to deploy. Format: `projects//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_deploy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_deploy/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_deploy/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_evaluations_get/4","doc":"Gets an evaluation of conversation model.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_evaluations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_evaluations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation model evaluation resource name. Format: `projects//conversationModels//evaluations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_evaluations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_evaluations_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_evaluations_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_evaluations_list/4","doc":"Lists evaluations of a conversation model.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_evaluations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_evaluations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The conversation model resource name. Format: `projects//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Maximum number of evaluations to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_evaluations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_evaluations_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelEvaluationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_evaluations_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_get/4","doc":"Gets conversation model.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation model to retrieve. Format: `projects//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_list/4","doc":"Lists conversation models.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list all conversation models for. Format: `projects/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Maximum number of conversation models to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_undeploy/4","doc":"Undeploys a model. If the model is not deployed this method has no effect. If the model is currently being used: - For article suggestion, article suggestion will fallback to the default model if model is undeployed. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: UndeployConversationModelOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_undeploy/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_undeploy/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation model to undeploy. Format: `projects//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_undeploy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_models_undeploy/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_models_undeploy/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_clear_suggestion_feature_config/4","doc":"Clears a suggestion feature from a conversation profile for the given participant role. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: ClearSuggestionFeatureConfigOperationMetadata - `response`: ConversationProfile","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_clear_suggestion_feature_config/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_clear_suggestion_feature_config/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `conversation_profile` (*type:* `String.t`) - Required. The Conversation Profile to add or update the suggestion feature config. Format: `projects//locations//conversationProfiles/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_clear_suggestion_feature_config/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_clear_suggestion_feature_config/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_clear_suggestion_feature_config/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_create/4","doc":"Creates a conversation profile in the specified project. ConversationProfile.create_time and ConversationProfile.update_time aren't populated in the response. You can retrieve them via GetConversationProfile API.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to create a conversation profile for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_delete/4","doc":"Deletes the specified conversation profile.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the conversation profile to delete. Format: `projects//locations//conversationProfiles/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_get/4","doc":"Retrieves the specified conversation profile.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_list/4","doc":"Returns the list of all conversation profiles in the specified project.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list all conversation profiles from. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_patch/4","doc":"Updates the specified conversation profile. ConversationProfile.create_time and ConversationProfile.update_time aren't populated in the response. You can retrieve them via GetConversationProfile API.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of this conversation profile. Format: `projects//locations//conversationProfiles/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields to update.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_set_suggestion_feature_config/4","doc":"Adds or updates a suggestion feature in a conversation profile. If the conversation profile contains the type of suggestion feature for the participant role, it will update it. Otherwise it will insert the suggestion feature. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: SetSuggestionFeatureConfigOperationMetadata - `response`: ConversationProfile If a long running operation to add or update suggestion feature config for the same conversation profile, participant role and suggestion feature type exists, please cancel the existing long running operation before sending such request, otherwise the request will be rejected.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_set_suggestion_feature_config/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_set_suggestion_feature_config/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `conversation_profile` (*type:* `String.t`) - Required. The Conversation Profile to add or update the suggestion feature config. Format: `projects//locations//conversationProfiles/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_set_suggestion_feature_config/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversation_profiles_set_suggestion_feature_config/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversation_profiles_set_suggestion_feature_config/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_complete/4","doc":"Completes the specified conversation. Finished conversations are purged from the database after 30 days.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_complete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_complete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource identifier of the conversation to close. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CompleteConversationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_complete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_complete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_complete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_create/4","doc":"Creates a new conversation. Conversations are auto-completed after 24 hours. Conversation Lifecycle: There are two stages during a conversation: Automated Agent Stage and Assist Stage. For Automated Agent Stage, there will be a dialogflow agent responding to user queries. For Assist Stage, there's no dialogflow agent responding to user queries. But we will provide suggestions which are generated from conversation. If Conversation.conversation_profile is configured for a dialogflow agent, conversation will start from `Automated Agent Stage`, otherwise, it will start from `Assist Stage`. And during `Automated Agent Stage`, once an Intent with Intent.live_agent_handoff is triggered, conversation will transfer to Assist Stage.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource identifier of the project creating the conversation. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:conversationId` (*type:* `String.t`) - Optional. Identifier of the conversation. Generally it's auto generated by Google. Only set it if you cannot wait for the response to return a auto-generated one to you. The conversation ID must be compliant with the regression formula `a-zA-Z*` with the characters length in range of [3,64]. If the field is provided, the caller is responsible for 1. the uniqueness of the ID, otherwise the request will be rejected. 2. the consistency for whether to use custom ID or not under a project to better ensure uniqueness.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_get/4","doc":"Retrieves the specific conversation.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the conversation. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_list/4","doc":"Returns the list of all conversations in the specified project.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project from which to list all conversation. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. A filter expression that filters conversations listed in the response. Only `lifecycle_state` can be filtered on in this way. For example, the following expression only returns `COMPLETED` conversations: `lifecycle_state = \"COMPLETED\"` For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_messages_list/4","doc":"Lists messages that belong to a given conversation. `messages` are ordered by `create_time` in descending order. To fetch updates without duplication, send request with filter `create_time_epoch_microseconds > [first item's create_time of previous request]` and empty page_token.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_messages_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_messages_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the conversation to list messages for. Format: `projects//locations//conversations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filter on message fields. Currently predicates on `create_time` and `create_time_epoch_microseconds` are supported. `create_time` only support milliseconds accuracy. E.g., `create_time_epoch_microseconds > 1551790877964485` or `create_time > 2017-01-15T01:30:15.01Z`. For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_messages_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_messages_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListMessagesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_messages_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_analyze_content/4","doc":"Adds a text (chat, for example), or audio (phone recording, for example) message from a participant into the conversation. Note: Always use agent versions for production traffic sent to virtual agents. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_analyze_content/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_analyze_content/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `participant` (*type:* `String.t`) - Required. The name of the participant this text comes from. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_analyze_content/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_analyze_content/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_analyze_content/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_create/4","doc":"Creates a new participant in a conversation.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource identifier of the conversation adding the participant. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_get/4","doc":"Retrieves a conversation participant.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the participant. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_list/4","doc":"Returns the list of all participants in the specified conversation.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The conversation to list all participants from. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListParticipantsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_patch/4","doc":"Updates the specified participant.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Optional. The unique identifier of this participant. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to specify which fields to update.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_articles/4","doc":"Gets suggested articles for a participant based on specific historical messages.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_articles/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_articles/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_articles/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_articles/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_articles/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_faq_answers/4","doc":"Gets suggested faq answers for a participant based on specific historical messages.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_faq_answers/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_faq_answers/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_faq_answers/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_faq_answers/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_faq_answers/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_knowledge_assist/4","doc":"Gets knowledge assist suggestions based on historical messages.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_knowledge_assist/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_knowledge_assist/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the participant to fetch suggestions for. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_knowledge_assist/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_knowledge_assist/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_knowledge_assist/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_smart_replies/4","doc":"Gets smart replies for a participant based on specific historical messages.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_smart_replies/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_smart_replies/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_smart_replies/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_participants_suggestions_suggest_smart_replies/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_participants_suggestions_suggest_smart_replies/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_suggestions_search_knowledge/4","doc":"Get answers for the given query based on knowledge documents.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_suggestions_search_knowledge/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_suggestions_search_knowledge/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `conversation` (*type:* `String.t`) - Optional. The conversation (between human agent and end user) where the search request is triggered. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_suggestions_search_knowledge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_suggestions_search_knowledge/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_suggestions_search_knowledge/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_suggestions_suggest_conversation_summary/4","doc":"Suggests summary for a conversation based on specific historical messages. The range of the messages to be used for summary can be specified in the request.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_suggestions_suggest_conversation_summary/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_suggestions_suggest_conversation_summary/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `conversation` (*type:* `String.t`) - Required. The conversation to fetch suggestion for. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_suggestions_suggest_conversation_summary/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_conversations_suggestions_suggest_conversation_summary/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_conversations_suggestions_suggest_conversation_summary/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_delete_agent/4","doc":"Deletes the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_delete_agent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_delete_agent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to delete is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_delete_agent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_delete_agent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_delete_agent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_generators_create/4","doc":"Creates a generator.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_generators_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_generators_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project/location to create generator for. Format: `projects//locations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:generatorId` (*type:* `String.t`) - Optional. The ID to use for the generator, which will become the final component of the generator's resource name. The generator ID must be compliant with the regression formula `a-zA-Z*` with the characters length in range of [3,64]. If the field is not provided, an Id will be auto-generated. If the field is provided, the caller is responsible for 1. the uniqueness of the ID, otherwise the request will be rejected. 2. the consistency for whether to use custom ID or not under a project to better ensure uniqueness.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_generators_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_generators_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_generators_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_generators_list/4","doc":"Lists generators.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_generators_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_generators_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project/location to list generators for. Format: `projects//locations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Maximum number of conversation models to return in a single page. Default to 10.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_generators_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_generators_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListGeneratorsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_generators_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_get_agent/4","doc":"Retrieves the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_get_agent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_get_agent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to fetch is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_get_agent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_get_agent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_get_agent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_create/4","doc":"Creates a knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to create a knowledge base for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_delete/4","doc":"Deletes the specified knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the knowledge base to delete. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - Optional. Force deletes the knowledge base. When set to true, any documents in the knowledge base are also deleted.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_create/4","doc":"Creates a new document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The knowledge base to create a document for. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_delete/4","doc":"Deletes the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to delete. Format: `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_export/4","doc":"Exports a smart messaging candidate document into the specified destination. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_export/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_export/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to export. Format: `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportDocumentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_export/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_export/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_get/4","doc":"Retrieves the specified document.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to retrieve. Format `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_import/4","doc":"Creates documents by importing data from external sources. Dialogflow supports up to 350 documents in each request. If you try to import more, Dialogflow will return an error. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: ImportDocumentsResponse","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_import/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_import/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The knowledge base to import documents into. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_import/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_import/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_list/4","doc":"Returns the list of all documents of the knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The knowledge base to list all documents for. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression used to filter documents returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: * knowledge_types with has(:) operator * display_name with has(:) operator * state with equals(=) operator Examples: * \"knowledge_types:FAQ\" matches documents with FAQ knowledge type. * \"display_name:customer\" matches documents whose display name contains \"customer\". * \"state=ACTIVE\" matches documents with ACTIVE state. * \"knowledge_types:FAQ AND state=ACTIVE\" matches all active FAQ documents. For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 10 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_patch/4","doc":"Updates the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Optional. The document resource name. The name must be empty when creating a document. Format: `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_reload/4","doc":"Reloads the specified document from its specified source, content_uri or content. The previously loaded content of the document will be deleted. Note: Even when the content of the document has not changed, there still may be side effects because of internal implementation changes. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_reload/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_reload/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to reload. Format: `projects//locations//knowledgeBases//documents/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_reload/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_documents_reload/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_documents_reload/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_get/4","doc":"Retrieves the specified knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the knowledge base to retrieve. Format `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_list/4","doc":"Returns the list of all knowledge bases of the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list of knowledge bases for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression used to filter knowledge bases returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: * display_name with has(:) operator * language_code with equals(=) operator Examples: * 'language_code=en-us' matches knowledge bases with en-us language code. * 'display_name:articles' matches knowledge bases whose display name contains \"articles\". * 'display_name:\"Best Articles\"' matches knowledge bases whose display name contains \"Best Articles\". * 'language_code=en-gb AND display_name=articles' matches all knowledge bases whose display name contains \"articles\" and whose language code is \"en-gb\". Note: An empty filter string (i.e. \"\") is a no-op and will result in no filtering. For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 10 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_patch/4","doc":"Updates the specified knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The knowledge base resource name. The name must be empty when creating a knowledge base. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_knowledge_bases_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_knowledge_bases_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_batch_delete/4","doc":"Deletes entity types in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_batch_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_batch_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the agent to delete all entities types for. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntityTypesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_batch_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_batch_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_batch_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_batch_update/4","doc":"Updates/Creates multiple entity types in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: BatchUpdateEntityTypesResponse Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the agent to update or create entity types in. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_batch_update/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_batch_update/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_create/4","doc":"Creates an entity type in the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create a entity type for. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_delete/4","doc":"Deletes the specified entity type. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entity type to delete. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_entities_batch_create/4","doc":"Creates multiple new entities in the specified entity type. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_entities_batch_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_entities_batch_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the entity type to create entities in. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchCreateEntitiesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_entities_batch_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_entities_batch_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_entities_batch_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_entities_batch_delete/4","doc":"Deletes entities in the specified entity type. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_entities_batch_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_entities_batch_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the entity type to delete entries for. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntitiesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_entities_batch_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_entities_batch_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_entities_batch_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_entities_batch_update/4","doc":"Updates or creates multiple entities in the specified entity type. This method does not affect entities in the entity type that aren't explicitly specified in the request. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_entities_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_entities_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the entity type to update or create entities in. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntitiesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_entities_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_entities_batch_update/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_entities_batch_update/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_get/4","doc":"Retrieves the specified entity type.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entity type. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_list/4","doc":"Returns the list of all entity types in the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all entity types from. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEntityTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_patch/4","doc":"Updates the specified entity type. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Format: `projects//agent/entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_entity_types_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_entity_types_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_create/4","doc":"Creates an agent environment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create an environment for. Supported formats: - `projects//agent` - `projects//locations//agent`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:environmentId` (*type:* `String.t`) - Required. The unique id of the new environment.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_delete/4","doc":"Deletes the specified agent environment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the environment to delete. / Format: - `projects//agent/environments/` - `projects//locations//agent/environments/` The environment ID for the default environment is `-`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_get/4","doc":"Retrieves the specified agent environment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the environment. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/` The environment ID for the default environment is `-`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_get_history/4","doc":"Gets the history of the specified environment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_get_history/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_get_history/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the environment to retrieve history for. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/` The environment ID for the default environment is `-`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_get_history/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_get_history/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistory{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_get_history/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_intents_list/4","doc":"Returns the list of all intents in the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_intents_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_intents_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all intents from. Format: `projects//agent` or `projects//locations//agent`. Alternatively, you can specify the environment to list intents for. Format: `projects//agent/environments/` or `projects//locations//agent/environments/`. Note: training phrases of the intents will not be returned for non-draft environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - Optional. The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_intents_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_intents_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_intents_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_list/4","doc":"Returns the list of all non-default environments of the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all environments from. Format: - `projects//agent` - `projects//locations//agent`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEnvironmentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_patch/4","doc":"Updates the specified agent environment. This method allows you to deploy new agent versions into the environment. When an environment is pointed to a new agent version by setting `environment.agent_version`, the environment is temporarily set to the `LOADING` state. During that time, the environment continues serving the previous version of the agent. After the new agent version is done loading, the environment is set back to the `RUNNING` state. You can use \"-\" as Environment ID in environment name to update an agent version in the default environment. WARNING: this will negate all recent changes to the draft agent and can't be undone. You may want to save the draft agent to a version before calling this method.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. The unique identifier of this agent environment. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/` The environment ID for the default environment is `-`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:allowLoadToDraftAndDiscardChanges` (*type:* `boolean()`) - Optional. This field is used to prevent accidental overwrite of the default environment, which is an operation that cannot be undone. To confirm that the caller desires this overwrite, this field must be explicitly set to true when updating the default environment (environment ID = `-`).\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_create/4","doc":"Creates a context. If the specified context already exists, overrides the context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to create a context for. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_delete/4","doc":"Deletes the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the context to delete. Format: `projects//agent/sessions//contexts/` or `projects//agent/environments//users//sessions//contexts/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_get/4","doc":"Retrieves the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the context. Format: `projects//agent/sessions//contexts/` or `projects//agent/environments//users//sessions//contexts/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_list/4","doc":"Returns the list of all contexts in the specified session.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to list all contexts from. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_patch/4","doc":"Updates the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of the context. Format: `projects//agent/sessions//contexts/`, or `projects//agent/environments//users//sessions//contexts/`. The `Context ID` is always converted to lowercase, may only contain characters in `a-zA-Z0-9_-%` and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: * `__system_counters__` * `*_id_dialog_context` * `*_dialog_params_size`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_contexts_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_contexts_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_delete_contexts/4","doc":"Deletes all active contexts in the specified session.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_delete_contexts/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_delete_contexts/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the session to delete all contexts from. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_delete_contexts/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_delete_contexts/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_delete_contexts/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_detect_intent/4","doc":"Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause contexts and session entity types to be updated, which in turn might affect results of future queries. If you might use [Agent Assist](https://cloud.google.com/dialogflow/docs/#aa) or other CCAI products now or in the future, consider using AnalyzeContent instead of `DetectIntent`. `AnalyzeContent` has additional functionality for Agent Assist and other CCAI products. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_detect_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_detect_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//agent/sessions/`, or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment (`Environment ID` might be referred to as environment name at some places). If `User ID` is not specified, we are using \"-\". It's up to the API caller to choose an appropriate `Session ID` and `User Id`. They can be a random number or some type of user and session identifiers (preferably hashed). The length of the `Session ID` and `User ID` must not exceed 36 characters. For more information, see the [API interactions guide](https://cloud.google.com/dialogflow/docs/api-overview). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_detect_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_detect_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_detect_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_create/4","doc":"Creates a session entity type. If the specified session entity type already exists, overrides the session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to create a session entity type for. Format: `projects//agent/sessions/` or `projects//agent/environments//users// sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_delete/4","doc":"Deletes the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entity type to delete. Format: `projects//agent/sessions//entityTypes/` or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_get/4","doc":"Retrieves the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the session entity type. Format: `projects//agent/sessions//entityTypes/` or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_list/4","doc":"Returns the list of all session entity types in the specified session. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to list all session entity types from. Format: `projects//agent/sessions/` or `projects//agent/environments//users// sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_patch/4","doc":"Updates the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of this session entity type. Format: `projects//agent/sessions//entityTypes/`, or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_environments_users_sessions_entity_types_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_environments_users_sessions_entity_types_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_export/4","doc":"Exports the specified agent to a ZIP file. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ExportAgentResponse","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_export/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_export/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to export is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_export/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_export/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_get_fulfillment/4","doc":"Retrieves the fulfillment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_get_fulfillment/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_get_fulfillment/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the fulfillment. Format: `projects//agent/fulfillment`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_get_fulfillment/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_get_fulfillment/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_get_fulfillment/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_get_validation_result/4","doc":"Gets agent validation result. Agent validation is performed during training time and is updated automatically when training is completed.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_get_validation_result/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_get_validation_result/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language for which you want a validation result. If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_get_validation_result/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_get_validation_result/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationResult{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_get_validation_result/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_import/4","doc":"Imports the specified agent from a ZIP file. Uploads new intents and entity types without deleting the existing ones. Intents and entity types with the same name are replaced with the new versions from ImportAgentRequest. After the import, the imported draft agent will be trained automatically (unless disabled in agent settings). However, once the import is done, training may not be completed yet. Please call TrainAgent and wait for the operation it returns in order to train explicitly. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) The operation only tracks when importing is complete, not when it is done training. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_import/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_import/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to import is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_import/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_import/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_batch_delete/4","doc":"Deletes intents in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_batch_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_batch_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the agent to delete all entities types for. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteIntentsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_batch_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_batch_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_batch_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_batch_update/4","doc":"Updates/Creates multiple intents in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: BatchUpdateIntentsResponse Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_batch_update/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_batch_update/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the agent to update or create intents in. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_batch_update/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_batch_update/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_batch_update/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_create/4","doc":"Creates an intent in the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create a intent for. Format: `projects//agent`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - Optional. The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_delete/4","doc":"Deletes the specified intent and its direct or indirect followup intents. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the intent to delete. If this intent has direct or indirect followup intents, we also delete them. Format: `projects//agent/intents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_get/4","doc":"Retrieves the specified intent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the intent. Format: `projects//agent/intents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - Optional. The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_list/4","doc":"Returns the list of all intents in the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all intents from. Format: `projects//agent` or `projects//locations//agent`. Alternatively, you can specify the environment to list intents for. Format: `projects//agent/environments/` or `projects//locations//agent/environments/`. Note: training phrases of the intents will not be returned for non-draft environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - Optional. The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_patch/4","doc":"Updates the specified intent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Format: `projects//agent/intents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - Optional. The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_intents_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_intents_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_restore/4","doc":"Restores the specified agent from a ZIP file. Replaces the current agent version with a new one. All the intents and entity types in the older version are deleted. After the restore, the restored draft agent will be trained automatically (unless disabled in agent settings). However, once the restore is done, training may not be completed yet. Please call TrainAgent and wait for the operation it returns in order to train explicitly. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) The operation only tracks when restoring is complete, not when it is done training. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_restore/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_restore/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to restore is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2RestoreAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_restore/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_restore/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_restore/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_search/4","doc":"Returns the list of agents. Since there is at most one conversational agent per project, this method is useful primarily for listing all agents across projects the caller has access to. One can achieve that with a wildcard project collection id \"-\". Refer to [List Sub-Collections](https://cloud.google.com/apis/design/design_patterns#list_sub-collections).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_search/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_search/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list agents from. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_search/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_search/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchAgentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_search/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_create/4","doc":"Creates a context. If the specified context already exists, overrides the context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to create a context for. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_delete/4","doc":"Deletes the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the context to delete. Format: `projects//agent/sessions//contexts/` or `projects//agent/environments//users//sessions//contexts/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_get/4","doc":"Retrieves the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the context. Format: `projects//agent/sessions//contexts/` or `projects//agent/environments//users//sessions//contexts/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_list/4","doc":"Returns the list of all contexts in the specified session.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to list all contexts from. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_patch/4","doc":"Updates the specified context.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of the context. Format: `projects//agent/sessions//contexts/`, or `projects//agent/environments//users//sessions//contexts/`. The `Context ID` is always converted to lowercase, may only contain characters in `a-zA-Z0-9_-%` and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: * `__system_counters__` * `*_id_dialog_context` * `*_dialog_params_size`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_contexts_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_contexts_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_delete_contexts/4","doc":"Deletes all active contexts in the specified session.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_delete_contexts/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_delete_contexts/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the session to delete all contexts from. Format: `projects//agent/sessions/` or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_delete_contexts/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_delete_contexts/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_delete_contexts/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_detect_intent/4","doc":"Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause contexts and session entity types to be updated, which in turn might affect results of future queries. If you might use [Agent Assist](https://cloud.google.com/dialogflow/docs/#aa) or other CCAI products now or in the future, consider using AnalyzeContent instead of `DetectIntent`. `AnalyzeContent` has additional functionality for Agent Assist and other CCAI products. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_detect_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_detect_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//agent/sessions/`, or `projects//agent/environments//users//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment (`Environment ID` might be referred to as environment name at some places). If `User ID` is not specified, we are using \"-\". It's up to the API caller to choose an appropriate `Session ID` and `User Id`. They can be a random number or some type of user and session identifiers (preferably hashed). The length of the `Session ID` and `User ID` must not exceed 36 characters. For more information, see the [API interactions guide](https://cloud.google.com/dialogflow/docs/api-overview). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_detect_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_detect_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_detect_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_create/4","doc":"Creates a session entity type. If the specified session entity type already exists, overrides the session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to create a session entity type for. Format: `projects//agent/sessions/` or `projects//agent/environments//users// sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_delete/4","doc":"Deletes the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entity type to delete. Format: `projects//agent/sessions//entityTypes/` or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_get/4","doc":"Retrieves the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the session entity type. Format: `projects//agent/sessions//entityTypes/` or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_list/4","doc":"Returns the list of all session entity types in the specified session. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to list all session entity types from. Format: `projects//agent/sessions/` or `projects//agent/environments//users// sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_patch/4","doc":"Updates the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of this session entity type. Format: `projects//agent/sessions//entityTypes/`, or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_sessions_entity_types_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_sessions_entity_types_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_train/4","doc":"Trains the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_train/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_train/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to train is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TrainAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_train/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_train/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_train/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_update_fulfillment/4","doc":"Updates the fulfillment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_update_fulfillment/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_update_fulfillment/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of the fulfillment. Supported formats: - `projects//agent/fulfillment` - `projects//locations//agent/fulfillment` This field is not used for Fulfillment in an Environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated. If the mask is not present, all fields will be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_update_fulfillment/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_update_fulfillment/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_update_fulfillment/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_create/4","doc":"Creates an agent version. The new version points to the agent instance in the \"default\" environment.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create a version for. Supported formats: - `projects//agent` - `projects//locations//agent`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_delete/4","doc":"Delete the specified agent version.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the version to delete. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_get/4","doc":"Retrieves the specified agent version.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the version. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_list/4","doc":"Returns the list of all versions of the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all versions from. Supported formats: - `projects//agent` - `projects//locations//agent`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListVersionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_patch/4","doc":"Updates the specified agent version. Note that this method does not allow you to update the state of the agent the given version points to. It allows you to update only mutable properties of the version resource.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. The unique identifier of this agent version. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_agent_versions_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_agent_versions_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_answer_records_list/4","doc":"Returns the list of all answer records in the specified project in reverse chronological order.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_answer_records_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_answer_records_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list all answer records for in reverse chronological order. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filters to restrict results to specific answer records. Marked deprecated as it hasn't been, and isn't currently, supported. For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of records to return in a single page. The server may return fewer records than this. If unspecified, we use 10. The maximum is 100.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The ListAnswerRecordsResponse.next_page_token value returned from a previous list request used to continue listing on the next page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_answer_records_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_answer_records_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListAnswerRecordsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_answer_records_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_answer_records_patch/4","doc":"Updates the specified answer record.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_answer_records_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_answer_records_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of this answer record. Format: `projects//locations//answerRecords/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_answer_records_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_answer_records_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_answer_records_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_create/4","doc":"Creates a new conversation dataset. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: CreateConversationDatasetOperationMetadata - `response`: ConversationDataset","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to create conversation dataset for. Format: `projects//locations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_delete/4","doc":"Deletes the specified conversation dataset. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: DeleteConversationDatasetOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation dataset to delete. Format: `projects//locations//conversationDatasets/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_get/4","doc":"Retrieves the specified conversation dataset.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation dataset to retrieve. Format: `projects//locations//conversationDatasets/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_import_conversation_data/4","doc":"Import data into the specified conversation dataset. Note that it is not allowed to import data to a conversation dataset that already has data in it. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: ImportConversationDataOperationMetadata - `response`: ImportConversationDataOperationResponse","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_import_conversation_data/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_import_conversation_data/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Dataset resource name. Format: `projects//locations//conversationDatasets/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_import_conversation_data/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_import_conversation_data/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_import_conversation_data/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_list/4","doc":"Returns the list of all conversation datasets in the specified project and location.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project and location name to list all conversation datasets for. Format: `projects//locations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Maximum number of conversation datasets to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_datasets_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationDatasetsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_datasets_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_create/4","doc":"Creates a model. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: CreateConversationModelOperationMetadata - `response`: ConversationModel","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - The project to create conversation model for. Format: `projects/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_delete/4","doc":"Deletes a model. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: DeleteConversationModelOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation model to delete. Format: `projects//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_deploy/4","doc":"Deploys a model. If a model is already deployed, deploying it has no effect. A model can only serve prediction requests after it gets deployed. For article suggestion, custom model will not be used unless it is deployed. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: DeployConversationModelOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_deploy/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_deploy/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation model to deploy. Format: `projects//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_deploy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_deploy/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_deploy/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_evaluations_create/4","doc":"Creates evaluation of a conversation model.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_evaluations_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_evaluations_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The conversation model resource name. Format: `projects//locations//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_evaluations_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_evaluations_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_evaluations_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_evaluations_get/4","doc":"Gets an evaluation of conversation model.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_evaluations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_evaluations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation model evaluation resource name. Format: `projects//conversationModels//evaluations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_evaluations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_evaluations_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_evaluations_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_evaluations_list/4","doc":"Lists evaluations of a conversation model.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_evaluations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_evaluations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The conversation model resource name. Format: `projects//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Maximum number of evaluations to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_evaluations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_evaluations_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelEvaluationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_evaluations_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_get/4","doc":"Gets conversation model.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation model to retrieve. Format: `projects//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_list/4","doc":"Lists conversation models.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list all conversation models for. Format: `projects/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Maximum number of conversation models to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_undeploy/4","doc":"Undeploys a model. If the model is not deployed this method has no effect. If the model is currently being used: - For article suggestion, article suggestion will fallback to the default model if model is undeployed. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: UndeployConversationModelOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_undeploy/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_undeploy/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The conversation model to undeploy. Format: `projects//conversationModels/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_undeploy/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_models_undeploy/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_models_undeploy/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_clear_suggestion_feature_config/4","doc":"Clears a suggestion feature from a conversation profile for the given participant role. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: ClearSuggestionFeatureConfigOperationMetadata - `response`: ConversationProfile","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_clear_suggestion_feature_config/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_clear_suggestion_feature_config/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `conversation_profile` (*type:* `String.t`) - Required. The Conversation Profile to add or update the suggestion feature config. Format: `projects//locations//conversationProfiles/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_clear_suggestion_feature_config/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_clear_suggestion_feature_config/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_clear_suggestion_feature_config/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_create/4","doc":"Creates a conversation profile in the specified project. ConversationProfile.create_time and ConversationProfile.update_time aren't populated in the response. You can retrieve them via GetConversationProfile API.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to create a conversation profile for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_delete/4","doc":"Deletes the specified conversation profile.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the conversation profile to delete. Format: `projects//locations//conversationProfiles/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_get/4","doc":"Retrieves the specified conversation profile.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_list/4","doc":"Returns the list of all conversation profiles in the specified project.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list all conversation profiles from. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationProfilesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_patch/4","doc":"Updates the specified conversation profile. ConversationProfile.create_time and ConversationProfile.update_time aren't populated in the response. You can retrieve them via GetConversationProfile API.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of this conversation profile. Format: `projects//locations//conversationProfiles/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields to update.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_set_suggestion_feature_config/4","doc":"Adds or updates a suggestion feature in a conversation profile. If the conversation profile contains the type of suggestion feature for the participant role, it will update it. Otherwise it will insert the suggestion feature. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: SetSuggestionFeatureConfigOperationMetadata - `response`: ConversationProfile If a long running operation to add or update suggestion feature config for the same conversation profile, participant role and suggestion feature type exists, please cancel the existing long running operation before sending such request, otherwise the request will be rejected.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_set_suggestion_feature_config/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_set_suggestion_feature_config/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `conversation_profile` (*type:* `String.t`) - Required. The Conversation Profile to add or update the suggestion feature config. Format: `projects//locations//conversationProfiles/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_set_suggestion_feature_config/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversation_profiles_set_suggestion_feature_config/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversation_profiles_set_suggestion_feature_config/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_complete/4","doc":"Completes the specified conversation. Finished conversations are purged from the database after 30 days.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_complete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_complete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource identifier of the conversation to close. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CompleteConversationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_complete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_complete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_complete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_create/4","doc":"Creates a new conversation. Conversations are auto-completed after 24 hours. Conversation Lifecycle: There are two stages during a conversation: Automated Agent Stage and Assist Stage. For Automated Agent Stage, there will be a dialogflow agent responding to user queries. For Assist Stage, there's no dialogflow agent responding to user queries. But we will provide suggestions which are generated from conversation. If Conversation.conversation_profile is configured for a dialogflow agent, conversation will start from `Automated Agent Stage`, otherwise, it will start from `Assist Stage`. And during `Automated Agent Stage`, once an Intent with Intent.live_agent_handoff is triggered, conversation will transfer to Assist Stage.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource identifier of the project creating the conversation. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:conversationId` (*type:* `String.t`) - Optional. Identifier of the conversation. Generally it's auto generated by Google. Only set it if you cannot wait for the response to return a auto-generated one to you. The conversation ID must be compliant with the regression formula `a-zA-Z*` with the characters length in range of [3,64]. If the field is provided, the caller is responsible for 1. the uniqueness of the ID, otherwise the request will be rejected. 2. the consistency for whether to use custom ID or not under a project to better ensure uniqueness.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_get/4","doc":"Retrieves the specific conversation.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the conversation. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_list/4","doc":"Returns the list of all conversations in the specified project.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project from which to list all conversation. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. A filter expression that filters conversations listed in the response. Only `lifecycle_state` can be filtered on in this way. For example, the following expression only returns `COMPLETED` conversations: `lifecycle_state = \"COMPLETED\"` For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_messages_list/4","doc":"Lists messages that belong to a given conversation. `messages` are ordered by `create_time` in descending order. To fetch updates without duplication, send request with filter `create_time_epoch_microseconds > [first item's create_time of previous request]` and empty page_token.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_messages_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_messages_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the conversation to list messages for. Format: `projects//locations//conversations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filter on message fields. Currently predicates on `create_time` and `create_time_epoch_microseconds` are supported. `create_time` only support milliseconds accuracy. E.g., `create_time_epoch_microseconds > 1551790877964485` or `create_time > 2017-01-15T01:30:15.01Z`. For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_messages_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_messages_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListMessagesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_messages_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_analyze_content/4","doc":"Adds a text (chat, for example), or audio (phone recording, for example) message from a participant into the conversation. Note: Always use agent versions for production traffic sent to virtual agents. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_analyze_content/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_analyze_content/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `participant` (*type:* `String.t`) - Required. The name of the participant this text comes from. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_analyze_content/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_analyze_content/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_analyze_content/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_create/4","doc":"Creates a new participant in a conversation.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource identifier of the conversation adding the participant. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_get/4","doc":"Retrieves a conversation participant.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the participant. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_list/4","doc":"Returns the list of all participants in the specified conversation.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The conversation to list all participants from. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListParticipantsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_patch/4","doc":"Updates the specified participant.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Optional. The unique identifier of this participant. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to specify which fields to update.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_articles/4","doc":"Gets suggested articles for a participant based on specific historical messages.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_articles/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_articles/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_articles/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_articles/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_articles/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_faq_answers/4","doc":"Gets suggested faq answers for a participant based on specific historical messages.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_faq_answers/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_faq_answers/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_faq_answers/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_faq_answers/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_faq_answers/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_knowledge_assist/4","doc":"Gets knowledge assist suggestions based on historical messages.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_knowledge_assist/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_knowledge_assist/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the participant to fetch suggestions for. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_knowledge_assist/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_knowledge_assist/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_knowledge_assist/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_smart_replies/4","doc":"Gets smart replies for a participant based on specific historical messages.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_smart_replies/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_smart_replies/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_smart_replies/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_participants_suggestions_suggest_smart_replies/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_participants_suggestions_suggest_smart_replies/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_suggestions_search_knowledge/4","doc":"Get answers for the given query based on knowledge documents.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_suggestions_search_knowledge/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_suggestions_search_knowledge/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `conversation` (*type:* `String.t`) - Optional. The conversation (between human agent and end user) where the search request is triggered. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_suggestions_search_knowledge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_suggestions_search_knowledge/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_suggestions_search_knowledge/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_suggestions_suggest_conversation_summary/4","doc":"Suggests summary for a conversation based on specific historical messages. The range of the messages to be used for summary can be specified in the request.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_suggestions_suggest_conversation_summary/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_suggestions_suggest_conversation_summary/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `conversation` (*type:* `String.t`) - Required. The conversation to fetch suggestion for. Format: `projects//locations//conversations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_suggestions_suggest_conversation_summary/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_conversations_suggestions_suggest_conversation_summary/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_conversations_suggestions_suggest_conversation_summary/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_delete_agent/4","doc":"Deletes the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_delete_agent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_delete_agent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to delete is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_delete_agent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_delete_agent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_delete_agent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_encryption_spec_initialize/4","doc":"Initializes a location-level encryption key specification. An error will be thrown if the location has resources already created before the initialization. Once the encryption specification is initialized at a location, it is immutable and all newly created resources under the location will be encrypted with the existing specification.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_encryption_spec_initialize/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_encryption_spec_initialize/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Immutable. The resource name of the encryption key specification resource. Format: projects/{project}/locations/{location}/encryptionSpec\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_encryption_spec_initialize/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_encryption_spec_initialize/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_encryption_spec_initialize/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_create/4","doc":"Creates a generator.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project/location to create generator for. Format: `projects//locations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:generatorId` (*type:* `String.t`) - Optional. The ID to use for the generator, which will become the final component of the generator's resource name. The generator ID must be compliant with the regression formula `a-zA-Z*` with the characters length in range of [3,64]. If the field is not provided, an Id will be auto-generated. If the field is provided, the caller is responsible for 1. the uniqueness of the ID, otherwise the request will be rejected. 2. the consistency for whether to use custom ID or not under a project to better ensure uniqueness.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_delete/4","doc":"Deletes a generator.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The generator resource name to delete. Format: `projects//locations//generators/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_get/4","doc":"Retrieves a generator.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The generator resource name to retrieve. Format: `projects//locations//generators/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_list/4","doc":"Lists generators.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project/location to list generators for. Format: `projects//locations/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Maximum number of conversation models to return in a single page. Default to 10.\n    *   `:pageToken` (*type:* `String.t`) - Optional. The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListGeneratorsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_patch/4","doc":"Updates a generator.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Identifier. The resource name of the generator. Format: `projects//locations//generators/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The list of fields to update.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_generators_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_generators_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_get/4","doc":"Gets information about a location.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Resource name for the location.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationLocation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_get_agent/4","doc":"Retrieves the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_get_agent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_get_agent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project that the agent to fetch is associated with. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_get_agent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_get_agent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_get_agent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_get_encryption_spec/4","doc":"Gets location-level encryption key specification.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_get_encryption_spec/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_get_encryption_spec/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the encryption spec resource to get.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_get_encryption_spec/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_get_encryption_spec/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EncryptionSpec{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_get_encryption_spec/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_create/4","doc":"Creates a knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to create a knowledge base for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_delete/4","doc":"Deletes the specified knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the knowledge base to delete. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - Optional. Force deletes the knowledge base. When set to true, any documents in the knowledge base are also deleted.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_create/4","doc":"Creates a new document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The knowledge base to create a document for. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_delete/4","doc":"Deletes the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to delete. Format: `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_export/4","doc":"Exports a smart messaging candidate document into the specified destination. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_export/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_export/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to export. Format: `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportDocumentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_export/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_export/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_get/4","doc":"Retrieves the specified document.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to retrieve. Format `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_import/4","doc":"Creates documents by importing data from external sources. Dialogflow supports up to 350 documents in each request. If you try to import more, Dialogflow will return an error. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: ImportDocumentsResponse","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_import/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_import/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The knowledge base to import documents into. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_import/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_import/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_list/4","doc":"Returns the list of all documents of the knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The knowledge base to list all documents for. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression used to filter documents returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: * knowledge_types with has(:) operator * display_name with has(:) operator * state with equals(=) operator Examples: * \"knowledge_types:FAQ\" matches documents with FAQ knowledge type. * \"display_name:customer\" matches documents whose display name contains \"customer\". * \"state=ACTIVE\" matches documents with ACTIVE state. * \"knowledge_types:FAQ AND state=ACTIVE\" matches all active FAQ documents. For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 10 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_patch/4","doc":"Updates the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Optional. The document resource name. The name must be empty when creating a document. Format: `projects//locations//knowledgeBases//documents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_reload/4","doc":"Reloads the specified document from its specified source, content_uri or content. The previously loaded content of the document will be deleted. Note: Even when the content of the document has not changed, there still may be side effects because of internal implementation changes. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_reload/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_reload/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the document to reload. Format: `projects//locations//knowledgeBases//documents/`\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_reload/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_documents_reload/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_documents_reload/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_get/4","doc":"Retrieves the specified knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the knowledge base to retrieve. Format `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_list/4","doc":"Returns the list of all knowledge bases of the specified agent.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project to list of knowledge bases for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression used to filter knowledge bases returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: * display_name with has(:) operator * language_code with equals(=) operator Examples: * 'language_code=en-us' matches knowledge bases with en-us language code. * 'display_name:articles' matches knowledge bases whose display name contains \"articles\". * 'display_name:\"Best Articles\"' matches knowledge bases whose display name contains \"Best Articles\". * 'language_code=en-gb AND display_name=articles' matches all knowledge bases whose display name contains \"articles\" and whose language code is \"en-gb\". Note: An empty filter string (i.e. \"\") is a no-op and will result in no filtering. For more information about filtering, see [API Filtering](https://aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 10 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_patch/4","doc":"Updates the specified knowledge base.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The knowledge base resource name. The name must be empty when creating a knowledge base. Format: `projects//locations//knowledgeBases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_knowledge_bases_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_knowledge_bases_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_list/4","doc":"Lists information about the supported locations for this service.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource that owns the locations collection, if applicable.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return. If not set, the service selects a default.\n    *   `:pageToken` (*type:* `String.t`) - A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationListLocationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_operations_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_operations_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_operations_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_operations_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_set_agent/4","doc":"Creates/updates the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_set_agent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_set_agent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project of this agent. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_set_agent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_set_agent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_set_agent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_stateless_suggestion_generate/4","doc":"Generates and returns a suggestion for a conversation that does not have a resource created for it.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_stateless_suggestion_generate/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_stateless_suggestion_generate/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent resource to charge for the Suggestion's generation. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_stateless_suggestion_generate/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_stateless_suggestion_generate/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_stateless_suggestion_generate/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_suggestions_generate_stateless_summary/4","doc":"Generates and returns a summary for a conversation that does not have a resource created for it.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_suggestions_generate_stateless_summary/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_suggestions_generate_stateless_summary/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent resource to charge for the Summary's generation. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_suggestions_generate_stateless_summary/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_suggestions_generate_stateless_summary/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_suggestions_generate_stateless_summary/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_suggestions_search_knowledge/4","doc":"Get answers for the given query based on knowledge documents.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_suggestions_search_knowledge/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_suggestions_search_knowledge/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent resource contains the conversation profile Format: 'projects/' or `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_suggestions_search_knowledge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_locations_suggestions_search_knowledge/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_locations_suggestions_search_knowledge/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_operations_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_operations_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_operations_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleLongrunningListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_operations_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_set_agent/4","doc":"Creates/updates the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_set_agent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_set_agent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The project of this agent. Format: `projects/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_set_agent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_set_agent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_set_agent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_suggestions_generate_stateless_summary/4","doc":"Generates and returns a summary for a conversation that does not have a resource created for it.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_suggestions_generate_stateless_summary/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_suggestions_generate_stateless_summary/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent resource to charge for the Summary's generation. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_suggestions_generate_stateless_summary/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_suggestions_generate_stateless_summary/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_suggestions_generate_stateless_summary/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_suggestions_search_knowledge/4","doc":"Get answers for the given query based on knowledge documents.","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_suggestions_search_knowledge/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_suggestions_search_knowledge/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V2.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The parent resource contains the conversation profile Format: 'projects/' or `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_suggestions_search_knowledge/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Api.Projects.dialogflow_projects_suggestions_search_knowledge/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V2.Api.Projects.html#dialogflow_projects_suggestions_search_knowledge/4-returns"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Connection","doc":"Handle Tesla connections for GoogleApi.Dialogflow.V2.","ref":"GoogleApi.Dialogflow.V2.Connection.html"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Dialogflow.V2.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Dialogflow.V2.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Dialogflow.V2.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Dialogflow.V2.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Dialogflow.V2.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V2.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Dialogflow.V2.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V2.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Dialogflow.V2.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V2.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V2.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V2.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V2.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V2.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V2.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Dialogflow.V2.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Dialogflow.V2.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Dialogflow.V2.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Dialogflow.V2.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Dialogflow.V2.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V2.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Dialogflow.V2.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Connection.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings","doc":"Hierarchical advanced settings for agent/flow/page/fulfillment/parameter. Settings exposed at lower level overrides the settings exposed at higher level. Overriding occurs at the sub-setting level. For example, the playback_interruption_settings at fulfillment level only overrides the playback_interruption_settings at the agent level, leaving other settings at the agent level unchanged. DTMF settings does not override each other. DTMF settings set at different levels define DTMF detections running in parallel. Hierarchy: Agent->Flow->Page->Fulfillment/Parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings","doc":"*   `audioExportGcsDestination` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3GcsDestination.t`, *default:* `nil`) - If present, incoming audio is exported by Dialogflow to the configured Google Cloud Storage destination. Exposed at the following levels: - Agent level - Flow level\n*   `dtmfSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.t`, *default:* `nil`) - Settings for DTMF. Exposed at the following levels: - Agent level - Flow level - Page level - Parameter level.\n*   `loggingSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.t`, *default:* `nil`) - Settings for logging. Settings for Dialogflow History, Contact Center messages, StackDriver logs, and speech logging. Exposed at the following levels: - Agent level.\n*   `speechSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.t`, *default:* `nil`) - Settings for speech to text detection. Exposed at the following levels: - Agent level - Flow level - Page level - Parameter level","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings","doc":"Define behaviors for DTMF (dual tone multi frequency).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings","doc":"*   `enabled` (*type:* `boolean()`, *default:* `nil`) - If true, incoming audio is processed for DTMF (dual tone multi frequency) events. For example, if the caller presses a button on their telephone keypad and DTMF processing is enabled, Dialogflow will detect the event (e.g. a \"3\" was pressed) in the incoming audio and pass the event to the bot to drive business logic (e.g. when 3 is pressed, return the account balance).\n*   `endpointingTimeoutDuration` (*type:* `String.t`, *default:* `nil`) - Endpoint timeout setting for matching dtmf input to regex.\n*   `finishDigit` (*type:* `String.t`, *default:* `nil`) - The digit that terminates a DTMF digit sequence.\n*   `interdigitTimeoutDuration` (*type:* `String.t`, *default:* `nil`) - Interdigit timeout setting for matching dtmf input to regex.\n*   `maxDigits` (*type:* `integer()`, *default:* `nil`) - Max length of DTMF digits.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings","doc":"Define behaviors on logging.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings","doc":"*   `enableConsentBasedRedaction` (*type:* `boolean()`, *default:* `nil`) - Enables consent-based end-user input redaction, if true, a pre-defined session parameter `$session.params.conversation-redaction` will be used to determine if the utterance should be redacted.\n*   `enableInteractionLogging` (*type:* `boolean()`, *default:* `nil`) - Enables DF Interaction logging.\n*   `enableStackdriverLogging` (*type:* `boolean()`, *default:* `nil`) - Enables Google Cloud Logging.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings","doc":"Define behaviors of speech to text detection.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings","doc":"*   `endpointerSensitivity` (*type:* `integer()`, *default:* `nil`) - Sensitivity of the speech model that detects the end of speech. Scale from 0 to 100.\n*   `models` (*type:* `map()`, *default:* `nil`) - Mapping from language to Speech-to-Text model. The mapped Speech-to-Text model will be selected for requests from its corresponding language. For more information, see [Speech models](https://cloud.google.com/dialogflow/cx/docs/concept/speech-models).\n*   `noSpeechTimeout` (*type:* `String.t`, *default:* `nil`) - Timeout before detecting no speech.\n*   `useTimeoutBasedEndpointing` (*type:* `boolean()`, *default:* `nil`) - Use timeout based endpointing, interpreting endpointer sensitivy as seconds of timeout value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AudioInput","doc":"Represents the natural speech audio to be processed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AudioInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AudioInput","doc":"*   `audio` (*type:* `String.t`, *default:* `nil`) - The natural language speech audio to be processed. A single request can contain up to 2 minutes of speech audio data. The transcribed text cannot contain more than 256 bytes. For non-streaming audio detect intent, both `config` and `audio` must be provided. For streaming audio detect intent, `config` must be provided in the first request and `audio` must be provided in all following requests.\n*   `config` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InputAudioConfig.t`, *default:* `nil`) - Required. Instructs the speech recognizer how to process the speech audio.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AudioInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AudioInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AudioInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AudioInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AudioInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BargeInConfig","doc":"Configuration of the barge-in behavior. Barge-in instructs the API to return a detected utterance at a proper time while the client is playing back the response audio from a previous request. When the client sees the utterance, it should stop the playback and immediately get ready for receiving the responses for the current request. The barge-in handling requires the client to start streaming audio input as soon as it starts playing back the audio from the previous response. The playback is modeled into two phases: * No barge-in phase: which goes first and during which speech detection should not be carried out. * Barge-in phase: which follows the no barge-in phase and during which the API starts speech detection and may inform the client that an utterance has been detected. Note that no-speech event is not expected in this phase. The client provides this configuration in terms of the durations of those two phases. The durations are measured in terms of the audio length from the start of the input audio. No-speech event is a response with END_OF_UTTERANCE without any transcript following up.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BargeInConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BargeInConfig","doc":"*   `noBargeInDuration` (*type:* `String.t`, *default:* `nil`) - Duration that is not eligible for barge-in at the beginning of the input audio.\n*   `totalDuration` (*type:* `String.t`, *default:* `nil`) - Total duration for the playback at the beginning of the input audio.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BargeInConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BargeInConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BargeInConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BargeInConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BargeInConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata","doc":"Metadata returned for the TestCases.BatchRunTestCases long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError.t)`, *default:* `nil`) - The test errors.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse","doc":"The response message for TestCases.BatchRunTestCases.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse","doc":"*   `results` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult.t)`, *default:* `nil`) - The test case results. The detailed conversation turns are empty in this response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ContinuousTestResult","doc":"Represents a result from running a test case in an agent environment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ContinuousTestResult","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the continuous test result. Format: `projects//locations//agents//environments//continuousTestResults/`.\n*   `result` (*type:* `String.t`, *default:* `nil`) - The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not.\n*   `runTime` (*type:* `DateTime.t`, *default:* `nil`) - Time when the continuous testing run starts.\n*   `testCaseResults` (*type:* `list(String.t)`, *default:* `nil`) - A list of individual test case results names in this continuous test run.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationSignals","doc":"This message is used to hold all the Conversation Signals data, which will be converted to JSON and exported to BigQuery.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationSignals","doc":"*   `turnSignals` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TurnSignals.t`, *default:* `nil`) - Required. Turn signals for the current turn.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurn","doc":"One interaction between a human and virtual agent. The human provides some input and the virtual agent provides a response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurn.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurn","doc":"*   `userInput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.t`, *default:* `nil`) - The user input.\n*   `virtualAgentOutput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.t`, *default:* `nil`) - The virtual agent output.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurn.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurn.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurn.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurn.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurn.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput","doc":"The input from the human user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput","doc":"*   `enableSentimentAnalysis` (*type:* `boolean()`, *default:* `nil`) - Whether sentiment analysis is enabled.\n*   `injectedParameters` (*type:* `map()`, *default:* `nil`) - Parameters that need to be injected into the conversation during intent detection.\n*   `input` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3QueryInput.t`, *default:* `nil`) - Supports text input, event input, dtmf input in the test case.\n*   `isWebhookEnabled` (*type:* `boolean()`, *default:* `nil`) - If webhooks should be allowed to trigger in response to the user utterance. Often if parameters are injected, webhooks should not be enabled.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput","doc":"The output from the virtual agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput","doc":"*   `currentPage` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Page.t`, *default:* `nil`) - The Page on which the utterance was spoken. Only name and displayName will be set.\n*   `diagnosticInfo` (*type:* `map()`, *default:* `nil`) - Required. Input only. The diagnostic info output for the turn. Required to calculate the testing coverage.\n*   `differences` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestRunDifference.t)`, *default:* `nil`) - Output only. If this is part of a result conversation turn, the list of differences between the original run and the replay for this output, if any.\n*   `sessionParameters` (*type:* `map()`, *default:* `nil`) - The session parameters available to the bot at this point.\n*   `status` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - Response error from the agent in the test result. If set, other output is empty.\n*   `textResponses` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageText.t)`, *default:* `nil`) - The text responses from the agent for the turn.\n*   `triggeredIntent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Intent.t`, *default:* `nil`) - The Intent that triggered the response. Only name and displayName will be set.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata","doc":"Metadata associated with the long running operation for Versions.CreateVersion.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata","doc":"*   `version` (*type:* `String.t`, *default:* `nil`) - Name of the created version. Format: `projects//locations//agents//flows//versions/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DataStoreConnection","doc":"A data store connection. It represents a data store in Discovery Engine and the type of the contents it contains.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DataStoreConnection.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DataStoreConnection","doc":"*   `dataStore` (*type:* `String.t`, *default:* `nil`) - The full name of the referenced data store. Formats: `projects/{project}/locations/{location}/collections/{collection}/dataStores/{data_store}` `projects/{project}/locations/{location}/dataStores/{data_store}`\n*   `dataStoreType` (*type:* `String.t`, *default:* `nil`) - The type of the connected data store.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DataStoreConnection.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DataStoreConnection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DataStoreConnection.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DataStoreConnection.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DataStoreConnection.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata","doc":"Metadata returned for the Environments.DeployFlow long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata","doc":"*   `testErrors` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError.t)`, *default:* `nil`) - Errors of running deployment tests.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowResponse","doc":"The response message for Environments.DeployFlow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowResponse","doc":"*   `deployment` (*type:* `String.t`, *default:* `nil`) - The name of the flow version Deployment. Format: `projects//locations//agents//environments//deployments/`.\n*   `environment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Environment.t`, *default:* `nil`) - The updated environment where the flow is deployed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DtmfInput","doc":"Represents the input for dtmf event.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DtmfInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DtmfInput","doc":"*   `digits` (*type:* `String.t`, *default:* `nil`) - The dtmf digits.\n*   `finishDigit` (*type:* `String.t`, *default:* `nil`) - The finish digit (if any).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DtmfInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DtmfInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DtmfInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DtmfInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DtmfInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Environment","doc":"Represents an environment for an agent. You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for testing, development, production, etc.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Environment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Environment","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The human-readable description of the environment. The maximum length is 500 characters. If exceeded, the request is rejected.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the environment (unique in an agent). Limit of 64 characters.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the environment. Format: `projects//locations//agents//environments/`.\n*   `testCasesConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.t`, *default:* `nil`) - The test cases config for continuous tests of this environment.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Update time of this environment.\n*   `versionConfigs` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.t)`, *default:* `nil`) - A list of configurations for flow versions. You should include version configs for all flows that are reachable from `Start Flow` in the agent. Otherwise, an error will be returned.\n*   `webhookConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.t`, *default:* `nil`) - The webhook configuration for this environment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Environment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Environment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Environment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Environment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Environment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig","doc":"The configuration for continuous tests.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig","doc":"*   `enableContinuousRun` (*type:* `boolean()`, *default:* `nil`) - Whether to run test cases in TestCasesConfig.test_cases periodically. Default false. If set to true, run once a day.\n*   `enablePredeploymentRun` (*type:* `boolean()`, *default:* `nil`) - Whether to run test cases in TestCasesConfig.test_cases before deploying a flow version to the environment. Default false.\n*   `testCases` (*type:* `list(String.t)`, *default:* `nil`) - A list of test case names to run. They should be under the same agent. Format of each test case name: `projects//locations//agents//testCases/`","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig","doc":"Configuration for the version.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig","doc":"*   `version` (*type:* `String.t`, *default:* `nil`) - Required. Both flow and playbook versions are supported. Format for flow version: projects//locations//agents//flows//versions/. Format for playbook version: projects//locations//agents//playbooks//versions/.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig","doc":"Configuration for webhooks.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig","doc":"*   `webhookOverrides` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Webhook.t)`, *default:* `nil`) - The list of webhooks to override for the agent environment. The webhook must exist in the agent. You can override fields in `generic_web_service` and `service_directory`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventHandler","doc":"An event handler specifies an event that can be handled during a session. When the specified event happens, the following actions are taken in order: * If there is a `trigger_fulfillment` associated with the event, it will be called. * If there is a `target_page` associated with the event, the session will transition into the specified page. * If there is a `target_flow` associated with the event, the session will transition into the specified flow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventHandler.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventHandler","doc":"*   `event` (*type:* `String.t`, *default:* `nil`) - Required. The name of the event to handle.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this event handler.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `targetPlaybook` (*type:* `String.t`, *default:* `nil`) - The target playbook to transition to. Format: `projects//locations//agents//playbooks/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the event occurs. Handling webhook errors with a fulfillment enabled with webhook could cause infinite loop. It is invalid to specify such fulfillment for a handler handling webhooks.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventHandler.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventHandler.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventHandler.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventHandler.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventHandler.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventInput","doc":"Represents the event to trigger.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventInput","doc":"*   `event` (*type:* `String.t`, *default:* `nil`) - Name of the event.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportAgentResponse","doc":"The response message for Agents.ExportAgent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportAgentResponse","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for agent. This field is populated if none of `agent_uri` and `git_destination` are specified in ExportAgentRequest.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported agent. This field is populated if `agent_uri` is specified in ExportAgentRequest.\n*   `commitSha` (*type:* `String.t`, *default:* `nil`) - Commit SHA of the git push. This field is populated if `git_destination` is specified in ExportAgentRequest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata","doc":"Metadata returned for the EntityTypes.ExportEntityTypes long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse","doc":"The response message for EntityTypes.ExportEntityTypes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse","doc":"*   `entityTypesContent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InlineDestination.t`, *default:* `nil`) - Uncompressed byte content for entity types. This field is populated only if `entity_types_content_inline` is set to true in ExportEntityTypesRequest.\n*   `entityTypesUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported entity types. This field is populated only if `entity_types_uri` is specified in ExportEntityTypesRequest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportFlowResponse","doc":"The response message for Flows.ExportFlow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportFlowResponse","doc":"*   `flowContent` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for flow.\n*   `flowUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported flow. This field is populated only if `flow_uri` is specified in ExportFlowRequest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata","doc":"Metadata returned for the Intents.ExportIntents long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse","doc":"The response message for Intents.ExportIntents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse","doc":"*   `intentsContent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InlineDestination.t`, *default:* `nil`) - Uncompressed byte content for intents. This field is populated only if `intents_content_inline` is set to true in ExportIntentsRequest.\n*   `intentsUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported intents. This field is populated only if `intents_uri` is specified in ExportIntentsRequest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata","doc":"Metadata returned for the TestCases.ExportTestCases long running operation. This message currently has no fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse","doc":"The response message for TestCases.ExportTestCases.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for test cases.\n*   `gcsUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported test cases. This field is populated only if `gcs_uri` is specified in ExportTestCasesRequest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Form","doc":"A form is a data model that groups related parameters that can be collected from the user. The process in which the agent prompts the user and collects parameter values from the user is called form filling. A form can be added to a page. When form filling is done, the filled parameters will be written to the session.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Form.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Form","doc":"*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameter.t)`, *default:* `nil`) - Parameters to collect from the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Form.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Form.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Form.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Form.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Form.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameter","doc":"Represents a form parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameter","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this parameter. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `defaultValue` (*type:* `any()`, *default:* `nil`) - The default value of an optional parameter. If the parameter is required, the default value will be ignored.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the parameter, unique within the form.\n*   `entityType` (*type:* `String.t`, *default:* `nil`) - Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.\n*   `fillBehavior` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.t`, *default:* `nil`) - Required. Defines fill behavior for the parameter.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter represents a list of values.\n*   `redact` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.\n*   `required` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior","doc":"Configuration for how the filling of a parameter should be handled.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior","doc":"*   `initialPromptFulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.t`, *default:* `nil`) - Required. The fulfillment to provide the initial prompt that the agent can present to the user in order to fill the parameter.\n*   `repromptEventHandlers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventHandler.t)`, *default:* `nil`) - The handlers for parameter-level events, used to provide reprompt for the parameter or transition to a different page/flow. The supported events are: * `sys.no-match-`, where N can be from 1 to 6 * `sys.no-match-default` * `sys.no-input-`, where N can be from 1 to 6 * `sys.no-input-default` * `sys.invalid-parameter` `initial_prompt_fulfillment` provides the first prompt for the parameter. If the user's response does not fill the parameter, a no-match/no-input event will be triggered, and the fulfillment associated with the `sys.no-match-1`/`sys.no-input-1` handler (if defined) will be called to provide a prompt. The `sys.no-match-2`/`sys.no-input-2` handler (if defined) will respond to the next no-match/no-input event, and so on. A `sys.no-match-default` or `sys.no-input-default` handler will be used to handle all following no-match/no-input events after all numbered no-match/no-input handlers for the parameter are consumed. A `sys.invalid-parameter` handler can be defined to handle the case where the parameter values have been `invalidated` by webhook. For example, if the user's response fill the parameter, however the parameter was invalidated by webhook, the fulfillment associated with the `sys.invalid-parameter` handler (if defined) will be called to provide a prompt. If the event handler for the corresponding event can't be found on the parameter, `initial_prompt_fulfillment` will be re-prompted.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment","doc":"A fulfillment can do one or more of the following actions at the same time: * Generate rich message responses. * Set parameter values. * Call the webhook. Fulfillments can be called at various stages in the Page or Form lifecycle. For example, when a DetectIntentRequest drives a session to enter a new page, the page's entry fulfillment can add a static response to the QueryResult in the returning DetectIntentResponse, call the webhook (for example, to load user data from a database), or both.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this fulfillment. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `conditionalCases` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.t)`, *default:* `nil`) - Conditional cases for this fulfillment.\n*   `enableGenerativeFallback` (*type:* `boolean()`, *default:* `nil`) - If the flag is true, the agent will utilize LLM to generate a text response. If LLM generation fails, the defined responses in the fulfillment will be respected. This flag is only useful for fulfillments associated with no-match event handlers.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user.\n*   `returnPartialResponses` (*type:* `boolean()`, *default:* `nil`) - Whether Dialogflow should return currently queued fulfillment response messages in streaming APIs. If a webhook is specified, it happens before Dialogflow invokes webhook. Warning: 1) This flag only affects streaming API. Responses are still queued and returned once in non-streaming API. 2) The flag can be enabled in any fulfillment but only the first 3 partial responses will be returned. You may only want to apply it to fulfillments that have slow webhooks.\n*   `setParameterActions` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.t)`, *default:* `nil`) - Set parameter values before executing the webhook.\n*   `tag` (*type:* `String.t`, *default:* `nil`) - The value of this field will be populated in the WebhookRequest `fulfillmentInfo.tag` field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes. This field is required if `webhook` is specified.\n*   `webhook` (*type:* `String.t`, *default:* `nil`) - The webhook to call. Format: `projects//locations//agents//webhooks/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases","doc":"A list of cascading if-else conditions. Cases are mutually exclusive. The first one with a matching condition is selected, all the rest ignored.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases","doc":"*   `cases` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.t)`, *default:* `nil`) - A list of cascading if-else conditions.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase","doc":"Each case has a Boolean condition. When it is evaluated to be True, the corresponding messages will be selected and evaluated recursively.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase","doc":"*   `caseContent` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.t)`, *default:* `nil`) - A list of case content.\n*   `condition` (*type:* `String.t`, *default:* `nil`) - The condition to activate and select this case. Empty means the condition is always true. The condition is evaluated against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent","doc":"The list of messages or conditional cases to activate for this case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent","doc":"*   `additionalCases` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.t`, *default:* `nil`) - Additional cases to be evaluated.\n*   `message` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage.t`, *default:* `nil`) - Returned message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction","doc":"Setting a parameter value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction","doc":"*   `parameter` (*type:* `String.t`, *default:* `nil`) - Display name of the parameter.\n*   `value` (*type:* `any()`, *default:* `nil`) - The new value of the parameter. A null value clears the parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3GcsDestination","doc":"Google Cloud Storage location for a Dialogflow operation that writes or exports objects (e.g. exported agent or transcripts) outside of Dialogflow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3GcsDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3GcsDestination","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The Google Cloud Storage URI for the exported objects. A URI is of the form: `gs://bucket/object-name-or-prefix` Whether a full object name, or just a prefix, its usage depends on the Dialogflow operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3GcsDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3GcsDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3GcsDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3GcsDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3GcsDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata","doc":"Metadata returned for the EntityTypes.ImportEntityTypes long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse","doc":"The response message for EntityTypes.ImportEntityTypes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse","doc":"*   `conflictingResources` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.t`, *default:* `nil`) - Info which resources have conflicts when REPORT_CONFLICT merge_option is set in ImportEntityTypesRequest.\n*   `entityTypes` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifier of the imported entity types. Format: `projects//locations//agents//entity_types/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources","doc":"Conflicting resources detected during the import process. Only filled when REPORT_CONFLICT is set in the request and there are conflicts in the display names.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources","doc":"*   `entityDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entities.\n*   `entityTypeDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entity types.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportFlowResponse","doc":"The response message for Flows.ImportFlow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportFlowResponse","doc":"*   `flow` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the new flow. Format: `projects//locations//agents//flows/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata","doc":"Metadata returned for the Intents.ImportIntents long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse","doc":"The response message for Intents.ImportIntents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse","doc":"*   `conflictingResources` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.t`, *default:* `nil`) - Info which resources have conflicts when REPORT_CONFLICT merge_option is set in ImportIntentsRequest.\n*   `intents` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifier of the imported intents. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources","doc":"Conflicting resources detected during the import process. Only filled when REPORT_CONFLICT is set in the request and there are conflicts in the display names.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources","doc":"*   `entityDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entities.\n*   `intentDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting intents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata","doc":"Metadata returned for the TestCases.ImportTestCases long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseError.t)`, *default:* `nil`) - Errors for failed test cases.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse","doc":"The response message for TestCases.ImportTestCases.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse","doc":"*   `names` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifiers of the new test cases. Format: `projects//locations//agents//testCases/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InlineDestination","doc":"Inline destination for a Dialogflow operation that writes or exports objects (e.g. intents) outside of Dialogflow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InlineDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InlineDestination","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Output only. The uncompressed byte content for the objects. Only populated in responses.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InlineDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InlineDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InlineDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InlineDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InlineDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InputAudioConfig","doc":"Instructs the speech recognizer on how to process the audio content.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InputAudioConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InputAudioConfig","doc":"*   `audioEncoding` (*type:* `String.t`, *default:* `nil`) - Required. Audio encoding of the audio content to process.\n*   `bargeInConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3BargeInConfig.t`, *default:* `nil`) - Configuration of barge-in behavior during the streaming of input audio.\n*   `enableWordInfo` (*type:* `boolean()`, *default:* `nil`) - Optional. If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.\n*   `model` (*type:* `String.t`, *default:* `nil`) - Optional. Which Speech model to select for the given request. For more information, see [Speech models](https://cloud.google.com/dialogflow/cx/docs/concept/speech-models).\n*   `modelVariant` (*type:* `String.t`, *default:* `nil`) - Optional. Which variant of the Speech model to use.\n*   `optOutConformerModelMigration` (*type:* `boolean()`, *default:* `nil`) - If `true`, the request will opt out for STT conformer model migration. This field will be deprecated once force migration takes place in June 2024. Please refer to [Dialogflow CX Speech model migration](https://cloud.google.com/dialogflow/cx/docs/concept/speech-model-migration).\n*   `phraseHints` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.\n*   `sampleRateHertz` (*type:* `integer()`, *default:* `nil`) - Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details.\n*   `singleUtterance` (*type:* `boolean()`, *default:* `nil`) - Optional. If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InputAudioConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InputAudioConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InputAudioConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InputAudioConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3InputAudioConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Intent","doc":"An intent represents a user's intent to interact with a conversational agent. You can provide information for the Dialogflow API to use to match user input to an intent by adding training phrases (i.e., examples of user input) to your intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Intent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Intent","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the intent, unique within the agent.\n*   `isFallback` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this is a fallback intent. Currently only default fallback intent is allowed in the agent, which is added upon agent creation. Adding training phrases to fallback intent is useful in the case of requests that are mistakenly matched, since training phrases assigned to fallback intents act as negative examples that triggers no-match event.\n*   `labels` (*type:* `map()`, *default:* `nil`) - The key/value metadata to label an intent. Labels can contain lowercase letters, digits and the symbols '-' and '_'. International characters are allowed, including letters from unicase alphabets. Keys must start with a letter. Keys and values can be no longer than 63 characters and no more than 128 bytes. Prefix \"sys-\" is reserved for Dialogflow defined labels. Currently allowed Dialogflow defined labels include: * sys-head * sys-contextual The above labels do not require value. \"sys-head\" means the intent is a head intent. \"sys.contextual\" means the intent is a contextual intent.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`.\n*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentParameter.t)`, *default:* `nil`) - The collection of parameters associated with the intent.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.\n*   `trainingPhrases` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.t)`, *default:* `nil`) - The collection of training phrases the agent is trained on to identify the intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Intent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Intent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Intent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Intent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Intent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentInput","doc":"Represents the intent to trigger programmatically rather than as a result of natural language processing.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentInput","doc":"*   `intent` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the intent. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentParameter","doc":"Represents an intent parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentParameter","doc":"*   `entityType` (*type:* `String.t`, *default:* `nil`) - Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the parameter. This field is used by training phrases to annotate their parts.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter represents a list of values.\n*   `redact` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase","doc":"Represents an example that the agent is trained on to identify the intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of the training phrase.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.t)`, *default:* `nil`) - Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `parameter_id` field is set.\n*   `repeatCount` (*type:* `integer()`, *default:* `nil`) - Indicates how many times this example was added to the intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart","doc":"Represents a part of a training phrase.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart","doc":"*   `parameterId` (*type:* `String.t`, *default:* `nil`) - The parameter used to annotate this part of the training phrase. This field is required for annotated parts of the training phrase.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The text for this part.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings","doc":"The Knowledge Connector settings for this page or flow. This includes information such as the attached Knowledge Bases, and the way to execute fulfillment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings","doc":"*   `dataStoreConnections` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DataStoreConnection.t)`, *default:* `nil`) - Optional. List of related data store connections.\n*   `enabled` (*type:* `boolean()`, *default:* `nil`) - Whether Knowledge Connector is enabled or not.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.t`, *default:* `nil`) - The fulfillment to be triggered. When the answers from the Knowledge Connector are selected by Dialogflow, you can utitlize the request scoped parameter `$request.knowledge.answers` (contains up to the 5 highest confidence answers) and `$request.knowledge.questions` (contains the corresponding questions) to construct the fulfillment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3LanguageInfo","doc":"Represents the language information of the request.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3LanguageInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3LanguageInfo","doc":"*   `confidenceScore` (*type:* `number()`, *default:* `nil`) - The confidence score of the detected language between 0 and 1.\n*   `inputLanguageCode` (*type:* `String.t`, *default:* `nil`) - The language code specified in the original request.\n*   `resolvedLanguageCode` (*type:* `String.t`, *default:* `nil`) - The language code detected for this request based on the user conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3LanguageInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3LanguageInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3LanguageInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3LanguageInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3LanguageInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Page","doc":"A Dialogflow CX conversation (session) can be described and visualized as a state machine. The states of a CX session are represented by pages. For each flow, you define many pages, where your combined pages can handle a complete conversation on the topics the flow is designed for. At any given moment, exactly one page is the current page, the current page is considered active, and the flow associated with that page is considered active. Every flow has a special start page. When a flow initially becomes active, the start page page becomes the current page. For each conversational turn, the current page will either stay the same or transition to another page. You configure each page to collect information from the end-user that is relevant for the conversational state represented by the page. For more information, see the [Page guide](https://cloud.google.com/dialogflow/cx/docs/concept/page).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Page.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Page","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this page. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the page. The maximum length is 500 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the page, unique within the flow.\n*   `entryFulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the session is entering the page.\n*   `eventHandlers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventHandler.t)`, *default:* `nil`) - Handlers associated with the page to handle events such as webhook errors, no match or no input.\n*   `form` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Form.t`, *default:* `nil`) - The form associated with the page, used for collecting parameters relevant to the page.\n*   `knowledgeConnectorSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.t`, *default:* `nil`) - Optional. Knowledge connector configuration.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`.\n*   `transitionRouteGroups` (*type:* `list(String.t)`, *default:* `nil`) - Ordered list of `TransitionRouteGroups` added to the page. Transition route groups must be unique within a page. If the page links both flow-level transition route groups and agent-level transition route groups, the flow-level ones will have higher priority and will be put before the agent-level ones. * If multiple transition routes within a page scope refer to the same intent, then the precedence order is: page's transition route -> page's transition route group -> flow's transition routes. * If multiple transition route groups within a page contain the same intent, then the first group in the ordered list takes precedence. Format:`projects//locations//agents//flows//transitionRouteGroups/` or `projects//locations//agents//transitionRouteGroups/` for agent-level groups.\n*   `transitionRoutes` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TransitionRoute.t)`, *default:* `nil`) - A list of transitions for the transition rules of this page. They route the conversation to another page in the same flow, or another flow. When we are in a certain page, the TransitionRoutes are evalauted in the following order: * TransitionRoutes defined in the page with intent specified. * TransitionRoutes defined in the transition route groups with intent specified. * TransitionRoutes defined in flow with intent specified. * TransitionRoutes defined in the transition route groups with intent specified. * TransitionRoutes defined in the page with only condition specified. * TransitionRoutes defined in the transition route groups with only condition specified.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Page.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Page.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Page.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Page.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Page.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfo","doc":"Represents page information communicated to and from the webhook.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfo","doc":"*   `currentPage` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the current page. Format: `projects//locations//agents//flows//pages/`.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The display name of the current page.\n*   `formInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.t`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. Information about the form.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo","doc":"Represents form information.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo","doc":"*   `parameterInfo` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.t)`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. The parameters contained in the form. Note that the webhook cannot add or remove any form parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo","doc":"Represents parameter information.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Required for WebhookResponse. The human-readable name of the parameter, unique within the form. This field cannot be modified by the webhook.\n*   `justCollected` (*type:* `boolean()`, *default:* `nil`) - Optional for WebhookRequest. Ignored for WebhookResponse. Indicates if the parameter value was just collected on the last conversation turn.\n*   `required` (*type:* `boolean()`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Required for WebhookResponse. The state of the parameter. This field can be set to INVALID by the webhook to invalidate the parameter; other values set by the webhook will be ignored.\n*   `value` (*type:* `any()`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. The value of the parameter. This field can be set by the webhook to change the parameter value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3QueryInput","doc":"Represents the query input. It can contain one of: 1. A conversational query in the form of text. 2. An intent query that specifies which intent to trigger. 3. Natural language speech audio to be processed. 4. An event to be triggered. 5. DTMF digits to invoke an intent and fill in parameter value. 6. The results of a tool executed by the client.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3QueryInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3QueryInput","doc":"*   `audio` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3AudioInput.t`, *default:* `nil`) - The natural language speech audio to be processed.\n*   `dtmf` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3DtmfInput.t`, *default:* `nil`) - The DTMF event to be handled.\n*   `event` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3EventInput.t`, *default:* `nil`) - The event to be triggered.\n*   `intent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3IntentInput.t`, *default:* `nil`) - The intent to be triggered.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of the input. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language.\n*   `text` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TextInput.t`, *default:* `nil`) - The natural language text to be processed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3QueryInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3QueryInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3QueryInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3QueryInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3QueryInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage","doc":"Represents a response message that can be returned by a conversational agent. Response messages are also used for output audio synthesis. The approach is as follows: * If at least one OutputAudioText response is present, then all OutputAudioText responses are linearly concatenated, and the result is used for output audio synthesis. * If the OutputAudioText responses are a mixture of text and SSML, then the concatenated result is treated as SSML; otherwise, the result is treated as either text or SSML as appropriate. The agent designer should ideally use either text or SSML consistently throughout the bot design. * Otherwise, all Text responses are linearly concatenated, and the result is used for output audio synthesis. This approach allows for more sophisticated user experience scenarios, where the text displayed to the user may differ from what is heard.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage","doc":"*   `channel` (*type:* `String.t`, *default:* `nil`) - The channel which the response is associated with. Clients can specify the channel via QueryParameters.channel, and only associated channel response will be returned.\n*   `conversationSuccess` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.t`, *default:* `nil`) - Indicates that the conversation succeeded.\n*   `endInteraction` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.t`, *default:* `nil`) - Output only. A signal that indicates the interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only when the conversation reaches `END_SESSION` page. It is not supposed to be defined by the user. It's guaranteed that there is at most one such message in each response.\n*   `knowledgeInfoCard` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.t`, *default:* `nil`) - Represents info card for knowledge answers, to be better rendered in Dialogflow Messenger.\n*   `liveAgentHandoff` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.t`, *default:* `nil`) - Hands off conversation to a human agent.\n*   `mixedAudio` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.t`, *default:* `nil`) - Output only. An audio response message composed of both the synthesized Dialogflow agent responses and responses defined via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.\n*   `outputAudioText` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.t`, *default:* `nil`) - A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Returns a response containing a custom, platform-specific payload.\n*   `playAudio` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.t`, *default:* `nil`) - Signal that the client should play an audio clip hosted at a client-specific URI. Dialogflow uses this to construct mixed_audio. However, Dialogflow itself does not try to read or process the URI in any way.\n*   `responseType` (*type:* `String.t`, *default:* `nil`) - Response type.\n*   `telephonyTransferCall` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.t`, *default:* `nil`) - A signal that the client should transfer the phone call connected to this agent to a third-party endpoint.\n*   `text` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageText.t`, *default:* `nil`) - Returns a text response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess","doc":"Indicates that the conversation succeeded, i.e., the bot handled the issue that the customer talked to it about. Dialogflow only uses this to determine which conversations should be counted as successful and doesn't process the metadata in this message in any way. Note that Dialogflow also considers conversations that get to the conversation end page as successful even if they don't return ConversationSuccess. You may set this, for example: * In the entry_fulfillment of a Page if entering the page indicates that the conversation succeeded. * In a webhook response when you determine that you handled the customer issue.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Custom metadata. Dialogflow doesn't impose any structure on this.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction","doc":"Indicates that interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only and not supposed to be defined by the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard","doc":"Represents info card response. If the response contains generative knowledge prediction, Dialogflow will return a payload with Infobot Messenger compatible info card. Otherwise, the info card response is skipped.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff","doc":"Indicates that the conversation should be handed off to a live agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: * In the entry_fulfillment of a Page if entering the page indicates something went extremely wrong in the conversation. * In a webhook response when you determine that the customer issue can only be handled by a human.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio","doc":"Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs. The external URIs are specified via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio","doc":"*   `segments` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.t)`, *default:* `nil`) - Segments this audio response is composed of.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment","doc":"Represents one segment of audio.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request.\n*   `audio` (*type:* `String.t`, *default:* `nil`) - Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Client-specific URI that points to an audio clip accessible to the client. Dialogflow does not impose any validation on it.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText","doc":"A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `ssml` (*type:* `String.t`, *default:* `nil`) - The SSML text to be synthesized. For more information, see [SSML](/speech/text-to-speech/docs/ssml).\n*   `text` (*type:* `String.t`, *default:* `nil`) - The raw text to be synthesized.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio","doc":"Specifies an audio clip to be played by the client as part of the response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `audioUri` (*type:* `String.t`, *default:* `nil`) - Required. URI of the audio clip. Dialogflow does not impose any validation on this value. It is specific to the client that reads it.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall","doc":"Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageText","doc":"The text response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageText","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `text` (*type:* `list(String.t)`, *default:* `nil`) - Required. A collection of text response variants. If multiple variants are defined, only one text response variant is returned at runtime.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessageText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata","doc":"Metadata returned for the Environments.RunContinuousTest long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError.t)`, *default:* `nil`) - The test errors.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse","doc":"The response message for Environments.RunContinuousTest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse","doc":"*   `continuousTestResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.t`, *default:* `nil`) - The result for a continuous test run.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata","doc":"Metadata returned for the TestCases.RunTestCase long running operation. This message currently has no fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse","doc":"The response message for TestCases.RunTestCase.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse","doc":"*   `result` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult.t`, *default:* `nil`) - The result.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3SessionInfo","doc":"Represents session information communicated to and from the webhook.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3SessionInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3SessionInfo","doc":"*   `parameters` (*type:* `map()`, *default:* `nil`) - Optional for WebhookRequest. Optional for WebhookResponse. All parameters collected from forms and intents during the session. Parameters can be created, updated, or removed by the webhook. To remove a parameter from the session, the webhook should explicitly set the parameter value to null in WebhookResponse. The map is keyed by parameters' display names.\n*   `session` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the session. This field can be used by the webhook to identify a session. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/` if environment is specified.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3SessionInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3SessionInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3SessionInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3SessionInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3SessionInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCase","doc":"Represents a test case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCase","doc":"*   `creationTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. When the test was created.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the test case, unique within the agent. Limit of 200 characters.\n*   `lastTestResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult.t`, *default:* `nil`) - The latest test result.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents//testCases/`.\n*   `notes` (*type:* `String.t`, *default:* `nil`) - Additional freeform notes about the test case. Limit of 400 characters.\n*   `tags` (*type:* `list(String.t)`, *default:* `nil`) - Tags are short descriptions that users may apply to test cases for organizational and filtering purposes. Each tag should start with \"#\" and has a limit of 30 characters.\n*   `testCaseConversationTurns` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurn.t)`, *default:* `nil`) - The conversation turns uttered when the test case was created, in chronological order. These include the canonical set of agent utterances that should occur when the agent is working properly.\n*   `testConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestConfig.t`, *default:* `nil`) - Config for the test case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseError","doc":"Error info for importing a test.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseError","doc":"*   `status` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - The status associated with the test case.\n*   `testCase` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCase.t`, *default:* `nil`) - The test case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult","doc":"Represents a result from running a test case in an agent environment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult","doc":"*   `conversationTurns` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ConversationTurn.t)`, *default:* `nil`) - The conversation turns uttered during the test case replay in chronological order.\n*   `environment` (*type:* `String.t`, *default:* `nil`) - Environment where the test was run. If not set, it indicates the draft environment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the test case result. Format: `projects//locations//agents//testCases//results/`.\n*   `testResult` (*type:* `String.t`, *default:* `nil`) - Whether the test case passed in the agent environment.\n*   `testTime` (*type:* `DateTime.t`, *default:* `nil`) - The time that the test was run.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestCaseResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestConfig","doc":"Represents configurations for a test case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestConfig","doc":"*   `flow` (*type:* `String.t`, *default:* `nil`) - Flow name to start the test case with. Format: `projects//locations//agents//flows/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If neither is set, the test case will start with start page on the default start flow.\n*   `page` (*type:* `String.t`, *default:* `nil`) - The page to start the test case with. Format: `projects//locations//agents//flows//pages/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If neither is set, the test case will start with start page on the default start flow.\n*   `trackingParameters` (*type:* `list(String.t)`, *default:* `nil`) - Session parameters to be compared when calculating differences.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError","doc":"Error info for running a test.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError","doc":"*   `status` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - The status associated with the test.\n*   `testCase` (*type:* `String.t`, *default:* `nil`) - The test case resource name.\n*   `testTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp when the test was completed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestRunDifference","doc":"The description of differences between original and replayed agent output.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestRunDifference.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestRunDifference","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - A human readable description of the diff, showing the actual output vs expected output.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of diff.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestRunDifference.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestRunDifference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestRunDifference.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestRunDifference.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TestRunDifference.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TextInput","doc":"Represents the natural language text to be processed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TextInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TextInput","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The UTF-8 encoded natural language text to be processed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TextInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TextInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TextInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TextInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TextInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TransitionRoute","doc":"A transition route specifies a intent that can be matched and/or a data condition that can be evaluated during a session. When a specified transition is matched, the following actions are taken in order: * If there is a `trigger_fulfillment` associated with the transition, it will be called. * If there is a `target_page` associated with the transition, the session will transition into the specified page. * If there is a `target_flow` associated with the transition, the session will transition into the specified flow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TransitionRoute.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TransitionRoute","doc":"*   `condition` (*type:* `String.t`, *default:* `nil`) - The condition to evaluate against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition). At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The description of the transition route. The maximum length is 500 characters.\n*   `intent` (*type:* `String.t`, *default:* `nil`) - The unique identifier of an Intent. Format: `projects//locations//agents//intents/`. Indicates that the transition can only happen when the given intent is matched. At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this transition route.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the condition is satisfied. At least one of `trigger_fulfillment` and `target` must be specified. When both are defined, `trigger_fulfillment` is executed first.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TransitionRoute.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TransitionRoute.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TransitionRoute.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TransitionRoute.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TransitionRoute.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TurnSignals","doc":"Collection of all signals that were extracted for a single turn of the conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TurnSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TurnSignals","doc":"*   `agentEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether agent responded with LiveAgentHandoff fulfillment.\n*   `dtmfUsed` (*type:* `boolean()`, *default:* `nil`) - Whether user was using DTMF input.\n*   `failureReasons` (*type:* `list(String.t)`, *default:* `nil`) - Failure reasons of the turn.\n*   `noMatch` (*type:* `boolean()`, *default:* `nil`) - Whether NLU predicted NO_MATCH.\n*   `noUserInput` (*type:* `boolean()`, *default:* `nil`) - Whether user provided no input.\n*   `reachedEndPage` (*type:* `boolean()`, *default:* `nil`) - Whether turn resulted in End Session page.\n*   `sentimentMagnitude` (*type:* `number()`, *default:* `nil`) - Sentiment magnitude of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `sentimentScore` (*type:* `number()`, *default:* `nil`) - Sentiment score of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `userEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether user was specifically asking for a live agent.\n*   `webhookStatuses` (*type:* `list(String.t)`, *default:* `nil`) - Human-readable statuses of the webhooks triggered during this turn.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TurnSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TurnSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TurnSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TurnSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3TurnSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Webhook","doc":"Webhooks host the developer's business logic. During a session, webhooks allow the developer to use the data extracted by Dialogflow's natural language processing to generate dynamic responses, validate collected data, or trigger actions on the backend.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Webhook.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Webhook","doc":"*   `disabled` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the webhook is disabled.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the webhook, unique within the agent.\n*   `genericWebService` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.t`, *default:* `nil`) - Configuration for a generic web service.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`.\n*   `serviceDirectory` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.t`, *default:* `nil`) - Configuration for a [Service Directory](https://cloud.google.com/service-directory) service.\n*   `timeout` (*type:* `String.t`, *default:* `nil`) - Webhook execution timeout. Execution is considered failed if Dialogflow doesn't receive a response from webhook at the end of the timeout period. Defaults to 5 seconds, maximum allowed timeout is 30 seconds.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Webhook.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Webhook.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Webhook.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Webhook.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3Webhook.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService","doc":"Represents configuration for a generic web service.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService","doc":"*   `allowedCaCerts` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Specifies a list of allowed custom CA certificates (in DER format) for HTTPS verification. This overrides the default SSL trust store. If this is empty or unspecified, Dialogflow will use Google's default trust store to verify certificates. N.B. Make sure the HTTPS server certificates are signed with \"subject alt name\". For instance a certificate can be self-signed using the following command, ``` openssl x509 -req -days 200 -in example.com.csr \\ -signkey example.com.key \\ -out example.com.crt \\ -extfile <(printf \"\\nsubjectAltName='DNS:www.example.com'\") ```\n*   `httpMethod` (*type:* `String.t`, *default:* `nil`) - Optional. HTTP method for the flexible webhook calls. Standard webhook always uses POST.\n*   `oauthConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.t`, *default:* `nil`) - Optional. The OAuth configuration of the webhook. If specified, Dialogflow will initiate the OAuth client credential flow to exchange an access token from the 3rd party platform and put it in the auth header.\n*   `parameterMapping` (*type:* `map()`, *default:* `nil`) - Optional. Maps the values extracted from specific fields of the flexible webhook response into session parameters. - Key: session parameter name - Value: field path in the webhook response\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for HTTP Basic authentication.\n*   `requestBody` (*type:* `String.t`, *default:* `nil`) - Optional. Defines a custom JSON object as request body to send to flexible webhook.\n*   `requestHeaders` (*type:* `map()`, *default:* `nil`) - The HTTP request headers to send together with webhook requests.\n*   `serviceAgentAuth` (*type:* `String.t`, *default:* `nil`) - Optional. Indicate the auth token type generated from the [Diglogflow service agent](https://cloud.google.com/iam/docs/service-agents#dialogflow-service-agent). The generated token is sent in the Authorization header.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The webhook URI for receiving POST requests. It must use https protocol.\n*   `username` (*type:* `String.t`, *default:* `nil`) - The user name for HTTP Basic authentication.\n*   `webhookType` (*type:* `String.t`, *default:* `nil`) - Optional. Type of the webhook.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig","doc":"Represents configuration of OAuth client credential flow for 3rd party API authentication.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig","doc":"*   `clientId` (*type:* `String.t`, *default:* `nil`) - Required. The client ID provided by the 3rd party platform.\n*   `clientSecret` (*type:* `String.t`, *default:* `nil`) - Required. The client secret provided by the 3rd party platform.\n*   `scopes` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The OAuth scopes to grant.\n*   `tokenEndpoint` (*type:* `String.t`, *default:* `nil`) - Required. The token endpoint provided by the 3rd party platform to exchange an access token.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequest","doc":"The request message for a webhook call. The request is sent as a JSON object and the field names will be presented in camel cases. You may see undocumented fields in an actual request. These fields are used internally by Dialogflow and should be ignored.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequest","doc":"*   `detectIntentResponseId` (*type:* `String.t`, *default:* `nil`) - Always present. The unique identifier of the DetectIntentResponse that will be returned to the API caller.\n*   `dtmfDigits` (*type:* `String.t`, *default:* `nil`) - If DTMF was provided as input, this field will contain the DTMF digits.\n*   `fulfillmentInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.t`, *default:* `nil`) - Always present. Information about the fulfillment that triggered this webhook call.\n*   `intentInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.t`, *default:* `nil`) - Information about the last matched intent.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language code specified in the original request.\n*   `languageInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3LanguageInfo.t`, *default:* `nil`) - Information about the language of the request.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user. Webhook can choose to append or replace this list in WebhookResponse.fulfillment_response;\n*   `pageInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfo.t`, *default:* `nil`) - Information about page status.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Custom data set in QueryParameters.payload.\n*   `sentimentAnalysisResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.t`, *default:* `nil`) - The sentiment analysis result of the current user request. The field is filled when sentiment analysis is configured to be enabled for the request.\n*   `sessionInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3SessionInfo.t`, *default:* `nil`) - Information about session status.\n*   `text` (*type:* `String.t`, *default:* `nil`) - If natural language text was provided as input, this field will contain a copy of the text.\n*   `transcript` (*type:* `String.t`, *default:* `nil`) - If natural language speech audio was provided as input, this field will contain the transcript for the audio.\n*   `triggerEvent` (*type:* `String.t`, *default:* `nil`) - If an event was provided as input, this field will contain the name of the event.\n*   `triggerIntent` (*type:* `String.t`, *default:* `nil`) - If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo","doc":"Represents fulfillment information communicated to the webhook.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo","doc":"*   `tag` (*type:* `String.t`, *default:* `nil`) - Always present. The value of the Fulfillment.tag field will be populated in this field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo","doc":"Represents intent information communicated to the webhook.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo","doc":"*   `confidence` (*type:* `number()`, *default:* `nil`) - The confidence of the matched intent. Values range from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present. The display name of the last matched intent.\n*   `lastMatchedIntent` (*type:* `String.t`, *default:* `nil`) - Always present. The unique identifier of the last matched intent. Format: `projects//locations//agents//intents/`.\n*   `parameters` (*type:* `%{optional(String.t) => GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.t}`, *default:* `nil`) - Parameters identified as a result of intent matching. This is a map of the name of the identified parameter to the value of the parameter identified from the user's utterance. All parameters defined in the matched intent that are identified will be surfaced here.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue","doc":"Represents a value for an intent parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue","doc":"*   `originalValue` (*type:* `String.t`, *default:* `nil`) - Always present. Original text value extracted from user utterance.\n*   `resolvedValue` (*type:* `any()`, *default:* `nil`) - Always present. Structured value for the parameter extracted from user utterance.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult","doc":"Represents the result of sentiment analysis.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult","doc":"*   `magnitude` (*type:* `number()`, *default:* `nil`) - A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).\n*   `score` (*type:* `number()`, *default:* `nil`) - Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponse","doc":"The response message for a webhook call.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponse","doc":"*   `fulfillmentResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.t`, *default:* `nil`) - The fulfillment response to send to the user. This field can be omitted by the webhook if it does not intend to send any response to the user.\n*   `pageInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3PageInfo.t`, *default:* `nil`) - Information about page status. This field can be omitted by the webhook if it does not intend to modify page status.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Value to append directly to QueryResult.webhook_payloads.\n*   `sessionInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3SessionInfo.t`, *default:* `nil`) - Information about session status. This field can be omitted by the webhook if it does not intend to modify session status.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse","doc":"Represents a fulfillment response to the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse","doc":"*   `mergeBehavior` (*type:* `String.t`, *default:* `nil`) - Merge behavior for `messages`.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig","doc":"Represents configuration for a [Service Directory](https://cloud.google.com/service-directory) service.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig","doc":"*   `genericWebService` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.t`, *default:* `nil`) - Generic Service configuration of this webhook.\n*   `service` (*type:* `String.t`, *default:* `nil`) - Required. The name of [Service Directory](https://cloud.google.com/service-directory) service. Format: `projects//locations//namespaces//services/`. `Location ID` of the service directory must be the same as the location of the agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings","doc":"Hierarchical advanced settings for agent/flow/page/fulfillment/parameter. Settings exposed at lower level overrides the settings exposed at higher level. Overriding occurs at the sub-setting level. For example, the playback_interruption_settings at fulfillment level only overrides the playback_interruption_settings at the agent level, leaving other settings at the agent level unchanged. DTMF settings does not override each other. DTMF settings set at different levels define DTMF detections running in parallel. Hierarchy: Agent->Flow->Page->Fulfillment/Parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings","doc":"*   `audioExportGcsDestination` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.t`, *default:* `nil`) - If present, incoming audio is exported by Dialogflow to the configured Google Cloud Storage destination. Exposed at the following levels: - Agent level - Flow level\n*   `dtmfSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.t`, *default:* `nil`) - Settings for DTMF. Exposed at the following levels: - Agent level - Flow level - Page level - Parameter level.\n*   `loggingSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.t`, *default:* `nil`) - Settings for logging. Settings for Dialogflow History, Contact Center messages, StackDriver logs, and speech logging. Exposed at the following levels: - Agent level.\n*   `speechSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.t`, *default:* `nil`) - Settings for speech to text detection. Exposed at the following levels: - Agent level - Flow level - Page level - Parameter level","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings","doc":"Define behaviors for DTMF (dual tone multi frequency).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings","doc":"*   `enabled` (*type:* `boolean()`, *default:* `nil`) - If true, incoming audio is processed for DTMF (dual tone multi frequency) events. For example, if the caller presses a button on their telephone keypad and DTMF processing is enabled, Dialogflow will detect the event (e.g. a \"3\" was pressed) in the incoming audio and pass the event to the bot to drive business logic (e.g. when 3 is pressed, return the account balance).\n*   `endpointingTimeoutDuration` (*type:* `String.t`, *default:* `nil`) - Endpoint timeout setting for matching dtmf input to regex.\n*   `finishDigit` (*type:* `String.t`, *default:* `nil`) - The digit that terminates a DTMF digit sequence.\n*   `interdigitTimeoutDuration` (*type:* `String.t`, *default:* `nil`) - Interdigit timeout setting for matching dtmf input to regex.\n*   `maxDigits` (*type:* `integer()`, *default:* `nil`) - Max length of DTMF digits.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings","doc":"Define behaviors on logging.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings","doc":"*   `enableConsentBasedRedaction` (*type:* `boolean()`, *default:* `nil`) - Enables consent-based end-user input redaction, if true, a pre-defined session parameter `$session.params.conversation-redaction` will be used to determine if the utterance should be redacted.\n*   `enableInteractionLogging` (*type:* `boolean()`, *default:* `nil`) - Enables DF Interaction logging.\n*   `enableStackdriverLogging` (*type:* `boolean()`, *default:* `nil`) - Enables Google Cloud Logging.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings","doc":"Define behaviors of speech to text detection.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings","doc":"*   `endpointerSensitivity` (*type:* `integer()`, *default:* `nil`) - Sensitivity of the speech model that detects the end of speech. Scale from 0 to 100.\n*   `models` (*type:* `map()`, *default:* `nil`) - Mapping from language to Speech-to-Text model. The mapped Speech-to-Text model will be selected for requests from its corresponding language. For more information, see [Speech models](https://cloud.google.com/dialogflow/cx/docs/concept/speech-models).\n*   `noSpeechTimeout` (*type:* `String.t`, *default:* `nil`) - Timeout before detecting no speech.\n*   `useTimeoutBasedEndpointing` (*type:* `boolean()`, *default:* `nil`) - Use timeout based endpointing, interpreting endpointer sensitivy as seconds of timeout value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AudioInput","doc":"Represents the natural speech audio to be processed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AudioInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AudioInput","doc":"*   `audio` (*type:* `String.t`, *default:* `nil`) - The natural language speech audio to be processed. A single request can contain up to 2 minutes of speech audio data. The transcribed text cannot contain more than 256 bytes. For non-streaming audio detect intent, both `config` and `audio` must be provided. For streaming audio detect intent, `config` must be provided in the first request and `audio` must be provided in all following requests.\n*   `config` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.t`, *default:* `nil`) - Required. Instructs the speech recognizer how to process the speech audio.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AudioInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AudioInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AudioInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AudioInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AudioInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig","doc":"Configuration of the barge-in behavior. Barge-in instructs the API to return a detected utterance at a proper time while the client is playing back the response audio from a previous request. When the client sees the utterance, it should stop the playback and immediately get ready for receiving the responses for the current request. The barge-in handling requires the client to start streaming audio input as soon as it starts playing back the audio from the previous response. The playback is modeled into two phases: * No barge-in phase: which goes first and during which speech detection should not be carried out. * Barge-in phase: which follows the no barge-in phase and during which the API starts speech detection and may inform the client that an utterance has been detected. Note that no-speech event is not expected in this phase. The client provides this configuration in terms of the durations of those two phases. The durations are measured in terms of the audio length from the start of the input audio. No-speech event is a response with END_OF_UTTERANCE without any transcript following up.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig","doc":"*   `noBargeInDuration` (*type:* `String.t`, *default:* `nil`) - Duration that is not eligible for barge-in at the beginning of the input audio.\n*   `totalDuration` (*type:* `String.t`, *default:* `nil`) - Total duration for the playback at the beginning of the input audio.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata","doc":"Metadata returned for the TestCases.BatchRunTestCases long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError.t)`, *default:* `nil`) - The test errors.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse","doc":"The response message for TestCases.BatchRunTestCases.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse","doc":"*   `results` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.t)`, *default:* `nil`) - The test case results. The detailed conversation turns are empty in this response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult","doc":"Represents a result from running a test case in an agent environment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the continuous test result. Format: `projects//locations//agents//environments//continuousTestResults/`.\n*   `result` (*type:* `String.t`, *default:* `nil`) - The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not.\n*   `runTime` (*type:* `DateTime.t`, *default:* `nil`) - Time when the continuous testing run starts.\n*   `testCaseResults` (*type:* `list(String.t)`, *default:* `nil`) - A list of individual test case results names in this continuous test run.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals","doc":"This message is used to hold all the Conversation Signals data, which will be converted to JSON and exported to BigQuery.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals","doc":"*   `turnSignals` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.t`, *default:* `nil`) - Required. Turn signals for the current turn.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn","doc":"One interaction between a human and virtual agent. The human provides some input and the virtual agent provides a response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn","doc":"*   `userInput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.t`, *default:* `nil`) - The user input.\n*   `virtualAgentOutput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.t`, *default:* `nil`) - The virtual agent output.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput","doc":"The input from the human user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput","doc":"*   `enableSentimentAnalysis` (*type:* `boolean()`, *default:* `nil`) - Whether sentiment analysis is enabled.\n*   `injectedParameters` (*type:* `map()`, *default:* `nil`) - Parameters that need to be injected into the conversation during intent detection.\n*   `input` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1QueryInput.t`, *default:* `nil`) - Supports text input, event input, dtmf input in the test case.\n*   `isWebhookEnabled` (*type:* `boolean()`, *default:* `nil`) - If webhooks should be allowed to trigger in response to the user utterance. Often if parameters are injected, webhooks should not be enabled.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput","doc":"The output from the virtual agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput","doc":"*   `currentPage` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Page.t`, *default:* `nil`) - The Page on which the utterance was spoken. Only name and displayName will be set.\n*   `diagnosticInfo` (*type:* `map()`, *default:* `nil`) - Required. Input only. The diagnostic info output for the turn. Required to calculate the testing coverage.\n*   `differences` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.t)`, *default:* `nil`) - Output only. If this is part of a result conversation turn, the list of differences between the original run and the replay for this output, if any.\n*   `sessionParameters` (*type:* `map()`, *default:* `nil`) - The session parameters available to the bot at this point.\n*   `status` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - Response error from the agent in the test result. If set, other output is empty.\n*   `textResponses` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.t)`, *default:* `nil`) - The text responses from the agent for the turn.\n*   `triggeredIntent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Intent.t`, *default:* `nil`) - The Intent that triggered the response. Only name and displayName will be set.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata","doc":"Metadata associated with the long running operation for Versions.CreateVersion.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata","doc":"*   `version` (*type:* `String.t`, *default:* `nil`) - Name of the created version. Format: `projects//locations//agents//flows//versions/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection","doc":"A data store connection. It represents a data store in Discovery Engine and the type of the contents it contains.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection","doc":"*   `dataStore` (*type:* `String.t`, *default:* `nil`) - The full name of the referenced data store. Formats: `projects/{project}/locations/{location}/collections/{collection}/dataStores/{data_store}` `projects/{project}/locations/{location}/dataStores/{data_store}`\n*   `dataStoreType` (*type:* `String.t`, *default:* `nil`) - The type of the connected data store.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata","doc":"Metadata returned for the Environments.DeployFlow long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata","doc":"*   `testErrors` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError.t)`, *default:* `nil`) - Errors of running deployment tests.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse","doc":"The response message for Environments.DeployFlow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse","doc":"*   `deployment` (*type:* `String.t`, *default:* `nil`) - The name of the flow version deployment. Format: `projects//locations//agents//environments//deployments/`.\n*   `environment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Environment.t`, *default:* `nil`) - The updated environment where the flow is deployed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DtmfInput","doc":"Represents the input for dtmf event.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DtmfInput","doc":"*   `digits` (*type:* `String.t`, *default:* `nil`) - The dtmf digits.\n*   `finishDigit` (*type:* `String.t`, *default:* `nil`) - The finish digit (if any).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Environment","doc":"Represents an environment for an agent. You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for testing, development, production, etc.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Environment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Environment","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The human-readable description of the environment. The maximum length is 500 characters. If exceeded, the request is rejected.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the environment (unique in an agent). Limit of 64 characters.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the environment. Format: `projects//locations//agents//environments/`.\n*   `testCasesConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.t`, *default:* `nil`) - The test cases config for continuous tests of this environment.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Update time of this environment.\n*   `versionConfigs` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.t)`, *default:* `nil`) - A list of configurations for flow versions. You should include version configs for all flows that are reachable from `Start Flow` in the agent. Otherwise, an error will be returned.\n*   `webhookConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.t`, *default:* `nil`) - The webhook configuration for this environment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Environment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Environment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Environment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Environment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Environment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig","doc":"The configuration for continuous tests.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig","doc":"*   `enableContinuousRun` (*type:* `boolean()`, *default:* `nil`) - Whether to run test cases in TestCasesConfig.test_cases periodically. Default false. If set to true, run once a day.\n*   `enablePredeploymentRun` (*type:* `boolean()`, *default:* `nil`) - Whether to run test cases in TestCasesConfig.test_cases before deploying a flow version to the environment. Default false.\n*   `testCases` (*type:* `list(String.t)`, *default:* `nil`) - A list of test case names to run. They should be under the same agent. Format of each test case name: `projects//locations//agents//testCases/`","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig","doc":"Configuration for the version.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig","doc":"*   `version` (*type:* `String.t`, *default:* `nil`) - Required. Both flow and playbook versions are supported. Format for flow version: projects//locations//agents//flows//versions/. Format for playbook version: projects//locations//agents//playbooks//versions/.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig","doc":"Configuration for webhooks.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig","doc":"*   `webhookOverrides` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Webhook.t)`, *default:* `nil`) - The list of webhooks to override for the agent environment. The webhook must exist in the agent. You can override fields in `generic_web_service` and `service_directory`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventHandler","doc":"An event handler specifies an event that can be handled during a session. When the specified event happens, the following actions are taken in order: * If there is a `trigger_fulfillment` associated with the event, it will be called. * If there is a `target_page` associated with the event, the session will transition into the specified page. * If there is a `target_flow` associated with the event, the session will transition into the specified flow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventHandler.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventHandler","doc":"*   `event` (*type:* `String.t`, *default:* `nil`) - Required. The name of the event to handle.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this event handler.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `targetPlaybook` (*type:* `String.t`, *default:* `nil`) - The target playbook to transition to. Format: `projects//locations//agents//playbooks/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the event occurs. Handling webhook errors with a fulfillment enabled with webhook could cause infinite loop. It is invalid to specify such fulfillment for a handler handling webhooks.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventHandler.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventHandler.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventHandler.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventHandler.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventHandler.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventInput","doc":"Represents the event to trigger.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventInput","doc":"*   `event` (*type:* `String.t`, *default:* `nil`) - Name of the event.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse","doc":"The response message for Agents.ExportAgent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for agent. This field is populated if none of `agent_uri` and `git_destination` are specified in ExportAgentRequest.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported agent. This field is populated if `agent_uri` is specified in ExportAgentRequest.\n*   `commitSha` (*type:* `String.t`, *default:* `nil`) - Commit SHA of the git push. This field is populated if `git_destination` is specified in ExportAgentRequest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata","doc":"Metadata returned for the EntityTypes.ExportEntityTypes long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse","doc":"The response message for EntityTypes.ExportEntityTypes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse","doc":"*   `entityTypesContent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.t`, *default:* `nil`) - Uncompressed byte content for entity types. This field is populated only if `entity_types_content_inline` is set to true in ExportEntityTypesRequest.\n*   `entityTypesUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported entity types. This field is populated only if `entity_types_uri` is specified in ExportEntityTypesRequest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse","doc":"The response message for Flows.ExportFlow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse","doc":"*   `flowContent` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for flow.\n*   `flowUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported flow. This field is populated only if `flow_uri` is specified in ExportFlowRequest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata","doc":"Metadata returned for the Intents.ExportIntents long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse","doc":"The response message for Intents.ExportIntents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse","doc":"*   `intentsContent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.t`, *default:* `nil`) - Uncompressed byte content for intents. This field is populated only if `intents_content_inline` is set to true in ExportIntentsRequest.\n*   `intentsUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported intents. This field is populated only if `intents_uri` is specified in ExportIntentsRequest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata","doc":"Metadata returned for the TestCases.ExportTestCases long running operation. This message currently has no fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse","doc":"The response message for TestCases.ExportTestCases.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for test cases.\n*   `gcsUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported test cases. This field is populated only if `gcs_uri` is specified in ExportTestCasesRequest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Form","doc":"A form is a data model that groups related parameters that can be collected from the user. The process in which the agent prompts the user and collects parameter values from the user is called form filling. A form can be added to a page. When form filling is done, the filled parameters will be written to the session.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Form.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Form","doc":"*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameter.t)`, *default:* `nil`) - Parameters to collect from the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Form.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Form.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Form.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Form.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Form.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameter","doc":"Represents a form parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameter","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this parameter. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `defaultValue` (*type:* `any()`, *default:* `nil`) - The default value of an optional parameter. If the parameter is required, the default value will be ignored.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the parameter, unique within the form.\n*   `entityType` (*type:* `String.t`, *default:* `nil`) - Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.\n*   `fillBehavior` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.t`, *default:* `nil`) - Required. Defines fill behavior for the parameter.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter represents a list of values.\n*   `redact` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.\n*   `required` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior","doc":"Configuration for how the filling of a parameter should be handled.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior","doc":"*   `initialPromptFulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t`, *default:* `nil`) - Required. The fulfillment to provide the initial prompt that the agent can present to the user in order to fill the parameter.\n*   `repromptEventHandlers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventHandler.t)`, *default:* `nil`) - The handlers for parameter-level events, used to provide reprompt for the parameter or transition to a different page/flow. The supported events are: * `sys.no-match-`, where N can be from 1 to 6 * `sys.no-match-default` * `sys.no-input-`, where N can be from 1 to 6 * `sys.no-input-default` * `sys.invalid-parameter` `initial_prompt_fulfillment` provides the first prompt for the parameter. If the user's response does not fill the parameter, a no-match/no-input event will be triggered, and the fulfillment associated with the `sys.no-match-1`/`sys.no-input-1` handler (if defined) will be called to provide a prompt. The `sys.no-match-2`/`sys.no-input-2` handler (if defined) will respond to the next no-match/no-input event, and so on. A `sys.no-match-default` or `sys.no-input-default` handler will be used to handle all following no-match/no-input events after all numbered no-match/no-input handlers for the parameter are consumed. A `sys.invalid-parameter` handler can be defined to handle the case where the parameter values have been `invalidated` by webhook. For example, if the user's response fill the parameter, however the parameter was invalidated by webhook, the fulfillment associated with the `sys.invalid-parameter` handler (if defined) will be called to provide a prompt. If the event handler for the corresponding event can't be found on the parameter, `initial_prompt_fulfillment` will be re-prompted.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment","doc":"A fulfillment can do one or more of the following actions at the same time: * Generate rich message responses. * Set parameter values. * Call the webhook. Fulfillments can be called at various stages in the Page or Form lifecycle. For example, when a DetectIntentRequest drives a session to enter a new page, the page's entry fulfillment can add a static response to the QueryResult in the returning DetectIntentResponse, call the webhook (for example, to load user data from a database), or both.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this fulfillment. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `conditionalCases` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.t)`, *default:* `nil`) - Conditional cases for this fulfillment.\n*   `enableGenerativeFallback` (*type:* `boolean()`, *default:* `nil`) - If the flag is true, the agent will utilize LLM to generate a text response. If LLM generation fails, the defined responses in the fulfillment will be respected. This flag is only useful for fulfillments associated with no-match event handlers.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user.\n*   `returnPartialResponses` (*type:* `boolean()`, *default:* `nil`) - Whether Dialogflow should return currently queued fulfillment response messages in streaming APIs. If a webhook is specified, it happens before Dialogflow invokes webhook. Warning: 1) This flag only affects streaming API. Responses are still queued and returned once in non-streaming API. 2) The flag can be enabled in any fulfillment but only the first 3 partial responses will be returned. You may only want to apply it to fulfillments that have slow webhooks.\n*   `setParameterActions` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.t)`, *default:* `nil`) - Set parameter values before executing the webhook.\n*   `tag` (*type:* `String.t`, *default:* `nil`) - The value of this field will be populated in the WebhookRequest `fulfillmentInfo.tag` field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes. This field is required if `webhook` is specified.\n*   `webhook` (*type:* `String.t`, *default:* `nil`) - The webhook to call. Format: `projects//locations//agents//webhooks/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases","doc":"A list of cascading if-else conditions. Cases are mutually exclusive. The first one with a matching condition is selected, all the rest ignored.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases","doc":"*   `cases` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.t)`, *default:* `nil`) - A list of cascading if-else conditions.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase","doc":"Each case has a Boolean condition. When it is evaluated to be True, the corresponding messages will be selected and evaluated recursively.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase","doc":"*   `caseContent` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.t)`, *default:* `nil`) - A list of case content.\n*   `condition` (*type:* `String.t`, *default:* `nil`) - The condition to activate and select this case. Empty means the condition is always true. The condition is evaluated against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent","doc":"The list of messages or conditional cases to activate for this case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent","doc":"*   `additionalCases` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.t`, *default:* `nil`) - Additional cases to be evaluated.\n*   `message` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.t`, *default:* `nil`) - Returned message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction","doc":"Setting a parameter value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction","doc":"*   `parameter` (*type:* `String.t`, *default:* `nil`) - Display name of the parameter.\n*   `value` (*type:* `any()`, *default:* `nil`) - The new value of the parameter. A null value clears the parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1GcsDestination","doc":"Google Cloud Storage location for a Dialogflow operation that writes or exports objects (e.g. exported agent or transcripts) outside of Dialogflow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1GcsDestination","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The Google Cloud Storage URI for the exported objects. A URI is of the form: `gs://bucket/object-name-or-prefix` Whether a full object name, or just a prefix, its usage depends on the Dialogflow operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata","doc":"Metadata returned for the EntityTypes.ImportEntityTypes long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse","doc":"The response message for EntityTypes.ImportEntityTypes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse","doc":"*   `conflictingResources` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.t`, *default:* `nil`) - Info which resources have conflicts when REPORT_CONFLICT merge_option is set in ImportEntityTypesRequest.\n*   `entityTypes` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifier of the imported entity types. Format: `projects//locations//agents//entity_types/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources","doc":"Conflicting resources detected during the import process. Only filled when REPORT_CONFLICT is set in the request and there are conflicts in the display names.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources","doc":"*   `entityDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entities.\n*   `entityTypeDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entity types.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse","doc":"The response message for Flows.ImportFlow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse","doc":"*   `flow` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the new flow. Format: `projects//locations//agents//flows/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata","doc":"Metadata returned for the Intents.ImportIntents long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse","doc":"The response message for Intents.ImportIntents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse","doc":"*   `conflictingResources` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.t`, *default:* `nil`) - Info which resources have conflicts when REPORT_CONFLICT merge_option is set in ImportIntentsRequest.\n*   `intents` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifier of the imported intents. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources","doc":"Conflicting resources detected during the import process. Only filled when REPORT_CONFLICT is set in the request and there are conflicts in the display names.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources","doc":"*   `entityDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entities.\n*   `intentDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting intents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata","doc":"Metadata returned for the TestCases.ImportTestCases long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.t)`, *default:* `nil`) - Errors for failed test cases.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse","doc":"The response message for TestCases.ImportTestCases.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse","doc":"*   `names` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifiers of the new test cases. Format: `projects//locations//agents//testCases/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InlineDestination","doc":"Inline destination for a Dialogflow operation that writes or exports objects (e.g. intents) outside of Dialogflow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InlineDestination","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Output only. The uncompressed byte content for the objects. Only populated in responses.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig","doc":"Instructs the speech recognizer on how to process the audio content.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig","doc":"*   `audioEncoding` (*type:* `String.t`, *default:* `nil`) - Required. Audio encoding of the audio content to process.\n*   `bargeInConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.t`, *default:* `nil`) - Configuration of barge-in behavior during the streaming of input audio.\n*   `enableWordInfo` (*type:* `boolean()`, *default:* `nil`) - Optional. If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.\n*   `model` (*type:* `String.t`, *default:* `nil`) - Optional. Which Speech model to select for the given request. For more information, see [Speech models](https://cloud.google.com/dialogflow/cx/docs/concept/speech-models).\n*   `modelVariant` (*type:* `String.t`, *default:* `nil`) - Optional. Which variant of the Speech model to use.\n*   `optOutConformerModelMigration` (*type:* `boolean()`, *default:* `nil`) - If `true`, the request will opt out for STT conformer model migration. This field will be deprecated once force migration takes place in June 2024. Please refer to [Dialogflow CX Speech model migration](https://cloud.google.com/dialogflow/cx/docs/concept/speech-model-migration).\n*   `phraseHints` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.\n*   `sampleRateHertz` (*type:* `integer()`, *default:* `nil`) - Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details.\n*   `singleUtterance` (*type:* `boolean()`, *default:* `nil`) - Optional. If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Intent","doc":"An intent represents a user's intent to interact with a conversational agent. You can provide information for the Dialogflow API to use to match user input to an intent by adding training phrases (i.e., examples of user input) to your intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Intent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Intent","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the intent, unique within the agent.\n*   `isFallback` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this is a fallback intent. Currently only default fallback intent is allowed in the agent, which is added upon agent creation. Adding training phrases to fallback intent is useful in the case of requests that are mistakenly matched, since training phrases assigned to fallback intents act as negative examples that triggers no-match event.\n*   `labels` (*type:* `map()`, *default:* `nil`) - The key/value metadata to label an intent. Labels can contain lowercase letters, digits and the symbols '-' and '_'. International characters are allowed, including letters from unicase alphabets. Keys must start with a letter. Keys and values can be no longer than 63 characters and no more than 128 bytes. Prefix \"sys-\" is reserved for Dialogflow defined labels. Currently allowed Dialogflow defined labels include: * sys-head * sys-contextual The above labels do not require value. \"sys-head\" means the intent is a head intent. \"sys-contextual\" means the intent is a contextual intent.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`.\n*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.t)`, *default:* `nil`) - The collection of parameters associated with the intent.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.\n*   `trainingPhrases` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.t)`, *default:* `nil`) - The collection of training phrases the agent is trained on to identify the intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Intent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Intent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Intent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Intent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Intent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentInput","doc":"Represents the intent to trigger programmatically rather than as a result of natural language processing.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentInput","doc":"*   `intent` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the intent. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentParameter","doc":"Represents an intent parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentParameter","doc":"*   `entityType` (*type:* `String.t`, *default:* `nil`) - Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the parameter. This field is used by training phrases to annotate their parts.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter represents a list of values.\n*   `redact` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase","doc":"Represents an example that the agent is trained on to identify the intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of the training phrase.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.t)`, *default:* `nil`) - Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `parameter_id` field is set.\n*   `repeatCount` (*type:* `integer()`, *default:* `nil`) - Indicates how many times this example was added to the intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart","doc":"Represents a part of a training phrase.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart","doc":"*   `parameterId` (*type:* `String.t`, *default:* `nil`) - The parameter used to annotate this part of the training phrase. This field is required for annotated parts of the training phrase.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The text for this part.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings","doc":"The Knowledge Connector settings for this page or flow. This includes information such as the attached Knowledge Bases, and the way to execute fulfillment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings","doc":"*   `dataStoreConnections` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.t)`, *default:* `nil`) - Optional. List of related data store connections.\n*   `enabled` (*type:* `boolean()`, *default:* `nil`) - Whether Knowledge Connector is enabled or not.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t`, *default:* `nil`) - The fulfillment to be triggered. When the answers from the Knowledge Connector are selected by Dialogflow, you can utitlize the request scoped parameter `$request.knowledge.answers` (contains up to the 5 highest confidence answers) and `$request.knowledge.questions` (contains the corresponding questions) to construct the fulfillment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo","doc":"Represents the language information of the request.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo","doc":"*   `confidenceScore` (*type:* `number()`, *default:* `nil`) - The confidence score of the detected language between 0 and 1.\n*   `inputLanguageCode` (*type:* `String.t`, *default:* `nil`) - The language code specified in the original request.\n*   `resolvedLanguageCode` (*type:* `String.t`, *default:* `nil`) - The language code detected for this request based on the user conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Page","doc":"A Dialogflow CX conversation (session) can be described and visualized as a state machine. The states of a CX session are represented by pages. For each flow, you define many pages, where your combined pages can handle a complete conversation on the topics the flow is designed for. At any given moment, exactly one page is the current page, the current page is considered active, and the flow associated with that page is considered active. Every flow has a special start page. When a flow initially becomes active, the start page page becomes the current page. For each conversational turn, the current page will either stay the same or transition to another page. You configure each page to collect information from the end-user that is relevant for the conversational state represented by the page. For more information, see the [Page guide](https://cloud.google.com/dialogflow/cx/docs/concept/page).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Page.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Page","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this page. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the page. The maximum length is 500 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the page, unique within the flow.\n*   `entryFulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the session is entering the page.\n*   `eventHandlers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventHandler.t)`, *default:* `nil`) - Handlers associated with the page to handle events such as webhook errors, no match or no input.\n*   `form` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Form.t`, *default:* `nil`) - The form associated with the page, used for collecting parameters relevant to the page.\n*   `knowledgeConnectorSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.t`, *default:* `nil`) - Optional. Knowledge connector configuration.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`.\n*   `transitionRouteGroups` (*type:* `list(String.t)`, *default:* `nil`) - Ordered list of `TransitionRouteGroups` added to the page. Transition route groups must be unique within a page. If the page links both flow-level transition route groups and agent-level transition route groups, the flow-level ones will have higher priority and will be put before the agent-level ones. * If multiple transition routes within a page scope refer to the same intent, then the precedence order is: page's transition route -> page's transition route group -> flow's transition routes. * If multiple transition route groups within a page contain the same intent, then the first group in the ordered list takes precedence. Format:`projects//locations//agents//flows//transitionRouteGroups/` or `projects//locations//agents//transitionRouteGroups/` for agent-level groups.\n*   `transitionRoutes` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.t)`, *default:* `nil`) - A list of transitions for the transition rules of this page. They route the conversation to another page in the same flow, or another flow. When we are in a certain page, the TransitionRoutes are evalauted in the following order: * TransitionRoutes defined in the page with intent specified. * TransitionRoutes defined in the transition route groups with intent specified. * TransitionRoutes defined in flow with intent specified. * TransitionRoutes defined in the transition route groups with intent specified. * TransitionRoutes defined in the page with only condition specified. * TransitionRoutes defined in the transition route groups with only condition specified.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Page.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Page.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Page.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Page.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Page.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfo","doc":"Represents page information communicated to and from the webhook.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfo","doc":"*   `currentPage` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the current page. Format: `projects//locations//agents//flows//pages/`.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The display name of the current page.\n*   `formInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.t`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. Information about the form.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo","doc":"Represents form information.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo","doc":"*   `parameterInfo` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.t)`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. The parameters contained in the form. Note that the webhook cannot add or remove any form parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo","doc":"Represents parameter information.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Required for WebhookResponse. The human-readable name of the parameter, unique within the form. This field cannot be modified by the webhook.\n*   `justCollected` (*type:* `boolean()`, *default:* `nil`) - Optional for WebhookRequest. Ignored for WebhookResponse. Indicates if the parameter value was just collected on the last conversation turn.\n*   `required` (*type:* `boolean()`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Required for WebhookResponse. The state of the parameter. This field can be set to INVALID by the webhook to invalidate the parameter; other values set by the webhook will be ignored.\n*   `value` (*type:* `any()`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. The value of the parameter. This field can be set by the webhook to change the parameter value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1QueryInput","doc":"Represents the query input. It can contain one of: 1. A conversational query in the form of text. 2. An intent query that specifies which intent to trigger. 3. Natural language speech audio to be processed. 4. An event to be triggered. 5. DTMF digits to invoke an intent and fill in parameter value. 6. The results of a tool executed by the client.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1QueryInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1QueryInput","doc":"*   `audio` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1AudioInput.t`, *default:* `nil`) - The natural language speech audio to be processed.\n*   `dtmf` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.t`, *default:* `nil`) - The DTMF event to be handled.\n*   `event` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1EventInput.t`, *default:* `nil`) - The event to be triggered.\n*   `intent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1IntentInput.t`, *default:* `nil`) - The intent to be triggered.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of the input. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language.\n*   `text` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TextInput.t`, *default:* `nil`) - The natural language text to be processed.\n*   `toolCallResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.t`, *default:* `nil`) - The results of a tool executed by the client.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1QueryInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1QueryInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1QueryInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1QueryInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1QueryInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage","doc":"Represents a response message that can be returned by a conversational agent. Response messages are also used for output audio synthesis. The approach is as follows: * If at least one OutputAudioText response is present, then all OutputAudioText responses are linearly concatenated, and the result is used for output audio synthesis. * If the OutputAudioText responses are a mixture of text and SSML, then the concatenated result is treated as SSML; otherwise, the result is treated as either text or SSML as appropriate. The agent designer should ideally use either text or SSML consistently throughout the bot design. * Otherwise, all Text responses are linearly concatenated, and the result is used for output audio synthesis. This approach allows for more sophisticated user experience scenarios, where the text displayed to the user may differ from what is heard.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage","doc":"*   `channel` (*type:* `String.t`, *default:* `nil`) - The channel which the response is associated with. Clients can specify the channel via QueryParameters.channel, and only associated channel response will be returned.\n*   `conversationSuccess` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.t`, *default:* `nil`) - Indicates that the conversation succeeded.\n*   `endInteraction` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.t`, *default:* `nil`) - Output only. A signal that indicates the interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only when the conversation reaches `END_SESSION` page. It is not supposed to be defined by the user. It's guaranteed that there is at most one such message in each response.\n*   `knowledgeInfoCard` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.t`, *default:* `nil`) - Represents info card for knowledge answers, to be better rendered in Dialogflow Messenger.\n*   `liveAgentHandoff` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.t`, *default:* `nil`) - Hands off conversation to a human agent.\n*   `mixedAudio` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.t`, *default:* `nil`) - Output only. An audio response message composed of both the synthesized Dialogflow agent responses and responses defined via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.\n*   `outputAudioText` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.t`, *default:* `nil`) - A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Returns a response containing a custom, platform-specific payload.\n*   `playAudio` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.t`, *default:* `nil`) - Signal that the client should play an audio clip hosted at a client-specific URI. Dialogflow uses this to construct mixed_audio. However, Dialogflow itself does not try to read or process the URI in any way.\n*   `telephonyTransferCall` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.t`, *default:* `nil`) - A signal that the client should transfer the phone call connected to this agent to a third-party endpoint.\n*   `text` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.t`, *default:* `nil`) - Returns a text response.\n*   `toolCall` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCall.t`, *default:* `nil`) - Returns the definition of a tool call that should be executed by the client.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess","doc":"Indicates that the conversation succeeded, i.e., the bot handled the issue that the customer talked to it about. Dialogflow only uses this to determine which conversations should be counted as successful and doesn't process the metadata in this message in any way. Note that Dialogflow also considers conversations that get to the conversation end page as successful even if they don't return ConversationSuccess. You may set this, for example: * In the entry_fulfillment of a Page if entering the page indicates that the conversation succeeded. * In a webhook response when you determine that you handled the customer issue.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Custom metadata. Dialogflow doesn't impose any structure on this.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction","doc":"Indicates that interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only and not supposed to be defined by the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard","doc":"Represents info card response. If the response contains generative knowledge prediction, Dialogflow will return a payload with Infobot Messenger compatible info card. Otherwise, the info card response is skipped.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff","doc":"Indicates that the conversation should be handed off to a live agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: * In the entry_fulfillment of a Page if entering the page indicates something went extremely wrong in the conversation. * In a webhook response when you determine that the customer issue can only be handled by a human.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio","doc":"Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs. The external URIs are specified via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio","doc":"*   `segments` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.t)`, *default:* `nil`) - Segments this audio response is composed of.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment","doc":"Represents one segment of audio.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request.\n*   `audio` (*type:* `String.t`, *default:* `nil`) - Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Client-specific URI that points to an audio clip accessible to the client. Dialogflow does not impose any validation on it.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText","doc":"A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `ssml` (*type:* `String.t`, *default:* `nil`) - The SSML text to be synthesized. For more information, see [SSML](/speech/text-to-speech/docs/ssml).\n*   `text` (*type:* `String.t`, *default:* `nil`) - The raw text to be synthesized.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio","doc":"Specifies an audio clip to be played by the client as part of the response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `audioUri` (*type:* `String.t`, *default:* `nil`) - Required. URI of the audio clip. Dialogflow does not impose any validation on this value. It is specific to the client that reads it.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall","doc":"Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText","doc":"The text response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `text` (*type:* `list(String.t)`, *default:* `nil`) - Required. A collection of text response variants. If multiple variants are defined, only one text response variant is returned at runtime.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata","doc":"Metadata returned for the Environments.RunContinuousTest long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError.t)`, *default:* `nil`) - The test errors.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse","doc":"The response message for Environments.RunContinuousTest.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse","doc":"*   `continuousTestResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.t`, *default:* `nil`) - The result for a continuous test run.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata","doc":"Metadata returned for the TestCases.RunTestCase long running operation. This message currently has no fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse","doc":"The response message for TestCases.RunTestCase.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse","doc":"*   `result` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.t`, *default:* `nil`) - The result.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1SessionInfo","doc":"Represents session information communicated to and from the webhook.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1SessionInfo","doc":"*   `parameters` (*type:* `map()`, *default:* `nil`) - Optional for WebhookRequest. Optional for WebhookResponse. All parameters collected from forms and intents during the session. Parameters can be created, updated, or removed by the webhook. To remove a parameter from the session, the webhook should explicitly set the parameter value to null in WebhookResponse. The map is keyed by parameters' display names.\n*   `session` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the session. This field can be used by the webhook to identify a session. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/` if environment is specified.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCase","doc":"Represents a test case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCase","doc":"*   `creationTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. When the test was created.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the test case, unique within the agent. Limit of 200 characters.\n*   `lastTestResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.t`, *default:* `nil`) - The latest test result.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents//testCases/`.\n*   `notes` (*type:* `String.t`, *default:* `nil`) - Additional freeform notes about the test case. Limit of 400 characters.\n*   `tags` (*type:* `list(String.t)`, *default:* `nil`) - Tags are short descriptions that users may apply to test cases for organizational and filtering purposes. Each tag should start with \"#\" and has a limit of 30 characters.\n*   `testCaseConversationTurns` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.t)`, *default:* `nil`) - The conversation turns uttered when the test case was created, in chronological order. These include the canonical set of agent utterances that should occur when the agent is working properly.\n*   `testConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestConfig.t`, *default:* `nil`) - Config for the test case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseError","doc":"Error info for importing a test.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseError","doc":"*   `status` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - The status associated with the test case.\n*   `testCase` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCase.t`, *default:* `nil`) - The test case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult","doc":"Represents a result from running a test case in an agent environment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult","doc":"*   `conversationTurns` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.t)`, *default:* `nil`) - The conversation turns uttered during the test case replay in chronological order.\n*   `environment` (*type:* `String.t`, *default:* `nil`) - Environment where the test was run. If not set, it indicates the draft environment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the test case result. Format: `projects//locations//agents//testCases//results/`.\n*   `testResult` (*type:* `String.t`, *default:* `nil`) - Whether the test case passed in the agent environment.\n*   `testTime` (*type:* `DateTime.t`, *default:* `nil`) - The time that the test was run.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestConfig","doc":"Represents configurations for a test case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestConfig","doc":"*   `flow` (*type:* `String.t`, *default:* `nil`) - Flow name to start the test case with. Format: `projects//locations//agents//flows/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If neither is set, the test case will start with start page on the default start flow.\n*   `page` (*type:* `String.t`, *default:* `nil`) - The page to start the test case with. Format: `projects//locations//agents//flows//pages/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If neither is set, the test case will start with start page on the default start flow.\n*   `trackingParameters` (*type:* `list(String.t)`, *default:* `nil`) - Session parameters to be compared when calculating differences.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError","doc":"Error info for running a test.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError","doc":"*   `status` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - The status associated with the test.\n*   `testCase` (*type:* `String.t`, *default:* `nil`) - The test case resource name.\n*   `testTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp when the test was completed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference","doc":"The description of differences between original and replayed agent output.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - A human readable description of the diff, showing the actual output vs expected output.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of diff.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TextInput","doc":"Represents the natural language text to be processed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TextInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TextInput","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The UTF-8 encoded natural language text to be processed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TextInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TextInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TextInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TextInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TextInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCall","doc":"Represents a call of a specific tool's action with the specified inputs.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCall.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCall","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - Required. The name of the tool's action associated with this call.\n*   `inputParameters` (*type:* `map()`, *default:* `nil`) - Optional. The action's input parameters.\n*   `tool` (*type:* `String.t`, *default:* `nil`) - Required. The tool associated with this call. Format: `projects//locations//agents//tools/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCall.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCall.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCall.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCall.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult","doc":"The result of calling a tool's action that has been executed by the client.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - Required. The name of the tool's action associated with this call.\n*   `error` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.t`, *default:* `nil`) - The tool call's error.\n*   `outputParameters` (*type:* `map()`, *default:* `nil`) - The tool call's output parameters.\n*   `tool` (*type:* `String.t`, *default:* `nil`) - Required. The tool associated with this call. Format: `projects//locations//agents//tools/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError","doc":"An error produced by the tool call.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError","doc":"*   `message` (*type:* `String.t`, *default:* `nil`) - Optional. The error message of the function.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute","doc":"A transition route specifies a intent that can be matched and/or a data condition that can be evaluated during a session. When a specified transition is matched, the following actions are taken in order: * If there is a `trigger_fulfillment` associated with the transition, it will be called. * If there is a `target_page` associated with the transition, the session will transition into the specified page. * If there is a `target_flow` associated with the transition, the session will transition into the specified flow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute","doc":"*   `condition` (*type:* `String.t`, *default:* `nil`) - The condition to evaluate against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition). At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The description of the transition route. The maximum length is 500 characters.\n*   `intent` (*type:* `String.t`, *default:* `nil`) - The unique identifier of an Intent. Format: `projects//locations//agents//intents/`. Indicates that the transition can only happen when the given intent is matched. At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this transition route.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the condition is satisfied. At least one of `trigger_fulfillment` and `target` must be specified. When both are defined, `trigger_fulfillment` is executed first.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TurnSignals","doc":"Collection of all signals that were extracted for a single turn of the conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TurnSignals","doc":"*   `agentEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether agent responded with LiveAgentHandoff fulfillment.\n*   `dtmfUsed` (*type:* `boolean()`, *default:* `nil`) - Whether user was using DTMF input.\n*   `failureReasons` (*type:* `list(String.t)`, *default:* `nil`) - Failure reasons of the turn.\n*   `noMatch` (*type:* `boolean()`, *default:* `nil`) - Whether NLU predicted NO_MATCH.\n*   `noUserInput` (*type:* `boolean()`, *default:* `nil`) - Whether user provided no input.\n*   `reachedEndPage` (*type:* `boolean()`, *default:* `nil`) - Whether turn resulted in End Session page.\n*   `sentimentMagnitude` (*type:* `number()`, *default:* `nil`) - Sentiment magnitude of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `sentimentScore` (*type:* `number()`, *default:* `nil`) - Sentiment score of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `userEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether user was specifically asking for a live agent.\n*   `webhookStatuses` (*type:* `list(String.t)`, *default:* `nil`) - Human-readable statuses of the webhooks triggered during this turn.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Webhook","doc":"Webhooks host the developer's business logic. During a session, webhooks allow the developer to use the data extracted by Dialogflow's natural language processing to generate dynamic responses, validate collected data, or trigger actions on the backend.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Webhook.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Webhook","doc":"*   `disabled` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the webhook is disabled.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the webhook, unique within the agent.\n*   `genericWebService` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.t`, *default:* `nil`) - Configuration for a generic web service.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`.\n*   `serviceDirectory` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.t`, *default:* `nil`) - Configuration for a [Service Directory](https://cloud.google.com/service-directory) service.\n*   `timeout` (*type:* `String.t`, *default:* `nil`) - Webhook execution timeout. Execution is considered failed if Dialogflow doesn't receive a response from webhook at the end of the timeout period. Defaults to 5 seconds, maximum allowed timeout is 30 seconds.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Webhook.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Webhook.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Webhook.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Webhook.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1Webhook.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService","doc":"Represents configuration for a generic web service.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService","doc":"*   `allowedCaCerts` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Specifies a list of allowed custom CA certificates (in DER format) for HTTPS verification. This overrides the default SSL trust store. If this is empty or unspecified, Dialogflow will use Google's default trust store to verify certificates. N.B. Make sure the HTTPS server certificates are signed with \"subject alt name\". For instance a certificate can be self-signed using the following command, ``` openssl x509 -req -days 200 -in example.com.csr \\ -signkey example.com.key \\ -out example.com.crt \\ -extfile <(printf \"\\nsubjectAltName='DNS:www.example.com'\") ```\n*   `httpMethod` (*type:* `String.t`, *default:* `nil`) - Optional. HTTP method for the flexible webhook calls. Standard webhook always uses POST.\n*   `oauthConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.t`, *default:* `nil`) - Optional. The OAuth configuration of the webhook. If specified, Dialogflow will initiate the OAuth client credential flow to exchange an access token from the 3rd party platform and put it in the auth header.\n*   `parameterMapping` (*type:* `map()`, *default:* `nil`) - Optional. Maps the values extracted from specific fields of the flexible webhook response into session parameters. - Key: session parameter name - Value: field path in the webhook response\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for HTTP Basic authentication.\n*   `requestBody` (*type:* `String.t`, *default:* `nil`) - Optional. Defines a custom JSON object as request body to send to flexible webhook.\n*   `requestHeaders` (*type:* `map()`, *default:* `nil`) - The HTTP request headers to send together with webhook requests.\n*   `serviceAgentAuth` (*type:* `String.t`, *default:* `nil`) - Optional. Indicate the auth token type generated from the [Diglogflow service agent](https://cloud.google.com/iam/docs/service-agents#dialogflow-service-agent). The generated token is sent in the Authorization header.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The webhook URI for receiving POST requests. It must use https protocol.\n*   `username` (*type:* `String.t`, *default:* `nil`) - The user name for HTTP Basic authentication.\n*   `webhookType` (*type:* `String.t`, *default:* `nil`) - Optional. Type of the webhook.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig","doc":"Represents configuration of OAuth client credential flow for 3rd party API authentication.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig","doc":"*   `clientId` (*type:* `String.t`, *default:* `nil`) - Required. The client ID provided by the 3rd party platform.\n*   `clientSecret` (*type:* `String.t`, *default:* `nil`) - Required. The client secret provided by the 3rd party platform.\n*   `scopes` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The OAuth scopes to grant.\n*   `tokenEndpoint` (*type:* `String.t`, *default:* `nil`) - Required. The token endpoint provided by the 3rd party platform to exchange an access token.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest","doc":"The request message for a webhook call. The request is sent as a JSON object and the field names will be presented in camel cases. You may see undocumented fields in an actual request. These fields are used internally by Dialogflow and should be ignored.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest","doc":"*   `detectIntentResponseId` (*type:* `String.t`, *default:* `nil`) - Always present. The unique identifier of the DetectIntentResponse that will be returned to the API caller.\n*   `dtmfDigits` (*type:* `String.t`, *default:* `nil`) - If DTMF was provided as input, this field will contain the DTMF digits.\n*   `fulfillmentInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.t`, *default:* `nil`) - Always present. Information about the fulfillment that triggered this webhook call.\n*   `intentInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.t`, *default:* `nil`) - Information about the last matched intent.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language code specified in the original request.\n*   `languageInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.t`, *default:* `nil`) - Information about the language of the request.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user. Webhook can choose to append or replace this list in WebhookResponse.fulfillment_response;\n*   `pageInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfo.t`, *default:* `nil`) - Information about page status.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Custom data set in QueryParameters.payload.\n*   `sentimentAnalysisResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.t`, *default:* `nil`) - The sentiment analysis result of the current user request. The field is filled when sentiment analysis is configured to be enabled for the request.\n*   `sessionInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.t`, *default:* `nil`) - Information about session status.\n*   `text` (*type:* `String.t`, *default:* `nil`) - If natural language text was provided as input, this field will contain a copy of the text.\n*   `transcript` (*type:* `String.t`, *default:* `nil`) - If natural language speech audio was provided as input, this field will contain the transcript for the audio.\n*   `triggerEvent` (*type:* `String.t`, *default:* `nil`) - If an event was provided as input, this field will contain the name of the event.\n*   `triggerIntent` (*type:* `String.t`, *default:* `nil`) - If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo","doc":"Represents fulfillment information communicated to the webhook.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo","doc":"*   `tag` (*type:* `String.t`, *default:* `nil`) - Always present. The value of the Fulfillment.tag field will be populated in this field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo","doc":"Represents intent information communicated to the webhook.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo","doc":"*   `confidence` (*type:* `number()`, *default:* `nil`) - The confidence of the matched intent. Values range from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present. The display name of the last matched intent.\n*   `lastMatchedIntent` (*type:* `String.t`, *default:* `nil`) - Always present. The unique identifier of the last matched intent. Format: `projects//locations//agents//intents/`.\n*   `parameters` (*type:* `%{optional(String.t) => GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.t}`, *default:* `nil`) - Parameters identified as a result of intent matching. This is a map of the name of the identified parameter to the value of the parameter identified from the user's utterance. All parameters defined in the matched intent that are identified will be surfaced here.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue","doc":"Represents a value for an intent parameter.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue","doc":"*   `originalValue` (*type:* `String.t`, *default:* `nil`) - Always present. Original text value extracted from user utterance.\n*   `resolvedValue` (*type:* `any()`, *default:* `nil`) - Always present. Structured value for the parameter extracted from user utterance.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult","doc":"Represents the result of sentiment analysis.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult","doc":"*   `magnitude` (*type:* `number()`, *default:* `nil`) - A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).\n*   `score` (*type:* `number()`, *default:* `nil`) - Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse","doc":"The response message for a webhook call.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse","doc":"*   `fulfillmentResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.t`, *default:* `nil`) - The fulfillment response to send to the user. This field can be omitted by the webhook if it does not intend to send any response to the user.\n*   `pageInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1PageInfo.t`, *default:* `nil`) - Information about page status. This field can be omitted by the webhook if it does not intend to modify page status.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Value to append directly to QueryResult.webhook_payloads.\n*   `sessionInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.t`, *default:* `nil`) - Information about session status. This field can be omitted by the webhook if it does not intend to modify session status.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse","doc":"Represents a fulfillment response to the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse","doc":"*   `mergeBehavior` (*type:* `String.t`, *default:* `nil`) - Merge behavior for `messages`.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig","doc":"Represents configuration for a [Service Directory](https://cloud.google.com/service-directory) service.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig","doc":"*   `genericWebService` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.t`, *default:* `nil`) - Generic Service configuration of this webhook.\n*   `service` (*type:* `String.t`, *default:* `nil`) - Required. The name of [Service Directory](https://cloud.google.com/service-directory) service. Format: `projects//locations//namespaces//services/`. `Location ID` of the service directory must be the same as the location of the agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent","doc":"A Dialogflow agent is a virtual agent that handles conversations with your end-users. It is a natural language understanding module that understands the nuances of human language. Dialogflow translates end-user text or audio during a conversation to structured data that your apps and services can understand. You design and build a Dialogflow agent to handle the types of conversations required for your system. For more information about agents, see the [Agent guide](https://cloud.google.com/dialogflow/docs/agents-overview).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent","doc":"*   `apiVersion` (*type:* `String.t`, *default:* `nil`) - Optional. API version displayed in Dialogflow console. If not specified, V2 API is assumed. Clients are free to query different service endpoints for different API versions. However, bots connectors and webhook calls will follow the specified API version.\n*   `avatarUri` (*type:* `String.t`, *default:* `nil`) - Optional. The URI of the agent's avatar. Avatars are used throughout the Dialogflow console and in the self-hosted [Web Demo](https://cloud.google.com/dialogflow/docs/integrations/web-demo) integration.\n*   `classificationThreshold` (*type:* `number()`, *default:* `nil`) - Optional. To filter out false positive results and still get variety in matched natural language inputs for your agent, you can tune the machine learning classification threshold. If the returned score value is less than the threshold value, then a fallback intent will be triggered or, if there are no fallback intents defined, no intent will be triggered. The score values range from 0.0 (completely uncertain) to 1.0 (completely certain). If set to 0.0, the default of 0.3 is used.\n*   `defaultLanguageCode` (*type:* `String.t`, *default:* `nil`) - Required. The default language of the agent as a language tag. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. This field cannot be set by the `Update` method.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The description of this agent. The maximum length is 500 characters. If exceeded, the request is rejected.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of this agent.\n*   `enableLogging` (*type:* `boolean()`, *default:* `nil`) - Optional. Determines whether this agent should log conversation queries.\n*   `matchMode` (*type:* `String.t`, *default:* `nil`) - Optional. Determines how intents are detected from user queries.\n*   `parent` (*type:* `String.t`, *default:* `nil`) - Required. The project of this agent. Format: `projects/`.\n*   `supportedLanguageCodes` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of all languages supported by this agent (except for the `default_language_code`).\n*   `tier` (*type:* `String.t`, *default:* `nil`) - Optional. The agent tier. If not specified, TIER_STANDARD is assumed.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - Required. The time zone of this agent from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedback","doc":"Detail feedback of Agent Assist result.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedback.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedback","doc":"*   `answerRelevance` (*type:* `String.t`, *default:* `nil`) - Optional. Whether or not the suggested answer is relevant. For example: * Query: \"Can I change my mailing address?\" * Suggested document says: \"Items must be returned/exchanged within 60 days of the purchase date.\" * answer_relevance: AnswerRelevance.IRRELEVANT\n*   `documentCorrectness` (*type:* `String.t`, *default:* `nil`) - Optional. Whether or not the information in the document is correct. For example: * Query: \"Can I return the package in 2 days once received?\" * Suggested document says: \"Items must be returned/exchanged within 60 days of the purchase date.\" * Ground truth: \"No return or exchange is allowed.\" * [document_correctness]: INCORRECT\n*   `documentEfficiency` (*type:* `String.t`, *default:* `nil`) - Optional. Whether or not the suggested document is efficient. For example, if the document is poorly written, hard to understand, hard to use or too long to find useful information, document_efficiency is DocumentEfficiency.INEFFICIENT.\n*   `knowledgeAssistFeedback` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeAssistFeedback.t`, *default:* `nil`) - Optional. Feedback for knowledge assist.\n*   `knowledgeSearchFeedback` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeSearchFeedback.t`, *default:* `nil`) - Optional. Feedback for knowledge search.\n*   `summarizationFeedback` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackSummarizationFeedback.t`, *default:* `nil`) - Optional. Feedback for conversation summarization.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedback.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedback.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedback.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedback.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedback.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeAssistFeedback","doc":"Feedback for knowledge assist.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeAssistFeedback.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeAssistFeedback","doc":"*   `answerCopied` (*type:* `boolean()`, *default:* `nil`) - Whether the suggested answer was copied by the human agent. If the value is set to be true, AnswerFeedback.clicked will be updated to be true.\n*   `clickedUris` (*type:* `list(String.t)`, *default:* `nil`) - The URIs clicked by the human agent. The value is appended for each UpdateAnswerRecordRequest. If the value is not empty, AnswerFeedback.clicked will be updated to be true.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeAssistFeedback.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeAssistFeedback.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeAssistFeedback.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeAssistFeedback.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeAssistFeedback.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeSearchFeedback","doc":"Feedback for knowledge search.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeSearchFeedback.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeSearchFeedback","doc":"*   `answerCopied` (*type:* `boolean()`, *default:* `nil`) - Whether the answer was copied by the human agent or not. If the value is set to be true, AnswerFeedback.clicked will be updated to be true.\n*   `clickedUris` (*type:* `list(String.t)`, *default:* `nil`) - The URIs clicked by the human agent. The value is appended for each UpdateAnswerRecordRequest. If the value is not empty, AnswerFeedback.clicked will be updated to be true.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeSearchFeedback.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeSearchFeedback.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeSearchFeedback.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeSearchFeedback.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackKnowledgeSearchFeedback.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackSummarizationFeedback","doc":"Feedback for conversation summarization.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackSummarizationFeedback.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackSummarizationFeedback","doc":"*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when composing of the summary starts.\n*   `submitTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when the summary was submitted.\n*   `summaryText` (*type:* `String.t`, *default:* `nil`) - Text of actual submitted summary.\n*   `textSections` (*type:* `map()`, *default:* `nil`) - Optional. Actual text sections of submitted summary.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackSummarizationFeedback.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackSummarizationFeedback.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackSummarizationFeedback.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackSummarizationFeedback.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedbackSummarizationFeedback.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantRecord","doc":"Represents a record of a human agent assist answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantRecord.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantRecord","doc":"*   `articleSuggestionAnswer` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleAnswer.t`, *default:* `nil`) - Output only. The article suggestion answer.\n*   `dialogflowAssistAnswer` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DialogflowAssistAnswer.t`, *default:* `nil`) - Output only. Dialogflow assist answer.\n*   `faqAnswer` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FaqAnswer.t`, *default:* `nil`) - Output only. The FAQ answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantRecord.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantRecord.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantRecord.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantRecord.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantRecord.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentRequest","doc":"The request message for Participants.AnalyzeContent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentRequest","doc":"*   `assistQueryParams` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters.t`, *default:* `nil`) - Parameters for a human assist query.\n*   `cxParameters` (*type:* `map()`, *default:* `nil`) - Additional parameters to be put into Dialogflow CX session parameters. To remove a parameter from the session, clients should explicitly set the parameter value to null. Note: this field should only be used if you are connecting to a Dialogflow CX agent.\n*   `eventInput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput.t`, *default:* `nil`) - An input event to send to Dialogflow.\n*   `queryParams` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryParameters.t`, *default:* `nil`) - Parameters for a Dialogflow virtual-agent query.\n*   `replyAudioConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig.t`, *default:* `nil`) - Speech synthesis configuration. The speech synthesis settings for a virtual agent that may be configured for the associated conversation profile are not used when calling AnalyzeContent. If this configuration is not supplied, speech synthesis is disabled.\n*   `requestId` (*type:* `String.t`, *default:* `nil`) - A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is only idempotent if a `request_id` is provided.\n*   `suggestionInput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionInput.t`, *default:* `nil`) - An input representing the selection of a suggestion.\n*   `textInput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput.t`, *default:* `nil`) - The natural language text to be processed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentResponse","doc":"The response message for Participants.AnalyzeContent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentResponse","doc":"*   `automatedAgentReply` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentReply.t`, *default:* `nil`) - Only set if a Dialogflow automated agent has responded. Note that in AutomatedAgentReply.DetectIntentResponse, Sessions.DetectIntentResponse.output_audio and Sessions.DetectIntentResponse.output_audio_config are always empty, use reply_audio instead.\n*   `dtmfParameters` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DtmfParameters.t`, *default:* `nil`) - Indicates the parameters of DTMF.\n*   `endUserSuggestionResults` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult.t)`, *default:* `nil`) - The suggestions for end user. The order is the same as HumanAgentAssistantConfig.SuggestionConfig.feature_configs of HumanAgentAssistantConfig.end_user_suggestion_config. Same as human_agent_suggestion_results, any failure of Agent Assist features will not lead to the overall failure of an AnalyzeContent API call. Instead, the features will fail silently with the error field set in the corresponding SuggestionResult.\n*   `humanAgentSuggestionResults` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult.t)`, *default:* `nil`) - The suggestions for most recent human agent. The order is the same as HumanAgentAssistantConfig.SuggestionConfig.feature_configs of HumanAgentAssistantConfig.human_agent_suggestion_config. Note that any failure of Agent Assist features will not lead to the overall failure of an AnalyzeContent API call. Instead, the features will fail silently with the error field set in the corresponding SuggestionResult.\n*   `message` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message.t`, *default:* `nil`) - Message analyzed by CCAI.\n*   `replyAudio` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudio.t`, *default:* `nil`) - The audio data bytes encoded as specified in the request. This field is set if: - `reply_audio_config` was specified in the request, or - The automated agent responded with audio to play to the user. In such case, `reply_audio.config` contains settings used to synthesize the speech. In some scenarios, multiple output audio fields may be present in the response structure. In these cases, only the top-most-level audio output has content.\n*   `replyText` (*type:* `String.t`, *default:* `nil`) - The output text content. This field is set if the automated agent responded with text to show to the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnalyzeContentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnnotatedMessagePart","doc":"Represents a part of a message possibly annotated with an entity. The part can be an entity or purely a part of the message between two entities or message start/end.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnnotatedMessagePart","doc":"*   `entityType` (*type:* `String.t`, *default:* `nil`) - The [Dialogflow system entity type](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. If this is empty, Dialogflow could not annotate the phrase part with a system entity.\n*   `formattedValue` (*type:* `any()`, *default:* `nil`) - The [Dialogflow system entity formatted value ](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. For example for a system entity of type `@sys.unit-currency`, this may contain: { \"amount\": 5, \"currency\": \"USD\" } \n*   `text` (*type:* `String.t`, *default:* `nil`) - A part of a message possibly annotated with an entity.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerFeedback","doc":"Represents feedback the customer has about the quality & correctness of a certain answer in a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerFeedback.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerFeedback","doc":"*   `agentAssistantDetailFeedback` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantFeedback.t`, *default:* `nil`) - Detail feedback of agent assist suggestions.\n*   `clickTime` (*type:* `DateTime.t`, *default:* `nil`) - Time when the answer/item was clicked.\n*   `clicked` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the answer/item was clicked by the human agent or not. Default to false. For knowledge search and knowledge assist, the answer record is considered to be clicked if the answer was copied or any URI was clicked.\n*   `correctnessLevel` (*type:* `String.t`, *default:* `nil`) - The correctness level of the specific answer.\n*   `displayTime` (*type:* `DateTime.t`, *default:* `nil`) - Time when the answer/item was displayed.\n*   `displayed` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the answer/item was displayed to the human agent in the agent desktop UI. Default to false.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerFeedback.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerFeedback.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerFeedback.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerFeedback.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerFeedback.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord","doc":"Answer records are records to manage answer history and feedbacks for Dialogflow. Currently, answer record includes: - human agent assistant article suggestion - human agent assistant faq article It doesn't include: - `DetectIntent` intent matching - `DetectIntent` knowledge Answer records are not related to the conversation history in the Dialogflow Console. A Record is generated even when the end-user disables conversation history in the console. Records are created when there's a human agent assistant suggestion generated. A typical workflow for customers provide feedback to an answer is: 1. For human agent assistant, customers get suggestion via ListSuggestions API. Together with the answers, AnswerRecord.name are returned to the customers. 2. The customer uses the AnswerRecord.name to call the AnswerRecords.UpdateAnswerRecord method to send feedback about a specific answer that they believe is wrong.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord","doc":"*   `agentAssistantRecord` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AgentAssistantRecord.t`, *default:* `nil`) - Output only. The record for human agent assistant.\n*   `answerFeedback` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerFeedback.t`, *default:* `nil`) - Required. The AnswerFeedback for this record. You can set this with AnswerRecords.UpdateAnswerRecord in order to give us feedback about this answer.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of this answer record. Format: `projects//locations//answerRecords/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleAnswer","doc":"Represents article answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `confidence` (*type:* `number()`, *default:* `nil`) - Article match confidence. The system's confidence score that this article is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `metadata` (*type:* `map()`, *default:* `nil`) - A map that contains metadata about the answer and the document from which it originates.\n*   `snippets` (*type:* `list(String.t)`, *default:* `nil`) - Article snippets.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The article title.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The article URI.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata","doc":"Metadata for article suggestion models.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata","doc":"*   `trainingModelType` (*type:* `String.t`, *default:* `nil`) - Optional. Type of the article suggestion model. If not provided, model_type is used.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters","doc":"Represents the parameters of human assist query.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters","doc":"*   `documentsMetadataFilters` (*type:* `map()`, *default:* `nil`) - Key-value filters on the metadata of documents returned by article suggestion. If specified, article suggestion only returns suggested documents that match all filters in their Document.metadata. Multiple values for a metadata key should be concatenated by comma. For example, filters to match all documents that have 'US' or 'CA' in their market metadata values and 'agent' in their user metadata values will be ``` documents_metadata_filters { key: \"market\" value: \"US,CA\" } documents_metadata_filters { key: \"user\" value: \"agent\" } ```","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentConfig","doc":"Defines the Automated Agent to connect to a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentConfig","doc":"*   `agent` (*type:* `String.t`, *default:* `nil`) - Required. ID of the Dialogflow agent environment to use. This project needs to either be the same project as the conversation or you need to grant `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` the `Dialogflow API Service Agent` role in this project. - For ES agents, use format: `projects//locations//agent/environments/`. If environment is not specified, the default `draft` environment is used. Refer to [DetectIntentRequest](/dialogflow/docs/reference/rpc/google.cloud.dialogflow.v2#google.cloud.dialogflow.v2.DetectIntentRequest) for more details. - For CX agents, use format `projects//locations//agents//environments/`. If environment is not specified, the default `draft` environment is used.\n*   `sessionTtl` (*type:* `String.t`, *default:* `nil`) - Optional. Configure lifetime of the Dialogflow session. By default, a Dialogflow CX session remains active and its data is stored for 30 minutes after the last request is sent for the session. This value should be no longer than 1 day.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentReply","doc":"Represents a response from an automated agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentReply.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentReply","doc":"*   `allowCancellation` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the partial automated agent reply is interruptible when a later reply message arrives. e.g. if the agent specified some music as partial response, it can be cancelled.\n*   `automatedAgentReplyType` (*type:* `String.t`, *default:* `nil`) - AutomatedAgentReply type.\n*   `cxCurrentPage` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the current Dialogflow CX conversation page. Format: `projects//locations//agents//flows//pages/`.\n*   `detectIntentResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse.t`, *default:* `nil`) - Response of the Dialogflow Sessions.DetectIntent call.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentReply.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentReply.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentReply.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentReply.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentReply.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchCreateEntitiesRequest","doc":"The request message for EntityTypes.BatchCreateEntities.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchCreateEntitiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchCreateEntitiesRequest","doc":"*   `entities` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity.t)`, *default:* `nil`) - Required. The entities to create.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchCreateEntitiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchCreateEntitiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchCreateEntitiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchCreateEntitiesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchCreateEntitiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntitiesRequest","doc":"The request message for EntityTypes.BatchDeleteEntities.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntitiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntitiesRequest","doc":"*   `entityValues` (*type:* `list(String.t)`, *default:* `nil`) - Required. The reference `values` of the entities to delete. Note that these are not fully-qualified names, i.e. they don't start with `projects/`.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntitiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntitiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntitiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntitiesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntitiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntityTypesRequest","doc":"The request message for EntityTypes.BatchDeleteEntityTypes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntityTypesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntityTypesRequest","doc":"*   `entityTypeNames` (*type:* `list(String.t)`, *default:* `nil`) - Required. The names entity types to delete. All names must point to the same agent as `parent`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntityTypesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntityTypesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntityTypesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntityTypesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteEntityTypesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteIntentsRequest","doc":"The request message for Intents.BatchDeleteIntents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteIntentsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteIntentsRequest","doc":"*   `intents` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.t)`, *default:* `nil`) - Required. The collection of intents to delete. Only intent `name` must be filled in.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteIntentsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteIntentsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteIntentsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteIntentsRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchDeleteIntentsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntitiesRequest","doc":"The request message for EntityTypes.BatchUpdateEntities.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntitiesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntitiesRequest","doc":"*   `entities` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity.t)`, *default:* `nil`) - Required. The entities to update or create.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Optional. The mask to control which fields get updated.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntitiesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntitiesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntitiesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntitiesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntitiesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesRequest","doc":"The request message for EntityTypes.BatchUpdateEntityTypes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesRequest","doc":"*   `entityTypeBatchInline` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeBatch.t`, *default:* `nil`) - The collection of entity types to update or create.\n*   `entityTypeBatchUri` (*type:* `String.t`, *default:* `nil`) - The URI to a Google Cloud Storage file containing entity types to update or create. The file format can either be a serialized proto (of EntityBatch type) or a JSON object. Note: The URI must start with \"gs://\".\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Optional. The mask to control which fields get updated.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse","doc":"The response message for EntityTypes.BatchUpdateEntityTypes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse","doc":"*   `entityTypes` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.t)`, *default:* `nil`) - The collection of updated or created entity types.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsRequest","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsRequest","doc":"*   `intentBatchInline` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentBatch.t`, *default:* `nil`) - The collection of intents to update or create.\n*   `intentBatchUri` (*type:* `String.t`, *default:* `nil`) - The URI to a Google Cloud Storage file containing intents to update or create. The file format can either be a serialized proto (of IntentBatch type) or JSON object. Note: The URI must start with \"gs://\".\n*   `intentView` (*type:* `String.t`, *default:* `nil`) - Optional. The resource view to apply to the returned intent.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Optional. The mask to control which fields get updated.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse","doc":"The response message for Intents.BatchUpdateIntents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse","doc":"*   `intents` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.t)`, *default:* `nil`) - The collection of updated or created intents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata","doc":"Metadata for a ConversationProfiles.ClearSuggestionFeatureConfig operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata","doc":"*   `conversationProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp whe the request was created. The time is measured on server side.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.\n*   `suggestionFeatureType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the suggestion feature to remove.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigRequest","doc":"The request message for ConversationProfiles.ClearSuggestionFeatureConfig.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigRequest","doc":"*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.\n*   `suggestionFeatureType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the suggestion feature to remove.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CompleteConversationRequest","doc":"The request message for Conversations.CompleteConversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CompleteConversationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CompleteConversationRequest","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CompleteConversationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CompleteConversationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CompleteConversationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CompleteConversationRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CompleteConversationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context","doc":"Dialogflow contexts are similar to natural language context. If a person says to you \"they are orange\", you need context in order to understand what \"they\" is referring to. Similarly, for Dialogflow to handle an end-user expression like that, it needs to be provided with context in order to correctly match an intent. Using contexts, you can control the flow of a conversation. You can configure contexts for an intent by setting input and output contexts, which are identified by string names. When an intent is matched, any configured output contexts for that intent become active. While any contexts are active, Dialogflow is more likely to match intents that are configured with input contexts that correspond to the currently active contexts. For more information about context, see the [Contexts guide](https://cloud.google.com/dialogflow/docs/contexts-overview).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context","doc":"*   `lifespanCount` (*type:* `integer()`, *default:* `nil`) - Optional. The number of conversational query requests after which the context expires. The default is `0`. If set to `0`, the context expires immediately. Contexts expire automatically after 20 minutes if there are no matching queries.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the context. Format: `projects//agent/sessions//contexts/`, or `projects//agent/environments//users//sessions//contexts/`. The `Context ID` is always converted to lowercase, may only contain characters in `a-zA-Z0-9_-%` and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: * `__system_counters__` * `*_id_dialog_context` * `*_dialog_params_size`\n*   `parameters` (*type:* `map()`, *default:* `nil`) - Optional. The collection of parameters associated with this context. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation","doc":"Represents a conversation. A conversation is an interaction between an agent, including live agents and Dialogflow agents, and a support customer. Conversations can include phone calls and text-based chat sessions.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation","doc":"*   `conversationProfile` (*type:* `String.t`, *default:* `nil`) - Required. The Conversation Profile to be used to configure this Conversation. This field cannot be updated. Format: `projects//locations//conversationProfiles/`.\n*   `conversationStage` (*type:* `String.t`, *default:* `nil`) - Optional. The stage of a conversation. It indicates whether the virtual agent or a human agent is handling the conversation. If the conversation is created with the conversation profile that has Dialogflow config set, defaults to ConversationStage.VIRTUAL_AGENT_STAGE; Otherwise, defaults to ConversationStage.HUMAN_ASSIST_STAGE. If the conversation is created with the conversation profile that has Dialogflow config set but explicitly sets conversation_stage to ConversationStage.HUMAN_ASSIST_STAGE, it skips ConversationStage.VIRTUAL_AGENT_STAGE stage and directly goes to ConversationStage.HUMAN_ASSIST_STAGE.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the conversation was finished.\n*   `lifecycleState` (*type:* `String.t`, *default:* `nil`) - Output only. The current state of the Conversation.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Identifier. The unique identifier of this conversation. Format: `projects//locations//conversations/`.\n*   `phoneNumber` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationPhoneNumber.t`, *default:* `nil`) - Output only. It will not be empty if the conversation is to be connected over telephony.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time the conversation was started.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationContext","doc":"Context of the conversation, including transcripts.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationContext.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationContext","doc":"*   `messageEntries` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageEntry.t)`, *default:* `nil`) - Optional. List of message transcripts in the conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationContext.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationContext.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationContext.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationContext.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset","doc":"Represents a conversation dataset that a user imports raw data into. The data inside ConversationDataset can not be changed after ImportConversationData finishes (and calling ImportConversationData on a dataset that already has data is not allowed).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset","doc":"*   `conversationCount` (*type:* `String.t`, *default:* `nil`) - Output only. The number of conversations this conversation dataset contains.\n*   `conversationInfo` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationInfo.t`, *default:* `nil`) - Output only. Metadata set during conversation data import.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Creation time of this dataset.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The description of the dataset. Maximum of 10000 bytes.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The display name of the dataset. Maximum of 64 bytes.\n*   `inputConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputConfig.t`, *default:* `nil`) - Output only. Input configurations set during conversation data import.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. ConversationDataset resource name. Format: `projects//locations//conversationDatasets/`\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. A read only boolean field reflecting Zone Isolation status of the dataset.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - Output only. A read only boolean field reflecting Zone Separation status of the dataset.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationEvent","doc":"Represents a notification sent to Pub/Sub subscribers for conversation lifecycle events.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationEvent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationEvent","doc":"*   `conversation` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the conversation this notification refers to. Format: `projects//conversations/`.\n*   `errorStatus` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - More detailed information about an error. Only set for type UNRECOVERABLE_ERROR_IN_PHONE_CALL.\n*   `newMessagePayload` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message.t`, *default:* `nil`) - Payload of NEW_MESSAGE event.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the event that this notification refers to.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationEvent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationEvent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationInfo","doc":"Represents metadata of a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationInfo","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The language code of the conversation data within this dataset. See https://cloud.google.com/apis/design/standard_fields for more information. Supports all UTF-8 languages.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel","doc":"Represents a conversation model.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel","doc":"*   `articleSuggestionModelMetadata` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.t`, *default:* `nil`) - Metadata for article suggestion models.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Creation time of this model.\n*   `datasets` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputDataset.t)`, *default:* `nil`) - Required. Datasets used to create model.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The display name of the model. At most 64 bytes long.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Language code for the conversation model. If not specified, the language is en-US. Language at ConversationModel should be set for all non en-us languages. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".\n*   `name` (*type:* `String.t`, *default:* `nil`) - ConversationModel resource name. Format: `projects//conversationModels/`\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. A read only boolean field reflecting Zone Isolation status of the model.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - Output only. A read only boolean field reflecting Zone Separation status of the model.\n*   `smartReplyModelMetadata` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.t`, *default:* `nil`) - Metadata for smart reply models.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. State of the model. A model can only serve prediction requests after it gets deployed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation","doc":"Represents evaluation result of a conversation model.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Creation time of this model.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Optional. The display name of the model evaluation. At most 64 bytes long.\n*   `evaluationConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfig.t`, *default:* `nil`) - Optional. The configuration of the evaluation task.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name of the evaluation. Format: `projects//conversationModels//evaluations/`\n*   `rawHumanEvalTemplateCsv` (*type:* `String.t`, *default:* `nil`) - Output only. Human eval template in csv format. It tooks real-world conversations provided through input dataset, generates example suggestions for customer to verify quality of the model. For Smart Reply, the generated csv file contains columns of Context, (Suggestions,Q1,Q2)*3, Actual reply. Context contains at most 10 latest messages in the conversation prior to the current suggestion. Q1: \"Would you send it as the next message of agent?\" Evaluated based on whether the suggest is appropriate to be sent by agent in current context. Q2: \"Does the suggestion move the conversation closer to resolution?\" Evaluated based on whether the suggestion provide solutions, or answers customer's question or collect information from customer to resolve the customer's issue. Actual reply column contains the actual agent reply sent in the context.\n*   `smartReplyMetrics` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetrics.t`, *default:* `nil`) - Output only. Only available when model is for smart reply.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationPhoneNumber","doc":"Represents a phone number for telephony integration. It allows for connecting a particular conversation over telephony.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationPhoneNumber.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationPhoneNumber","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Output only. The phone number to connect to this conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationPhoneNumber.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationPhoneNumber.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationPhoneNumber.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationPhoneNumber.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationPhoneNumber.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile","doc":"Defines the services to connect to incoming Dialogflow conversations.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile","doc":"*   `automatedAgentConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AutomatedAgentConfig.t`, *default:* `nil`) - Configuration for an automated agent to use with this profile.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Create time of the conversation profile.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. Human readable name for this profile. Max length 1024 bytes.\n*   `humanAgentAssistantConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfig.t`, *default:* `nil`) - Configuration for agent assistance to use with this profile.\n*   `humanAgentHandoffConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfig.t`, *default:* `nil`) - Configuration for connecting to a live agent. Currently, this feature is not general available, please contact Google to get access.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Language code for the conversation profile. If not specified, the language is en-US. Language at ConversationProfile should be set for all non en-US languages. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".\n*   `loggingConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2LoggingConfig.t`, *default:* `nil`) - Configuration for logging conversation lifecycle events.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of this conversation profile. Format: `projects//locations//conversationProfiles/`.\n*   `newMessageEventNotificationConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig.t`, *default:* `nil`) - Configuration for publishing new message events. Event will be sent in format of ConversationEvent\n*   `notificationConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig.t`, *default:* `nil`) - Configuration for publishing conversation lifecycle events.\n*   `securitySettings` (*type:* `String.t`, *default:* `nil`) - Name of the CX SecuritySettings reference for the agent. Format: `projects//locations//securitySettings/`.\n*   `sttConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechToTextConfig.t`, *default:* `nil`) - Settings for speech transcription.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - The time zone of this conversational profile from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris. Defaults to America/New_York.\n*   `ttsConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig.t`, *default:* `nil`) - Configuration for Text-to-Speech synthesization. Used by Phone Gateway to specify synthesization options. If agent defines synthesization options as well, agent settings overrides the option here.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Update time of the conversation profile.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata","doc":"Metadata for CreateConversationDataset.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata","doc":"*   `conversationDataset` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation dataset that will be created. Format: `projects//locations//conversationDatasets/`","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata","doc":"Metadata for a ConversationModels.CreateConversationModelEvaluation operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata","doc":"*   `conversationModel` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//locations//conversationModels/`\n*   `conversationModelEvaluation` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//locations//conversationModels//evaluations/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when the request to create conversation model was submitted. The time is measured on server side.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of CreateConversationModel operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationRequest","doc":"The request message for ConversationModels.CreateConversationModelEvaluation","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationRequest","doc":"*   `conversationModelEvaluation` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation.t`, *default:* `nil`) - Required. The conversation model evaluation to be created.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata","doc":"Metadata for a ConversationModels.CreateConversationModel operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata","doc":"*   `conversationModel` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//conversationModels/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when the request to create conversation model is submitted. The time is measured on server side.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of CreateConversationModel operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata","doc":"Metadata for DeleteConversationDataset.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata","doc":"Metadata for a ConversationModels.DeleteConversationModel operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata","doc":"*   `conversationModel` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//conversationModels/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when delete conversation model request was created. The time is measured on server side.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata","doc":"Metadata for a ConversationModels.DeployConversationModel operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata","doc":"*   `conversationModel` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//conversationModels/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when request to deploy conversation model was submitted. The time is measured on server side.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelRequest","doc":"The request message for ConversationModels.DeployConversationModel","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelRequest","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DeployConversationModelRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest","doc":"The request to detect user's intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest","doc":"*   `inputAudio` (*type:* `String.t`, *default:* `nil`) - The natural language speech audio to be processed. This field should be populated iff `query_input` is set to an input audio config. A single request can contain up to 1 minute of speech audio data.\n*   `outputAudioConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig.t`, *default:* `nil`) - Instructs the speech synthesizer how to generate the output audio. If this field is not set and agent-level speech synthesizer is not configured, no output audio is generated.\n*   `outputAudioConfigMask` (*type:* `String.t`, *default:* `nil`) - Mask for output_audio_config indicating which settings in this request-level config should override speech synthesizer settings defined at agent-level. If unspecified or empty, output_audio_config replaces the agent-level config in its entirety.\n*   `queryInput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryInput.t`, *default:* `nil`) - Required. The input specification. It can be set to: 1. an audio config which instructs the speech recognizer how to process the speech audio, 2. a conversational query in the form of text, or 3. an event that specifies which intent to trigger.\n*   `queryParams` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryParameters.t`, *default:* `nil`) - The parameters of this query.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse","doc":"The message returned from the DetectIntent method.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse","doc":"*   `outputAudio` (*type:* `String.t`, *default:* `nil`) - The audio data bytes encoded as specified in the request. Note: The output audio is generated based on the values of default platform text responses found in the `query_result.fulfillment_messages` field. If multiple default text responses exist, they will be concatenated when generating audio. If no default platform text responses exist, the generated audio content will be empty. In some scenarios, multiple output audio fields may be present in the response structure. In these cases, only the top-most-level audio output has content.\n*   `outputAudioConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig.t`, *default:* `nil`) - The config used by the speech synthesizer to generate the output audio.\n*   `queryResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult.t`, *default:* `nil`) - The selected results of the conversational query or event processing. See `alternative_query_results` for additional potential results.\n*   `responseId` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the response. It can be used to locate a response in the training example set or for reporting issues.\n*   `webhookStatus` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - Specifies the status of the webhook request.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DetectIntentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DialogflowAssistAnswer","doc":"Represents a Dialogflow assist answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DialogflowAssistAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DialogflowAssistAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `intentSuggestion` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentSuggestion.t`, *default:* `nil`) - An intent suggestion generated from conversation.\n*   `queryResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult.t`, *default:* `nil`) - Result from v2 agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DialogflowAssistAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DialogflowAssistAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DialogflowAssistAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DialogflowAssistAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DialogflowAssistAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document","doc":"A knowledge document to be used by a KnowledgeBase. For more information, see the [knowledge base guide](https://cloud.google.com/dialogflow/docs/how/knowledge-bases). Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document","doc":"*   `contentUri` (*type:* `String.t`, *default:* `nil`) - The URI where the file content is located. For documents stored in Google Cloud Storage, these URIs must have the form `gs:///`. NOTE: External URLs must correspond to public webpages, i.e., they must be indexed by Google Search. In particular, URLs for showing documents in Google Cloud Storage (i.e. the URL in your browser) are not supported. Instead use the `gs://` format URI described above.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The display name of the document. The name must be 1024 bytes or less; otherwise, the creation request fails.\n*   `enableAutoReload` (*type:* `boolean()`, *default:* `nil`) - Optional. If true, we try to automatically reload the document every day (at a time picked by the system). If false or unspecified, we don't try to automatically reload the document. Currently you can only enable automatic reload for documents sourced from a public url, see `source` field for the source types. Reload status can be tracked in `latest_reload_status`. If a reload fails, we will keep the document unchanged. If a reload fails with internal errors, the system will try to reload the document on the next day. If a reload fails with non-retriable errors (e.g. PERMISSION_DENIED), the system will not try to reload the document anymore. You need to manually reload the document successfully by calling `ReloadDocument` and clear the errors.\n*   `knowledgeTypes` (*type:* `list(String.t)`, *default:* `nil`) - Required. The knowledge type of document content.\n*   `latestReloadStatus` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DocumentReloadStatus.t`, *default:* `nil`) - Output only. The time and status of the latest reload. This reload may have been triggered automatically or manually and may not have succeeded.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Optional. Metadata for the document. The metadata supports arbitrary key-value pairs. Suggested use cases include storing a document's title, an external URL distinct from the document's content_uri, etc. The max size of a `key` or a `value` of the metadata is 1024 bytes.\n*   `mimeType` (*type:* `String.t`, *default:* `nil`) - Required. The MIME type of this document.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The document resource name. The name must be empty when creating a document. Format: `projects//locations//knowledgeBases//documents/`.\n*   `rawContent` (*type:* `String.t`, *default:* `nil`) - The raw content of the document. This field is only permitted for EXTRACTIVE_QA and FAQ knowledge types.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current state of the document.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DocumentReloadStatus","doc":"The status of a reload attempt.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DocumentReloadStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DocumentReloadStatus","doc":"*   `status` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - The status of a reload attempt or the initial load.\n*   `time` (*type:* `DateTime.t`, *default:* `nil`) - The time of a reload attempt. This reload may have been triggered automatically or manually and may not have succeeded.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DocumentReloadStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DocumentReloadStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DocumentReloadStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DocumentReloadStatus.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DocumentReloadStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DtmfParameters","doc":"The message in the response that indicates the parameters of DTMF.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DtmfParameters.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DtmfParameters","doc":"*   `acceptsDtmfInput` (*type:* `boolean()`, *default:* `nil`) - Indicates whether DTMF input can be handled in the next request.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DtmfParameters.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DtmfParameters.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DtmfParameters.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DtmfParameters.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2DtmfParameters.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EncryptionSpec","doc":"A customer-managed encryption key specification that can be applied to all created resources (e.g. Conversation).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EncryptionSpec.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EncryptionSpec","doc":"*   `kmsKey` (*type:* `String.t`, *default:* `nil`) - Required. The name of customer-managed encryption key that is used to secure a resource and its sub-resources. If empty, the resource is secured by the default Google encryption key. Only the key in the same location as this resource is allowed to be used for encryption. Format: `projects/{project}/locations/{location}/keyRings/{keyRing}/cryptoKeys/{key}`\n*   `name` (*type:* `String.t`, *default:* `nil`) - Immutable. The resource name of the encryption key specification resource. Format: projects/{project}/locations/{location}/encryptionSpec","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EncryptionSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EncryptionSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EncryptionSpec.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EncryptionSpec.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EncryptionSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType","doc":"Each intent parameter has a type, called the entity type, which dictates exactly how data from an end-user expression is extracted. Dialogflow provides predefined system entities that can match many common types of data. For example, there are system entities for matching dates, times, colors, email addresses, and so on. You can also create your own custom entities for matching custom data. For example, you could define a vegetable entity that can match the types of vegetables available for purchase with a grocery store agent. For more information, see the [Entity guide](https://cloud.google.com/dialogflow/docs/entities-overview).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType","doc":"*   `autoExpansionMode` (*type:* `String.t`, *default:* `nil`) - Optional. Indicates whether the entity type can be automatically expanded.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the entity type.\n*   `enableFuzzyExtraction` (*type:* `boolean()`, *default:* `nil`) - Optional. Enables fuzzy entity extraction during classification.\n*   `entities` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity.t)`, *default:* `nil`) - Optional. The collection of entity entries associated with the entity type.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Required. Indicates the kind of entity type.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Format: `projects//agent/entityTypes/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeBatch","doc":"This message is a wrapper around a collection of entity types.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeBatch.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeBatch","doc":"*   `entityTypes` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.t)`, *default:* `nil`) - A collection of entity types.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeBatch.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeBatch.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeBatch.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeBatch.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeBatch.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity","doc":"An **entity entry** for an associated entity type.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity","doc":"*   `synonyms` (*type:* `list(String.t)`, *default:* `nil`) - Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: * This collection must contain exactly one synonym equal to `value`.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: * A reference value to be used in place of synonyms. For `KIND_LIST` entity types: * A string that can contain references to other entity types (with or without aliases).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment","doc":"You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for: - testing - development - production - etc. For more information, see the [versions and environments guide](https://cloud.google.com/dialogflow/docs/agents-versions).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment","doc":"*   `agentVersion` (*type:* `String.t`, *default:* `nil`) - Optional. The agent version loaded into this environment. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The developer-provided description for this environment. The maximum length is 500 characters. If exceeded, the request is rejected.\n*   `fulfillment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment.t`, *default:* `nil`) - Optional. The fulfillment settings to use for this environment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this agent environment. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/` The environment ID for the default environment is `-`.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The state of this environment. This field is read-only, i.e., it cannot be set by create and update methods.\n*   `textToSpeechSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextToSpeechSettings.t`, *default:* `nil`) - Optional. Text to speech settings for this environment.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The last update time of this environment. This field is read-only, i.e., it cannot be set by create and update methods.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistory","doc":"The response message for Environments.GetEnvironmentHistory.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistory.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistory","doc":"*   `entries` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistoryEntry.t)`, *default:* `nil`) - Output only. The list of agent environments. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Output only. Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `parent` (*type:* `String.t`, *default:* `nil`) - Output only. The name of the environment this history is for. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/` The environment ID for the default environment is `-`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistory.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistory.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistory.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistory.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistory.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistoryEntry","doc":"Represents an environment history entry.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistoryEntry.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistoryEntry","doc":"*   `agentVersion` (*type:* `String.t`, *default:* `nil`) - The agent version loaded into this environment history entry.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The creation time of this environment history entry.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The developer-provided description for this environment history entry.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistoryEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistoryEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistoryEntry.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistoryEntry.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EnvironmentHistoryEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfig","doc":"The configuration for model evaluation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfig","doc":"*   `datasets` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputDataset.t)`, *default:* `nil`) - Required. Datasets used for evaluation.\n*   `smartComposeConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartComposeConfig.t`, *default:* `nil`) - Configuration for smart compose model evalution.\n*   `smartReplyConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartReplyConfig.t`, *default:* `nil`) - Configuration for smart reply model evalution.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartComposeConfig","doc":"Smart compose specific configuration for evaluation job.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartComposeConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartComposeConfig","doc":"*   `allowlistDocument` (*type:* `String.t`, *default:* `nil`) - The allowlist document resource name. Format: `projects//knowledgeBases//documents/`. Only used for smart compose model.\n*   `maxResultCount` (*type:* `integer()`, *default:* `nil`) - Required. The model to be evaluated can return multiple results with confidence score on each query. These results will be sorted by the descending order of the scores and we only keep the first max_result_count results as the final results to evaluate.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartComposeConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartComposeConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartComposeConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartComposeConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartComposeConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartReplyConfig","doc":"Smart reply specific configuration for evaluation job.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartReplyConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartReplyConfig","doc":"*   `allowlistDocument` (*type:* `String.t`, *default:* `nil`) - The allowlist document resource name. Format: `projects//knowledgeBases//documents/`. Only used for smart reply model.\n*   `maxResultCount` (*type:* `integer()`, *default:* `nil`) - Required. The model to be evaluated can return multiple results with confidence score on each query. These results will be sorted by the descending order of the scores and we only keep the first max_result_count results as the final results to evaluate.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartReplyConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartReplyConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartReplyConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartReplyConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EvaluationConfigSmartReplyConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput","doc":"Events allow for matching intents by event name instead of the natural language input. For instance, input `` can trigger a personalized welcome response. The parameter `name` may be used by the agent in the response: `\"Hello #welcome_event.name! What can I do for you today?\"`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of this query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language. This field is ignored when used in the context of a WebhookResponse.followup_event_input field, because the language was already defined in the originating detect intent request.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the event.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - The collection of parameters associated with the event. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentRequest","doc":"The request message for Agents.ExportAgent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentRequest","doc":"*   `agentUri` (*type:* `String.t`, *default:* `nil`) - Required. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the agent to. The format of this URI must be `gs:///`. If left unspecified, the serialized agent is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentResponse","doc":"The response message for Agents.ExportAgent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentResponse","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Zip compressed raw byte content for agent.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in `ExportAgentRequest`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportAgentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportDocumentRequest","doc":"Request message for Documents.ExportDocument.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportDocumentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportDocumentRequest","doc":"*   `exportFullContent` (*type:* `boolean()`, *default:* `nil`) - When enabled, export the full content of the document including empirical probability.\n*   `gcsDestination` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsDestination.t`, *default:* `nil`) - Cloud Storage file path to export the document.\n*   `smartMessagingPartialUpdate` (*type:* `boolean()`, *default:* `nil`) - When enabled, export the smart messaging allowlist document for partial update.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportDocumentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportDocumentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportDocumentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportDocumentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportDocumentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportOperationMetadata","doc":"Metadata related to the Export Data Operations (e.g. ExportDocument).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportOperationMetadata","doc":"*   `exportedGcsDestination` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsDestination.t`, *default:* `nil`) - Cloud Storage file path of the exported data.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FaqAnswer","doc":"Represents answer from \"frequently asked questions\".","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FaqAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FaqAnswer","doc":"*   `answer` (*type:* `String.t`, *default:* `nil`) - The piece of text from the `source` knowledge base document.\n*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `confidence` (*type:* `number()`, *default:* `nil`) - The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `metadata` (*type:* `map()`, *default:* `nil`) - A map that contains metadata about the answer and the document from which it originates.\n*   `question` (*type:* `String.t`, *default:* `nil`) - The corresponding FAQ question.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FaqAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FaqAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FaqAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FaqAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FaqAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FewShotExample","doc":"Providing examples in the generator (i.e. building a few-shot generator) helps convey the desired format of the LLM response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FewShotExample.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FewShotExample","doc":"*   `conversationContext` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationContext.t`, *default:* `nil`) - Optional. Conversation transcripts.\n*   `extraInfo` (*type:* `map()`, *default:* `nil`) - Optional. Key is the placeholder field name in input, value is the value of the placeholder. E.g. instruction contains \"@price\", and ingested data has <\"price\", \"10\">\n*   `output` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GeneratorSuggestion.t`, *default:* `nil`) - Required. Example output of the model.\n*   `summarizationSectionList` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSectionList.t`, *default:* `nil`) - Summarization sections.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FewShotExample.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FewShotExample.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FewShotExample.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FewShotExample.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FewShotExample.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment","doc":"By default, your agent responds to a matched intent with a static response. As an alternative, you can provide a more dynamic response by using fulfillment. When you enable fulfillment for an intent, Dialogflow responds to that intent by calling a service that you define. For example, if an end-user wants to schedule a haircut on Friday, your service can check your database and respond to the end-user with availability information for Friday. For more information, see the [fulfillment guide](https://cloud.google.com/dialogflow/docs/fulfillment-overview).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Optional. The human-readable name of the fulfillment, unique within the agent. This field is not used for Fulfillment in an Environment.\n*   `enabled` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether fulfillment is enabled.\n*   `features` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentFeature.t)`, *default:* `nil`) - Optional. The field defines whether the fulfillment is enabled for certain features.\n*   `genericWebService` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentGenericWebService.t`, *default:* `nil`) - Configuration for a generic web service.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the fulfillment. Supported formats: - `projects//agent/fulfillment` - `projects//locations//agent/fulfillment` This field is not used for Fulfillment in an Environment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Fulfillment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentFeature","doc":"Whether fulfillment is enabled for the specific feature.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentFeature.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentFeature","doc":"*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the feature that enabled for fulfillment.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentFeature.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentFeature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentFeature.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentFeature.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentFeature.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentGenericWebService","doc":"Represents configuration for a generic web service. Dialogflow supports two mechanisms for authentications: - Basic authentication with username and password. - Authentication with additional authentication headers. More information could be found at: https://cloud.google.com/dialogflow/docs/fulfillment-configure.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentGenericWebService.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentGenericWebService","doc":"*   `isCloudFunction` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates if generic web service is created through Cloud Functions integration. Defaults to false. is_cloud_function is deprecated. Cloud functions can be configured by its uri as a regular web service now.\n*   `password` (*type:* `String.t`, *default:* `nil`) - Optional. The password for HTTP Basic authentication.\n*   `requestHeaders` (*type:* `map()`, *default:* `nil`) - Optional. The HTTP request headers to send together with fulfillment requests.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The fulfillment URI for receiving POST requests. It must use https protocol.\n*   `username` (*type:* `String.t`, *default:* `nil`) - Optional. The user name for HTTP Basic authentication.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentGenericWebService.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentGenericWebService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentGenericWebService.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentGenericWebService.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FulfillmentGenericWebService.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsDestination","doc":"Google Cloud Storage location for the output.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsDestination","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - The Google Cloud Storage URIs for the output. A URI is of the form: `gs://bucket/object-prefix-or-name` Whether a prefix or name is used depends on the use case. The requesting user must have \"write-permission\" to the bucket.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsSources","doc":"Google Cloud Storage location for the inputs.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsSources.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsSources","doc":"*   `uris` (*type:* `list(String.t)`, *default:* `nil`) - Required. Google Cloud Storage URIs for the inputs. A URI is of the form: `gs://bucket/object-prefix-or-name` Whether a prefix or name is used depends on the use case.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsSources.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsSources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsSources.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsSources.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsSources.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionRequest","doc":"The request message for Conversations.GenerateStatelessSuggestion.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionRequest","doc":"*   `conversationContext` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationContext.t`, *default:* `nil`) - Optional. Context of the conversation, including transcripts.\n*   `generator` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.t`, *default:* `nil`) - Uncreated generator. It should be a complete generator that includes all information about the generator.\n*   `generatorName` (*type:* `String.t`, *default:* `nil`) - The resource name of the existing created generator. Format: `projects//locations//generators/`\n*   `triggerEvents` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of trigger events. Generator will be triggered only if it's trigger event is included here.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionResponse","doc":"The response message for Conversations.GenerateStatelessSuggestion.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionResponse","doc":"*   `generatorSuggestion` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GeneratorSuggestion.t`, *default:* `nil`) - Required. Generated suggestion for a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSuggestionResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequest","doc":"The request message for Conversations.GenerateStatelessSummary.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequest","doc":"*   `conversationProfile` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.t`, *default:* `nil`) - Required. A ConversationProfile containing information required for Summary generation. Required fields: {language_code, security_settings} Optional fields: {agent_assistant_config}\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the latest conversation message used as context for generating a Summary. If empty, the latest message of the conversation will be used. The format is specific to the user and the names of the messages provided.\n*   `maxContextSize` (*type:* `integer()`, *default:* `nil`) - Optional. Max number of messages prior to and including [latest_message] to use as context when compiling the suggestion. By default 500 and at most 1000.\n*   `statelessConversation` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequestMinimalConversation.t`, *default:* `nil`) - Required. The conversation to suggest a summary for.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequestMinimalConversation","doc":"The minimum amount of information required to generate a Summary without having a Conversation resource created.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequestMinimalConversation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequestMinimalConversation","doc":"*   `messages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message.t)`, *default:* `nil`) - Required. The messages that the Summary will be generated from. It is expected that this message content is already redacted and does not contain any PII. Required fields: {content, language_code, participant, participant_role} Optional fields: {send_time} If send_time is not provided, then the messages must be provided in chronological order.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequestMinimalConversation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequestMinimalConversation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequestMinimalConversation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequestMinimalConversation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryRequestMinimalConversation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponse","doc":"The response message for Conversations.GenerateStatelessSummary.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message used to compile the suggestion. It may be smaller than the GenerateStatelessSummaryRequest.max_context_size field in the request if there weren't that many messages in the conversation.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used as context for compiling suggestion. The format is specific to the user and the names of the messages provided.\n*   `summary` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponseSummary.t`, *default:* `nil`) - Generated summary.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponseSummary","doc":"Generated summary for a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponseSummary.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponseSummary","doc":"*   `baselineModelVersion` (*type:* `String.t`, *default:* `nil`) - The baseline model version used to generate this summary. It is empty if a baseline model was not used to generate this summary.\n*   `text` (*type:* `String.t`, *default:* `nil`) - The summary content that is concatenated into one string.\n*   `textSections` (*type:* `map()`, *default:* `nil`) - The summary content that is divided into sections. The key is the section's name and the value is the section's content. There is no specific format for the key or value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponseSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponseSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponseSummary.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponseSummary.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GenerateStatelessSummaryResponseSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator","doc":"LLM generator.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Creation time of this generator.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Human readable description of the generator.\n*   `inferenceParameter` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InferenceParameter.t`, *default:* `nil`) - Optional. Inference parameters for this generator.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Identifier. The resource name of the generator. Format: `projects//locations//generators/`\n*   `summarizationContext` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationContext.t`, *default:* `nil`) - Input of prebuilt Summarization feature.\n*   `triggerEvent` (*type:* `String.t`, *default:* `nil`) - Optional. The trigger event of the generator. It defines when the generator is triggered in a conversation.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Update time of this generator.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GeneratorSuggestion","doc":"Suggestion generated using a Generator.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GeneratorSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GeneratorSuggestion","doc":"*   `summarySuggestion` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestion.t`, *default:* `nil`) - Optional. Suggested summary.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GeneratorSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GeneratorSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GeneratorSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GeneratorSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GeneratorSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfig","doc":"Defines the Human Agent Assist to connect to a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfig","doc":"*   `endUserSuggestionConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionConfig.t`, *default:* `nil`) - Configuration for agent assistance of end user participant. Currently, this feature is not general available, please contact Google to get access.\n*   `humanAgentSuggestionConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionConfig.t`, *default:* `nil`) - Configuration for agent assistance of human agent participant.\n*   `messageAnalysisConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigMessageAnalysisConfig.t`, *default:* `nil`) - Configuration for message analysis.\n*   `notificationConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig.t`, *default:* `nil`) - Pub/Sub topic on which to publish new agent assistant events.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationModelConfig","doc":"Custom conversation models used in agent assist feature. Supported feature: ARTICLE_SUGGESTION, SMART_COMPOSE, SMART_REPLY, CONVERSATION_SUMMARIZATION.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationModelConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationModelConfig","doc":"*   `baselineModelVersion` (*type:* `String.t`, *default:* `nil`) - Version of current baseline model. It will be ignored if model is set. Valid versions are: Article Suggestion baseline model: - 0.9 - 1.0 (default) Summarization baseline model: - 1.0\n*   `model` (*type:* `String.t`, *default:* `nil`) - Conversation model resource name. Format: `projects//conversationModels/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationModelConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationModelConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationModelConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationModelConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationModelConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationProcessConfig","doc":"Config to process conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationProcessConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationProcessConfig","doc":"*   `recentSentencesCount` (*type:* `integer()`, *default:* `nil`) - Number of recent non-small-talk sentences to use as context for article and FAQ suggestion","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationProcessConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationProcessConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationProcessConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationProcessConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationProcessConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigMessageAnalysisConfig","doc":"Configuration for analyses to run on each conversation message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigMessageAnalysisConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigMessageAnalysisConfig","doc":"*   `enableEntityExtraction` (*type:* `boolean()`, *default:* `nil`) - Enable entity extraction in conversation messages on [agent assist stage](https://cloud.google.com/dialogflow/priv/docs/contact-center/basics#stages). If unspecified, defaults to false. Currently, this feature is not general available, please contact Google to get access.\n*   `enableSentimentAnalysis` (*type:* `boolean()`, *default:* `nil`) - Enable sentiment analysis in conversation messages on [agent assist stage](https://cloud.google.com/dialogflow/priv/docs/contact-center/basics#stages). If unspecified, defaults to false. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral: https://cloud.google.com/natural-language/docs/basics#sentiment_analysis For Participants.StreamingAnalyzeContent method, result will be in StreamingAnalyzeContentResponse.message.SentimentAnalysisResult. For Participants.AnalyzeContent method, result will be in AnalyzeContentResponse.message.SentimentAnalysisResult For Conversations.ListMessages method, result will be in ListMessagesResponse.messages.SentimentAnalysisResult If Pub/Sub notification is configured, result will be in ConversationEvent.new_message_payload.SentimentAnalysisResult.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigMessageAnalysisConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigMessageAnalysisConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigMessageAnalysisConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigMessageAnalysisConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigMessageAnalysisConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionConfig","doc":"Detail human agent assistant config.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionConfig","doc":"*   `disableHighLatencyFeaturesSyncDelivery` (*type:* `boolean()`, *default:* `nil`) - Optional. When disable_high_latency_features_sync_delivery is true and using the AnalyzeContent API, we will not deliver the responses from high latency features in the API response. The human_agent_assistant_config.notification_config must be configured and enable_event_based_suggestion must be set to true to receive the responses from high latency features in Pub/Sub. High latency feature(s): KNOWLEDGE_ASSIST\n*   `featureConfigs` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionFeatureConfig.t)`, *default:* `nil`) - Configuration of different suggestion features. One feature can have only one config.\n*   `generators` (*type:* `list(String.t)`, *default:* `nil`) - Optional. List of various generator resource names used in the conversation profile.\n*   `groupSuggestionResponses` (*type:* `boolean()`, *default:* `nil`) - If `group_suggestion_responses` is false, and there are multiple `feature_configs` in `event based suggestion` or StreamingAnalyzeContent, we will try to deliver suggestions to customers as soon as we get new suggestion. Different type of suggestions based on the same context will be in separate Pub/Sub event or `StreamingAnalyzeContentResponse`. If `group_suggestion_responses` set to true. All the suggestions to the same participant based on the same context will be grouped into a single Pub/Sub event or StreamingAnalyzeContentResponse.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionFeatureConfig","doc":"Config for suggestion features.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionFeatureConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionFeatureConfig","doc":"*   `conversationModelConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationModelConfig.t`, *default:* `nil`) - Configs of custom conversation model.\n*   `conversationProcessConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigConversationProcessConfig.t`, *default:* `nil`) - Configs for processing conversation.\n*   `disableAgentQueryLogging` (*type:* `boolean()`, *default:* `nil`) - Optional. Disable the logging of search queries sent by human agents. It can prevent those queries from being stored at answer records. Supported features: KNOWLEDGE_SEARCH.\n*   `enableConversationAugmentedQuery` (*type:* `boolean()`, *default:* `nil`) - Optional. Enable including conversation context during query answer generation. Supported features: KNOWLEDGE_SEARCH.\n*   `enableEventBasedSuggestion` (*type:* `boolean()`, *default:* `nil`) - Automatically iterates all participants and tries to compile suggestions. Supported features: ARTICLE_SUGGESTION, FAQ, DIALOGFLOW_ASSIST, KNOWLEDGE_ASSIST.\n*   `enableQuerySuggestionOnly` (*type:* `boolean()`, *default:* `nil`) - Optional. Enable query suggestion only. Supported features: KNOWLEDGE_ASSIST\n*   `enableQuerySuggestionWhenNoAnswer` (*type:* `boolean()`, *default:* `nil`) - Optional. Enable query suggestion even if we can't find its answer. By default, queries are suggested only if we find its answer. Supported features: KNOWLEDGE_ASSIST\n*   `queryConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfig.t`, *default:* `nil`) - Configs of query.\n*   `suggestionFeature` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionFeature.t`, *default:* `nil`) - The suggestion feature.\n*   `suggestionTriggerSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionTriggerSettings.t`, *default:* `nil`) - Settings of suggestion trigger. Currently, only ARTICLE_SUGGESTION and FAQ will use this field.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionFeatureConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionFeatureConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionFeatureConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionFeatureConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionFeatureConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfig","doc":"Config for suggestion query.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfig","doc":"*   `confidenceThreshold` (*type:* `number()`, *default:* `nil`) - Confidence threshold of query result. Agent Assist gives each suggestion a score in the range [0.0, 1.0], based on the relevance between the suggestion and the current conversation context. A score of 0.0 has no relevance, while a score of 1.0 has high relevance. Only suggestions with a score greater than or equal to the value of this field are included in the results. For a baseline model (the default), the recommended value is in the range [0.05, 0.1]. For a custom model, there is no recommended value. Tune this value by starting from a very low value and slowly increasing until you have desired results. If this field is not set, it defaults to 0.0, which means that all suggestions are returned. Supported features: ARTICLE_SUGGESTION, FAQ, SMART_REPLY, SMART_COMPOSE, KNOWLEDGE_SEARCH, KNOWLEDGE_ASSIST, ENTITY_EXTRACTION.\n*   `contextFilterSettings` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings.t`, *default:* `nil`) - Determines how recent conversation context is filtered when generating suggestions. If unspecified, no messages will be dropped.\n*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Optional. The number of recent messages to include in the context. Supported features: KNOWLEDGE_ASSIST.\n*   `dialogflowQuerySource` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource.t`, *default:* `nil`) - Query from Dialogflow agent. It is used by DIALOGFLOW_ASSIST.\n*   `documentQuerySource` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource.t`, *default:* `nil`) - Query from knowledge base document. It is used by: SMART_REPLY, SMART_COMPOSE.\n*   `knowledgeBaseQuerySource` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource.t`, *default:* `nil`) - Query from knowledgebase. It is used by: ARTICLE_SUGGESTION, FAQ.\n*   `maxResults` (*type:* `integer()`, *default:* `nil`) - Maximum number of results to return. Currently, if unset, defaults to 10. And the max number is 20.\n*   `sections` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigSections.t`, *default:* `nil`) - Optional. The customized sections chosen to return when requesting a summary of a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings","doc":"Settings that determine how to filter recent conversation context when generating suggestions.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings","doc":"*   `dropHandoffMessages` (*type:* `boolean()`, *default:* `nil`) - If set to true, the last message from virtual agent (hand off message) and the message before it (trigger message of hand off) are dropped.\n*   `dropIvrMessages` (*type:* `boolean()`, *default:* `nil`) - If set to true, all messages from ivr stage are dropped.\n*   `dropVirtualAgentMessages` (*type:* `boolean()`, *default:* `nil`) - If set to true, all messages from virtual agent are dropped.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource","doc":"Dialogflow source setting. Supported feature: DIALOGFLOW_ASSIST.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource","doc":"*   `agent` (*type:* `String.t`, *default:* `nil`) - Required. The name of a Dialogflow virtual agent used for end user side intent detection and suggestion. Format: `projects//locations//agent`. When multiple agents are allowed in the same Dialogflow project.\n*   `humanAgentSideConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySourceHumanAgentSideConfig.t`, *default:* `nil`) - Optional. The Dialogflow assist configuration for human agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySourceHumanAgentSideConfig","doc":"The configuration used for human agent side Dialogflow assist suggestion.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySourceHumanAgentSideConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySourceHumanAgentSideConfig","doc":"*   `agent` (*type:* `String.t`, *default:* `nil`) - Optional. The name of a dialogflow virtual agent used for intent detection and suggestion triggered by human agent. Format: `projects//locations//agent`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySourceHumanAgentSideConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySourceHumanAgentSideConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySourceHumanAgentSideConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySourceHumanAgentSideConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySourceHumanAgentSideConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource","doc":"Document source settings. Supported features: SMART_REPLY, SMART_COMPOSE.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource","doc":"*   `documents` (*type:* `list(String.t)`, *default:* `nil`) - Required. Knowledge documents to query from. Format: `projects//locations//knowledgeBases//documents/`. Currently, at most 5 documents are supported.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource","doc":"Knowledge base source settings. Supported features: ARTICLE_SUGGESTION, FAQ.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource","doc":"*   `knowledgeBases` (*type:* `list(String.t)`, *default:* `nil`) - Required. Knowledge bases to query. Format: `projects//locations//knowledgeBases/`. Currently, at most 5 knowledge bases are supported.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigSections","doc":"Custom sections to return when requesting a summary of a conversation. This is only supported when `baseline_model_version` == '2.0'. Supported features: CONVERSATION_SUMMARIZATION, CONVERSATION_SUMMARIZATION_VOICE.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigSections.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigSections","doc":"*   `sectionTypes` (*type:* `list(String.t)`, *default:* `nil`) - The selected sections chosen to return when requesting a summary of a conversation. A duplicate selected section will be treated as a single selected section. If section types are not provided, the default will be {SITUATION, ACTION, RESULT}.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigSections.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigSections.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigSections.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigSections.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionQueryConfigSections.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionTriggerSettings","doc":"Settings of suggestion trigger.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionTriggerSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionTriggerSettings","doc":"*   `noSmalltalk` (*type:* `boolean()`, *default:* `nil`) - Do not trigger if last utterance is small talk.\n*   `onlyEndUser` (*type:* `boolean()`, *default:* `nil`) - Only trigger suggestion if participant role of last utterance is END_USER.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionTriggerSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionTriggerSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionTriggerSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionTriggerSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionTriggerSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent","doc":"Represents a notification sent to Cloud Pub/Sub subscribers for human agent assistant events in a specific conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent","doc":"*   `conversation` (*type:* `String.t`, *default:* `nil`) - The conversation this notification refers to. Format: `projects//conversations/`.\n*   `participant` (*type:* `String.t`, *default:* `nil`) - The participant that the suggestion is compiled for. Format: `projects//conversations//participants/`. It will not be set in legacy workflow.\n*   `suggestionResults` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult.t)`, *default:* `nil`) - The suggestion results payload that this notification refers to.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfig","doc":"Defines the hand off to a live agent, typically on which external agent service provider to connect to a conversation. Currently, this feature is not general available, please contact Google to get access.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfig","doc":"*   `livePersonConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigLivePersonConfig.t`, *default:* `nil`) - Uses [LivePerson](https://www.liveperson.com).\n*   `salesforceLiveAgentConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigSalesforceLiveAgentConfig.t`, *default:* `nil`) - Uses Salesforce Live Agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigLivePersonConfig","doc":"Configuration specific to [LivePerson](https://www.liveperson.com).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigLivePersonConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigLivePersonConfig","doc":"*   `accountNumber` (*type:* `String.t`, *default:* `nil`) - Required. Account number of the LivePerson account to connect. This is the account number you input at the login page.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigLivePersonConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigLivePersonConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigLivePersonConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigLivePersonConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigLivePersonConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigSalesforceLiveAgentConfig","doc":"Configuration specific to Salesforce Live Agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigSalesforceLiveAgentConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigSalesforceLiveAgentConfig","doc":"*   `buttonId` (*type:* `String.t`, *default:* `nil`) - Required. Live Agent chat button ID.\n*   `deploymentId` (*type:* `String.t`, *default:* `nil`) - Required. Live Agent deployment ID.\n*   `endpointDomain` (*type:* `String.t`, *default:* `nil`) - Required. Domain of the Live Agent endpoint for this agent. You can find the endpoint URL in the `Live Agent settings` page. For example if URL has the form https://d.la4-c2-phx.salesforceliveagent.com/..., you should fill in d.la4-c2-phx.salesforceliveagent.com.\n*   `organizationId` (*type:* `String.t`, *default:* `nil`) - Required. The organization ID of the Salesforce account.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigSalesforceLiveAgentConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigSalesforceLiveAgentConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigSalesforceLiveAgentConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigSalesforceLiveAgentConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentHandoffConfigSalesforceLiveAgentConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportAgentRequest","doc":"The request message for Agents.ImportAgent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportAgentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportAgentRequest","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Zip compressed raw byte content for agent.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The URI to a Google Cloud Storage file containing the agent to import. Note: The URI must start with \"gs://\". Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportAgentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportAgentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportAgentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportAgentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportAgentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata","doc":"Metadata for a ConversationDatasets.ImportConversationData operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata","doc":"*   `conversationDataset` (*type:* `String.t`, *default:* `nil`) - The resource name of the imported conversation dataset. Format: `projects//locations//conversationDatasets/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when import conversation data request was created. The time is measured on server side.\n*   `partialFailures` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t)`, *default:* `nil`) - Partial failures are failures that don't fail the whole long running operation, e.g. single files that couldn't be read.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse","doc":"Response used for ConversationDatasets.ImportConversationData long running operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse","doc":"*   `conversationDataset` (*type:* `String.t`, *default:* `nil`) - The resource name of the imported conversation dataset. Format: `projects//locations//conversationDatasets/`\n*   `importCount` (*type:* `integer()`, *default:* `nil`) - Number of conversations imported successfully.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataRequest","doc":"The request message for ConversationDatasets.ImportConversationData.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataRequest","doc":"*   `inputConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputConfig.t`, *default:* `nil`) - Required. Configuration describing where to import data from.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportConversationDataRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentTemplate","doc":"The template used for importing documents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentTemplate.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentTemplate","doc":"*   `knowledgeTypes` (*type:* `list(String.t)`, *default:* `nil`) - Required. The knowledge type of document content.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Metadata for the document. The metadata supports arbitrary key-value pairs. Suggested use cases include storing a document's title, an external URL distinct from the document's content_uri, etc. The max size of a `key` or a `value` of the metadata is 1024 bytes.\n*   `mimeType` (*type:* `String.t`, *default:* `nil`) - Required. The MIME type of the document.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentTemplate.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentTemplate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentTemplate.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentTemplate.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentTemplate.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsRequest","doc":"Request message for Documents.ImportDocuments.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsRequest","doc":"*   `documentTemplate` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentTemplate.t`, *default:* `nil`) - Required. Document template used for importing all the documents.\n*   `gcsSource` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsSources.t`, *default:* `nil`) - Optional. The Google Cloud Storage location for the documents. The path can include a wildcard. These URIs may have the forms `gs:///`. `gs:////*.`.\n*   `importGcsCustomMetadata` (*type:* `boolean()`, *default:* `nil`) - Whether to import custom metadata from Google Cloud Storage. Only valid when the document source is Google Cloud Storage URI.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsResponse","doc":"Response message for Documents.ImportDocuments.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsResponse","doc":"*   `warnings` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t)`, *default:* `nil`) - Includes details about skipped documents or any other warnings.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InferenceParameter","doc":"The parameters of inference.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InferenceParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InferenceParameter","doc":"*   `maxOutputTokens` (*type:* `integer()`, *default:* `nil`) - Optional. Maximum number of the output tokens for the generator.\n*   `temperature` (*type:* `float()`, *default:* `nil`) - Optional. Controls the randomness of LLM predictions. Low temperature = less random. High temperature = more random. If unset (or 0), uses a default value of 0.\n*   `topK` (*type:* `integer()`, *default:* `nil`) - Optional. Top-k changes how the model selects tokens for output. A top-k of 1 means the selected token is the most probable among all tokens in the model's vocabulary (also called greedy decoding), while a top-k of 3 means that the next token is selected from among the 3 most probable tokens (using temperature). For each token selection step, the top K tokens with the highest probabilities are sampled. Then tokens are further filtered based on topP with the final token selected using temperature sampling. Specify a lower value for less random responses and a higher value for more random responses. Acceptable value is [1, 40], default to 40.\n*   `topP` (*type:* `float()`, *default:* `nil`) - Optional. Top-p changes how the model selects tokens for output. Tokens are selected from most K (see topK parameter) probable to least until the sum of their probabilities equals the top-p value. For example, if tokens A, B, and C have a probability of 0.3, 0.2, and 0.1 and the top-p value is 0.5, then the model will select either A or B as the next token (using temperature) and doesn't consider C. The default top-p value is 0.95. Specify a lower value for less random responses and a higher value for more random responses. Acceptable value is [0.0, 1.0], default to 0.95.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InferenceParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InferenceParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InferenceParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InferenceParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InferenceParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata","doc":"Metadata for initializing a location-level encryption specification.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata","doc":"*   `request` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.t`, *default:* `nil`) - Output only. The original request for initialization.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest","doc":"The request to initialize a location-level encryption specification.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest","doc":"*   `encryptionSpec` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EncryptionSpec.t`, *default:* `nil`) - Required. The encryption spec used for CMEK encryption. It is required that the kms key is in the same region as the endpoint. The same key will be used for all provisioned resources, if encryption is available. If the kms_key_name is left empty, no encryption will be enforced.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputAudioConfig","doc":"Instructs the speech recognizer how to process the audio content.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputAudioConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputAudioConfig","doc":"*   `audioEncoding` (*type:* `String.t`, *default:* `nil`) - Required. Audio encoding of the audio content to process.\n*   `disableNoSpeechRecognizedEvent` (*type:* `boolean()`, *default:* `nil`) - Only used in Participants.AnalyzeContent and Participants.StreamingAnalyzeContent. If `false` and recognition doesn't return any result, trigger `NO_SPEECH_RECOGNIZED` event to Dialogflow agent.\n*   `enableAutomaticPunctuation` (*type:* `boolean()`, *default:* `nil`) - Enable automatic punctuation option at the speech backend.\n*   `enableWordInfo` (*type:* `boolean()`, *default:* `nil`) - If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of the supplied audio. Dialogflow does not do translations. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language.\n*   `model` (*type:* `String.t`, *default:* `nil`) - Optional. Which Speech model to select for the given request. For more information, see [Speech models](https://cloud.google.com/dialogflow/es/docs/speech-models).\n*   `modelVariant` (*type:* `String.t`, *default:* `nil`) - Which variant of the Speech model to use.\n*   `optOutConformerModelMigration` (*type:* `boolean()`, *default:* `nil`) - If `true`, the request will opt out for STT conformer model migration. This field will be deprecated once force migration takes place in June 2024. Please refer to [Dialogflow ES Speech model migration](https://cloud.google.com/dialogflow/es/docs/speech-model-migration).\n*   `phraseHints` (*type:* `list(String.t)`, *default:* `nil`) - A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details. This field is deprecated. Please use [`speech_contexts`]() instead. If you specify both [`phrase_hints`]() and [`speech_contexts`](), Dialogflow will treat the [`phrase_hints`]() as a single additional [`SpeechContext`]().\n*   `phraseSets` (*type:* `list(String.t)`, *default:* `nil`) - A collection of phrase set resources to use for speech adaptation.\n*   `sampleRateHertz` (*type:* `integer()`, *default:* `nil`) - Required. Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details.\n*   `singleUtterance` (*type:* `boolean()`, *default:* `nil`) - If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods. Note: When specified, InputAudioConfig.single_utterance takes precedence over StreamingDetectIntentRequest.single_utterance.\n*   `speechContexts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechContext.t)`, *default:* `nil`) - Context information to assist speech recognition. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputAudioConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputAudioConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputAudioConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputAudioConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputAudioConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputConfig","doc":"Represents the configuration of importing a set of conversation files in Google Cloud Storage.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputConfig","doc":"*   `gcsSource` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2GcsSources.t`, *default:* `nil`) - The Cloud Storage URI has the form gs:////agent*.json. Wildcards are allowed and will be expanded into all matched JSON files, which will be read as one conversation per file.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputDataset","doc":"InputDataset used to create model or do evaluation. NextID:5","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputDataset.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputDataset","doc":"*   `dataset` (*type:* `String.t`, *default:* `nil`) - Required. ConversationDataset resource name. Format: `projects//locations//conversationDatasets/`","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputDataset.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputDataset.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputDataset.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputDataset.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputDataset.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent","doc":"An intent categorizes an end-user's intention for one conversation turn. For each agent, you define many intents, where your combined intents can handle a complete conversation. When an end-user writes or says something, referred to as an end-user expression or end-user input, Dialogflow matches the end-user input to the best intent in your agent. Matching an intent is also known as intent classification. For more information, see the [intent guide](https://cloud.google.com/dialogflow/docs/intents-overview).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the action associated with the intent. Note: The action name must not contain whitespaces.\n*   `defaultResponsePlatforms` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of platforms for which the first responses will be copied from the messages in PLATFORM_UNSPECIFIED (i.e. default platform).\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of this intent.\n*   `endInteraction` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.\n*   `events` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of event names that trigger the intent. If the collection of input contexts is not empty, all of the contexts must be present in the active user session for an event to trigger this intent. Event names are limited to 150 characters.\n*   `followupIntentInfo` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.t)`, *default:* `nil`) - Output only. Read-only. Information about all followup intents that have this intent as a direct or indirect parent. We populate this field only in the output.\n*   `inputContextNames` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of context names required for this intent to be triggered. Format: `projects//agent/sessions/-/contexts/`.\n*   `isFallback` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether this is a fallback intent.\n*   `liveAgentHandoff` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage.t)`, *default:* `nil`) - Optional. The collection of rich messages corresponding to the `Response` field in the Dialogflow console.\n*   `mlDisabled` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether Machine Learning is disabled for the intent. Note: If `ml_disabled` setting is set to true, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Format: `projects//agent/intents/`.\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t)`, *default:* `nil`) - Optional. The collection of contexts that are activated when the intent is matched. Context messages in this collection should not set the parameters field. Setting the `lifespan_count` to 0 will reset the context when the intent is matched. Format: `projects//agent/sessions/-/contexts/`.\n*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentParameter.t)`, *default:* `nil`) - Optional. The collection of parameters associated with the intent.\n*   `parentFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - Read-only after creation. The unique identifier of the parent intent in the chain of followup intents. You can set this field when creating an intent, for example with CreateIntent or BatchUpdateIntents, in order to make this intent a followup intent. It identifies the parent followup intent. Format: `projects//agent/intents/`.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - Optional. The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.\n*   `resetContexts` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether to delete all contexts in the current session when this intent is matched.\n*   `rootFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - Output only. Read-only. The unique identifier of the root intent in the chain of followup intents. It identifies the correct followup intents chain for this intent. We populate this field only in the output. Format: `projects//agent/intents/`.\n*   `trainingPhrases` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.t)`, *default:* `nil`) - Optional. The collection of examples that the agent is trained on.\n*   `webhookState` (*type:* `String.t`, *default:* `nil`) - Optional. Indicates whether webhooks are enabled for the intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentBatch","doc":"This message is a wrapper around a collection of intents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentBatch.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentBatch","doc":"*   `intents` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.t)`, *default:* `nil`) - A collection of intents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentBatch.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentBatch.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentBatch.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentBatch.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentBatch.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo","doc":"Represents a single followup intent in the chain.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo","doc":"*   `followupIntentName` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the followup intent. Format: `projects//agent/intents/`.\n*   `parentFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the followup intent's parent. Format: `projects//agent/intents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage","doc":"A rich response message. Corresponds to the intent `Response` field in the Dialogflow console. For more information, see [Rich response messages](https://cloud.google.com/dialogflow/docs/intents-rich-messages).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage","doc":"*   `basicCard` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.t`, *default:* `nil`) - The basic card response for Actions on Google.\n*   `browseCarouselCard` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.t`, *default:* `nil`) - Browse carousel card for Actions on Google.\n*   `card` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCard.t`, *default:* `nil`) - The card response.\n*   `carouselSelect` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.t`, *default:* `nil`) - The carousel card response for Actions on Google.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - The image response.\n*   `linkOutSuggestion` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.t`, *default:* `nil`) - The link out suggestion chip for Actions on Google.\n*   `listSelect` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelect.t`, *default:* `nil`) - The list card response for Actions on Google.\n*   `mediaContent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.t`, *default:* `nil`) - The media content card for Actions on Google.\n*   `payload` (*type:* `map()`, *default:* `nil`) - A custom platform-specific response.\n*   `platform` (*type:* `String.t`, *default:* `nil`) - Optional. The platform that this message is intended for.\n*   `quickReplies` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.t`, *default:* `nil`) - The quick replies response.\n*   `simpleResponses` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.t`, *default:* `nil`) - The voice and text-only responses for Actions on Google.\n*   `suggestions` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.t`, *default:* `nil`) - The suggestion chips for Actions on Google.\n*   `tableCard` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCard.t`, *default:* `nil`) - Table card for Actions on Google.\n*   `text` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageText.t`, *default:* `nil`) - The text response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCard","doc":"The basic card message. Useful for displaying information.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.t)`, *default:* `nil`) - Optional. The collection of card buttons.\n*   `formattedText` (*type:* `String.t`, *default:* `nil`) - Required, unless image is present. The body text of the card.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. The image for the card.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. The subtitle of the card.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton","doc":"The button object that appears at the bottom of a card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton","doc":"*   `openUriAction` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.t`, *default:* `nil`) - Required. Action to take when a user taps on the button.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The title of the button.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction","doc":"Opens the given URI.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The HTTP or HTTPS scheme URI.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard","doc":"Browse Carousel Card for Actions on Google. https://developers.google.com/actions/assistant/responses#browsing_carousel","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard","doc":"*   `imageDisplayOptions` (*type:* `String.t`, *default:* `nil`) - Optional. Settings for displaying the image. Applies to every image in items.\n*   `items` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.t)`, *default:* `nil`) - Required. List of items in the Browse Carousel Card. Minimum of two items, maximum of ten.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem","doc":"Browsing carousel tile","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the carousel item. Maximum of four lines of text.\n*   `footer` (*type:* `String.t`, *default:* `nil`) - Optional. Text that appears at the bottom of the Browse Carousel Card. Maximum of one line of text.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. Hero image for the carousel item.\n*   `openUriAction` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.t`, *default:* `nil`) - Required. Action to present to the user.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the carousel item. Maximum of two lines of text.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction","doc":"Actions on Google action to open a given url.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction","doc":"*   `url` (*type:* `String.t`, *default:* `nil`) - Required. URL\n*   `urlTypeHint` (*type:* `String.t`, *default:* `nil`) - Optional. Specifies the type of viewer that is used when opening the URL. Defaults to opening via web browser.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCard","doc":"The card response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCardButton.t)`, *default:* `nil`) - Optional. The collection of card buttons.\n*   `imageUri` (*type:* `String.t`, *default:* `nil`) - Optional. The public URI to an image file for the card.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. The subtitle of the card.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCardButton","doc":"Contains information about a button.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCardButton.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCardButton","doc":"*   `postback` (*type:* `String.t`, *default:* `nil`) - Optional. The text to send back to the Dialogflow API or a URI to open.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Optional. The text to show on the button.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCardButton.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCardButton.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCardButton.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCardButton.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCardButton.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect","doc":"The card for presenting a carousel of options to select from.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect","doc":"*   `items` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.t)`, *default:* `nil`) - Required. Carousel items.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem","doc":"An item in the carousel.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The body text of the card.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. The image to display.\n*   `info` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.t`, *default:* `nil`) - Required. Additional info about the option item.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the carousel item.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties","doc":"Column properties for TableCard.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties","doc":"*   `header` (*type:* `String.t`, *default:* `nil`) - Required. Column heading.\n*   `horizontalAlignment` (*type:* `String.t`, *default:* `nil`) - Optional. Defines text alignment for all cells in this column.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage","doc":"The image response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage","doc":"*   `accessibilityText` (*type:* `String.t`, *default:* `nil`) - Optional. A text description of the image to be used for accessibility, e.g., screen readers.\n*   `imageUri` (*type:* `String.t`, *default:* `nil`) - Optional. The public URI to an image file.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion","doc":"The suggestion chip message that allows the user to jump out to the app or website associated with this agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion","doc":"*   `destinationName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the app or site this chip is linking to.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The URI of the app or site to open when the user taps the suggestion chip.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelect","doc":"The card for presenting a list of options to select from.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelect.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelect","doc":"*   `items` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.t)`, *default:* `nil`) - Required. List items.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. Subtitle of the list.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The overall title of the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelect.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelect.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelect.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelect.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelect.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem","doc":"An item in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The main text describing the item.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. The image to display.\n*   `info` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.t`, *default:* `nil`) - Required. Additional information about this option.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The title of the list item.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContent","doc":"The media content card for Actions on Google.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContent","doc":"*   `mediaObjects` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.t)`, *default:* `nil`) - Required. List of media objects.\n*   `mediaType` (*type:* `String.t`, *default:* `nil`) - Optional. What type of media is the content (ie \"audio\").","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject","doc":"Response media object for media content card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject","doc":"*   `contentUrl` (*type:* `String.t`, *default:* `nil`) - Required. Url where the media is stored.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of media card.\n*   `icon` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. Icon to display above media content.\n*   `largeImage` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. Image to display above media content.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Name of media card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies","doc":"The quick replies response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies","doc":"*   `quickReplies` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of quick replies.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the collection of quick replies.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo","doc":"Additional info about the select item for when it is triggered in a dialog.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Required. A unique key that will be sent back to the agent if this response is given.\n*   `synonyms` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of synonyms that can also be used to trigger this item in dialog.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse","doc":"The simple response message containing speech or text.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse","doc":"*   `displayText` (*type:* `String.t`, *default:* `nil`) - Optional. The text to display.\n*   `ssml` (*type:* `String.t`, *default:* `nil`) - One of text_to_speech or ssml must be provided. Structured spoken response to the user in the SSML format. Mutually exclusive with text_to_speech.\n*   `textToSpeech` (*type:* `String.t`, *default:* `nil`) - One of text_to_speech or ssml must be provided. The plain text of the speech output. Mutually exclusive with ssml.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses","doc":"The collection of simple response candidates. This message in `QueryResult.fulfillment_messages` and `WebhookResponse.fulfillment_messages` should contain only one `SimpleResponse`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses","doc":"*   `simpleResponses` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.t)`, *default:* `nil`) - Required. The list of simple responses.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestion","doc":"The suggestion chip message that the user can tap to quickly post a reply to the conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestion","doc":"*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The text shown the in the suggestion chip.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestions","doc":"The collection of suggestions.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestions","doc":"*   `suggestions` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.t)`, *default:* `nil`) - Required. The list of suggested replies.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCard","doc":"Table card for Actions on Google.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.t)`, *default:* `nil`) - Optional. List of buttons for the card.\n*   `columnProperties` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.t)`, *default:* `nil`) - Optional. Display properties for the columns in this table.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. Image which should be displayed on the card.\n*   `rows` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.t)`, *default:* `nil`) - Optional. Rows in this table of data.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. Subtitle to the title.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell","doc":"Cell of TableCardRow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Required. Text in this cell.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow","doc":"Row of TableCard.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow","doc":"*   `cells` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.t)`, *default:* `nil`) - Optional. List of cells that make up this row.\n*   `dividerAfter` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether to add a visual divider after this row.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageText","doc":"The text response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageText","doc":"*   `text` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of the agent's responses.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessageText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentParameter","doc":"Represents intent parameters.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentParameter","doc":"*   `defaultValue` (*type:* `String.t`, *default:* `nil`) - Optional. The default value to use when the `value` yields an empty result. Default values can be extracted from contexts by using the following syntax: `#context_name.parameter_name`.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the parameter.\n*   `entityTypeDisplayName` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the entity type, prefixed with `@`, that describes values of the parameter. If the parameter is required, this must be provided.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the parameter represents a list of values.\n*   `mandatory` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the parameter is required. That is, whether the intent cannot be completed without collecting the parameter value.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of this parameter.\n*   `prompts` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of prompts that the agent can present to the user in order to collect a value for the parameter.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Optional. The definition of the parameter value. It can be: - a constant string, - a parameter value defined as `$parameter_name`, - an original parameter value defined as `$parameter_name.original`, - a parameter value from some context defined as `#context_name.parameter_name`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentSuggestion","doc":"Represents an intent suggestion.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentSuggestion","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the intent.\n*   `intentV2` (*type:* `String.t`, *default:* `nil`) - The unique identifier of this intent. Format: `projects//locations//agent/intents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrase","doc":"Represents an example that the agent is trained on.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrase","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this training phrase.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.t)`, *default:* `nil`) - Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `entity_type`, `alias`, and `user_defined` fields are all set.\n*   `timesAddedCount` (*type:* `integer()`, *default:* `nil`) - Optional. Indicates how many times this example was added to the intent. Each time a developer adds an existing sample by editing an intent or training, this counter is increased.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. The type of the training phrase.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart","doc":"Represents a part of a training phrase.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart","doc":"*   `alias` (*type:* `String.t`, *default:* `nil`) - Optional. The parameter name for the value extracted from the annotated part of the example. This field is required for annotated parts of the training phrase.\n*   `entityType` (*type:* `String.t`, *default:* `nil`) - Optional. The entity type name prefixed with `@`. This field is required for annotated parts of the training phrase.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The text for this part.\n*   `userDefined` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the text was manually annotated. This field is set to true when the Dialogflow Console is used to manually annotate the part. When creating an annotated part with the API, you must set this to true.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer","doc":"Represents a Knowledge Assist answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of the answer record. Format: `projects//locations//answer Records/`.\n*   `suggestedQuery` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.t`, *default:* `nil`) - The query suggested based on the context. Suggestion is made only if it is different from the previous suggestion.\n*   `suggestedQueryAnswer` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.t`, *default:* `nil`) - The answer generated for the suggested query. Whether or not an answer is generated depends on how confident we are about the generated query.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer","doc":"Represents an answer from Knowledge. Currently supports FAQ and Generative answers.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer","doc":"*   `answerText` (*type:* `String.t`, *default:* `nil`) - The piece of text from the `source` that answers this suggested query.\n*   `faqSource` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.t`, *default:* `nil`) - Populated if the prediction came from FAQ.\n*   `generativeSource` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.t`, *default:* `nil`) - Populated if the prediction was Generative.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource","doc":"Details about source of FAQ answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource","doc":"*   `question` (*type:* `String.t`, *default:* `nil`) - The corresponding FAQ question.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource","doc":"Details about source of Generative answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource","doc":"*   `snippets` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.t)`, *default:* `nil`) - All snippets used for this Generative Prediction, with their source URI and data.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet","doc":"Snippet Source for a Generative Prediction.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Metadata of the document.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Text taken from that URI.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Title of the document.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - URI the data is sourced from.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery","doc":"Represents a suggested query.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery","doc":"*   `queryText` (*type:* `String.t`, *default:* `nil`) - Suggested query text.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase","doc":"A knowledge base represents a collection of knowledge documents that you provide to Dialogflow. Your knowledge documents contain information that may be useful during conversations with end-users. Some Dialogflow features use knowledge bases when looking for a response to an end-user input. For more information, see the [knowledge base guide](https://cloud.google.com/dialogflow/docs/how/knowledge-bases). Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The display name of the knowledge base. The name must be 1024 bytes or less; otherwise, the creation request fails.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Language which represents the KnowledgeBase. When the KnowledgeBase is created/updated, expect this to be present for non en-us languages. When unspecified, the default language code en-us applies.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The knowledge base resource name. The name must be empty when creating a knowledge base. Format: `projects//locations//knowledgeBases/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata","doc":"Metadata in google::longrunning::Operation for Knowledge operations.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata","doc":"*   `exportOperationMetadata` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ExportOperationMetadata.t`, *default:* `nil`) - Metadata for the Export Data Operation such as the destination of export.\n*   `knowledgeBase` (*type:* `String.t`, *default:* `nil`) - The name of the knowledge base interacted with during the operation.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current state of this operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListAnswerRecordsResponse","doc":"Response message for AnswerRecords.ListAnswerRecords.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListAnswerRecordsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListAnswerRecordsResponse","doc":"*   `answerRecords` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnswerRecord.t)`, *default:* `nil`) - The list of answer records.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve next page of results. Or empty if there are no more results. Pass this value in the ListAnswerRecordsRequest.page_token field in the subsequent call to `ListAnswerRecords` method to retrieve the next page of results.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListAnswerRecordsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListAnswerRecordsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListAnswerRecordsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListAnswerRecordsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListAnswerRecordsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse","doc":"The response message for Contexts.ListContexts.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse","doc":"*   `contexts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t)`, *default:* `nil`) - The list of contexts. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListContextsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationDatasetsResponse","doc":"The response message for ConversationDatasets.ListConversationDatasets.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationDatasetsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationDatasetsResponse","doc":"*   `conversationDatasets` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationDataset.t)`, *default:* `nil`) - The list of datasets to return.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The token to use to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationDatasetsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationDatasetsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationDatasetsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationDatasetsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationDatasetsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelEvaluationsResponse","doc":"The response message for ConversationModels.ListConversationModelEvaluations","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelEvaluationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelEvaluationsResponse","doc":"*   `conversationModelEvaluations` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModelEvaluation.t)`, *default:* `nil`) - The list of evaluations to return.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelEvaluationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelEvaluationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelEvaluationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelEvaluationsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelEvaluationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelsResponse","doc":"The response message for ConversationModels.ListConversationModels","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelsResponse","doc":"*   `conversationModels` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationModel.t)`, *default:* `nil`) - The list of models to return.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationModelsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationProfilesResponse","doc":"The response message for ConversationProfiles.ListConversationProfiles.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationProfilesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationProfilesResponse","doc":"*   `conversationProfiles` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ConversationProfile.t)`, *default:* `nil`) - The list of project conversation profiles. There is a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationProfilesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationProfilesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationProfilesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationProfilesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationProfilesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationsResponse","doc":"The response message for Conversations.ListConversations.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationsResponse","doc":"*   `conversations` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Conversation.t)`, *default:* `nil`) - The list of conversations. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListConversationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse","doc":"Response message for Documents.ListDocuments.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse","doc":"*   `documents` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Document.t)`, *default:* `nil`) - The list of documents.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListDocumentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEntityTypesResponse","doc":"The response message for EntityTypes.ListEntityTypes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEntityTypesResponse","doc":"*   `entityTypes` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityType.t)`, *default:* `nil`) - The list of agent entity types. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEnvironmentsResponse","doc":"The response message for Environments.ListEnvironments.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEnvironmentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEnvironmentsResponse","doc":"*   `environments` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Environment.t)`, *default:* `nil`) - The list of agent environments. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEnvironmentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEnvironmentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEnvironmentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEnvironmentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListEnvironmentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListGeneratorsResponse","doc":"Response of ListGenerators.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListGeneratorsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListGeneratorsResponse","doc":"*   `generators` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Generator.t)`, *default:* `nil`) - List of generators retrieved.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListGeneratorsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListGeneratorsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListGeneratorsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListGeneratorsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListGeneratorsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse","doc":"The response message for Intents.ListIntents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse","doc":"*   `intents` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.t)`, *default:* `nil`) - The list of agent intents. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse","doc":"Response message for KnowledgeBases.ListKnowledgeBases.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse","doc":"*   `knowledgeBases` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeBase.t)`, *default:* `nil`) - The list of knowledge bases.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListKnowledgeBasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListMessagesResponse","doc":"The response message for Conversations.ListMessages.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListMessagesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListMessagesResponse","doc":"*   `messages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message.t)`, *default:* `nil`) - The list of messages. There will be a maximum number of items returned based on the page_size field in the request. `messages` is sorted by `create_time` in descending order.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListMessagesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListMessagesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListMessagesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListMessagesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListMessagesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListParticipantsResponse","doc":"The response message for Participants.ListParticipants.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListParticipantsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListParticipantsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results or empty if there are no more results in the list.\n*   `participants` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.t)`, *default:* `nil`) - The list of participants. There is a maximum number of items returned based on the page_size field in the request.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListParticipantsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListParticipantsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListParticipantsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListParticipantsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListParticipantsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse","doc":"The response message for SessionEntityTypes.ListSessionEntityTypes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `sessionEntityTypes` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t)`, *default:* `nil`) - The list of session entity types. There will be a maximum number of items returned based on the page_size field in the request.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListSessionEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListVersionsResponse","doc":"The response message for Versions.ListVersions.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListVersionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListVersionsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `versions` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.t)`, *default:* `nil`) - The list of agent versions. There will be a maximum number of items returned based on the page_size field in the request.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListVersionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListVersionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListVersionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListVersionsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ListVersionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2LoggingConfig","doc":"Defines logging behavior for conversation lifecycle events.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2LoggingConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2LoggingConfig","doc":"*   `enableStackdriverLogging` (*type:* `boolean()`, *default:* `nil`) - Whether to log conversation events like CONVERSATION_STARTED to Stackdriver in the conversation project as JSON format ConversationEvent protos.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2LoggingConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2LoggingConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2LoggingConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2LoggingConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2LoggingConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message","doc":"Represents a message posted into a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Required. The message content.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the message was created in Contact Center AI.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The message language. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".\n*   `messageAnnotation` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageAnnotation.t`, *default:* `nil`) - Output only. The annotation for the message.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of the message. Format: `projects//locations//conversations//messages/`.\n*   `participant` (*type:* `String.t`, *default:* `nil`) - Output only. The participant that sends this message.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Output only. The role of the participant.\n*   `sendTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The time when the message was sent.\n*   `sentimentAnalysis` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.t`, *default:* `nil`) - Output only. The sentiment analysis result for the message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Message.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageAnnotation","doc":"Represents the result of annotation for the message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageAnnotation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageAnnotation","doc":"*   `containEntities` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the text message contains entities.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.t)`, *default:* `nil`) - The collection of annotated message parts ordered by their position in the message. You can recover the annotated message by concatenating [AnnotatedMessagePart.text].","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageAnnotation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageAnnotation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageAnnotation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageAnnotation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageAnnotation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageEntry","doc":"Represents a message entry of a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageEntry.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageEntry","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. Create time of the message entry.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The language of the text. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes.\n*   `role` (*type:* `String.t`, *default:* `nil`) - Optional. Participant role of the message.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Optional. Transcript content of the message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageEntry.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageEntry.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageEntry.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageEntry.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2MessageEntry.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig","doc":"Defines notification behavior.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig","doc":"*   `messageFormat` (*type:* `String.t`, *default:* `nil`) - Format of message.\n*   `topic` (*type:* `String.t`, *default:* `nil`) - Name of the Pub/Sub topic to publish conversation events like CONVERSATION_STARTED as serialized ConversationEvent protos. For telephony integration to receive notification, make sure either this topic is in the same project as the conversation or you grant `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` the `Dialogflow Service Agent` role in the topic project. For chat integration to receive notification, make sure API caller has been granted the `Dialogflow Service Agent` role for the topic. Format: `projects//locations//topics/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2NotificationConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest","doc":"Represents the contents of the original request that was passed to the `[Streaming]DetectIntent` call.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest","doc":"*   `payload` (*type:* `map()`, *default:* `nil`) - Optional. This field is set to the value of the `QueryParameters.payload` field passed in the request. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: { \"telephony\": { \"caller_id\": \"+18558363987\" } } Note: The caller ID field (`caller_id`) will be redacted for Trial Edition agents and populated with the caller ID in [E.164 format](https://en.wikipedia.org/wiki/E.164) for Essentials Edition agents.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The source of this request, e.g., `google`, `facebook`, `slack`. It is set by Dialogflow-owned servers.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Optional. The version of the protocol used for this request. This field is AoG-specific.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudio","doc":"Represents the natural language speech audio to be played to the end user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudio","doc":"*   `audio` (*type:* `String.t`, *default:* `nil`) - The natural language speech audio.\n*   `config` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig.t`, *default:* `nil`) - Instructs the speech synthesizer how to generate the speech audio.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig","doc":"Instructs the speech synthesizer on how to generate the output audio content. If this audio config is supplied in a request, it overrides all existing text-to-speech settings applied to the agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig","doc":"*   `audioEncoding` (*type:* `String.t`, *default:* `nil`) - Required. Audio encoding of the synthesized audio content.\n*   `sampleRateHertz` (*type:* `integer()`, *default:* `nil`) - The synthesis sample rate (in hertz) for this audio. If not provided, then the synthesizer will use the default sample rate based on the audio encoding. If this is different from the voice's natural sample rate, then the synthesizer will honor this request by converting to the desired sample rate (which might result in worse audio quality).\n*   `synthesizeSpeechConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig.t`, *default:* `nil`) - Configuration of how speech should be synthesized.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OutputAudioConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant","doc":"Represents a conversation participant (human agent, virtual agent, end-user).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant","doc":"*   `documentsMetadataFilters` (*type:* `map()`, *default:* `nil`) - Optional. Key-value filters on the metadata of documents returned by article suggestion. If specified, article suggestion only returns suggested documents that match all filters in their Document.metadata. Multiple values for a metadata key should be concatenated by comma. For example, filters to match all documents that have 'US' or 'CA' in their market metadata values and 'agent' in their user metadata values will be ``` documents_metadata_filters { key: \"market\" value: \"US,CA\" } documents_metadata_filters { key: \"user\" value: \"agent\" } ```\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of this participant. Format: `projects//locations//conversations//participants/`.\n*   `obfuscatedExternalUserId` (*type:* `String.t`, *default:* `nil`) - Optional. Obfuscated user id that should be associated with the created participant. You can specify a user id as follows: 1. If you set this field in CreateParticipantRequest or UpdateParticipantRequest, Dialogflow adds the obfuscated user id with the participant. 2. If you set this field in AnalyzeContent or StreamingAnalyzeContent, Dialogflow will update Participant.obfuscated_external_user_id. Dialogflow returns an error if you try to add a user id for a non-END_USER participant. Dialogflow uses this user id for billing and measurement purposes. For example, Dialogflow determines whether a user in one conversation returned in a later conversation. Note: * Please never pass raw user ids to Dialogflow. Always obfuscate your user id first. * Dialogflow only accepts a UTF-8 encoded string, e.g., a hex digest of a hash function like SHA-512. * The length of the user id must be <= 256 characters.\n*   `role` (*type:* `String.t`, *default:* `nil`) - Immutable. The role this participant plays in the conversation. This field must be set during participant creation and is then immutable.\n*   `sipRecordingMediaLabel` (*type:* `String.t`, *default:* `nil`) - Optional. Label applied to streams representing this participant in SIPREC XML metadata and SDP. This is used to assign transcriptions from that media stream to this participant. This field can be updated.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Participant.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryInput","doc":"Represents the query input. It can contain either: 1. An audio config which instructs the speech recognizer how to process the speech audio. 2. A conversational query in the form of text. 3. An event that specifies which intent to trigger.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryInput","doc":"*   `audioConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2InputAudioConfig.t`, *default:* `nil`) - Instructs the speech recognizer how to process the speech audio.\n*   `event` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput.t`, *default:* `nil`) - The event to be processed.\n*   `text` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput.t`, *default:* `nil`) - The natural language text to be processed. Text length must not exceed 256 character for virtual agent interactions.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryParameters","doc":"Represents the parameters of the conversational query.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryParameters.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryParameters","doc":"*   `contexts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t)`, *default:* `nil`) - The collection of contexts to be activated before this query is executed.\n*   `geoLocation` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleTypeLatLng.t`, *default:* `nil`) - The geo location of this conversational query.\n*   `payload` (*type:* `map()`, *default:* `nil`) - This field can be used to pass custom data to your webhook. Arbitrary JSON objects are supported. If supplied, the value is used to populate the `WebhookRequest.original_detect_intent_request.payload` field sent to your webhook.\n*   `platform` (*type:* `String.t`, *default:* `nil`) - The platform of the virtual agent response messages. If not empty, only emits messages from this platform in the response. Valid values are the enum names of platform.\n*   `resetContexts` (*type:* `boolean()`, *default:* `nil`) - Specifies whether to delete all contexts in the current session before the new ones are activated.\n*   `sentimentAnalysisRequestConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisRequestConfig.t`, *default:* `nil`) - Configures the type of sentiment analysis to perform. If not provided, sentiment analysis is not performed.\n*   `sessionEntityTypes` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t)`, *default:* `nil`) - Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session of this query.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - The time zone of this conversational query from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris. If not provided, the time zone specified in agent settings is used.\n*   `webhookHeaders` (*type:* `map()`, *default:* `nil`) - This field can be used to pass HTTP headers for a webhook call. These headers will be sent to webhook along with the headers that have been configured through the Dialogflow web console. The headers defined within this field will overwrite the headers configured through the Dialogflow console if there is a conflict. Header names are case-insensitive. Google's specified headers are not allowed. Including: \"Host\", \"Content-Length\", \"Connection\", \"From\", \"User-Agent\", \"Accept-Encoding\", \"If-Modified-Since\", \"If-None-Match\", \"X-Forwarded-For\", etc.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryParameters.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryParameters.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryParameters.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryParameters.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryParameters.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult","doc":"Represents the result of conversational query or event processing.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - The action name from the matched intent.\n*   `allRequiredParamsPresent` (*type:* `boolean()`, *default:* `nil`) - This field is set to: - `false` if the matched intent has required parameters and not all of the required parameter values have been collected. - `true` if all required parameter values have been collected, or if the matched intent doesn't contain any required parameters.\n*   `cancelsSlotFilling` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the conversational query triggers a cancellation for slot filling. For more information, see the [cancel slot filling documentation](https://cloud.google.com/dialogflow/es/docs/intents-actions-parameters#cancel).\n*   `diagnosticInfo` (*type:* `map()`, *default:* `nil`) - Free-form diagnostic information for the associated detect intent request. The fields of this data can change without notice, so you should not write code that depends on its structure. The data may contain: - webhook call latency - webhook errors\n*   `fulfillmentMessages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage.t)`, *default:* `nil`) - The collection of rich messages to present to the user.\n*   `fulfillmentText` (*type:* `String.t`, *default:* `nil`) - The text to be pronounced to the user or shown on the screen. Note: This is a legacy field, `fulfillment_messages` should be preferred.\n*   `intent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Intent.t`, *default:* `nil`) - The intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name`, `display_name`, `end_interaction` and `is_fallback`.\n*   `intentDetectionConfidence` (*type:* `number()`, *default:* `nil`) - The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. If there are `multiple knowledge_answers` messages, this value is set to the greatest `knowledgeAnswers.match_confidence` value in the list.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes.\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t)`, *default:* `nil`) - The collection of output contexts. If applicable, `output_contexts.parameters` contains entries with name `.original` containing the original parameter values before the query.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - The collection of extracted parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.\n*   `queryText` (*type:* `String.t`, *default:* `nil`) - The original conversational query text: - If natural language text was provided as input, `query_text` contains a copy of the input. - If natural language speech audio was provided as input, `query_text` contains the speech recognition result. If speech recognizer produced multiple alternatives, a particular one is picked. - If automatic spell correction is enabled, `query_text` will contain the corrected user input.\n*   `sentimentAnalysisResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.t`, *default:* `nil`) - The sentiment analysis result, which depends on the `sentiment_analysis_request_config` specified in the request.\n*   `speechRecognitionConfidence` (*type:* `number()`, *default:* `nil`) - The Speech recognition confidence between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. The default of 0.0 is a sentinel value indicating that confidence was not set. This field is not guaranteed to be accurate or set. In particular this field isn't set for StreamingDetectIntent since the streaming endpoint has separate confidence estimates per portion of the audio in StreamingRecognitionResult.\n*   `webhookPayload` (*type:* `map()`, *default:* `nil`) - If the query was fulfilled by a webhook call, this field is set to the value of the `payload` field returned in the webhook response.\n*   `webhookSource` (*type:* `String.t`, *default:* `nil`) - If the query was fulfilled by a webhook call, this field is set to the value of the `source` field returned in the webhook response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest","doc":"Request message for Documents.ReloadDocument.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest","doc":"*   `contentUri` (*type:* `String.t`, *default:* `nil`) - Optional. The path of gcs source file for reloading document content. For now, only gcs uri is supported. For documents stored in Google Cloud Storage, these URIs must have the form `gs:///`.\n*   `importGcsCustomMetadata` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether to import custom metadata from Google Cloud Storage. Only valid when the document source is Google Cloud Storage URI.\n*   `smartMessagingPartialUpdate` (*type:* `boolean()`, *default:* `nil`) - Optional. When enabled, the reload request is to apply partial update to the smart messaging allowlist.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ReloadDocumentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2RestoreAgentRequest","doc":"The request message for Agents.RestoreAgent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2RestoreAgentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2RestoreAgentRequest","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Zip compressed raw byte content for agent.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The URI to a Google Cloud Storage file containing the agent to restore. Note: The URI must start with \"gs://\". Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2RestoreAgentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2RestoreAgentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2RestoreAgentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2RestoreAgentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2RestoreAgentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchAgentsResponse","doc":"The response message for Agents.SearchAgents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchAgentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchAgentsResponse","doc":"*   `agents` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Agent.t)`, *default:* `nil`) - The list of agents. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchAgentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchAgentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchAgentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchAgentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchAgentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswer","doc":"Represents a SearchKnowledge answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswer","doc":"*   `answer` (*type:* `String.t`, *default:* `nil`) - The piece of text from the knowledge base documents that answers the search query\n*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of the answer record. Format: `projects//locations//answer Records/`\n*   `answerSources` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswerAnswerSource.t)`, *default:* `nil`) - All sources used to generate the answer.\n*   `answerType` (*type:* `String.t`, *default:* `nil`) - The type of the answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswerAnswerSource","doc":"The sources of the answers.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswerAnswerSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswerAnswerSource","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Metadata associated with the article.\n*   `snippet` (*type:* `String.t`, *default:* `nil`) - The relevant snippet of the article.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The title of the article.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The URI of the article.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswerAnswerSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswerAnswerSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswerAnswerSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswerAnswerSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswerAnswerSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest","doc":"The request message for Conversations.SearchKnowledge.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest","doc":"*   `conversation` (*type:* `String.t`, *default:* `nil`) - Optional. The conversation (between human agent and end user) where the search request is triggered. Format: `projects//locations//conversations/`.\n*   `conversationProfile` (*type:* `String.t`, *default:* `nil`) - Required. The conversation profile used to configure the search. Format: `projects//locations//conversationProfiles/`.\n*   `endUserMetadata` (*type:* `map()`, *default:* `nil`) - Optional. Information about the end-user to improve the relevance and accuracy of generative answers. This will be interpreted and used by a language model, so, for good results, the data should be self-descriptive, and in a simple structure. Example: ```json { \"subscription plan\": \"Business Premium Plus\", \"devices owned\": [ {\"model\": \"Google Pixel 7\"}, {\"model\": \"Google Pixel Tablet\"} ] } ```\n*   `exactSearch` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether to search the query exactly without query rewrite.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the latest conversation message when the request is triggered. Format: `projects//locations//conversations//messages/`.\n*   `parent` (*type:* `String.t`, *default:* `nil`) - Required. The parent resource contains the conversation profile Format: 'projects/' or `projects//locations/`.\n*   `query` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput.t`, *default:* `nil`) - Required. The natural language text query for knowledge search.\n*   `querySource` (*type:* `String.t`, *default:* `nil`) - Optional. The source of the query in the request.\n*   `searchConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfig.t`, *default:* `nil`) - Optional. Configuration specific to search queries with data stores.\n*   `sessionId` (*type:* `String.t`, *default:* `nil`) - Required. The ID of the search session. The session_id can be combined with Dialogflow V3 Agent ID retrieved from conversation profile or on its own to identify a search session. The search history of the same session will impact the search result. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length must not exceed 36 characters.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfig","doc":"Configuration specific to search queries with data stores.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfig","doc":"*   `boostSpecs` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecs.t)`, *default:* `nil`) - Optional. Boost specifications for data stores.\n*   `filterSpecs` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigFilterSpecs.t)`, *default:* `nil`) - Optional. Filter specification for data store queries.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecs","doc":"Boost specifications for data stores.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecs.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecs","doc":"*   `dataStores` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Data Stores where the boosting configuration is applied. The full names of the referenced data stores. Formats: `projects/{project}/locations/{location}/collections/{collection}/dataStores/{data_store}` `projects/{project}/locations/{location}/dataStores/{data_store}`\n*   `spec` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpec.t)`, *default:* `nil`) - Optional. A list of boosting specifications.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecs.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecs.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecs.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecs.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecs.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpec","doc":"Boost specification to boost certain documents. A copy of google.cloud.discoveryengine.v1main.BoostSpec, field documentation is available at https://cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/BoostSpec","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpec.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpec","doc":"*   `conditionBoostSpecs` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpec.t)`, *default:* `nil`) - Optional. Condition boost specifications. If a document matches multiple conditions in the specifictions, boost scores from these specifications are all applied and combined in a non-linear way. Maximum number of specifications is 20.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpec.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpec.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpec","doc":"Boost applies to documents which match a condition.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpec.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpec","doc":"*   `boost` (*type:* `number()`, *default:* `nil`) - Optional. Strength of the condition boost, which should be in [-1, 1]. Negative boost means demotion. Default is 0.0. Setting to 1.0 gives the document a big promotion. However, it does not necessarily mean that the boosted document will be the top result at all times, nor that other documents will be excluded. Results could still be shown even when none of them matches the condition. And results that are significantly more relevant to the search query can still trump your heavily favored but irrelevant documents. Setting to -1.0 gives the document a big demotion. However, results that are deeply relevant might still be shown. The document will have an upstream battle to get a fairly high ranking, but it is not blocked out completely. Setting to 0.0 means no boost applied. The boosting condition is ignored.\n*   `boostControlSpec` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpec.t`, *default:* `nil`) - Optional. Complex specification for custom ranking based on customer defined attribute value.\n*   `condition` (*type:* `String.t`, *default:* `nil`) - Optional. An expression which specifies a boost condition. The syntax and supported fields are the same as a filter expression. Examples: * To boost documents with document ID \"doc_1\" or \"doc_2\", and color \"Red\" or \"Blue\": * (id: ANY(\"doc_1\", \"doc_2\")) AND (color: ANY(\"Red\",\"Blue\"))","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpec.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpec.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpec","doc":"Specification for custom ranking based on customer specified attribute value. It provides more controls for customized ranking than the simple (condition, boost) combination above.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpec.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpec","doc":"*   `attributeType` (*type:* `String.t`, *default:* `nil`) - Optional. The attribute type to be used to determine the boost amount. The attribute value can be derived from the field value of the specified field_name. In the case of numerical it is straightforward i.e. attribute_value = numerical_field_value. In the case of freshness however, attribute_value = (time.now() - datetime_field_value).\n*   `controlPoints` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpecControlPoint.t)`, *default:* `nil`) - Optional. The control points used to define the curve. The monotonic function (defined through the interpolation_type above) passes through the control points listed here.\n*   `fieldName` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the field whose value will be used to determine the boost amount.\n*   `interpolationType` (*type:* `String.t`, *default:* `nil`) - Optional. The interpolation type to be applied to connect the control points listed below.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpec.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpec.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpecControlPoint","doc":"The control points used to define the curve. The curve defined through these control points can only be monotonically increasing or decreasing(constant values are acceptable).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpecControlPoint.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpecControlPoint","doc":"*   `attributeValue` (*type:* `String.t`, *default:* `nil`) - Optional. Can be one of: 1. The numerical field value. 2. The duration spec for freshness: The value must be formatted as an XSD `dayTimeDuration` value (a restricted subset of an ISO 8601 duration value). The pattern for this is: `nDnM]`.\n*   `boostAmount` (*type:* `number()`, *default:* `nil`) - Optional. The value between -1 to 1 by which to boost the score if the attribute_value evaluates to the value specified above.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpecControlPoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpecControlPoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpecControlPoint.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpecControlPoint.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigBoostSpecsBoostSpecConditionBoostSpecBoostControlSpecControlPoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigFilterSpecs","doc":"Filter specification for data store queries.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigFilterSpecs.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigFilterSpecs","doc":"*   `dataStores` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The data store where the filter configuration is applied. Full resource name of data store, such as projects/{project}/locations/{location}/collections/{collectionId}/ dataStores/{dataStoreId}.\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Optional. The filter expression to be applied. Expression syntax is documented at https://cloud.google.com/generative-ai-app-builder/docs/filter-search-metadata#filter-expression-syntax","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigFilterSpecs.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigFilterSpecs.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigFilterSpecs.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigFilterSpecs.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeRequestSearchConfigFilterSpecs.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse","doc":"The response message for Conversations.SearchKnowledge.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse","doc":"*   `answers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeAnswer.t)`, *default:* `nil`) - Most relevant snippets extracted from articles in the given knowledge base, ordered by confidence.\n*   `rewrittenQuery` (*type:* `String.t`, *default:* `nil`) - The rewritten query used to search knowledge.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SearchKnowledgeResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Sentiment","doc":"The sentiment, such as positive/negative feeling or association, for a unit of analysis, such as the query text. See: https://cloud.google.com/natural-language/docs/basics#interpreting_sentiment_analysis_values for how to interpret the result.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Sentiment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Sentiment","doc":"*   `magnitude` (*type:* `number()`, *default:* `nil`) - A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).\n*   `score` (*type:* `number()`, *default:* `nil`) - Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Sentiment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Sentiment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Sentiment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Sentiment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Sentiment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisRequestConfig","doc":"Configures the types of sentiment analysis to perform.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisRequestConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisRequestConfig","doc":"*   `analyzeQueryTextSentiment` (*type:* `boolean()`, *default:* `nil`) - Instructs the service to perform sentiment analysis on `query_text`. If not provided, sentiment analysis is not performed on `query_text`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisRequestConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisRequestConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisRequestConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisRequestConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisRequestConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisResult","doc":"The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral. For DetectIntent, it needs to be configured in DetectIntentRequest.query_params. For StreamingDetectIntent, it needs to be configured in StreamingDetectIntentRequest.query_params. And for Participants.AnalyzeContent and Participants.StreamingAnalyzeContent, it needs to be configured in ConversationProfile.human_agent_assistant_config","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisResult","doc":"*   `queryTextSentiment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Sentiment.t`, *default:* `nil`) - The sentiment analysis result for `query_text`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType","doc":"A session represents a conversation between a Dialogflow agent and an end-user. You can create special entities, called session entities, during a session. Session entities can extend or replace custom entity types and only exist during the session that they were created for. All session data, including session entities, is stored by Dialogflow for 20 minutes. For more information, see the [session entity guide](https://cloud.google.com/dialogflow/docs/entities-session).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType","doc":"*   `entities` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EntityTypeEntity.t)`, *default:* `nil`) - Required. The collection of entities associated with this session entity type.\n*   `entityOverrideMode` (*type:* `String.t`, *default:* `nil`) - Required. Indicates whether the additional data should override or supplement the custom entity type definition.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of this session entity type. Format: `projects//agent/sessions//entityTypes/`, or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata","doc":"Metadata for a ConversationProfiles.SetSuggestionFeatureConfig operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata","doc":"*   `conversationProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp whe the request was created. The time is measured on server side.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.\n*   `suggestionFeatureType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the suggestion feature to add or update.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigRequest","doc":"The request message for ConversationProfiles.SetSuggestionFeatureConfig.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigRequest","doc":"*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.\n*   `suggestionFeatureConfig` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2HumanAgentAssistantConfigSuggestionFeatureConfig.t`, *default:* `nil`) - Required. The suggestion feature config to add or update.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyAnswer","doc":"Represents a smart reply answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `confidence` (*type:* `number()`, *default:* `nil`) - Smart reply confidence. The system's confidence score that this reply is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `reply` (*type:* `String.t`, *default:* `nil`) - The content of the reply.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetrics","doc":"The evaluation metrics for smart reply model.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetrics.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetrics","doc":"*   `allowlistCoverage` (*type:* `number()`, *default:* `nil`) - Percentage of target participant messages in the evaluation dataset for which similar messages have appeared at least once in the allowlist. Should be [0, 1].\n*   `conversationCount` (*type:* `String.t`, *default:* `nil`) - Total number of conversations used to generate this metric.\n*   `topNMetrics` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetricsTopNMetrics.t)`, *default:* `nil`) - Metrics of top n smart replies, sorted by TopNMetric.n.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetrics.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetrics.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetrics.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetrics.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetrics.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetricsTopNMetrics","doc":"Evaluation metrics when retrieving `n` smart replies with the model.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetricsTopNMetrics.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetricsTopNMetrics","doc":"*   `n` (*type:* `integer()`, *default:* `nil`) - Number of retrieved smart replies. For example, when `n` is 3, this evaluation contains metrics for when Dialogflow retrieves 3 smart replies with the model.\n*   `recall` (*type:* `number()`, *default:* `nil`) - Defined as `number of queries whose top n smart replies have at least one similar (token match similarity above the defined threshold) reply as the real reply` divided by `number of queries with at least one smart reply`. Value ranges from 0.0 to 1.0 inclusive.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetricsTopNMetrics.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetricsTopNMetrics.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetricsTopNMetrics.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetricsTopNMetrics.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyMetricsTopNMetrics.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata","doc":"Metadata for smart reply models.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata","doc":"*   `trainingModelType` (*type:* `String.t`, *default:* `nil`) - Optional. Type of the smart reply model. If not provided, model_type is used.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechContext","doc":"Hints for the speech recognizer to help with recognition in a specific conversation state.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechContext.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechContext","doc":"*   `boost` (*type:* `number()`, *default:* `nil`) - Optional. Boost for this context compared to other contexts: * If the boost is positive, Dialogflow will increase the probability that the phrases in this context are recognized over similar sounding phrases. * If the boost is unspecified or non-positive, Dialogflow will not apply any boost. Dialogflow recommends that you use boosts in the range (0, 20] and that you find a value that fits your use case with binary search.\n*   `phrases` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. This list can be used to: * improve accuracy for words and phrases you expect the user to say, e.g. typical commands for your Dialogflow agent * add additional words to the speech recognizer vocabulary * ... See the [Cloud Speech documentation](https://cloud.google.com/speech-to-text/quotas) for usage limits.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechContext.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechContext.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechContext.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechContext.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechToTextConfig","doc":"Configures speech transcription for ConversationProfile.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechToTextConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechToTextConfig","doc":"*   `audioEncoding` (*type:* `String.t`, *default:* `nil`) - Audio encoding of the audio content to process.\n*   `enableWordInfo` (*type:* `boolean()`, *default:* `nil`) - If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language of the supplied audio. Dialogflow does not do translations. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language.\n*   `model` (*type:* `String.t`, *default:* `nil`) - Which Speech model to select. Select the model best suited to your domain to get best results. If a model is not explicitly specified, then Dialogflow auto-selects a model based on other parameters in the SpeechToTextConfig and Agent settings. If enhanced speech model is enabled for the agent and an enhanced version of the specified model for the language does not exist, then the speech is recognized using the standard version of the specified model. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics#select-model) for more details. If you specify a model, the following models typically have the best performance: - phone_call (best for Agent Assist and telephony) - latest_short (best for Dialogflow non-telephony) - command_and_search Leave this field unspecified to use [Agent Speech settings](https://cloud.google.com/dialogflow/cx/docs/concept/agent#settings-speech) for model selection.\n*   `phraseSets` (*type:* `list(String.t)`, *default:* `nil`) - List of names of Cloud Speech phrase sets that are used for transcription.\n*   `sampleRateHertz` (*type:* `integer()`, *default:* `nil`) - Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details.\n*   `speechModelVariant` (*type:* `String.t`, *default:* `nil`) - The speech model used in speech to text. `SPEECH_MODEL_VARIANT_UNSPECIFIED`, `USE_BEST_AVAILABLE` will be treated as `USE_ENHANCED`. It can be overridden in AnalyzeContentRequest and StreamingAnalyzeContentRequest request. If enhanced model variant is specified and an enhanced version of the specified model for the language does not exist, then it would emit an error.\n*   `useTimeoutBasedEndpointing` (*type:* `boolean()`, *default:* `nil`) - Use timeout based endpointing, interpreting endpointer sensitivy as seconds of timeout value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechToTextConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechToTextConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechToTextConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechToTextConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SpeechToTextConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesRequest","doc":"The request message for Participants.SuggestArticles.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesRequest","doc":"*   `assistQueryParams` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters.t`, *default:* `nil`) - Parameters for a human assist query.\n*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Optional. Max number of messages prior to and including latest_message to use as context when compiling the suggestion. By default 20 and at most 50.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the latest conversation message to compile suggestion for. If empty, it will be the latest message of the conversation. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse","doc":"The response message for Participants.SuggestArticles.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse","doc":"*   `articleAnswers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ArticleAnswer.t)`, *default:* `nil`) - Articles ordered by score in descending order.\n*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestArticlesRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryRequest","doc":"The request message for Conversations.SuggestConversationSummary.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryRequest","doc":"*   `assistQueryParams` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters.t`, *default:* `nil`) - Optional. Parameters for a human assist query. Only used for POC/demo purpose.\n*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Optional. Max number of messages prior to and including [latest_message] to use as context when compiling the suggestion. By default 500 and at most 1000.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the latest conversation message used as context for compiling suggestion. If empty, the latest message of the conversation will be used. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponse","doc":"The response message for Conversations.SuggestConversationSummary.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message used to compile the suggestion. It may be smaller than the SuggestConversationSummaryRequest.context_size field in the request if there weren't that many messages in the conversation.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used as context for compiling suggestion. Format: `projects//locations//conversations//messages/`.\n*   `summary` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponseSummary.t`, *default:* `nil`) - Generated summary.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponseSummary","doc":"Generated summary for a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponseSummary.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponseSummary","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of the answer record. Format: \"projects//answerRecords/\"\n*   `baselineModelVersion` (*type:* `String.t`, *default:* `nil`) - The baseline model version used to generate this summary. It is empty if a baseline model was not used to generate this summary.\n*   `text` (*type:* `String.t`, *default:* `nil`) - The summary content that is concatenated into one string.\n*   `textSections` (*type:* `map()`, *default:* `nil`) - The summary content that is divided into sections. The key is the section's name and the value is the section's content. There is no specific format for the key or value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponseSummary.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponseSummary.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponseSummary.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponseSummary.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestConversationSummaryResponseSummary.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersRequest","doc":"The request message for Participants.SuggestFaqAnswers.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersRequest","doc":"*   `assistQueryParams` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2AssistQueryParameters.t`, *default:* `nil`) - Parameters for a human assist query.\n*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Optional. Max number of messages prior to and including [latest_message] to use as context when compiling the suggestion. By default 20 and at most 50.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the latest conversation message to compile suggestion for. If empty, it will be the latest message of the conversation. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse","doc":"The request message for Participants.SuggestFaqAnswers.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestFaqAnswersRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `faqAnswers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FaqAnswer.t)`, *default:* `nil`) - Answers extracted from FAQ documents.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistRequest","doc":"The request message for Participants.SuggestKnowledgeAssist.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistRequest","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Optional. Max number of messages prior to and including latest_message to use as context when compiling the suggestion. The context size is by default 100 and at most 100.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the latest conversation message to compile suggestions for. If empty, it will be the latest message of the conversation. Format: `projects//locations//conversations//messages/`.\n*   `previousSuggestedQuery` (*type:* `String.t`, *default:* `nil`) - Optional. The previously suggested query for the given conversation. This helps identify whether the next suggestion we generate is resonably different from the previous one. This is useful to avoid similar suggestions within the conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse","doc":"The response message for Participants.SuggestKnowledgeAssist.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestKnowledgeAssistRequest.context_size field in the request if there are fewer messages in the conversation.\n*   `knowledgeAssistAnswer` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.t`, *default:* `nil`) - Output only. Knowledge Assist suggestion.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesRequest","doc":"The request message for Participants.SuggestSmartReplies.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesRequest","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Max number of messages prior to and including [latest_message] to use as context when compiling the suggestion. By default 20 and at most 50.\n*   `currentTextInput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput.t`, *default:* `nil`) - The current natural language text segment to compile suggestion for. This provides a way for user to get follow up smart reply suggestion after a smart reply selection, without sending a text message.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message to compile suggestion for. If empty, it will be the latest message of the conversation. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse","doc":"The response message for Participants.SuggestSmartReplies.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestSmartRepliesRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.\n*   `smartReplyAnswers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SmartReplyAnswer.t)`, *default:* `nil`) - Output only. Multiple reply options provided by smart reply service. The order is based on the rank of the model prediction. The maximum number of the returned replies is set in SmartReplyConfig.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionFeature","doc":"The type of Human Agent Assistant API suggestion to perform, and the maximum number of results to return for that type. Multiple `Feature` objects can be specified in the `features` list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionFeature.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionFeature","doc":"*   `type` (*type:* `String.t`, *default:* `nil`) - Type of Human Agent Assistant API feature to request.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionFeature.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionFeature.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionFeature.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionFeature.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionFeature.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionInput","doc":"Represents the selection of a suggestion.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionInput","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - Required. The ID of a suggestion selected by the human agent. The suggestion(s) were generated in a previous call to request Dialogflow assist. The format is: `projects//locations//answerRecords/` where is an alphanumeric string.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult","doc":"One response of different type of suggestion response which is used in the response of Participants.AnalyzeContent and Participants.AnalyzeContent, as well as HumanAgentAssistantEvent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult","doc":"*   `error` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - Error status if the request failed.\n*   `suggestArticlesResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.t`, *default:* `nil`) - SuggestArticlesResponse if request is for ARTICLE_SUGGESTION.\n*   `suggestFaqAnswersResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.t`, *default:* `nil`) - SuggestFaqAnswersResponse if request is for FAQ_ANSWER.\n*   `suggestKnowledgeAssistResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.t`, *default:* `nil`) - SuggestKnowledgeAssistResponse if request is for KNOWLEDGE_ASSIST.\n*   `suggestSmartRepliesResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.t`, *default:* `nil`) - SuggestSmartRepliesResponse if request is for SMART_REPLY.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SuggestionResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationContext","doc":"Summarization context that customer can configure.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationContext.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationContext","doc":"*   `fewShotExamples` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2FewShotExample.t)`, *default:* `nil`) - Optional. List of few shot examples.\n*   `outputLanguageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The target language of the generated summary. The language code for conversation will be used if this field is empty. Supported 2.0 and later versions.\n*   `summarizationSections` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSection.t)`, *default:* `nil`) - Optional. List of sections. Note it contains both predefined section sand customer defined sections.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Optional. Version of the feature. If not set, default to latest version. Current candidates are [\"1.0\"].","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationContext.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationContext.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationContext.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationContext.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationContext.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSection","doc":"Represents the section of summarization.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSection.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSection","doc":"*   `definition` (*type:* `String.t`, *default:* `nil`) - Optional. Definition of the section, for example, \"what the customer needs help with or has question about.\"\n*   `key` (*type:* `String.t`, *default:* `nil`) - Optional. Name of the section, for example, \"situation\".\n*   `type` (*type:* `String.t`, *default:* `nil`) - Optional. Type of the summarization section.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSection.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSection.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSection.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSection.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSectionList","doc":"List of summarization sections.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSectionList.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSectionList","doc":"*   `summarizationSections` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSection.t)`, *default:* `nil`) - Optional. Summarization sections.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSectionList.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSectionList.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSectionList.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSectionList.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarizationSectionList.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestion","doc":"Suggested summary of the conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestion","doc":"*   `summarySections` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestionSummarySection.t)`, *default:* `nil`) - Required. All the parts of generated summary.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestionSummarySection","doc":"A component of the generated summary.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestionSummarySection.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestionSummarySection","doc":"*   `section` (*type:* `String.t`, *default:* `nil`) - Required. Name of the section.\n*   `summary` (*type:* `String.t`, *default:* `nil`) - Required. Summary text for the section.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestionSummarySection.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestionSummarySection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestionSummarySection.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestionSummarySection.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SummarySuggestionSummarySection.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig","doc":"Configuration of how speech should be synthesized.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig","doc":"*   `effectsProfileId` (*type:* `list(String.t)`, *default:* `nil`) - Optional. An identifier which selects 'audio effects' profiles that are applied on (post synthesized) text to speech. Effects are applied on top of each other in the order they are given.\n*   `pitch` (*type:* `float()`, *default:* `nil`) - Optional. Speaking pitch, in the range [-20.0, 20.0]. 20 means increase 20 semitones from the original pitch. -20 means decrease 20 semitones from the original pitch.\n*   `speakingRate` (*type:* `float()`, *default:* `nil`) - Optional. Speaking rate/speed, in the range [0.25, 4.0]. 1.0 is the normal native speed supported by the specific voice. 2.0 is twice as fast, and 0.5 is half as fast. If unset(0.0), defaults to the native 1.0 speed. Any other values < 0.25 or > 4.0 will return an error.\n*   `voice` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2VoiceSelectionParams.t`, *default:* `nil`) - Optional. The desired voice of the synthesized audio.\n*   `volumeGainDb` (*type:* `float()`, *default:* `nil`) - Optional. Volume gain (in dB) of the normal native volume supported by the specific voice, in the range [-96.0, 16.0]. If unset, or set to a value of 0.0 (dB), will play at normal native signal amplitude. A value of -6.0 (dB) will play at approximately half the amplitude of the normal native signal amplitude. A value of +6.0 (dB) will play at approximately twice the amplitude of the normal native signal amplitude. We strongly recommend not to exceed +10 (dB) as there's usually no effective increase in loudness for any value greater than that.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput","doc":"Auxiliary proto messages. Represents the natural language text to be processed.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of this conversational query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The UTF-8 encoded natural language text to be processed. Text length must not exceed 256 characters for virtual agent interactions.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextToSpeechSettings","doc":"Instructs the speech synthesizer on how to generate the output audio content.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextToSpeechSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextToSpeechSettings","doc":"*   `enableTextToSpeech` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether text to speech is enabled. Even when this field is false, other settings in this proto are still retained.\n*   `outputAudioEncoding` (*type:* `String.t`, *default:* `nil`) - Required. Audio encoding of the synthesized audio content.\n*   `sampleRateHertz` (*type:* `integer()`, *default:* `nil`) - Optional. The synthesis sample rate (in hertz) for this audio. If not provided, then the synthesizer will use the default sample rate based on the audio encoding. If this is different from the voice's natural sample rate, then the synthesizer will honor this request by converting to the desired sample rate (which might result in worse audio quality).\n*   `synthesizeSpeechConfigs` (*type:* `%{optional(String.t) => GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SynthesizeSpeechConfig.t}`, *default:* `nil`) - Optional. Configuration of how speech should be synthesized, mapping from language (https://cloud.google.com/dialogflow/docs/reference/language) to SynthesizeSpeechConfig.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextToSpeechSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextToSpeechSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextToSpeechSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextToSpeechSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TextToSpeechSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TrainAgentRequest","doc":"The request message for Agents.TrainAgent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TrainAgentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TrainAgentRequest","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TrainAgentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TrainAgentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TrainAgentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TrainAgentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2TrainAgentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata","doc":"Metadata for a ConversationModels.UndeployConversationModel operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata","doc":"*   `conversationModel` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//conversationModels/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when the request to undeploy conversation model was submitted. The time is measured on server side.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelRequest","doc":"The request message for ConversationModels.UndeployConversationModel","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelRequest","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2UndeployConversationModelRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationError","doc":"Represents a single validation error.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationError","doc":"*   `entries` (*type:* `list(String.t)`, *default:* `nil`) - The names of the entries that the error is associated with. Format: - `projects//agent`, if the error is associated with the entire agent. - `projects//agent/intents/`, if the error is associated with certain intents. - `projects//agent/intents//trainingPhrases/`, if the error is associated with certain intent training phrases. - `projects//agent/intents//parameters/`, if the error is associated with certain intent parameters. - `projects//agent/entities/`, if the error is associated with certain entities.\n*   `errorMessage` (*type:* `String.t`, *default:* `nil`) - The detailed error message.\n*   `severity` (*type:* `String.t`, *default:* `nil`) - The severity of the error.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationResult","doc":"Represents the output of agent validation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationResult","doc":"*   `validationErrors` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationError.t)`, *default:* `nil`) - Contains all validation errors.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2ValidationResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version","doc":"You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for: - testing - development - production - etc. For more information, see the [versions and environments guide](https://cloud.google.com/dialogflow/docs/agents-versions).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The creation time of this version. This field is read-only, i.e., it cannot be set by create and update methods.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The developer-provided description of this version.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this agent version. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`\n*   `status` (*type:* `String.t`, *default:* `nil`) - Output only. The status of this version. This field is read-only and cannot be set by create and update methods.\n*   `versionNumber` (*type:* `integer()`, *default:* `nil`) - Output only. The sequential number of this version. This field is read-only which means it cannot be set by create and update methods.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Version.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2VoiceSelectionParams","doc":"Description of which voice to use for speech synthesis.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2VoiceSelectionParams.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2VoiceSelectionParams","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and ssml_gender.\n*   `ssmlGender` (*type:* `String.t`, *default:* `nil`) - Optional. The preferred gender of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and name. Note that this is only a preference, not requirement. If a voice of the appropriate gender is not available, the synthesizer should substitute a voice with a different gender rather than failing the request.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2VoiceSelectionParams.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2VoiceSelectionParams.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2VoiceSelectionParams.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2VoiceSelectionParams.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2VoiceSelectionParams.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookRequest","doc":"The request message for a webhook call.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookRequest","doc":"*   `originalDetectIntentRequest` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.t`, *default:* `nil`) - Optional. The contents of the original request that was passed to `[Streaming]DetectIntent` call.\n*   `queryResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2QueryResult.t`, *default:* `nil`) - The result of the conversational query or event processing. Contains the same value as `[Streaming]DetectIntentResponse.query_result`.\n*   `responseId` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the response. Contains the same value as `[Streaming]DetectIntentResponse.response_id`.\n*   `session` (*type:* `String.t`, *default:* `nil`) - The unique identifier of detectIntent request session. Can be used to identify end-user inside webhook implementation. Format: `projects//agent/sessions/`, or `projects//agent/environments//users//sessions/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookResponse","doc":"The response message for a webhook call. This response is validated by the Dialogflow server. If validation fails, an error will be returned in the QueryResult.diagnostic_info field. Setting JSON fields to an empty value with the wrong type is a common error. To avoid this error: - Use `\"\"` for empty strings - Use `{}` or `null` for empty objects - Use `[]` or `null` for empty arrays For more information, see the [Protocol Buffers Language Guide](https://developers.google.com/protocol-buffers/docs/proto3#json).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookResponse","doc":"*   `followupEventInput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2EventInput.t`, *default:* `nil`) - Optional. Invokes the supplied events. When this field is set, Dialogflow ignores the `fulfillment_text`, `fulfillment_messages`, and `payload` fields.\n*   `fulfillmentMessages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2IntentMessage.t)`, *default:* `nil`) - Optional. The rich response messages intended for the end-user. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_messages sent to the integration or API caller.\n*   `fulfillmentText` (*type:* `String.t`, *default:* `nil`) - Optional. The text response message intended for the end-user. It is recommended to use `fulfillment_messages.text.text[0]` instead. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_text sent to the integration or API caller.\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2Context.t)`, *default:* `nil`) - Optional. The collection of output contexts that will overwrite currently active contexts for the session and reset their lifespans. When provided, Dialogflow uses this field to populate QueryResult.output_contexts sent to the integration or API caller.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Optional. This field can be used to pass custom data from your webhook to the integration or API caller. Arbitrary JSON objects are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_payload sent to the integration or API caller. This field is also used by the [Google Assistant integration](https://cloud.google.com/dialogflow/docs/integrations/aog) for rich response messages. See the format definition at [Google Assistant Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)\n*   `sessionEntityTypes` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2SessionEntityType.t)`, *default:* `nil`) - Optional. Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session. Setting this data from a webhook overwrites the session entity types that have been set using `detectIntent`, `streamingDetectIntent` or SessionEntityType management methods.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Optional. A custom field used to identify the webhook source. Arbitrary strings are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_source sent to the integration or API caller.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2WebhookResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart","doc":"Represents a part of a message possibly annotated with an entity. The part can be an entity or purely a part of the message between two entities or message start/end.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart","doc":"*   `entityType` (*type:* `String.t`, *default:* `nil`) - Optional. The [Dialogflow system entity type](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. If this is empty, Dialogflow could not annotate the phrase part with a system entity.\n*   `formattedValue` (*type:* `any()`, *default:* `nil`) - Optional. The [Dialogflow system entity formatted value ](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. For example for a system entity of type `@sys.unit-currency`, this may contain: { \"amount\": 5, \"currency\": \"USD\" } \n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. A part of a message possibly annotated with an entity.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ArticleAnswer","doc":"Represents article answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ArticleAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `metadata` (*type:* `map()`, *default:* `nil`) - A map that contains metadata about the answer and the document from which it originates.\n*   `snippets` (*type:* `list(String.t)`, *default:* `nil`) - Output only. Article snippets.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The article title.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The article URI.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse","doc":"The response message for EntityTypes.BatchUpdateEntityTypes.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse","doc":"*   `entityTypes` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityType.t)`, *default:* `nil`) - The collection of updated or created entity types.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse","doc":"The response message for Intents.BatchUpdateIntents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse","doc":"*   `intents` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Intent.t)`, *default:* `nil`) - The collection of updated or created intents.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata","doc":"Metadata for a ConversationProfile.ClearSuggestionFeatureConfig operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata","doc":"*   `conversationProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp whe the request was created. The time is measured on server side.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.\n*   `suggestionFeatureType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the suggestion feature to remove.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context","doc":"Dialogflow contexts are similar to natural language context. If a person says to you \"they are orange\", you need context in order to understand what \"they\" is referring to. Similarly, for Dialogflow to handle an end-user expression like that, it needs to be provided with context in order to correctly match an intent. Using contexts, you can control the flow of a conversation. You can configure contexts for an intent by setting input and output contexts, which are identified by string names. When an intent is matched, any configured output contexts for that intent become active. While any contexts are active, Dialogflow is more likely to match intents that are configured with input contexts that correspond to the currently active contexts. For more information about context, see the [Contexts guide](https://cloud.google.com/dialogflow/docs/contexts-overview).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context","doc":"*   `lifespanCount` (*type:* `integer()`, *default:* `nil`) - Optional. The number of conversational query requests after which the context expires. The default is `0`. If set to `0`, the context expires immediately. Contexts expire automatically after 20 minutes if there are no matching queries.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, The `Context ID` is always converted to lowercase, may only contain characters in `a-zA-Z0-9_-%` and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: * `__system_counters__` * `*_id_dialog_context` * `*_dialog_params_size`\n*   `parameters` (*type:* `map()`, *default:* `nil`) - Optional. The collection of parameters associated with this context. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ConversationEvent","doc":"Represents a notification sent to Pub/Sub subscribers for conversation lifecycle events.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ConversationEvent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ConversationEvent","doc":"*   `conversation` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the conversation this notification refers to. Format: `projects//conversations/`.\n*   `errorStatus` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - Optional. More detailed information about an error. Only set for type UNRECOVERABLE_ERROR_IN_PHONE_CALL.\n*   `newMessagePayload` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Message.t`, *default:* `nil`) - Payload of NEW_MESSAGE event.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. The type of the event that this notification refers to.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ConversationEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ConversationEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ConversationEvent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ConversationEvent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ConversationEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer","doc":"Represents a Dialogflow assist answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `intentSuggestion` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.t`, *default:* `nil`) - An intent suggestion generated from conversation.\n*   `queryResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult.t`, *default:* `nil`) - Result from v2 agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EncryptionSpec","doc":"A customer-managed encryption key specification that can be applied to all created resources (e.g. Conversation).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EncryptionSpec","doc":"*   `kmsKey` (*type:* `String.t`, *default:* `nil`) - Required. The name of customer-managed encryption key that is used to secure a resource and its sub-resources. If empty, the resource is secured by the default Google encryption key. Only the key in the same location as this resource is allowed to be used for encryption. Format: `projects/{project}/locations/{location}/keyRings/{keyRing}/cryptoKeys/{key}`\n*   `name` (*type:* `String.t`, *default:* `nil`) - Immutable. The resource name of the encryption key specification resource. Format: projects/{project}/locations/{location}/encryptionSpec","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityType","doc":"Each intent parameter has a type, called the entity type, which dictates exactly how data from an end-user expression is extracted. Dialogflow provides predefined system entities that can match many common types of data. For example, there are system entities for matching dates, times, colors, email addresses, and so on. You can also create your own custom entities for matching custom data. For example, you could define a vegetable entity that can match the types of vegetables available for purchase with a grocery store agent. For more information, see the [Entity guide](https://cloud.google.com/dialogflow/docs/entities-overview).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityType.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityType","doc":"*   `autoExpansionMode` (*type:* `String.t`, *default:* `nil`) - Optional. Indicates whether the entity type can be automatically expanded.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the entity type.\n*   `enableFuzzyExtraction` (*type:* `boolean()`, *default:* `nil`) - Optional. Enables fuzzy entity extraction during classification.\n*   `entities` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.t)`, *default:* `nil`) - Optional. The collection of entity entries associated with the entity type.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Required. Indicates the kind of entity type.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityType.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityType.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity","doc":"An **entity entry** for an associated entity type.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity","doc":"*   `synonyms` (*type:* `list(String.t)`, *default:* `nil`) - Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: * This collection must contain exactly one synonym equal to `value`.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: * A reference value to be used in place of synonyms. For `KIND_LIST` entity types: * A string that can contain references to other entity types (with or without aliases).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EventInput","doc":"Events allow for matching intents by event name instead of the natural language input. For instance, input `` can trigger a personalized welcome response. The parameter `name` may be used by the agent in the response: `\"Hello #welcome_event.name! What can I do for you today?\"`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EventInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EventInput","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of this query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language. This field is ignored when used in the context of a WebhookResponse.followup_event_input field, because the language was already defined in the originating detect intent request.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the event.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - The collection of parameters associated with the event. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EventInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EventInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EventInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EventInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EventInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse","doc":"The response message for Agents.ExportAgent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Zip compressed raw byte content for agent.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in `ExportAgentRequest`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata","doc":"Metadata related to the Export Data Operations (e.g. ExportDocument).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata","doc":"*   `exportedGcsDestination` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1GcsDestination.t`, *default:* `nil`) - Cloud Storage file path of the exported data.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1FaqAnswer","doc":"Represents answer from \"frequently asked questions\".","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1FaqAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1FaqAnswer","doc":"*   `answer` (*type:* `String.t`, *default:* `nil`) - The piece of text from the `source` knowledge base document.\n*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `confidence` (*type:* `number()`, *default:* `nil`) - The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `metadata` (*type:* `map()`, *default:* `nil`) - A map that contains metadata about the answer and the document from which it originates.\n*   `question` (*type:* `String.t`, *default:* `nil`) - The corresponding FAQ question.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1FaqAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1FaqAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1FaqAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1FaqAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1FaqAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1GcsDestination","doc":"Google Cloud Storage location for the output.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1GcsDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1GcsDestination","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The Google Cloud Storage URIs for the output. A URI is of the form: `gs://bucket/object-prefix-or-name` Whether a prefix or name is used depends on the use case. The requesting user must have \"write-permission\" to the bucket.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1GcsDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1GcsDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1GcsDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1GcsDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1GcsDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent","doc":"Output only. Represents a notification sent to Pub/Sub subscribers for agent assistant events in a specific conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent","doc":"*   `conversation` (*type:* `String.t`, *default:* `nil`) - The conversation this notification refers to. Format: `projects//conversations/`.\n*   `participant` (*type:* `String.t`, *default:* `nil`) - The participant that the suggestion is compiled for. And This field is used to call Participants.ListSuggestions API. Format: `projects//conversations//participants/`. It will not be set in legacy workflow. HumanAgentAssistantConfig.name for more information.\n*   `suggestionResults` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestionResult.t)`, *default:* `nil`) - The suggestion results payload that this notification refers to. It will only be set when HumanAgentAssistantConfig.SuggestionConfig.group_suggestion_responses sets to true.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse","doc":"Response message for Documents.ImportDocuments.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse","doc":"*   `warnings` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t)`, *default:* `nil`) - Includes details about skipped documents or any other warnings.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata","doc":"Metadata for initializing a location-level encryption specification.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata","doc":"*   `request` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.t`, *default:* `nil`) - Output only. The original request for initialization.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest","doc":"The request to initialize a location-level encryption specification.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest","doc":"*   `encryptionSpec` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.t`, *default:* `nil`) - Required. The encryption spec used for CMEK encryption. It is required that the kms key is in the same region as the endpoint. The same key will be used for all provisioned resources, if encryption is available. If the kms_key_name is left empty, no encryption will be enforced.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Intent","doc":"An intent categorizes an end-user's intention for one conversation turn. For each agent, you define many intents, where your combined intents can handle a complete conversation. When an end-user writes or says something, referred to as an end-user expression or end-user input, Dialogflow matches the end-user input to the best intent in your agent. Matching an intent is also known as intent classification. For more information, see the [intent guide](https://cloud.google.com/dialogflow/docs/intents-overview).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Intent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Intent","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the action associated with the intent. Note: The action name must not contain whitespaces.\n*   `defaultResponsePlatforms` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of platforms for which the first responses will be copied from the messages in PLATFORM_UNSPECIFIED (i.e. default platform).\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of this intent.\n*   `endInteraction` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.\n*   `events` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of event names that trigger the intent. If the collection of input contexts is not empty, all of the contexts must be present in the active user session for an event to trigger this intent. Event names are limited to 150 characters.\n*   `followupIntentInfo` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.t)`, *default:* `nil`) - Output only. Information about all followup intents that have this intent as a direct or indirect parent. We populate this field only in the output.\n*   `inputContextNames` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of context names required for this intent to be triggered. Formats: - `projects//agent/sessions/-/contexts/` - `projects//locations//agent/sessions/-/contexts/`\n*   `isFallback` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether this is a fallback intent.\n*   `liveAgentHandoff` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage.t)`, *default:* `nil`) - Optional. The collection of rich messages corresponding to the `Response` field in the Dialogflow console.\n*   `mlDisabled` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether Machine Learning is disabled for the intent. Note: If `ml_disabled` setting is set to true, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off.\n*   `mlEnabled` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether Machine Learning is enabled for the intent. Note: If `ml_enabled` setting is set to false, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off. DEPRECATED! Please use `ml_disabled` field instead. NOTE: If both `ml_enabled` and `ml_disabled` are either not set or false, then the default value is determined as follows: - Before April 15th, 2018 the default is: ml_enabled = false / ml_disabled = true. - After April 15th, 2018 the default is: ml_enabled = true / ml_disabled = false.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context.t)`, *default:* `nil`) - Optional. The collection of contexts that are activated when the intent is matched. Context messages in this collection should not set the parameters field. Setting the `lifespan_count` to 0 will reset the context when the intent is matched. Format: `projects//agent/sessions/-/contexts/`.\n*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentParameter.t)`, *default:* `nil`) - Optional. The collection of parameters associated with the intent.\n*   `parentFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of the parent intent in the chain of followup intents. You can set this field when creating an intent, for example with CreateIntent or BatchUpdateIntents, in order to make this intent a followup intent. It identifies the parent followup intent. Format: `projects//agent/intents/`.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - Optional. The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.\n*   `resetContexts` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether to delete all contexts in the current session when this intent is matched.\n*   `rootFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of the root intent in the chain of followup intents. It identifies the correct followup intents chain for this intent. Format: `projects//agent/intents/`.\n*   `trainingPhrases` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.t)`, *default:* `nil`) - Optional. The collection of examples that the agent is trained on.\n*   `webhookState` (*type:* `String.t`, *default:* `nil`) - Optional. Indicates whether webhooks are enabled for the intent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Intent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Intent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Intent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Intent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Intent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo","doc":"Represents a single followup intent in the chain.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo","doc":"*   `followupIntentName` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the followup intent. Format: `projects//agent/intents/`.\n*   `parentFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the followup intent's parent. Format: `projects//agent/intents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage","doc":"Corresponds to the `Response` field in the Dialogflow console.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage","doc":"*   `basicCard` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.t`, *default:* `nil`) - Displays a basic card for Actions on Google.\n*   `browseCarouselCard` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.t`, *default:* `nil`) - Browse carousel card for Actions on Google.\n*   `card` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.t`, *default:* `nil`) - Displays a card.\n*   `carouselSelect` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.t`, *default:* `nil`) - Displays a carousel card for Actions on Google.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Displays an image.\n*   `linkOutSuggestion` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.t`, *default:* `nil`) - Displays a link out suggestion chip for Actions on Google.\n*   `listSelect` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.t`, *default:* `nil`) - Displays a list card for Actions on Google.\n*   `mediaContent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.t`, *default:* `nil`) - The media content card for Actions on Google.\n*   `payload` (*type:* `map()`, *default:* `nil`) - A custom platform-specific response.\n*   `platform` (*type:* `String.t`, *default:* `nil`) - Optional. The platform that this message is intended for.\n*   `quickReplies` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.t`, *default:* `nil`) - Displays quick replies.\n*   `rbmCarouselRichCard` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.t`, *default:* `nil`) - Rich Business Messaging (RBM) carousel rich card response.\n*   `rbmStandaloneRichCard` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.t`, *default:* `nil`) - Standalone Rich Business Messaging (RBM) rich card response.\n*   `rbmText` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.t`, *default:* `nil`) - Rich Business Messaging (RBM) text response. RBM allows businesses to send enriched and branded versions of SMS. See https://jibe.google.com/business-messaging.\n*   `simpleResponses` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.t`, *default:* `nil`) - Returns a voice or text-only response for Actions on Google.\n*   `suggestions` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.t`, *default:* `nil`) - Displays suggestion chips for Actions on Google.\n*   `tableCard` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.t`, *default:* `nil`) - Table card for Actions on Google.\n*   `telephonyPlayAudio` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.t`, *default:* `nil`) - Plays audio from a file in Telephony Gateway.\n*   `telephonySynthesizeSpeech` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.t`, *default:* `nil`) - Synthesizes speech in Telephony Gateway.\n*   `telephonyTransferCall` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.t`, *default:* `nil`) - Transfers the call in Telephony Gateway.\n*   `text` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageText.t`, *default:* `nil`) - Returns a text response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard","doc":"The basic card message. Useful for displaying information.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.t)`, *default:* `nil`) - Optional. The collection of card buttons.\n*   `formattedText` (*type:* `String.t`, *default:* `nil`) - Required, unless image is present. The body text of the card.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. The image for the card.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. The subtitle of the card.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton","doc":"The button object that appears at the bottom of a card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton","doc":"*   `openUriAction` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.t`, *default:* `nil`) - Required. Action to take when a user taps on the button.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The title of the button.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction","doc":"Opens the given URI.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The HTTP or HTTPS scheme URI.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard","doc":"Browse Carousel Card for Actions on Google. https://developers.google.com/actions/assistant/responses#browsing_carousel","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard","doc":"*   `imageDisplayOptions` (*type:* `String.t`, *default:* `nil`) - Optional. Settings for displaying the image. Applies to every image in items.\n*   `items` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.t)`, *default:* `nil`) - Required. List of items in the Browse Carousel Card. Minimum of two items, maximum of ten.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem","doc":"Browsing carousel tile","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the carousel item. Maximum of four lines of text.\n*   `footer` (*type:* `String.t`, *default:* `nil`) - Optional. Text that appears at the bottom of the Browse Carousel Card. Maximum of one line of text.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. Hero image for the carousel item.\n*   `openUriAction` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.t`, *default:* `nil`) - Required. Action to present to the user.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the carousel item. Maximum of two lines of text.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction","doc":"Actions on Google action to open a given url.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction","doc":"*   `url` (*type:* `String.t`, *default:* `nil`) - Required. URL\n*   `urlTypeHint` (*type:* `String.t`, *default:* `nil`) - Optional. Specifies the type of viewer that is used when opening the URL. Defaults to opening via web browser.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCard","doc":"The card response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.t)`, *default:* `nil`) - Optional. The collection of card buttons.\n*   `imageUri` (*type:* `String.t`, *default:* `nil`) - Optional. The public URI to an image file for the card.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. The subtitle of the card.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton","doc":"Optional. Contains information about a button.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton","doc":"*   `postback` (*type:* `String.t`, *default:* `nil`) - Optional. The text to send back to the Dialogflow API or a URI to open.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Optional. The text to show on the button.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect","doc":"The card for presenting a carousel of options to select from.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect","doc":"*   `items` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.t)`, *default:* `nil`) - Required. Carousel items.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem","doc":"An item in the carousel.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The body text of the card.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. The image to display.\n*   `info` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.t`, *default:* `nil`) - Required. Additional info about the option item.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the carousel item.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties","doc":"Column properties for TableCard.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties","doc":"*   `header` (*type:* `String.t`, *default:* `nil`) - Required. Column heading.\n*   `horizontalAlignment` (*type:* `String.t`, *default:* `nil`) - Optional. Defines text alignment for all cells in this column.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage","doc":"The image response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage","doc":"*   `accessibilityText` (*type:* `String.t`, *default:* `nil`) - A text description of the image to be used for accessibility, e.g., screen readers. Required if image_uri is set for CarouselSelect.\n*   `imageUri` (*type:* `String.t`, *default:* `nil`) - Optional. The public URI to an image file.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion","doc":"The suggestion chip message that allows the user to jump out to the app or website associated with this agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion","doc":"*   `destinationName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the app or site this chip is linking to.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The URI of the app or site to open when the user taps the suggestion chip.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect","doc":"The card for presenting a list of options to select from.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect","doc":"*   `items` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.t)`, *default:* `nil`) - Required. List items.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. Subtitle of the list.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The overall title of the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem","doc":"An item in the list.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The main text describing the item.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. The image to display.\n*   `info` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.t`, *default:* `nil`) - Required. Additional information about this option.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The title of the list item.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent","doc":"The media content card for Actions on Google.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent","doc":"*   `mediaObjects` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.t)`, *default:* `nil`) - Required. List of media objects.\n*   `mediaType` (*type:* `String.t`, *default:* `nil`) - Optional. What type of media is the content (ie \"audio\").","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject","doc":"Response media object for media content card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject","doc":"*   `contentUrl` (*type:* `String.t`, *default:* `nil`) - Required. Url where the media is stored.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of media card.\n*   `icon` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. Icon to display above media content.\n*   `largeImage` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. Image to display above media content.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Name of media card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies","doc":"The quick replies response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies","doc":"*   `quickReplies` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of quick replies.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the collection of quick replies.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent","doc":"Rich Business Messaging (RBM) Card content","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the card (at most 2000 bytes). At least one of the title, description or media must be set.\n*   `media` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.t`, *default:* `nil`) - Optional. However at least one of the title, description or media must be set. Media (image, GIF or a video) to include in the card.\n*   `suggestions` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.t)`, *default:* `nil`) - Optional. List of suggestions to include in the card.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. Title of the card (at most 200 bytes). At least one of the title, description or media must be set.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia","doc":"Rich Business Messaging (RBM) Media displayed in Cards The following media-types are currently supported: Image Types * image/jpeg * image/jpg' * image/gif * image/png Video Types * video/h263 * video/m4v * video/mp4 * video/mpeg * video/mpeg4 * video/webm","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia","doc":"*   `fileUri` (*type:* `String.t`, *default:* `nil`) - Required. Publicly reachable URI of the file. The RBM platform determines the MIME type of the file from the content-type field in the HTTP headers when the platform fetches the file. The content-type field must be present and accurate in the HTTP response from the URL.\n*   `height` (*type:* `String.t`, *default:* `nil`) - Required for cards with vertical orientation. The height of the media within a rich card with a vertical layout. For a standalone card with horizontal layout, height is not customizable, and this field is ignored.\n*   `thumbnailUri` (*type:* `String.t`, *default:* `nil`) - Optional. Publicly reachable URI of the thumbnail.If you don't provide a thumbnail URI, the RBM platform displays a blank placeholder thumbnail until the user's device downloads the file. Depending on the user's setting, the file may not download automatically and may require the user to tap a download button.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard","doc":"Carousel Rich Business Messaging (RBM) rich card. Rich cards allow you to respond to users with more vivid content, e.g. with media and suggestions. If you want to show a single card with more control over the layout, please use RbmStandaloneCard instead.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard","doc":"*   `cardContents` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.t)`, *default:* `nil`) - Required. The cards in the carousel. A carousel must have at least 2 cards and at most 10.\n*   `cardWidth` (*type:* `String.t`, *default:* `nil`) - Required. The width of the cards in the carousel.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard","doc":"Standalone Rich Business Messaging (RBM) rich card. Rich cards allow you to respond to users with more vivid content, e.g. with media and suggestions. You can group multiple rich cards into one using RbmCarouselCard but carousel cards will give you less control over the card layout.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard","doc":"*   `cardContent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.t`, *default:* `nil`) - Required. Card content.\n*   `cardOrientation` (*type:* `String.t`, *default:* `nil`) - Required. Orientation of the card.\n*   `thumbnailImageAlignment` (*type:* `String.t`, *default:* `nil`) - Required if orientation is horizontal. Image preview alignment for standalone cards with horizontal layout.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction","doc":"Rich Business Messaging (RBM) suggested client-side action that the user can choose from the card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction","doc":"*   `dial` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.t`, *default:* `nil`) - Suggested client side action: Dial a phone number\n*   `openUrl` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.t`, *default:* `nil`) - Suggested client side action: Open a URI on device\n*   `postbackData` (*type:* `String.t`, *default:* `nil`) - Opaque payload that the Dialogflow receives in a user event when the user taps the suggested action. This data will be also forwarded to webhook to allow performing custom business logic.\n*   `shareLocation` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.t`, *default:* `nil`) - Suggested client side action: Share user location\n*   `text` (*type:* `String.t`, *default:* `nil`) - Text to display alongside the action.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial","doc":"Opens the user's default dialer app with the specified phone number but does not dial automatically.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Required. The phone number to fill in the default dialer app. This field should be in [E.164](https://en.wikipedia.org/wiki/E.164) format. An example of a correctly formatted phone number: +15556767888.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri","doc":"Opens the user's default web browser app to the specified uri If the user has an app installed that is registered as the default handler for the URL, then this app will be opened instead, and its icon will be used in the suggested action UI.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The uri to open on the user device","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation","doc":"Opens the device's location chooser so the user can pick a location to send back to the agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply","doc":"Rich Business Messaging (RBM) suggested reply that the user can click instead of typing in their own response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply","doc":"*   `postbackData` (*type:* `String.t`, *default:* `nil`) - Opaque payload that the Dialogflow receives in a user event when the user taps the suggested reply. This data will be also forwarded to webhook to allow performing custom business logic.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Suggested reply text.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion","doc":"Rich Business Messaging (RBM) suggestion. Suggestions allow user to easily select/click a predefined response or perform an action (like opening a web uri).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion","doc":"*   `action` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.t`, *default:* `nil`) - Predefined client side actions that user can choose\n*   `reply` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.t`, *default:* `nil`) - Predefined replies for user to select instead of typing","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText","doc":"Rich Business Messaging (RBM) text response with suggestions.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText","doc":"*   `rbmSuggestion` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.t)`, *default:* `nil`) - Optional. One or more suggestions to show to the user.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. Text sent and displayed to the user.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo","doc":"Additional info about the select item for when it is triggered in a dialog.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Required. A unique key that will be sent back to the agent if this response is given.\n*   `synonyms` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of synonyms that can also be used to trigger this item in dialog.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse","doc":"The simple response message containing speech or text.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse","doc":"*   `displayText` (*type:* `String.t`, *default:* `nil`) - Optional. The text to display.\n*   `ssml` (*type:* `String.t`, *default:* `nil`) - One of text_to_speech or ssml must be provided. Structured spoken response to the user in the SSML format. Mutually exclusive with text_to_speech.\n*   `textToSpeech` (*type:* `String.t`, *default:* `nil`) - One of text_to_speech or ssml must be provided. The plain text of the speech output. Mutually exclusive with ssml.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses","doc":"The collection of simple response candidates. This message in `QueryResult.fulfillment_messages` and `WebhookResponse.fulfillment_messages` should contain only one `SimpleResponse`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses","doc":"*   `simpleResponses` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.t)`, *default:* `nil`) - Required. The list of simple responses.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion","doc":"The suggestion chip message that the user can tap to quickly post a reply to the conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion","doc":"*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The text shown the in the suggestion chip.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions","doc":"The collection of suggestions.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions","doc":"*   `suggestions` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.t)`, *default:* `nil`) - Required. The list of suggested replies.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard","doc":"Table card for Actions on Google.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.t)`, *default:* `nil`) - Optional. List of buttons for the card.\n*   `columnProperties` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.t)`, *default:* `nil`) - Optional. Display properties for the columns in this table.\n*   `image` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. Image which should be displayed on the card.\n*   `rows` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.t)`, *default:* `nil`) - Optional. Rows in this table of data.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. Subtitle to the title.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the card.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell","doc":"Cell of TableCardRow.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Required. Text in this cell.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow","doc":"Row of TableCard.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow","doc":"*   `cells` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.t)`, *default:* `nil`) - Optional. List of cells that make up this row.\n*   `dividerAfter` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether to add a visual divider after this row.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio","doc":"Plays audio from a file in Telephony Gateway.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio","doc":"*   `audioUri` (*type:* `String.t`, *default:* `nil`) - Required. URI to a Google Cloud Storage object containing the audio to play, e.g., \"gs://bucket/object\". The object must contain a single channel (mono) of linear PCM audio (2 bytes / sample) at 8kHz. This object must be readable by the `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` service account where is the number of the Telephony Gateway project (usually the same as the Dialogflow agent project). If the Google Cloud Storage bucket is in the Telephony Gateway project, this permission is added by default when enabling the Dialogflow V2 API. For audio from other sources, consider using the `TelephonySynthesizeSpeech` message with SSML.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech","doc":"Synthesizes speech and plays back the synthesized audio to the caller in Telephony Gateway. Telephony Gateway takes the synthesizer settings from `DetectIntentResponse.output_audio_config` which can either be set at request-level or can come from the agent-level synthesizer config.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech","doc":"*   `ssml` (*type:* `String.t`, *default:* `nil`) - The SSML to be synthesized. For more information, see [SSML](https://developers.google.com/actions/reference/ssml).\n*   `text` (*type:* `String.t`, *default:* `nil`) - The raw text to be synthesized.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall","doc":"Transfers the call in Telephony Gateway.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Required. The phone number to transfer the call to in [E.164 format](https://en.wikipedia.org/wiki/E.164). We currently only allow transferring to US numbers (+1xxxyyyzzzz).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageText","doc":"The text response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageText","doc":"*   `text` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of the agent's responses.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessageText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentParameter","doc":"Represents intent parameters.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentParameter","doc":"*   `defaultValue` (*type:* `String.t`, *default:* `nil`) - Optional. The default value to use when the `value` yields an empty result. Default values can be extracted from contexts by using the following syntax: `#context_name.parameter_name`.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the parameter.\n*   `entityTypeDisplayName` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the entity type, prefixed with `@`, that describes values of the parameter. If the parameter is required, this must be provided.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the parameter represents a list of values.\n*   `mandatory` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the parameter is required. That is, whether the intent cannot be completed without collecting the parameter value.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of this parameter.\n*   `prompts` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of prompts that the agent can present to the user in order to collect a value for the parameter.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Optional. The definition of the parameter value. It can be: - a constant string, - a parameter value defined as `$parameter_name`, - an original parameter value defined as `$parameter_name.original`, - a parameter value from some context defined as `#context_name.parameter_name`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentSuggestion","doc":"Represents an intent suggestion.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentSuggestion","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the intent.\n*   `intentV2` (*type:* `String.t`, *default:* `nil`) - The unique identifier of this intent. Format: `projects//locations//agent/intents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase","doc":"Represents an example that the agent is trained on.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this training phrase.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.t)`, *default:* `nil`) - Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `entity_type`, `alias`, and `user_defined` fields are all set.\n*   `timesAddedCount` (*type:* `integer()`, *default:* `nil`) - Optional. Indicates how many times this example was added to the intent. Each time a developer adds an existing sample by editing an intent or training, this counter is increased.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. The type of the training phrase.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart","doc":"Represents a part of a training phrase.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart","doc":"*   `alias` (*type:* `String.t`, *default:* `nil`) - Optional. The parameter name for the value extracted from the annotated part of the example. This field is required for annotated parts of the training phrase.\n*   `entityType` (*type:* `String.t`, *default:* `nil`) - Optional. The entity type name prefixed with `@`. This field is required for annotated parts of the training phrase.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The text for this part.\n*   `userDefined` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the text was manually annotated. This field is set to true when the Dialogflow Console is used to manually annotate the part. When creating an annotated part with the API, you must set this to true.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers","doc":"Represents the result of querying a Knowledge base.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers","doc":"*   `answers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.t)`, *default:* `nil`) - A list of answers from Knowledge Connector.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer","doc":"An answer from Knowledge Connector.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer","doc":"*   `answer` (*type:* `String.t`, *default:* `nil`) - The piece of text from the `source` knowledge base document that answers this conversational query.\n*   `faqQuestion` (*type:* `String.t`, *default:* `nil`) - The corresponding FAQ question if the answer was extracted from a FAQ Document, empty otherwise.\n*   `matchConfidence` (*type:* `number()`, *default:* `nil`) - The system's confidence score that this Knowledge answer is a good match for this conversational query. The range is from 0.0 (completely uncertain) to 1.0 (completely certain). Note: The confidence score is likely to vary somewhat (possibly even for identical requests), as the underlying model is under constant improvement. It may be deprecated in the future. We recommend using `match_confidence_level` which should be generally more stable.\n*   `matchConfidenceLevel` (*type:* `String.t`, *default:* `nil`) - The system's confidence level that this knowledge answer is a good match for this conversational query. NOTE: The confidence level for a given `` pair may change without notice, as it depends on models that are constantly being improved. However, it will change less frequently than the confidence score below, and should be preferred for referencing the quality of an answer.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Indicates which Knowledge Document this answer was extracted from. Format: `projects//knowledgeBases//documents/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer","doc":"Represents a Knowledge Assist answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of the answer record. Format: `projects//locations//answer Records/`.\n*   `suggestedQuery` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.t`, *default:* `nil`) - The query suggested based on the context. Suggestion is made only if it is different from the previous suggestion.\n*   `suggestedQueryAnswer` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.t`, *default:* `nil`) - The answer generated for the suggested query. Whether or not an answer is generated depends on how confident we are about the generated query.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer","doc":"Represents an answer from Knowledge. Currently supports FAQ and Generative answers.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer","doc":"*   `answerText` (*type:* `String.t`, *default:* `nil`) - The piece of text from the `source` that answers this suggested query.\n*   `faqSource` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.t`, *default:* `nil`) - Populated if the prediction came from FAQ.\n*   `generativeSource` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.t`, *default:* `nil`) - Populated if the prediction was Generative.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource","doc":"Details about source of FAQ answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource","doc":"*   `question` (*type:* `String.t`, *default:* `nil`) - The corresponding FAQ question.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource","doc":"Details about source of Generative answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource","doc":"*   `snippets` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.t)`, *default:* `nil`) - All snippets used for this Generative Prediction, with their source URI and data.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet","doc":"Snippet Source for a Generative Prediction.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Metadata of the document.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Text taken from that URI.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Title of the document.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - URI the data is sourced from.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery","doc":"Represents a suggested query.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery","doc":"*   `queryText` (*type:* `String.t`, *default:* `nil`) - Suggested query text.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata","doc":"Metadata in google::longrunning::Operation for Knowledge operations.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata","doc":"*   `exportOperationMetadata` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.t`, *default:* `nil`) - Metadata for the Export Data Operation such as the destination of export.\n*   `knowledgeBase` (*type:* `String.t`, *default:* `nil`) - The name of the knowledge base interacted with during the operation.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Required. Output only. The current state of this operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Message","doc":"Represents a message posted into a conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Message.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Message","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Required. The message content.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the message was created in Contact Center AI.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The message language. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".\n*   `messageAnnotation` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.t`, *default:* `nil`) - Output only. The annotation for the message.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of the message. Format: `projects//locations//conversations//messages/`.\n*   `participant` (*type:* `String.t`, *default:* `nil`) - Output only. The participant that sends this message.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Output only. The role of the participant.\n*   `responseMessages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessage.t)`, *default:* `nil`) - Optional. Automated agent responses.\n*   `sendTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The time when the message was sent.\n*   `sentimentAnalysis` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.t`, *default:* `nil`) - Output only. The sentiment analysis result for the message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Message.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Message.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Message.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Message.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Message.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1MessageAnnotation","doc":"Represents the result of annotation for the message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1MessageAnnotation","doc":"*   `containEntities` (*type:* `boolean()`, *default:* `nil`) - Required. Indicates whether the text message contains entities.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.t)`, *default:* `nil`) - Optional. The collection of annotated message parts ordered by their position in the message. You can recover the annotated message by concatenating [AnnotatedMessagePart.text].","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest","doc":"Represents the contents of the original request that was passed to the `[Streaming]DetectIntent` call.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest","doc":"*   `payload` (*type:* `map()`, *default:* `nil`) - Optional. This field is set to the value of the `QueryParameters.payload` field passed in the request. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: { \"telephony\": { \"caller_id\": \"+18558363987\" } } Note: The caller ID field (`caller_id`) will be redacted for Trial Edition agents and populated with the caller ID in [E.164 format](https://en.wikipedia.org/wiki/E.164) for Essentials Edition agents.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The source of this request, e.g., `google`, `facebook`, `slack`. It is set by Dialogflow-owned servers.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Optional. The version of the protocol used for this request. This field is AoG-specific.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult","doc":"Represents the result of conversational query or event processing.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - The action name from the matched intent.\n*   `allRequiredParamsPresent` (*type:* `boolean()`, *default:* `nil`) - This field is set to: - `false` if the matched intent has required parameters and not all of the required parameter values have been collected. - `true` if all required parameter values have been collected, or if the matched intent doesn't contain any required parameters.\n*   `cancelsSlotFilling` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the conversational query triggers a cancellation for slot filling. For more information, see the [cancel slot filling documentation](https://cloud.google.com/dialogflow/es/docs/intents-actions-parameters#cancel).\n*   `diagnosticInfo` (*type:* `map()`, *default:* `nil`) - Free-form diagnostic information for the associated detect intent request. The fields of this data can change without notice, so you should not write code that depends on its structure. The data may contain: - webhook call latency - webhook errors\n*   `fulfillmentMessages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage.t)`, *default:* `nil`) - The collection of rich messages to present to the user.\n*   `fulfillmentText` (*type:* `String.t`, *default:* `nil`) - The text to be pronounced to the user or shown on the screen. Note: This is a legacy field, `fulfillment_messages` should be preferred.\n*   `intent` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Intent.t`, *default:* `nil`) - The intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name`, `display_name`, `end_interaction` and `is_fallback`.\n*   `intentDetectionConfidence` (*type:* `number()`, *default:* `nil`) - The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. If there are `multiple knowledge_answers` messages, this value is set to the greatest `knowledgeAnswers.match_confidence` value in the list.\n*   `knowledgeAnswers` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.t`, *default:* `nil`) - The result from Knowledge Connector (if any), ordered by decreasing `KnowledgeAnswers.match_confidence`.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes.\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context.t)`, *default:* `nil`) - The collection of output contexts. If applicable, `output_contexts.parameters` contains entries with name `.original` containing the original parameter values before the query.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - The collection of extracted parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.\n*   `queryText` (*type:* `String.t`, *default:* `nil`) - The original conversational query text: - If natural language text was provided as input, `query_text` contains a copy of the input. - If natural language speech audio was provided as input, `query_text` contains the speech recognition result. If speech recognizer produced multiple alternatives, a particular one is picked. - If automatic spell correction is enabled, `query_text` will contain the corrected user input.\n*   `sentimentAnalysisResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.t`, *default:* `nil`) - The sentiment analysis result, which depends on the `sentiment_analysis_request_config` specified in the request.\n*   `speechRecognitionConfidence` (*type:* `number()`, *default:* `nil`) - The Speech recognition confidence between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. The default of 0.0 is a sentinel value indicating that confidence was not set. This field is not guaranteed to be accurate or set. In particular this field isn't set for StreamingDetectIntent since the streaming endpoint has separate confidence estimates per portion of the audio in StreamingRecognitionResult.\n*   `webhookPayload` (*type:* `map()`, *default:* `nil`) - If the query was fulfilled by a webhook call, this field is set to the value of the `payload` field returned in the webhook response.\n*   `webhookSource` (*type:* `String.t`, *default:* `nil`) - If the query was fulfilled by a webhook call, this field is set to the value of the `source` field returned in the webhook response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessage","doc":"Response messages from an automated agent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessage","doc":"*   `endInteraction` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.t`, *default:* `nil`) - A signal that indicates the interaction with the Dialogflow agent has ended.\n*   `liveAgentHandoff` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.t`, *default:* `nil`) - Hands off conversation to a live agent.\n*   `mixedAudio` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.t`, *default:* `nil`) - An audio response message composed of both the synthesized Dialogflow agent responses and the audios hosted in places known to the client.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Returns a response containing a custom, platform-specific payload.\n*   `telephonyTransferCall` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.t`, *default:* `nil`) - A signal that the client should transfer the phone call connected to this agent to a third-party endpoint.\n*   `text` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.t`, *default:* `nil`) - Returns a text response.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction","doc":"Indicates that interaction with the Dialogflow agent has ended.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff","doc":"Indicates that the conversation should be handed off to a human agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: * In the entry fulfillment of a CX Page if entering the page indicates something went extremely wrong in the conversation. * In a webhook response when you determine that the customer issue can only be handled by a human.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio","doc":"Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio","doc":"*   `segments` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.t)`, *default:* `nil`) - Segments this audio response is composed of.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment","doc":"Represents one segment of audio.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request.\n*   `audio` (*type:* `String.t`, *default:* `nil`) - Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Client-specific URI that points to an audio clip accessible to the client.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall","doc":"Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164).\n*   `sipUri` (*type:* `String.t`, *default:* `nil`) - Transfer the call to a SIP endpoint.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageText","doc":"The text response message.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageText","doc":"*   `text` (*type:* `list(String.t)`, *default:* `nil`) - A collection of text response variants. If multiple variants are defined, only one text response variant is returned at runtime.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Sentiment","doc":"The sentiment, such as positive/negative feeling or association, for a unit of analysis, such as the query text. See: https://cloud.google.com/natural-language/docs/basics#interpreting_sentiment_analysis_values for how to interpret the result.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Sentiment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Sentiment","doc":"*   `magnitude` (*type:* `number()`, *default:* `nil`) - A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).\n*   `score` (*type:* `number()`, *default:* `nil`) - Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Sentiment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Sentiment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Sentiment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Sentiment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Sentiment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult","doc":"The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral. For Participants.DetectIntent, it needs to be configured in DetectIntentRequest.query_params. For Participants.StreamingDetectIntent, it needs to be configured in StreamingDetectIntentRequest.query_params. And for Participants.AnalyzeContent and Participants.StreamingAnalyzeContent, it needs to be configured in ConversationProfile.human_agent_assistant_config","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult","doc":"*   `queryTextSentiment` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Sentiment.t`, *default:* `nil`) - The sentiment analysis result for `query_text`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SessionEntityType","doc":"A session represents a conversation between a Dialogflow agent and an end-user. You can create special entities, called session entities, during a session. Session entities can extend or replace custom entity types and only exist during the session that they were created for. All session data, including session entities, is stored by Dialogflow for 20 minutes. For more information, see the [session entity guide](https://cloud.google.com/dialogflow/docs/entities-session).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SessionEntityType.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SessionEntityType","doc":"*   `entities` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.t)`, *default:* `nil`) - Required. The collection of entities associated with this session entity type.\n*   `entityOverrideMode` (*type:* `String.t`, *default:* `nil`) - Required. Indicates whether the additional data should override or supplement the custom entity type definition.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of this session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SessionEntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SessionEntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SessionEntityType.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SessionEntityType.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SessionEntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata","doc":"Metadata for a ConversationProfile.SetSuggestionFeatureConfig operation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata","doc":"*   `conversationProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp whe the request was created. The time is measured on server side.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.\n*   `suggestionFeatureType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the suggestion feature to add or update.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer","doc":"Represents a smart reply answer.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `confidence` (*type:* `number()`, *default:* `nil`) - Smart reply confidence. The system's confidence score that this reply is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `reply` (*type:* `String.t`, *default:* `nil`) - The content of the reply.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse","doc":"The response message for Participants.SuggestArticles.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse","doc":"*   `articleAnswers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.t)`, *default:* `nil`) - Output only. Articles ordered by score in descending order.\n*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestArticlesResponse.context_size field in the request if there aren't that many messages in the conversation.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse","doc":"The response message for Participants.SuggestDialogflowAssists.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestDialogflowAssistsRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `dialogflowAssistAnswers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.t)`, *default:* `nil`) - Output only. Multiple reply options provided by Dialogflow assist service. The order is based on the rank of the model prediction.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to suggest answer. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse","doc":"The request message for Participants.SuggestFaqAnswers.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestFaqAnswersRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `faqAnswers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1FaqAnswer.t)`, *default:* `nil`) - Output only. Answers extracted from FAQ documents.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse","doc":"The response message for Participants.SuggestKnowledgeAssist.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestKnowledgeAssistRequest.context_size field in the request if there are fewer messages in the conversation.\n*   `knowledgeAssistAnswer` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.t`, *default:* `nil`) - Output only. Knowledge Assist suggestion.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse","doc":"The response message for Participants.SuggestSmartReplies.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestSmartRepliesRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.\n*   `smartReplyAnswers` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.t)`, *default:* `nil`) - Output only. Multiple reply options provided by smart reply service. The order is based on the rank of the model prediction. The maximum number of the returned replies is set in SmartReplyConfig.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestionResult","doc":"One response of different type of suggestion response which is used in the response of Participants.AnalyzeContent and Participants.AnalyzeContent, as well as HumanAgentAssistantEvent.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestionResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestionResult","doc":"*   `error` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - Error status if the request failed.\n*   `suggestArticlesResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.t`, *default:* `nil`) - SuggestArticlesResponse if request is for ARTICLE_SUGGESTION.\n*   `suggestDialogflowAssistsResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.t`, *default:* `nil`) - SuggestDialogflowAssistsResponse if request is for DIALOGFLOW_ASSIST.\n*   `suggestEntityExtractionResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.t`, *default:* `nil`) - SuggestDialogflowAssistsResponse if request is for ENTITY_EXTRACTION.\n*   `suggestFaqAnswersResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.t`, *default:* `nil`) - SuggestFaqAnswersResponse if request is for FAQ_ANSWER.\n*   `suggestKnowledgeAssistResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.t`, *default:* `nil`) - SuggestKnowledgeAssistResponse if request is for KNOWLEDGE_ASSIST.\n*   `suggestSmartRepliesResponse` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.t`, *default:* `nil`) - SuggestSmartRepliesResponse if request is for SMART_REPLY.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestionResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestionResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestionResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestionResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SuggestionResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookRequest","doc":"The request message for a webhook call.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookRequest","doc":"*   `alternativeQueryResults` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult.t)`, *default:* `nil`) - Alternative query results from KnowledgeService.\n*   `originalDetectIntentRequest` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.t`, *default:* `nil`) - Optional. The contents of the original request that was passed to `[Streaming]DetectIntent` call.\n*   `queryResult` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1QueryResult.t`, *default:* `nil`) - The result of the conversational query or event processing. Contains the same value as `[Streaming]DetectIntentResponse.query_result`.\n*   `responseId` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the response. Contains the same value as `[Streaming]DetectIntentResponse.response_id`.\n*   `session` (*type:* `String.t`, *default:* `nil`) - The unique identifier of detectIntent request session. Can be used to identify end-user inside webhook implementation. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`,","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookResponse","doc":"The response message for a webhook call. This response is validated by the Dialogflow server. If validation fails, an error will be returned in the QueryResult.diagnostic_info field. Setting JSON fields to an empty value with the wrong type is a common error. To avoid this error: - Use `\"\"` for empty strings - Use `{}` or `null` for empty objects - Use `[]` or `null` for empty arrays For more information, see the [Protocol Buffers Language Guide](https://developers.google.com/protocol-buffers/docs/proto3#json).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookResponse","doc":"*   `endInteraction` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.\n*   `followupEventInput` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1EventInput.t`, *default:* `nil`) - Optional. Invokes the supplied events. When this field is set, Dialogflow ignores the `fulfillment_text`, `fulfillment_messages`, and `payload` fields.\n*   `fulfillmentMessages` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1IntentMessage.t)`, *default:* `nil`) - Optional. The rich response messages intended for the end-user. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_messages sent to the integration or API caller.\n*   `fulfillmentText` (*type:* `String.t`, *default:* `nil`) - Optional. The text response message intended for the end-user. It is recommended to use `fulfillment_messages.text.text[0]` instead. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_text sent to the integration or API caller.\n*   `liveAgentHandoff` (*type:* `boolean()`, *default:* `nil`) - Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1Context.t)`, *default:* `nil`) - Optional. The collection of output contexts that will overwrite currently active contexts for the session and reset their lifespans. When provided, Dialogflow uses this field to populate QueryResult.output_contexts sent to the integration or API caller.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Optional. This field can be used to pass custom data from your webhook to the integration or API caller. Arbitrary JSON objects are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_payload sent to the integration or API caller. This field is also used by the [Google Assistant integration](https://cloud.google.com/dialogflow/docs/integrations/aog) for rich response messages. See the format definition at [Google Assistant Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)\n*   `sessionEntityTypes` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1SessionEntityType.t)`, *default:* `nil`) - Optional. Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session. Setting this data from a webhook overwrites the session entity types that have been set using `detectIntent`, `streamingDetectIntent` or SessionEntityType management methods.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Optional. A custom field used to identify the webhook source. Arbitrary strings are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_source sent to the integration or API caller.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV2beta1WebhookResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1ConversationSignals","doc":"This message is used to hold all the Conversation Signals data, which will be converted to JSON and exported to BigQuery.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1ConversationSignals","doc":"*   `turnSignals` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1TurnSignals.t`, *default:* `nil`) - Required. Turn signals for the current turn.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1TurnSignals","doc":"Collection of all signals that were extracted for a single turn of the conversation.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1TurnSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1TurnSignals","doc":"*   `agentEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether agent responded with LiveAgentHandoff fulfillment.\n*   `dtmfUsed` (*type:* `boolean()`, *default:* `nil`) - Whether user was using DTMF input.\n*   `failureReasons` (*type:* `list(String.t)`, *default:* `nil`) - Failure reasons of the turn.\n*   `noMatch` (*type:* `boolean()`, *default:* `nil`) - Whether NLU predicted NO_MATCH.\n*   `noUserInput` (*type:* `boolean()`, *default:* `nil`) - Whether user provided no input.\n*   `reachedEndPage` (*type:* `boolean()`, *default:* `nil`) - Whether turn resulted in End Session page.\n*   `sentimentMagnitude` (*type:* `number()`, *default:* `nil`) - Sentiment magnitude of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `sentimentScore` (*type:* `number()`, *default:* `nil`) - Sentiment score of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `triggeredAbandonmentEvent` (*type:* `boolean()`, *default:* `nil`) - Whether agent has triggered the event corresponding to user abandoning the conversation.\n*   `userEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether user was specifically asking for a live agent.\n*   `webhookStatuses` (*type:* `list(String.t)`, *default:* `nil`) - Human-readable statuses of the webhooks triggered during this turn.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1TurnSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1TurnSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1TurnSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1TurnSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudDialogflowV3alpha1TurnSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationListLocationsResponse","doc":"The response message for Locations.ListLocations.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationListLocationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationListLocationsResponse","doc":"*   `locations` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationLocation.t)`, *default:* `nil`) - A list of locations that matches the specified filter in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationListLocationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationListLocationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationListLocationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationListLocationsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationListLocationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationLocation","doc":"A resource that represents a Google Cloud location.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationLocation","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".\n*   `labels` (*type:* `map()`, *default:* `nil`) - Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - The canonical id for this location. For example: `\"us-east1\"`.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata. For example the available capacity at the given location.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationLocation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleCloudLocationLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleLongrunningListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningListOperationsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleLongrunningOperation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleProtobufEmpty.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleRpcStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V2.Model.GoogleTypeLatLng","doc":"An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleTypeLatLng.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V2.Model.GoogleTypeLatLng","doc":"*   `latitude` (*type:* `float()`, *default:* `nil`) - The latitude in degrees. It must be in the range [-90.0, +90.0].\n*   `longitude` (*type:* `float()`, *default:* `nil`) - The longitude in degrees. It must be in the range [-180.0, +180.0].","ref":"GoogleApi.Dialogflow.V2.Model.GoogleTypeLatLng.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V2.Model.GoogleTypeLatLng.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V2.Model.GoogleTypeLatLng.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V2.Model.GoogleTypeLatLng.t/0","doc":"","ref":"GoogleApi.Dialogflow.V2.Model.GoogleTypeLatLng.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3","doc":"API client metadata for GoogleApi.Dialogflow.V3.","ref":"GoogleApi.Dialogflow.V3.html"},{"type":"function","title":"GoogleApi.Dialogflow.V3.discovery_revision/0","doc":"","ref":"GoogleApi.Dialogflow.V3.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_changelogs_get/4","doc":"Retrieves the specified Changelog.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_changelogs_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_changelogs_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the changelog to get. Format: `projects//locations//agents//changelogs/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_changelogs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_changelogs_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Changelog{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_changelogs_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_changelogs_list/4","doc":"Returns the list of Changelogs.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_changelogs_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_changelogs_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent containing the changelogs. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter string. Supports filter by user_email, resource, type and create_time. Some examples: 1. By user email: user_email = \"someone@google.com\" 2. By resource name: resource = \"projects/123/locations/global/agents/456/flows/789\" 3. By resource display name: display_name = \"my agent\" 4. By action: action = \"Create\" 5. By type: type = \"flows\" 6. By create time. Currently predicates on `create_time` and `create_time_epoch_seconds` are supported: create_time_epoch_seconds > 1551790877 AND create_time <= 2017-01-15T01:30:15.01Z 7. Combination of above filters: resource = \"projects/123/locations/global/agents/456/flows/789\" AND user_email = \"someone@google.com\" AND create_time <= 2017-01-15T01:30:15.01Z\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_changelogs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_changelogs_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListChangelogsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_changelogs_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_create/4","doc":"Creates an agent in the specified location. Note: You should always train flows prior to sending them queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The location to create a agent for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_delete/4","doc":"Deletes the specified agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the agent to delete. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_create/4","doc":"Creates an entity type in the specified agent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create a entity type for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `entity_type`: * `EntityType.entities.value` * `EntityType.entities.synonyms` * `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_delete/4","doc":"Deletes the specified entity type. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entity type to delete. Format: `projects//locations//agents//entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - This field has no effect for entity type not being used. For entity types that are used by intents or pages: * If `force` is set to false, an error will be returned with message indicating the referencing resources. * If `force` is set to true, Dialogflow will remove the entity type, as well as any references to the entity type (i.e. Page parameter of the entity type will be changed to '@sys.any' and intent parameter of the entity type will be removed).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_export/4","doc":"Exports the selected entity types.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_export/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_export/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent agent to export entity types. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_export/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_export/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_get/4","doc":"Retrieves the specified entity type.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entity type. Format: `projects//locations//agents//entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to retrieve the entity type for. The following fields are language dependent: * `EntityType.entities.value` * `EntityType.entities.synonyms` * `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_import/4","doc":"Imports the specified entitytypes into the agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_import/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_import/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to import the entity types into. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_import/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_import/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_list/4","doc":"Returns the list of all entity types in the specified agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all entity types for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to list entity types for. The following fields are language dependent: * `EntityType.entities.value` * `EntityType.entities.synonyms` * `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEntityTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_patch/4","doc":"Updates the specified entity type. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType. Format: `projects//locations//agents//entityTypes/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `entity_type`: * `EntityType.entities.value` * `EntityType.entities.synonyms` * `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_entity_types_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_entity_types_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_continuous_test_results_list/4","doc":"Fetches a list of continuous test results for a given environment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_continuous_test_results_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_continuous_test_results_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The environment to list results for. Format: `projects//locations//agents//environments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_continuous_test_results_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_continuous_test_results_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_continuous_test_results_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_create/4","doc":"Creates an Environment in the specified Agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: Environment","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The Agent to create an Environment for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_delete/4","doc":"Deletes the specified Environment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the Environment to delete. Format: `projects//locations//agents//environments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_deploy_flow/4","doc":"Deploys a flow to the specified Environment. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: DeployFlowMetadata - `response`: DeployFlowResponse","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_deploy_flow/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_deploy_flow/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `environment` (*type:* `String.t`) - Required. The environment to deploy the flow to. Format: `projects//locations//agents//environments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_deploy_flow/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_deploy_flow/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_deploy_flow/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_deployments_get/4","doc":"Retrieves the specified Deployment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_deployments_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_deployments_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the Deployment. Format: `projects//locations//agents//environments//deployments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_deployments_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_deployments_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Deployment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_deployments_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_deployments_list/4","doc":"Returns the list of all deployments in the specified Environment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_deployments_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_deployments_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The Environment to list all environments for. Format: `projects//locations//agents//environments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 20 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_deployments_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_deployments_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListDeploymentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_deployments_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_create/4","doc":"Creates an Experiment in the specified Environment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The Agent to create an Environment for. Format: `projects//locations//agents//environments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_delete/4","doc":"Deletes the specified Experiment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the Environment to delete. Format: `projects//locations//agents//environments//experiments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_get/4","doc":"Retrieves the specified Experiment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the Environment. Format: `projects//locations//agents//environments//experiments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_list/4","doc":"Returns the list of all experiments in the specified Environment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The Environment to list all environments for. Format: `projects//locations//agents//environments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 20 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListExperimentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_patch/4","doc":"Updates the specified Experiment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the experiment. Format: projects//locations//agents//environments//experiments/.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_start/4","doc":"Starts the specified Experiment. This rpc only changes the state of experiment from PENDING to RUNNING.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_start/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_start/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the experiment to start. Format: `projects//locations//agents//environments//experiments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StartExperimentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_start/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_start/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_start/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_stop/4","doc":"Stops the specified Experiment. This rpc only changes the state of experiment from RUNNING to DONE.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_stop/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_stop/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the experiment to stop. Format: `projects//locations//agents//environments//experiments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StopExperimentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_stop/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_experiments_stop/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_experiments_stop/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_get/4","doc":"Retrieves the specified Environment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the Environment. Format: `projects//locations//agents//environments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_list/4","doc":"Returns the list of all environments in the specified Agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The Agent to list all environments for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 20 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEnvironmentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_lookup_environment_history/4","doc":"Looks up the history of the specified Environment.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_lookup_environment_history/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_lookup_environment_history/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the environment to look up the history for. Format: `projects//locations//agents//environments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_lookup_environment_history/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_lookup_environment_history/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_lookup_environment_history/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_patch/4","doc":"Updates the specified Environment. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: Environment","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the environment. Format: `projects//locations//agents//environments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_run_continuous_test/4","doc":"Kicks off a continuous test under the specified Environment. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: RunContinuousTestMetadata - `response`: RunContinuousTestResponse","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_run_continuous_test/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_run_continuous_test/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `environment` (*type:* `String.t`) - Required. Format: `projects//locations//agents//environments/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_run_continuous_test/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_run_continuous_test/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_run_continuous_test/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_detect_intent/4","doc":"Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause session entity types to be updated, which in turn might affect results of future queries. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_detect_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_detect_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_detect_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_detect_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_detect_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_create/4","doc":"Creates a session entity type.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to create a session entity type for. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_delete/4","doc":"Deletes the specified session entity type.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the session entity type to delete. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_get/4","doc":"Retrieves the specified session entity type.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_list/4","doc":"Returns the list of all session entity types in the specified session.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to list all session entity types from. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_patch/4","doc":"Updates the specified session entity type.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_entity_types_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_entity_types_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_fulfill_intent/4","doc":"Fulfills a matched intent returned by MatchIntent. Must be called after MatchIntent, with input from MatchIntentResponse. Otherwise, the behavior is undefined.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_fulfill_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_fulfill_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_fulfill_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_fulfill_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_fulfill_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_match_intent/4","doc":"Returns preliminary intent match results, doesn't change the session status.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_match_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_match_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_match_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_match_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_match_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_server_streaming_detect_intent/4","doc":"Processes a natural language query and returns structured, actionable data as a result through server-side streaming. Server-side streaming allows Dialogflow to send [partial responses](https://cloud.google.com/dialogflow/cx/docs/concept/fulfillment#partial-response) earlier in a single request.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_server_streaming_detect_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_server_streaming_detect_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_server_streaming_detect_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_environments_sessions_server_streaming_detect_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_environments_sessions_server_streaming_detect_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_export/4","doc":"Exports the specified agent to a binary file. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ExportAgentResponse","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_export/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_export/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the agent to export. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_export/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_export/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_create/4","doc":"Creates a flow in the specified agent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create a flow for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `flow`: * `Flow.event_handlers.trigger_fulfillment.messages` * `Flow.event_handlers.trigger_fulfillment.conditional_cases` * `Flow.transition_routes.trigger_fulfillment.messages` * `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_delete/4","doc":"Deletes a specified flow.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the flow to delete. Format: `projects//locations//agents//flows/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - This field has no effect for flows with no incoming transitions. For flows with incoming transitions: * If `force` is set to false, an error will be returned with message indicating the incoming transitions. * If `force` is set to true, Dialogflow will remove the flow, as well as any transitions to the flow (i.e. Target flow in event handlers or Target flow in transition routes that point to this flow will be cleared).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_export/4","doc":"Exports the specified flow to a binary file. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ExportFlowResponse Note that resources (e.g. intents, entities, webhooks) that the flow references will also be exported.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_export/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_export/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the flow to export. Format: `projects//locations//agents//flows/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_export/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_export/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_get/4","doc":"Retrieves the specified flow.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the flow to get. Format: `projects//locations//agents//flows/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to retrieve the flow for. The following fields are language dependent: * `Flow.event_handlers.trigger_fulfillment.messages` * `Flow.event_handlers.trigger_fulfillment.conditional_cases` * `Flow.transition_routes.trigger_fulfillment.messages` * `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_get_validation_result/4","doc":"Gets the latest flow validation result. Flow validation is performed when ValidateFlow is called.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_get_validation_result/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_get_validation_result/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The flow name. Format: `projects//locations//agents//flows//validationResult`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - If not specified, the agent's default language is used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_get_validation_result/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_get_validation_result/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_get_validation_result/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_import/4","doc":"Imports the specified flow to the specified agent from a binary file. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ImportFlowResponse Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_import/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_import/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to import the flow into. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_import/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_import/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_list/4","doc":"Returns the list of all flows in the specified agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent containing the flows. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to list flows for. The following fields are language dependent: * `Flow.event_handlers.trigger_fulfillment.messages` * `Flow.event_handlers.trigger_fulfillment.conditional_cases` * `Flow.transition_routes.trigger_fulfillment.messages` * `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListFlowsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_create/4","doc":"Creates a page in the specified flow. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The flow to create a page for. Format: `projects//locations//agents//flows/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `page`: * `Page.entry_fulfillment.messages` * `Page.entry_fulfillment.conditional_cases` * `Page.event_handlers.trigger_fulfillment.messages` * `Page.event_handlers.trigger_fulfillment.conditional_cases` * `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` * `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` * `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` * `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` * `Page.transition_routes.trigger_fulfillment.messages` * `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_delete/4","doc":"Deletes the specified page. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the page to delete. Format: `projects//locations//agents//Flows//pages/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - This field has no effect for pages with no incoming transitions. For pages with incoming transitions: * If `force` is set to false, an error will be returned with message indicating the incoming transitions. * If `force` is set to true, Dialogflow will remove the page, as well as any transitions to the page (i.e. Target page in event handlers or Target page in transition routes that point to this page will be cleared).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_get/4","doc":"Retrieves the specified page.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the page. Format: `projects//locations//agents//flows//pages/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to retrieve the page for. The following fields are language dependent: * `Page.entry_fulfillment.messages` * `Page.entry_fulfillment.conditional_cases` * `Page.event_handlers.trigger_fulfillment.messages` * `Page.event_handlers.trigger_fulfillment.conditional_cases` * `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` * `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` * `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` * `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` * `Page.transition_routes.trigger_fulfillment.messages` * `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_list/4","doc":"Returns the list of all pages in the specified flow.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The flow to list all pages for. Format: `projects//locations//agents//flows/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to list pages for. The following fields are language dependent: * `Page.entry_fulfillment.messages` * `Page.entry_fulfillment.conditional_cases` * `Page.event_handlers.trigger_fulfillment.messages` * `Page.event_handlers.trigger_fulfillment.conditional_cases` * `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` * `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` * `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` * `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` * `Page.transition_routes.trigger_fulfillment.messages` * `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListPagesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_patch/4","doc":"Updates the specified page. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `page`: * `Page.entry_fulfillment.messages` * `Page.entry_fulfillment.conditional_cases` * `Page.event_handlers.trigger_fulfillment.messages` * `Page.event_handlers.trigger_fulfillment.conditional_cases` * `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` * `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` * `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` * `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` * `Page.transition_routes.trigger_fulfillment.messages` * `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated. If the mask is not present, all fields will be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_pages_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_pages_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_patch/4","doc":"Updates the specified flow. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the flow. Format: `projects//locations//agents//flows/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `flow`: * `Flow.event_handlers.trigger_fulfillment.messages` * `Flow.event_handlers.trigger_fulfillment.conditional_cases` * `Flow.transition_routes.trigger_fulfillment.messages` * `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated. If the mask is not present, all fields will be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_train/4","doc":"Trains the specified flow. Note that only the flow in 'draft' environment is trained. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_train/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_train/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The flow to train. Format: `projects//locations//agents//flows/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TrainFlowRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_train/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_train/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_train/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_create/4","doc":"Creates an TransitionRouteGroup in the specified flow. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The flow to create an TransitionRouteGroup for. Format: `projects//locations//agents//flows/` or `projects//locations//agents/` for agent-level groups.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `TransitionRouteGroup`: * `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` * `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_delete/4","doc":"Deletes the specified TransitionRouteGroup. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the TransitionRouteGroup to delete. Format: `projects//locations//agents//flows//transitionRouteGroups/` or `projects//locations//agents//transitionRouteGroups/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - This field has no effect for transition route group that no page is using. If the transition route group is referenced by any page: * If `force` is set to false, an error will be returned with message indicating pages that reference the transition route group. * If `force` is set to true, Dialogflow will remove the transition route group, as well as any reference to it.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_get/4","doc":"Retrieves the specified TransitionRouteGroup.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the TransitionRouteGroup. Format: `projects//locations//agents//flows//transitionRouteGroups/` or `projects//locations//agents//transitionRouteGroups/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to retrieve the transition route group for. The following fields are language dependent: * `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` * `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_list/4","doc":"Returns the list of all transition route groups in the specified flow.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The flow to list all transition route groups for. Format: `projects//locations//agents//flows/` or `projects//locations//agents/.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to list transition route groups for. The following fields are language dependent: * `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` * `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_patch/4","doc":"Updates the specified TransitionRouteGroup. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the transition route group. TransitionRouteGroups.CreateTransitionRouteGroup populates the name automatically. Format: `projects//locations//agents//flows//transitionRouteGroups/` .\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `TransitionRouteGroup`: * `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` * `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_transition_route_groups_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_transition_route_groups_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_validate/4","doc":"Validates the specified flow and creates or updates validation results. Please call this API after the training is completed to get the complete validation results.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_validate/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_validate/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The flow to validate. Format: `projects//locations//agents//flows/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateFlowRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_validate/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_validate/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_validate/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_compare_versions/4","doc":"Compares the specified base version with target version.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_compare_versions/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_compare_versions/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `base_version` (*type:* `String.t`) - Required. Name of the base flow version to compare with the target version. Use version ID `0` to indicate the draft version of the specified flow. Format: `projects//locations//agents//flows//versions/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_compare_versions/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_compare_versions/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_compare_versions/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_create/4","doc":"Creates a Version in the specified Flow. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: CreateVersionOperationMetadata - `response`: Version","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The Flow to create an Version for. Format: `projects//locations//agents//flows/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_delete/4","doc":"Deletes the specified Version.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the Version to delete. Format: `projects//locations//agents//flows//versions/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_get/4","doc":"Retrieves the specified Version.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the Version. Format: `projects//locations//agents//flows//versions/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_list/4","doc":"Returns the list of all versions in the specified Flow.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The Flow to list all versions for. Format: `projects//locations//agents//flows/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 20 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListVersionsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_load/4","doc":"Loads resources in the specified version to the draft flow. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_load/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_load/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The Version to be loaded to draft flow. Format: `projects//locations//agents//flows//versions/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LoadVersionRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_load/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_load/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_load/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_patch/4","doc":"Updates the specified Version.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Format: projects//locations//agents//flows//versions/. Version ID is a self-increasing number generated by Dialogflow upon version creation.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated. Currently only `description` and `display_name` can be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_flows_versions_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_flows_versions_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_create/4","doc":"Creates a generator in the specified agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create a generator for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to create generators for the following fields: * `Generator.prompt_text.text` If not specified, the agent's default language is used.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_delete/4","doc":"Deletes the specified generators.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the generator to delete. Format: `projects//locations//agents//generators/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - This field has no effect for generators not being used. For generators that are used by pages/flows/transition route groups: * If `force` is set to false, an error will be returned with message indicating the referenced resources. * If `force` is set to true, Dialogflow will remove the generator, as well as any references to the generator (i.e. Generator) in fulfillments.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_get/4","doc":"Retrieves the specified generator.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the generator. Format: `projects//locations//agents//generators/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to list generators for.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_list/4","doc":"Returns the list of all generators in the specified agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all generators for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to list generators for.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListGeneratorsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_patch/4","doc":"Update the specified generator.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the generator. Must be set for the Generators.UpdateGenerator method. Generators.CreateGenerate populates the name automatically. Format: `projects//locations//agents//generators/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to list generators for.\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated. If the mask is not present, all fields will be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_generators_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_generators_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_get/4","doc":"Retrieves the specified agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the agent. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_get_generative_settings/4","doc":"Gets the generative settings for the agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_get_generative_settings/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_get_generative_settings/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Format: `projects//locations//agents//generativeSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Required. Language code of the generative settings.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_get_generative_settings/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_get_generative_settings/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_get_generative_settings/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_get_validation_result/4","doc":"Gets the latest agent validation result. Agent validation is performed when ValidateAgent is called.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_get_validation_result/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_get_validation_result/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The agent name. Format: `projects//locations//agents//validationResult`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - If not specified, the agent's default language is used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_get_validation_result/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_get_validation_result/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentValidationResult{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_get_validation_result/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_create/4","doc":"Creates an intent in the specified agent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create an intent for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `intent`: * `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_delete/4","doc":"Deletes the specified intent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the intent to delete. Format: `projects//locations//agents//intents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_export/4","doc":"Exports the selected intents. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: ExportIntentsMetadata - `response`: ExportIntentsResponse","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_export/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_export/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the parent agent to export intents. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_export/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_export/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_get/4","doc":"Retrieves the specified intent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the intent. Format: `projects//locations//agents//intents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to retrieve the intent for. The following fields are language dependent: * `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_import/4","doc":"Imports the specified intents into the agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: ImportIntentsMetadata - `response`: ImportIntentsResponse","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_import/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_import/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to import the intents into. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_import/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_import/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_list/4","doc":"Returns the list of all intents in the specified agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all intents for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:intentView` (*type:* `String.t`) - The resource view to apply to the returned intent.\n    *   `:languageCode` (*type:* `String.t`) - The language to list intents for. The following fields are language dependent: * `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListIntentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_patch/4","doc":"Updates the specified intent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `intent`: * `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated. If the mask is not present, all fields will be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_intents_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_intents_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_list/4","doc":"Returns the list of all agents in the specified location.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The location to list all agents for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListAgentsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_patch/4","doc":"Updates the specified agent. Note: You should always train flows prior to sending them queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the agent. Required for the Agents.UpdateAgent method. Agents.CreateAgent populates the name automatically. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated. If the mask is not present, all fields will be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_restore/4","doc":"Restores the specified agent from a binary file. Replaces the current agent with a new one. Note that all existing resources in agent (e.g. intents, entity types, flows) will be removed. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train flows prior to sending them queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_restore/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_restore/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the agent to restore into. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_restore/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_restore/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_restore/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_detect_intent/4","doc":"Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause session entity types to be updated, which in turn might affect results of future queries. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_detect_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_detect_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_detect_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_detect_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_detect_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_create/4","doc":"Creates a session entity type.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to create a session entity type for. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_delete/4","doc":"Deletes the specified session entity type.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the session entity type to delete. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_get/4","doc":"Retrieves the specified session entity type.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_list/4","doc":"Returns the list of all session entity types in the specified session.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The session to list all session entity types from. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_patch/4","doc":"Updates the specified session entity type.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The unique identifier of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_entity_types_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_entity_types_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_fulfill_intent/4","doc":"Fulfills a matched intent returned by MatchIntent. Must be called after MatchIntent, with input from MatchIntentResponse. Otherwise, the behavior is undefined.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_fulfill_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_fulfill_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_fulfill_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_fulfill_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_fulfill_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_match_intent/4","doc":"Returns preliminary intent match results, doesn't change the session status.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_match_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_match_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_match_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_match_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_match_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_server_streaming_detect_intent/4","doc":"Processes a natural language query and returns structured, actionable data as a result through server-side streaming. Server-side streaming allows Dialogflow to send [partial responses](https://cloud.google.com/dialogflow/cx/docs/concept/fulfillment#partial-response) earlier in a single request.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_server_streaming_detect_intent/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_server_streaming_detect_intent/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_server_streaming_detect_intent/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_server_streaming_detect_intent/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_server_streaming_detect_intent/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_submit_answer_feedback/4","doc":"Updates the feedback received from the user for a single turn of the bot response.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_submit_answer_feedback/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_submit_answer_feedback/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `session` (*type:* `String.t`) - Required. The name of the session the feedback was sent to.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SubmitAnswerFeedbackRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_submit_answer_feedback/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_sessions_submit_answer_feedback/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedback{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_sessions_submit_answer_feedback/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_batch_delete/4","doc":"Batch deletes test cases.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_batch_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_batch_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to delete test cases from. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_batch_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_batch_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_batch_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_batch_run/4","doc":"Kicks off a batch run of test cases. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: BatchRunTestCasesMetadata - `response`: BatchRunTestCasesResponse","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_batch_run/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_batch_run/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Agent name. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_batch_run/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_batch_run/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_batch_run/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_calculate_coverage/4","doc":"Calculates the test coverage for an agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_calculate_coverage/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_calculate_coverage/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `agent` (*type:* `String.t`) - Required. The agent to calculate coverage for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:type` (*type:* `String.t`) - Required. The type of coverage requested.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_calculate_coverage/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_calculate_coverage/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CalculateCoverageResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_calculate_coverage/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_create/4","doc":"Creates a test case for the given agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create the test case for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_export/4","doc":"Exports the test cases under the agent to a Cloud Storage bucket or a local file. Filter can be applied to export a subset of test cases. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: ExportTestCasesMetadata - `response`: ExportTestCasesResponse","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_export/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_export/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent where to export test cases from. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_export/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_export/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_export/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_get/4","doc":"Gets a test case.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the testcase. Format: `projects//locations//agents//testCases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_import/4","doc":"Imports the test cases from a Cloud Storage bucket or a local file. It always creates new test cases and won't overwrite any existing ones. The provided ID in the imported test case is neglected. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: ImportTestCasesMetadata - `response`: ImportTestCasesResponse","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_import/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_import/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to import test cases to. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_import/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_import/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_list/4","doc":"Fetches a list of test cases for a given agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all pages for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 20. Note that when TestCaseView = FULL, the maximum page size allowed is 20. When TestCaseView = BASIC, the maximum page size allowed is 500.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n    *   `:view` (*type:* `String.t`) - Specifies whether response should include all fields or just the metadata.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCasesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_patch/4","doc":"Updates the specified test case.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents//testCases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to specify which fields should be updated. The `creationTime` and `lastTestResult` cannot be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_results_get/4","doc":"Gets a test case result.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_results_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_results_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the testcase. Format: `projects//locations//agents//testCases//results/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_results_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_results_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_results_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_results_list/4","doc":"Fetches the list of run results for the given test case. A maximum of 100 results are kept for each test case.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_results_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_results_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The test case to list results for. Format: `projects//locations//agents//testCases/`. Specify a `-` as a wildcard for TestCase ID to list results across multiple test cases.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The filter expression used to filter test case results. See [API Filtering](https://aip.dev/160). The expression is case insensitive. Only 'AND' is supported for logical operators. The supported syntax is listed below in detail: [AND ] ... [AND latest] The supported fields and operators are: field operator `environment` `=`, `IN` (Use value `draft` for draft environment) `test_time` `>`, `<` `latest` only returns the latest test result in all results for each test case. Examples: * \"environment=draft AND latest\" matches the latest test result for each test case in the draft environment. * \"environment IN (e1,e2)\" matches any test case results with an environment resource name of either \"e1\" or \"e2\". * \"test_time > 1602540713\" matches any test case results with test time later than a unix timestamp in seconds 1602540713.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_results_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_results_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCaseResultsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_results_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_run/4","doc":"Kicks off a test case run. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: RunTestCaseMetadata - `response`: RunTestCaseResponse","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_run/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_run/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Format of test case name to run: `projects//locations//agents//testCases/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_run/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_test_cases_run/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_test_cases_run/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_create/4","doc":"Creates an TransitionRouteGroup in the specified flow. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The flow to create an TransitionRouteGroup for. Format: `projects//locations//agents//flows/` or `projects//locations//agents/` for agent-level groups.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `TransitionRouteGroup`: * `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` * `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_delete/4","doc":"Deletes the specified TransitionRouteGroup. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the TransitionRouteGroup to delete. Format: `projects//locations//agents//flows//transitionRouteGroups/` or `projects//locations//agents//transitionRouteGroups/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - This field has no effect for transition route group that no page is using. If the transition route group is referenced by any page: * If `force` is set to false, an error will be returned with message indicating pages that reference the transition route group. * If `force` is set to true, Dialogflow will remove the transition route group, as well as any reference to it.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_get/4","doc":"Retrieves the specified TransitionRouteGroup.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the TransitionRouteGroup. Format: `projects//locations//agents//flows//transitionRouteGroups/` or `projects//locations//agents//transitionRouteGroups/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to retrieve the transition route group for. The following fields are language dependent: * `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` * `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_list/4","doc":"Returns the list of all transition route groups in the specified flow.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The flow to list all transition route groups for. Format: `projects//locations//agents//flows/` or `projects//locations//agents/.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language to list transition route groups for. The following fields are language dependent: * `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` * `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_patch/4","doc":"Updates the specified TransitionRouteGroup. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the transition route group. TransitionRouteGroups.CreateTransitionRouteGroup populates the name automatically. Format: `projects//locations//agents//flows//transitionRouteGroups/` .\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - The language of the following fields in `TransitionRouteGroup`: * `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` * `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_transition_route_groups_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_transition_route_groups_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_update_generative_settings/4","doc":"Updates the generative settings for the agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_update_generative_settings/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_update_generative_settings/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Format: `projects//locations//agents//generativeSettings`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Optional. The mask to control which fields get updated. If the mask is not present, all fields will be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_update_generative_settings/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_update_generative_settings/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_update_generative_settings/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_validate/4","doc":"Validates the specified agent and creates or updates validation results. The agent in draft version is validated. Please call this API after the training is completed to get the complete validation results.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_validate/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_validate/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The agent to validate. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateAgentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_validate/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_validate/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentValidationResult{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_validate/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_create/4","doc":"Creates a webhook in the specified agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to create a webhook for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_delete/4","doc":"Deletes the specified webhook.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the webhook to delete. Format: `projects//locations//agents//webhooks/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:force` (*type:* `boolean()`) - This field has no effect for webhook not being used. For webhooks that are used by pages/flows/transition route groups: * If `force` is set to false, an error will be returned with message indicating the referenced resources. * If `force` is set to true, Dialogflow will remove the webhook, as well as any references to the webhook (i.e. Webhook and tagin fulfillments that point to this webhook will be removed).\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_get/4","doc":"Retrieves the specified webhook.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the webhook. Format: `projects//locations//agents//webhooks/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_list/4","doc":"Returns the list of all webhooks in the specified agent.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The agent to list all webhooks for. Format: `projects//locations//agents/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 100 and at most 1000.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListWebhooksResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_patch/4","doc":"Updates the specified webhook.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The mask to control which fields get updated. If the mask is not present, all fields will be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_agents_webhooks_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_agents_webhooks_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_get/4","doc":"Gets information about a location.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Resource name for the location.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationLocation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_list/4","doc":"Lists information about the supported locations for this service.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The resource that owns the locations collection, if applicable.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of results to return. If not set, the service selects a default.\n    *   `:pageToken` (*type:* `String.t`) - A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationListLocationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_operations_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_operations_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_operations_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_operations_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_create/4","doc":"Create security settings in the specified location.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_create/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_create/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The location to create an SecuritySettings for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_create/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_create/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_delete/4","doc":"Deletes the specified SecuritySettings.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_delete/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_delete/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the SecuritySettings to delete. Format: `projects//locations//securitySettings/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_delete/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_delete/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_get/4","doc":"Retrieves the specified SecuritySettings. The returned settings may be stale by up to 1 minute.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Resource name of the settings. Format: `projects//locations//securitySettings/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_list/4","doc":"Returns the list of all security settings in the specified location.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The location to list all security settings for. Format: `projects//locations/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - The maximum number of items to return in a single page. By default 20 and at most 100.\n    *   `:pageToken` (*type:* `String.t`) - The next_page_token value returned from a previous list request.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSecuritySettingsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_list/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_patch/4","doc":"Updates the specified SecuritySettings.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_patch/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_patch/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Resource name of the settings. Required for the SecuritySettingsService.UpdateSecuritySettings method. SecuritySettingsService.CreateSecuritySettings populates the name automatically. Format: `projects//locations//securitySettings/`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - Required. The mask to control which fields get updated. If the mask is not present, all fields will be updated.\n    *   `:body` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_locations_security_settings_patch/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_locations_security_settings_patch/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_operations_get/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_operations_get/4-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.Dialogflow.V3.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Api.Projects.dialogflow_projects_operations_list/4","doc":"*   `{:ok, %GoogleApi.Dialogflow.V3.Model.GoogleLongrunningListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.Dialogflow.V3.Api.Projects.html#dialogflow_projects_operations_list/4-returns"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Connection","doc":"Handle Tesla connections for GoogleApi.Dialogflow.V3.","ref":"GoogleApi.Dialogflow.V3.Connection.html"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.Dialogflow.V3.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.Dialogflow.V3.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#get/3"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#head/3"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.Dialogflow.V3.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Dialogflow.V3.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.Dialogflow.V3.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.Dialogflow.V3.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.Dialogflow.V3.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.Dialogflow.V3.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.Dialogflow.V3.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#options/3"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V3.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V3.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V3.Connection.html#post/4"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V3.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V3.Connection.html#put/4"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.Dialogflow.V3.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.Dialogflow.V3.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.Dialogflow.V3.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.Dialogflow.V3.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.Dialogflow.V3.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.Dialogflow.V3.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.Dialogflow.V3.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.Dialogflow.V3.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Connection.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings","doc":"Hierarchical advanced settings for agent/flow/page/fulfillment/parameter. Settings exposed at lower level overrides the settings exposed at higher level. Overriding occurs at the sub-setting level. For example, the playback_interruption_settings at fulfillment level only overrides the playback_interruption_settings at the agent level, leaving other settings at the agent level unchanged. DTMF settings does not override each other. DTMF settings set at different levels define DTMF detections running in parallel. Hierarchy: Agent->Flow->Page->Fulfillment/Parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings","doc":"*   `audioExportGcsDestination` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GcsDestination.t`, *default:* `nil`) - If present, incoming audio is exported by Dialogflow to the configured Google Cloud Storage destination. Exposed at the following levels: - Agent level - Flow level\n*   `dtmfSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.t`, *default:* `nil`) - Settings for DTMF. Exposed at the following levels: - Agent level - Flow level - Page level - Parameter level.\n*   `loggingSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.t`, *default:* `nil`) - Settings for logging. Settings for Dialogflow History, Contact Center messages, StackDriver logs, and speech logging. Exposed at the following levels: - Agent level.\n*   `speechSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.t`, *default:* `nil`) - Settings for speech to text detection. Exposed at the following levels: - Agent level - Flow level - Page level - Parameter level","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings","doc":"Define behaviors for DTMF (dual tone multi frequency).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings","doc":"*   `enabled` (*type:* `boolean()`, *default:* `nil`) - If true, incoming audio is processed for DTMF (dual tone multi frequency) events. For example, if the caller presses a button on their telephone keypad and DTMF processing is enabled, Dialogflow will detect the event (e.g. a \"3\" was pressed) in the incoming audio and pass the event to the bot to drive business logic (e.g. when 3 is pressed, return the account balance).\n*   `endpointingTimeoutDuration` (*type:* `String.t`, *default:* `nil`) - Endpoint timeout setting for matching dtmf input to regex.\n*   `finishDigit` (*type:* `String.t`, *default:* `nil`) - The digit that terminates a DTMF digit sequence.\n*   `interdigitTimeoutDuration` (*type:* `String.t`, *default:* `nil`) - Interdigit timeout setting for matching dtmf input to regex.\n*   `maxDigits` (*type:* `integer()`, *default:* `nil`) - Max length of DTMF digits.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsDtmfSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings","doc":"Define behaviors on logging.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings","doc":"*   `enableConsentBasedRedaction` (*type:* `boolean()`, *default:* `nil`) - Enables consent-based end-user input redaction, if true, a pre-defined session parameter `$session.params.conversation-redaction` will be used to determine if the utterance should be redacted.\n*   `enableInteractionLogging` (*type:* `boolean()`, *default:* `nil`) - Enables DF Interaction logging.\n*   `enableStackdriverLogging` (*type:* `boolean()`, *default:* `nil`) - Enables Google Cloud Logging.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings","doc":"Define behaviors of speech to text detection.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings","doc":"*   `endpointerSensitivity` (*type:* `integer()`, *default:* `nil`) - Sensitivity of the speech model that detects the end of speech. Scale from 0 to 100.\n*   `models` (*type:* `map()`, *default:* `nil`) - Mapping from language to Speech-to-Text model. The mapped Speech-to-Text model will be selected for requests from its corresponding language. For more information, see [Speech models](https://cloud.google.com/dialogflow/cx/docs/concept/speech-models).\n*   `noSpeechTimeout` (*type:* `String.t`, *default:* `nil`) - Timeout before detecting no speech.\n*   `useTimeoutBasedEndpointing` (*type:* `boolean()`, *default:* `nil`) - Use timeout based endpointing, interpreting endpointer sensitivy as seconds of timeout value.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettingsSpeechSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent","doc":"Agents are best described as Natural Language Understanding (NLU) modules that transform user requests into actionable data. You can include agents in your app, product, or service to determine user intent and respond to the user in a natural way. After you create an agent, you can add Intents, Entity Types, Flows, Fulfillments, Webhooks, TransitionRouteGroups and so on to manage the conversation flows.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this agent. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `answerFeedbackSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentAnswerFeedbackSettings.t`, *default:* `nil`) - Optional. Answer feedback collection settings.\n*   `avatarUri` (*type:* `String.t`, *default:* `nil`) - The URI of the agent's avatar. Avatars are used throughout the Dialogflow console and in the self-hosted [Web Demo](https://cloud.google.com/dialogflow/docs/integrations/web-demo) integration.\n*   `clientCertificateSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentClientCertificateSettings.t`, *default:* `nil`) - Optional. Settings for custom client certificates.\n*   `defaultLanguageCode` (*type:* `String.t`, *default:* `nil`) - Required. Immutable. The default language of the agent as a language tag. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. This field cannot be set by the Agents.UpdateAgent method.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the agent. The maximum length is 500 characters. If exceeded, the request is rejected.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the agent, unique within the location.\n*   `enableMultiLanguageTraining` (*type:* `boolean()`, *default:* `nil`) - Optional. Enable training multi-lingual models for this agent. These models will be trained on all the languages supported by the agent.\n*   `enableSpellCorrection` (*type:* `boolean()`, *default:* `nil`) - Indicates if automatic spell correction is enabled in detect intent requests.\n*   `enableStackdriverLogging` (*type:* `boolean()`, *default:* `nil`) - Indicates if stackdriver logging is enabled for the agent. Please use agent.advanced_settings instead.\n*   `genAppBuilderSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGenAppBuilderSettings.t`, *default:* `nil`) - Gen App Builder-related agent-level settings.\n*   `gitIntegrationSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettings.t`, *default:* `nil`) - Git integration settings for this agent.\n*   `locked` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the agent is locked for changes. If the agent is locked, modifications to the agent will be rejected except for RestoreAgent.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the agent. Required for the Agents.UpdateAgent method. Agents.CreateAgent populates the name automatically. Format: `projects//locations//agents/`.\n*   `personalizationSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentPersonalizationSettings.t`, *default:* `nil`) - Optional. Settings for end user personalization.\n*   `securitySettings` (*type:* `String.t`, *default:* `nil`) - Name of the SecuritySettings reference for the agent. Format: `projects//locations//securitySettings/`.\n*   `speechToTextSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SpeechToTextSettings.t`, *default:* `nil`) - Speech recognition related settings.\n*   `startFlow` (*type:* `String.t`, *default:* `nil`) - Immutable. Name of the start flow in this agent. A start flow will be automatically created when the agent is created, and can only be deleted by deleting the agent. Format: `projects//locations//agents//flows/`.\n*   `supportedLanguageCodes` (*type:* `list(String.t)`, *default:* `nil`) - The list of all languages supported by the agent (except for the `default_language_code`).\n*   `textToSpeechSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextToSpeechSettings.t`, *default:* `nil`) - Settings on instructing the speech synthesizer on how to generate the output audio content.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - Required. The time zone of the agent from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentAnswerFeedbackSettings","doc":"Settings for answer feedback collection.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentAnswerFeedbackSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentAnswerFeedbackSettings","doc":"*   `enableAnswerFeedback` (*type:* `boolean()`, *default:* `nil`) - Optional. If enabled, end users will be able to provide answer feedback to Dialogflow responses. Feature works only if interaction logging is enabled in the Dialogflow agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentAnswerFeedbackSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentAnswerFeedbackSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentAnswerFeedbackSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentAnswerFeedbackSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentAnswerFeedbackSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentClientCertificateSettings","doc":"Settings for custom client certificates.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentClientCertificateSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentClientCertificateSettings","doc":"*   `passphrase` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the SecretManager secret version resource storing the passphrase. 'passphrase' should be left unset if the private key is not encrypted. Format: `projects/{project}/secrets/{secret}/versions/{version}`\n*   `privateKey` (*type:* `String.t`, *default:* `nil`) - Required. The name of the SecretManager secret version resource storing the private key encoded in PEM format. Format: `projects/{project}/secrets/{secret}/versions/{version}`\n*   `sslCertificate` (*type:* `String.t`, *default:* `nil`) - Required. The ssl certificate encoded in PEM format. This string must include the begin header and end footer lines.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentClientCertificateSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentClientCertificateSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentClientCertificateSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentClientCertificateSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentClientCertificateSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGenAppBuilderSettings","doc":"Settings for Gen App Builder.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGenAppBuilderSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGenAppBuilderSettings","doc":"*   `engine` (*type:* `String.t`, *default:* `nil`) - Required. The full name of the Gen App Builder engine related to this agent if there is one. Format: `projects/{Project ID}/locations/{Location ID}/collections/{Collection ID}/engines/{Engine ID}`","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGenAppBuilderSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGenAppBuilderSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGenAppBuilderSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGenAppBuilderSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGenAppBuilderSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettings","doc":"Settings for connecting to Git repository for an agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettings","doc":"*   `githubSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettingsGithubSettings.t`, *default:* `nil`) - GitHub settings.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettingsGithubSettings","doc":"Settings of integration with GitHub.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettingsGithubSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettingsGithubSettings","doc":"*   `accessToken` (*type:* `String.t`, *default:* `nil`) - The access token used to authenticate the access to the GitHub repository.\n*   `branches` (*type:* `list(String.t)`, *default:* `nil`) - A list of branches configured to be used from Dialogflow.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The unique repository display name for the GitHub repository.\n*   `repositoryUri` (*type:* `String.t`, *default:* `nil`) - The GitHub repository URI related to the agent.\n*   `trackingBranch` (*type:* `String.t`, *default:* `nil`) - The branch of the GitHub repository tracked for this agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettingsGithubSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettingsGithubSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettingsGithubSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettingsGithubSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentGitIntegrationSettingsGithubSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentPersonalizationSettings","doc":"Settings for end user personalization.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentPersonalizationSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentPersonalizationSettings","doc":"*   `defaultEndUserMetadata` (*type:* `map()`, *default:* `nil`) - Optional. Default end user metadata, used when processing DetectIntent requests. Recommended to be filled as a template instead of hard-coded value, for example { \"age\": \"$session.params.age\" }. The data will be merged with the QueryParameters.end_user_metadata in DetectIntentRequest.query_params during query processing.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentPersonalizationSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentPersonalizationSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentPersonalizationSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentPersonalizationSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentPersonalizationSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentValidationResult","doc":"The response message for Agents.GetAgentValidationResult.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentValidationResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentValidationResult","doc":"*   `flowValidationResults` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult.t)`, *default:* `nil`) - Contains all flow validation results.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the agent validation result. Format: `projects//locations//agents//validationResult`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentValidationResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentValidationResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentValidationResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentValidationResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AgentValidationResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedback","doc":"Stores information about feedback provided by users about a response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedback.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedback","doc":"*   `customRating` (*type:* `String.t`, *default:* `nil`) - Optional. Custom rating from the user about the provided answer, with maximum length of 1024 characters. For example, client could use a customized JSON object to indicate the rating.\n*   `rating` (*type:* `String.t`, *default:* `nil`) - Optional. Rating from user for the specific Dialogflow response.\n*   `ratingReason` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedbackRatingReason.t`, *default:* `nil`) - Optional. In case of thumbs down rating provided, users can optionally provide context about the rating.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedback.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedback.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedback.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedback.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedback.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedbackRatingReason","doc":"Stores extra information about why users provided thumbs down rating.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedbackRatingReason.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedbackRatingReason","doc":"*   `feedback` (*type:* `String.t`, *default:* `nil`) - Optional. Additional feedback about the rating. This field can be populated without choosing a predefined `reason`.\n*   `reasonLabels` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Custom reason labels for thumbs down rating provided by the user. The maximum number of labels allowed is 10 and the maximum length of a single label is 128 characters.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedbackRatingReason.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedbackRatingReason.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedbackRatingReason.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedbackRatingReason.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedbackRatingReason.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AudioInput","doc":"Represents the natural speech audio to be processed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AudioInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AudioInput","doc":"*   `audio` (*type:* `String.t`, *default:* `nil`) - The natural language speech audio to be processed. A single request can contain up to 2 minutes of speech audio data. The transcribed text cannot contain more than 256 bytes. For non-streaming audio detect intent, both `config` and `audio` must be provided. For streaming audio detect intent, `config` must be provided in the first request and `audio` must be provided in all following requests.\n*   `config` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InputAudioConfig.t`, *default:* `nil`) - Required. Instructs the speech recognizer how to process the speech audio.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AudioInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AudioInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AudioInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AudioInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AudioInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BargeInConfig","doc":"Configuration of the barge-in behavior. Barge-in instructs the API to return a detected utterance at a proper time while the client is playing back the response audio from a previous request. When the client sees the utterance, it should stop the playback and immediately get ready for receiving the responses for the current request. The barge-in handling requires the client to start streaming audio input as soon as it starts playing back the audio from the previous response. The playback is modeled into two phases: * No barge-in phase: which goes first and during which speech detection should not be carried out. * Barge-in phase: which follows the no barge-in phase and during which the API starts speech detection and may inform the client that an utterance has been detected. Note that no-speech event is not expected in this phase. The client provides this configuration in terms of the durations of those two phases. The durations are measured in terms of the audio length from the start of the input audio. No-speech event is a response with END_OF_UTTERANCE without any transcript following up.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BargeInConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BargeInConfig","doc":"*   `noBargeInDuration` (*type:* `String.t`, *default:* `nil`) - Duration that is not eligible for barge-in at the beginning of the input audio.\n*   `totalDuration` (*type:* `String.t`, *default:* `nil`) - Total duration for the playback at the beginning of the input audio.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BargeInConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BargeInConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BargeInConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BargeInConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BargeInConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest","doc":"The request message for TestCases.BatchDeleteTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest","doc":"*   `names` (*type:* `list(String.t)`, *default:* `nil`) - Required. Format of test case names: `projects//locations//agents//testCases/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata","doc":"Metadata returned for the TestCases.BatchRunTestCases long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError.t)`, *default:* `nil`) - The test errors.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesRequest","doc":"The request message for TestCases.BatchRunTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesRequest","doc":"*   `environment` (*type:* `String.t`, *default:* `nil`) - Optional. If not set, draft environment is assumed. Format: `projects//locations//agents//environments/`.\n*   `testCases` (*type:* `list(String.t)`, *default:* `nil`) - Required. Format: `projects//locations//agents//testCases/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse","doc":"The response message for TestCases.BatchRunTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse","doc":"*   `results` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult.t)`, *default:* `nil`) - The test case results. The detailed conversation turns are empty in this response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BatchRunTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpec","doc":"Boost specification to boost certain documents. A copy of google.cloud.discoveryengine.v1main.BoostSpec, field documentation is available at https://cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1alpha/BoostSpec","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpec.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpec","doc":"*   `conditionBoostSpecs` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpec.t)`, *default:* `nil`) - Optional. Condition boost specifications. If a document matches multiple conditions in the specifictions, boost scores from these specifications are all applied and combined in a non-linear way. Maximum number of specifications is 20.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpec.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpec.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpec","doc":"Boost applies to documents which match a condition.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpec.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpec","doc":"*   `boost` (*type:* `number()`, *default:* `nil`) - Optional. Strength of the condition boost, which should be in [-1, 1]. Negative boost means demotion. Default is 0.0. Setting to 1.0 gives the document a big promotion. However, it does not necessarily mean that the boosted document will be the top result at all times, nor that other documents will be excluded. Results could still be shown even when none of them matches the condition. And results that are significantly more relevant to the search query can still trump your heavily favored but irrelevant documents. Setting to -1.0 gives the document a big demotion. However, results that are deeply relevant might still be shown. The document will have an upstream battle to get a fairly high ranking, but it is not blocked out completely. Setting to 0.0 means no boost applied. The boosting condition is ignored.\n*   `boostControlSpec` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpec.t`, *default:* `nil`) - Optional. Complex specification for custom ranking based on customer defined attribute value.\n*   `condition` (*type:* `String.t`, *default:* `nil`) - Optional. An expression which specifies a boost condition. The syntax and supported fields are the same as a filter expression. Examples: * To boost documents with document ID \"doc_1\" or \"doc_2\", and color \"Red\" or \"Blue\": * (id: ANY(\"doc_1\", \"doc_2\")) AND (color: ANY(\"Red\",\"Blue\"))","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpec.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpec.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpec","doc":"Specification for custom ranking based on customer specified attribute value. It provides more controls for customized ranking than the simple (condition, boost) combination above.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpec.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpec","doc":"*   `attributeType` (*type:* `String.t`, *default:* `nil`) - Optional. The attribute type to be used to determine the boost amount. The attribute value can be derived from the field value of the specified field_name. In the case of numerical it is straightforward i.e. attribute_value = numerical_field_value. In the case of freshness however, attribute_value = (time.now() - datetime_field_value).\n*   `controlPoints` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpecControlPoint.t)`, *default:* `nil`) - Optional. The control points used to define the curve. The monotonic function (defined through the interpolation_type above) passes through the control points listed here.\n*   `fieldName` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the field whose value will be used to determine the boost amount.\n*   `interpolationType` (*type:* `String.t`, *default:* `nil`) - Optional. The interpolation type to be applied to connect the control points listed below.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpec.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpec.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpecControlPoint","doc":"The control points used to define the curve. The curve defined through these control points can only be monotonically increasing or decreasing(constant values are acceptable).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpecControlPoint.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpecControlPoint","doc":"*   `attributeValue` (*type:* `String.t`, *default:* `nil`) - Optional. Can be one of: 1. The numerical field value. 2. The duration spec for freshness: The value must be formatted as an XSD `dayTimeDuration` value (a restricted subset of an ISO 8601 duration value). The pattern for this is: `nDnM]`.\n*   `boostAmount` (*type:* `number()`, *default:* `nil`) - Optional. The value between -1 to 1 by which to boost the score if the attribute_value evaluates to the value specified above.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpecControlPoint.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpecControlPoint.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpecControlPoint.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpecControlPoint.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecConditionBoostSpecBoostControlSpecControlPoint.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecs","doc":"Boost specifications for data stores.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecs.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecs","doc":"*   `dataStores` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Data Stores where the boosting configuration is applied. The full names of the referenced data stores. Formats: `projects/{project}/locations/{location}/collections/{collection}/dataStores/{data_store}` `projects/{project}/locations/{location}/dataStores/{data_store}`\n*   `spec` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpec.t)`, *default:* `nil`) - Optional. A list of boosting specifications.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecs.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecs.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecs.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecs.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecs.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CalculateCoverageResponse","doc":"The response message for TestCases.CalculateCoverage.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CalculateCoverageResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CalculateCoverageResponse","doc":"*   `agent` (*type:* `String.t`, *default:* `nil`) - The agent to calculate coverage for. Format: `projects//locations//agents/`.\n*   `intentCoverage` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverage.t`, *default:* `nil`) - Intent coverage.\n*   `routeGroupCoverage` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage.t`, *default:* `nil`) - Transition route group coverage.\n*   `transitionCoverage` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverage.t`, *default:* `nil`) - Transition (excluding transition route groups) coverage.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CalculateCoverageResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CalculateCoverageResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CalculateCoverageResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CalculateCoverageResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CalculateCoverageResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Changelog","doc":"Changelogs represents a change made to a given agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Changelog.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Changelog","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - The action of the change.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp of the change.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The affected resource display name of the change.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The affected language code of the change.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the changelog. Format: `projects//locations//agents//changelogs/`.\n*   `resource` (*type:* `String.t`, *default:* `nil`) - The affected resource name of the change.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The affected resource type.\n*   `userEmail` (*type:* `String.t`, *default:* `nil`) - Email address of the authenticated user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Changelog.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Changelog.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Changelog.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Changelog.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Changelog.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsRequest","doc":"The request message for Versions.CompareVersions.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsRequest","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language to compare the flow versions for. If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.\n*   `targetVersion` (*type:* `String.t`, *default:* `nil`) - Required. Name of the target flow version to compare with the base version. Use version ID `0` to indicate the draft version of the specified flow. Format: `projects//locations//agents//flows//versions/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsResponse","doc":"The response message for Versions.CompareVersions.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsResponse","doc":"*   `baseVersionContentJson` (*type:* `String.t`, *default:* `nil`) - JSON representation of the base version content.\n*   `compareTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp when the two version compares.\n*   `targetVersionContentJson` (*type:* `String.t`, *default:* `nil`) - JSON representation of the target version content.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CompareVersionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ContinuousTestResult","doc":"Represents a result from running a test case in an agent environment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ContinuousTestResult","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the continuous test result. Format: `projects//locations//agents//environments//continuousTestResults/`.\n*   `result` (*type:* `String.t`, *default:* `nil`) - The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not.\n*   `runTime` (*type:* `DateTime.t`, *default:* `nil`) - Time when the continuous testing run starts.\n*   `testCaseResults` (*type:* `list(String.t)`, *default:* `nil`) - A list of individual test case results names in this continuous test run.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationSignals","doc":"This message is used to hold all the Conversation Signals data, which will be converted to JSON and exported to BigQuery.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationSignals","doc":"*   `turnSignals` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TurnSignals.t`, *default:* `nil`) - Required. Turn signals for the current turn.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurn","doc":"One interaction between a human and virtual agent. The human provides some input and the virtual agent provides a response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurn.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurn","doc":"*   `userInput` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.t`, *default:* `nil`) - The user input.\n*   `virtualAgentOutput` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.t`, *default:* `nil`) - The virtual agent output.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurn.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurn.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurn.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurn.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurn.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput","doc":"The input from the human user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput","doc":"*   `enableSentimentAnalysis` (*type:* `boolean()`, *default:* `nil`) - Whether sentiment analysis is enabled.\n*   `injectedParameters` (*type:* `map()`, *default:* `nil`) - Parameters that need to be injected into the conversation during intent detection.\n*   `input` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput.t`, *default:* `nil`) - Supports text input, event input, dtmf input in the test case.\n*   `isWebhookEnabled` (*type:* `boolean()`, *default:* `nil`) - If webhooks should be allowed to trigger in response to the user utterance. Often if parameters are injected, webhooks should not be enabled.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnUserInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput","doc":"The output from the virtual agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput","doc":"*   `currentPage` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.t`, *default:* `nil`) - The Page on which the utterance was spoken. Only name and displayName will be set.\n*   `diagnosticInfo` (*type:* `map()`, *default:* `nil`) - Required. Input only. The diagnostic info output for the turn. Required to calculate the testing coverage.\n*   `differences` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestRunDifference.t)`, *default:* `nil`) - Output only. If this is part of a result conversation turn, the list of differences between the original run and the replay for this output, if any.\n*   `sessionParameters` (*type:* `map()`, *default:* `nil`) - The session parameters available to the bot at this point.\n*   `status` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - Response error from the agent in the test result. If set, other output is empty.\n*   `textResponses` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageText.t)`, *default:* `nil`) - The text responses from the agent for the turn.\n*   `triggeredIntent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.t`, *default:* `nil`) - The Intent that triggered the response. Only name and displayName will be set.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata","doc":"Metadata associated with the long running operation for Versions.CreateVersion.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata","doc":"*   `version` (*type:* `String.t`, *default:* `nil`) - Name of the created version. Format: `projects//locations//agents//flows//versions/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3CreateVersionOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnection","doc":"A data store connection. It represents a data store in Discovery Engine and the type of the contents it contains.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnection.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnection","doc":"*   `dataStore` (*type:* `String.t`, *default:* `nil`) - The full name of the referenced data store. Formats: `projects/{project}/locations/{location}/collections/{collection}/dataStores/{data_store}` `projects/{project}/locations/{location}/dataStores/{data_store}`\n*   `dataStoreType` (*type:* `String.t`, *default:* `nil`) - The type of the connected data store.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnection.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnection.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnection.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnection.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignals","doc":"Data store connection feature output signals. Might be only partially field if processing stop before the final answer. Reasons for this can be, but are not limited to: empty UCS search results, positive RAI check outcome, grounding failure, ...","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignals","doc":"*   `answer` (*type:* `String.t`, *default:* `nil`) - Optional. The final compiled answer.\n*   `answerGenerationModelCallSignals` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerGenerationModelCallSignals.t`, *default:* `nil`) - Optional. Diagnostic info related to the answer generation model call.\n*   `answerParts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerPart.t)`, *default:* `nil`) - Optional. Answer parts with relevant citations. Concatenation of texts should add up the `answer` (not counting whitespaces).\n*   `citedSnippets` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsCitedSnippet.t)`, *default:* `nil`) - Optional. Snippets cited by the answer generation model from the most to least relevant.\n*   `groundingSignals` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsGroundingSignals.t`, *default:* `nil`) - Optional. Grounding signals.\n*   `rewriterModelCallSignals` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsRewriterModelCallSignals.t`, *default:* `nil`) - Optional. Diagnostic info related to the rewriter model call.\n*   `rewrittenQuery` (*type:* `String.t`, *default:* `nil`) - Optional. Rewritten string query used for search.\n*   `safetySignals` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSafetySignals.t`, *default:* `nil`) - Optional. Safety check result.\n*   `searchSnippets` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSearchSnippet.t)`, *default:* `nil`) - Optional. Search snippets included in the answer generation prompt.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerGenerationModelCallSignals","doc":"Diagnostic info related to the answer generation model call.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerGenerationModelCallSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerGenerationModelCallSignals","doc":"*   `model` (*type:* `String.t`, *default:* `nil`) - Name of the generative model. For example, \"gemini-ultra\", \"gemini-pro\", \"gemini-1.5-flash\" etc. Defaults to \"Other\" if the model is unknown.\n*   `modelOutput` (*type:* `String.t`, *default:* `nil`) - Output of the generative model.\n*   `renderedPrompt` (*type:* `String.t`, *default:* `nil`) - Prompt as sent to the model.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerGenerationModelCallSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerGenerationModelCallSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerGenerationModelCallSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerGenerationModelCallSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerGenerationModelCallSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerPart","doc":"Answer part with citation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerPart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerPart","doc":"*   `supportingIndices` (*type:* `list(integer())`, *default:* `nil`) - Citations for this answer part. Indices of `search_snippets`.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Substring of the answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerPart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerPart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerPart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerPart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsAnswerPart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsCitedSnippet","doc":"Snippet cited by the answer generation model.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsCitedSnippet.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsCitedSnippet","doc":"*   `searchSnippet` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSearchSnippet.t`, *default:* `nil`) - Details of the snippet.\n*   `snippetIndex` (*type:* `integer()`, *default:* `nil`) - Index of the snippet in `search_snippets` field.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsCitedSnippet.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsCitedSnippet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsCitedSnippet.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsCitedSnippet.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsCitedSnippet.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsGroundingSignals","doc":"Grounding signals.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsGroundingSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsGroundingSignals","doc":"*   `decision` (*type:* `String.t`, *default:* `nil`) - Represents the decision of the grounding check.\n*   `score` (*type:* `String.t`, *default:* `nil`) - Grounding score bucket setting.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsGroundingSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsGroundingSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsGroundingSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsGroundingSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsGroundingSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsRewriterModelCallSignals","doc":"Diagnostic info related to the rewriter model call.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsRewriterModelCallSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsRewriterModelCallSignals","doc":"*   `model` (*type:* `String.t`, *default:* `nil`) - Name of the generative model. For example, \"gemini-ultra\", \"gemini-pro\", \"gemini-1.5-flash\" etc. Defaults to \"Other\" if the model is unknown.\n*   `modelOutput` (*type:* `String.t`, *default:* `nil`) - Output of the generative model.\n*   `renderedPrompt` (*type:* `String.t`, *default:* `nil`) - Prompt as sent to the model.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsRewriterModelCallSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsRewriterModelCallSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsRewriterModelCallSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsRewriterModelCallSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsRewriterModelCallSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSafetySignals","doc":"Safety check results.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSafetySignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSafetySignals","doc":"*   `bannedPhraseMatch` (*type:* `String.t`, *default:* `nil`) - Specifies banned phrase match subject.\n*   `decision` (*type:* `String.t`, *default:* `nil`) - Safety decision.\n*   `matchedBannedPhrase` (*type:* `String.t`, *default:* `nil`) - The matched banned phrase if there was a match.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSafetySignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSafetySignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSafetySignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSafetySignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSafetySignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSearchSnippet","doc":"Search snippet details.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSearchSnippet.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSearchSnippet","doc":"*   `documentTitle` (*type:* `String.t`, *default:* `nil`) - Title of the enclosing document.\n*   `documentUri` (*type:* `String.t`, *default:* `nil`) - Uri for the document. Present if specified for the document.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Text included in the prompt.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSearchSnippet.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSearchSnippet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSearchSnippet.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSearchSnippet.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignalsSearchSnippet.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata","doc":"Metadata returned for the Environments.DeployFlow long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata","doc":"*   `testErrors` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError.t)`, *default:* `nil`) - Errors of running deployment tests.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowRequest","doc":"The request message for Environments.DeployFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowRequest","doc":"*   `flowVersion` (*type:* `String.t`, *default:* `nil`) - Required. The flow version to deploy. Format: `projects//locations//agents//flows//versions/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowResponse","doc":"The response message for Environments.DeployFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowResponse","doc":"*   `deployment` (*type:* `String.t`, *default:* `nil`) - The name of the flow version Deployment. Format: `projects//locations//agents//environments//deployments/`.\n*   `environment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.t`, *default:* `nil`) - The updated environment where the flow is deployed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeployFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Deployment","doc":"Represents a deployment in an environment. A deployment happens when a flow version configured to be active in the environment. You can configure running pre-deployment steps, e.g. running validation test cases, experiment auto-rollout, etc.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Deployment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Deployment","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - End time of this deployment.\n*   `flowVersion` (*type:* `String.t`, *default:* `nil`) - The name of the flow version for this deployment. Format: projects//locations//agents//flows//versions/.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the deployment. Format: projects//locations//agents//environments//deployments/.\n*   `result` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeploymentResult.t`, *default:* `nil`) - Result of the deployment.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Start time of this deployment.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The current state of the deployment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Deployment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Deployment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Deployment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Deployment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Deployment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeploymentResult","doc":"Result of the deployment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeploymentResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeploymentResult","doc":"*   `deploymentTestResults` (*type:* `list(String.t)`, *default:* `nil`) - Results of test cases running before the deployment. Format: `projects//locations//agents//testCases//results/`.\n*   `experiment` (*type:* `String.t`, *default:* `nil`) - The name of the experiment triggered by this deployment. Format: projects//locations//agents//environments//experiments/.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeploymentResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeploymentResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeploymentResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeploymentResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DeploymentResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest","doc":"The request to detect user's intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest","doc":"*   `outputAudioConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig.t`, *default:* `nil`) - Instructs the speech synthesizer how to generate the output audio.\n*   `queryInput` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput.t`, *default:* `nil`) - Required. The input specification.\n*   `queryParams` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryParameters.t`, *default:* `nil`) - The parameters of this query.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse","doc":"The message returned from the DetectIntent method.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse","doc":"*   `allowCancellation` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the partial response can be cancelled when a later response arrives. e.g. if the agent specified some music as partial response, it can be cancelled.\n*   `outputAudio` (*type:* `String.t`, *default:* `nil`) - The audio data bytes encoded as specified in the request. Note: The output audio is generated based on the values of default platform text responses found in the `query_result.response_messages` field. If multiple default text responses exist, they will be concatenated when generating audio. If no default platform text responses exist, the generated audio content will be empty. In some scenarios, multiple output audio fields may be present in the response structure. In these cases, only the top-most-level audio output has content.\n*   `outputAudioConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig.t`, *default:* `nil`) - The config used by the speech synthesizer to generate the output audio.\n*   `queryResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryResult.t`, *default:* `nil`) - The result of the conversational query.\n*   `responseId` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of the response. It can be used to locate a response in the training example set or for reporting issues.\n*   `responseType` (*type:* `String.t`, *default:* `nil`) - Response type.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DetectIntentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DtmfInput","doc":"Represents the input for dtmf event.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DtmfInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DtmfInput","doc":"*   `digits` (*type:* `String.t`, *default:* `nil`) - The dtmf digits.\n*   `finishDigit` (*type:* `String.t`, *default:* `nil`) - The finish digit (if any).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DtmfInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DtmfInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DtmfInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DtmfInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DtmfInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType","doc":"Entities are extracted from user input and represent parameters that are meaningful to your application. For example, a date range, a proper name such as a geographic location or landmark, and so on. Entities represent actionable data for your application. When you define an entity, you can also include synonyms that all map to that entity. For example, \"soft drink\", \"soda\", \"pop\", and so on. There are three types of entities: * **System** - entities that are defined by the Dialogflow API for common data types such as date, time, currency, and so on. A system entity is represented by the `EntityType` type. * **Custom** - entities that are defined by you that represent actionable data that is meaningful to your application. For example, you could define a `pizza.sauce` entity for red or white pizza sauce, a `pizza.cheese` entity for the different types of cheese on a pizza, a `pizza.topping` entity for different toppings, and so on. A custom entity is represented by the `EntityType` type. * **User** - entities that are built for an individual user such as favorites, preferences, playlists, and so on. A user entity is represented by the SessionEntityType type. For more information about entity types, see the [Dialogflow documentation](https://cloud.google.com/dialogflow/docs/entities-overview).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType","doc":"*   `autoExpansionMode` (*type:* `String.t`, *default:* `nil`) - Indicates whether the entity type can be automatically expanded.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the entity type, unique within the agent.\n*   `enableFuzzyExtraction` (*type:* `boolean()`, *default:* `nil`) - Enables fuzzy entity extraction during classification.\n*   `entities` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeEntity.t)`, *default:* `nil`) - The collection of entity entries associated with the entity type.\n*   `excludedPhrases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase.t)`, *default:* `nil`) - Collection of exceptional words and phrases that shouldn't be matched. For example, if you have a size entity type with entry `giant`(an adjective), you might consider adding `giants`(a noun) as an exclusion. If the kind of entity type is `KIND_MAP`, then the phrases specified by entities and excluded phrases should be mutually exclusive.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Required. Indicates the kind of entity type.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType. Format: `projects//locations//agents//entityTypes/`.\n*   `redact` (*type:* `boolean()`, *default:* `nil`) - Indicates whether parameters of the entity type should be redacted in log. If redaction is enabled, page parameters and intent parameters referring to the entity type will be replaced by parameter name when logging.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeEntity","doc":"An **entity entry** for an associated entity type.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeEntity.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeEntity","doc":"*   `synonyms` (*type:* `list(String.t)`, *default:* `nil`) - Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: * This collection must contain exactly one synonym equal to `value`.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: * A canonical value to be used in place of synonyms. For `KIND_LIST` entity types: * A string that can contain references to other entity types (with or without aliases).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeEntity.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeEntity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeEntity.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeEntity.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeEntity.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase","doc":"An excluded entity phrase that should not be matched.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase","doc":"*   `value` (*type:* `String.t`, *default:* `nil`) - Required. The word or phrase to be excluded.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment","doc":"Represents an environment for an agent. You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for testing, development, production, etc.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The human-readable description of the environment. The maximum length is 500 characters. If exceeded, the request is rejected.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the environment (unique in an agent). Limit of 64 characters.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the environment. Format: `projects//locations//agents//environments/`.\n*   `testCasesConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.t`, *default:* `nil`) - The test cases config for continuous tests of this environment.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Update time of this environment.\n*   `versionConfigs` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.t)`, *default:* `nil`) - A list of configurations for flow versions. You should include version configs for all flows that are reachable from `Start Flow` in the agent. Otherwise, an error will be returned.\n*   `webhookConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.t`, *default:* `nil`) - The webhook configuration for this environment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig","doc":"The configuration for continuous tests.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig","doc":"*   `enableContinuousRun` (*type:* `boolean()`, *default:* `nil`) - Whether to run test cases in TestCasesConfig.test_cases periodically. Default false. If set to true, run once a day.\n*   `enablePredeploymentRun` (*type:* `boolean()`, *default:* `nil`) - Whether to run test cases in TestCasesConfig.test_cases before deploying a flow version to the environment. Default false.\n*   `testCases` (*type:* `list(String.t)`, *default:* `nil`) - A list of test case names to run. They should be under the same agent. Format of each test case name: `projects//locations//agents//testCases/`","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig","doc":"Configuration for the version.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig","doc":"*   `version` (*type:* `String.t`, *default:* `nil`) - Required. Both flow and playbook versions are supported. Format for flow version: projects//locations//agents//flows//versions/. Format for playbook version: projects//locations//agents//playbooks//versions/.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentVersionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig","doc":"Configuration for webhooks.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig","doc":"*   `webhookOverrides` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook.t)`, *default:* `nil`) - The list of webhooks to override for the agent environment. The webhook must exist in the agent. You can override fields in `generic_web_service` and `service_directory`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EnvironmentWebhookConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler","doc":"An event handler specifies an event that can be handled during a session. When the specified event happens, the following actions are taken in order: * If there is a `trigger_fulfillment` associated with the event, it will be called. * If there is a `target_page` associated with the event, the session will transition into the specified page. * If there is a `target_flow` associated with the event, the session will transition into the specified flow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler","doc":"*   `event` (*type:* `String.t`, *default:* `nil`) - Required. The name of the event to handle.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this event handler.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `targetPlaybook` (*type:* `String.t`, *default:* `nil`) - The target playbook to transition to. Format: `projects//locations//agents//playbooks/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the event occurs. Handling webhook errors with a fulfillment enabled with webhook could cause infinite loop. It is invalid to specify such fulfillment for a handler handling webhooks.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventInput","doc":"Represents the event to trigger.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventInput","doc":"*   `event` (*type:* `String.t`, *default:* `nil`) - Name of the event.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment","doc":"Represents an experiment in an environment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Creation time of this experiment.\n*   `definition` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentDefinition.t`, *default:* `nil`) - The definition of the experiment.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The human-readable description of the experiment.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the experiment (unique in an environment). Limit of 64 characters.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - End time of this experiment.\n*   `experimentLength` (*type:* `String.t`, *default:* `nil`) - Maximum number of days to run the experiment/rollout. If auto-rollout is not enabled, default value and maximum will be 30 days. If auto-rollout is enabled, default value and maximum will be 6 days.\n*   `lastUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - Last update time of this experiment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the experiment. Format: projects//locations//agents//environments//experiments/.\n*   `result` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResult.t`, *default:* `nil`) - Inference result of the experiment.\n*   `rolloutConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfig.t`, *default:* `nil`) - The configuration for auto rollout. If set, there should be exactly two variants in the experiment (control variant being the default version of the flow), the traffic allocation for the non-control variant will gradually increase to 100% when conditions are met, and eventually replace the control variant to become the default version of the flow.\n*   `rolloutFailureReason` (*type:* `String.t`, *default:* `nil`) - The reason why rollout has failed. Should only be set when state is ROLLOUT_FAILED.\n*   `rolloutState` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutState.t`, *default:* `nil`) - State of the auto rollout process.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Start time of this experiment.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The current state of the experiment. Transition triggered by Experiments.StartExperiment: DRAFT->RUNNING. Transition triggered by Experiments.CancelExperiment: DRAFT->DONE or RUNNING->DONE.\n*   `variantsHistory` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VariantsHistory.t)`, *default:* `nil`) - The history of updates to the experiment variants.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentDefinition","doc":"Definition of the experiment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentDefinition.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentDefinition","doc":"*   `condition` (*type:* `String.t`, *default:* `nil`) - The condition defines which subset of sessions are selected for this experiment. If not specified, all sessions are eligible. E.g. \"query_input.language_code=en\" See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).\n*   `versionVariants` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariants.t`, *default:* `nil`) - The flow versions as the variants of this experiment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentDefinition.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentDefinition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentDefinition.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentDefinition.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentDefinition.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResult","doc":"The inference result which includes an objective metric to optimize and the confidence interval.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResult","doc":"*   `lastUpdateTime` (*type:* `DateTime.t`, *default:* `nil`) - The last time the experiment's stats data was updated. Will have default value if stats have never been computed for this experiment.\n*   `versionMetrics` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics.t)`, *default:* `nil`) - Version variants and metrics.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval","doc":"A confidence interval is a range of possible values for the experiment objective you are trying to measure.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval","doc":"*   `confidenceLevel` (*type:* `float()`, *default:* `nil`) - The confidence level used to construct the interval, i.e. there is X% chance that the true value is within this interval.\n*   `lowerBound` (*type:* `float()`, *default:* `nil`) - Lower bound of the interval.\n*   `ratio` (*type:* `float()`, *default:* `nil`) - The percent change between an experiment metric's value and the value for its control.\n*   `upperBound` (*type:* `float()`, *default:* `nil`) - Upper bound of the interval.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultMetric","doc":"Metric and corresponding confidence intervals.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultMetric.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultMetric","doc":"*   `confidenceInterval` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval.t`, *default:* `nil`) - The probability that the treatment is better than all other treatments in the experiment\n*   `count` (*type:* `float()`, *default:* `nil`) - Count value of a metric.\n*   `countType` (*type:* `String.t`, *default:* `nil`) - Count-based metric type. Only one of type or count_type is specified in each Metric.\n*   `ratio` (*type:* `float()`, *default:* `nil`) - Ratio value of a metric.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Ratio-based metric type. Only one of type or count_type is specified in each Metric.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultMetric.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultMetric.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultMetric.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultMetric.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultMetric.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics","doc":"Version variant and associated metrics.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics","doc":"*   `metrics` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultMetric.t)`, *default:* `nil`) - The metrics and corresponding confidence intervals in the inference result.\n*   `sessionCount` (*type:* `integer()`, *default:* `nil`) - Number of sessions that were allocated to this version.\n*   `version` (*type:* `String.t`, *default:* `nil`) - The name of the flow Version. Format: `projects//locations//agents//flows//versions/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequest","doc":"The request message for Agents.ExportAgent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequest","doc":"*   `agentUri` (*type:* `String.t`, *default:* `nil`) - Optional. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the agent to. The format of this URI must be `gs:///`. If left unspecified, the serialized agent is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).\n*   `dataFormat` (*type:* `String.t`, *default:* `nil`) - Optional. The data format of the exported agent. If not specified, `BLOB` is assumed.\n*   `environment` (*type:* `String.t`, *default:* `nil`) - Optional. Environment name. If not set, draft environment is assumed. Format: `projects//locations//agents//environments/`.\n*   `gitDestination` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequestGitDestination.t`, *default:* `nil`) - Optional. The Git branch to export the agent to.\n*   `includeBigqueryExportSettings` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether to include BigQuery Export setting.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequestGitDestination","doc":"Settings for exporting to a git branch.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequestGitDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequestGitDestination","doc":"*   `commitMessage` (*type:* `String.t`, *default:* `nil`) - Commit message for the git push.\n*   `trackingBranch` (*type:* `String.t`, *default:* `nil`) - Tracking branch for the git push.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequestGitDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequestGitDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequestGitDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequestGitDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentRequestGitDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentResponse","doc":"The response message for Agents.ExportAgent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentResponse","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for agent. This field is populated if none of `agent_uri` and `git_destination` are specified in ExportAgentRequest.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported agent. This field is populated if `agent_uri` is specified in ExportAgentRequest.\n*   `commitSha` (*type:* `String.t`, *default:* `nil`) - Commit SHA of the git push. This field is populated if `git_destination` is specified in ExportAgentRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportAgentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata","doc":"Metadata returned for the EntityTypes.ExportEntityTypes long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesRequest","doc":"The request message for EntityTypes.ExportEntityTypes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesRequest","doc":"*   `dataFormat` (*type:* `String.t`, *default:* `nil`) - Optional. The data format of the exported entity types. If not specified, `BLOB` is assumed.\n*   `entityTypes` (*type:* `list(String.t)`, *default:* `nil`) - Required. The name of the entity types to export. Format: `projects//locations//agents//entityTypes/`.\n*   `entityTypesContentInline` (*type:* `boolean()`, *default:* `nil`) - Optional. The option to return the serialized entity types inline.\n*   `entityTypesUri` (*type:* `String.t`, *default:* `nil`) - Optional. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the entity types to. The format of this URI must be `gs:///`. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The language to retrieve the entity type for. The following fields are language dependent: * `EntityType.entities.value` * `EntityType.entities.synonyms` * `EntityType.excluded_phrases.value` If not specified, all language dependent fields will be retrieved. [Many languages](https://cloud.google.com/dialogflow/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse","doc":"The response message for EntityTypes.ExportEntityTypes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse","doc":"*   `entityTypesContent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineDestination.t`, *default:* `nil`) - Uncompressed byte content for entity types. This field is populated only if `entity_types_content_inline` is set to true in ExportEntityTypesRequest.\n*   `entityTypesUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported entity types. This field is populated only if `entity_types_uri` is specified in ExportEntityTypesRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowRequest","doc":"The request message for Flows.ExportFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowRequest","doc":"*   `flowUri` (*type:* `String.t`, *default:* `nil`) - Optional. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the flow to. The format of this URI must be `gs:///`. If left unspecified, the serialized flow is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).\n*   `includeReferencedFlows` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether to export flows referenced by the specified flow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowResponse","doc":"The response message for Flows.ExportFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowResponse","doc":"*   `flowContent` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for flow.\n*   `flowUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported flow. This field is populated only if `flow_uri` is specified in ExportFlowRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata","doc":"Metadata returned for the Intents.ExportIntents long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsRequest","doc":"The request message for Intents.ExportIntents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsRequest","doc":"*   `dataFormat` (*type:* `String.t`, *default:* `nil`) - Optional. The data format of the exported intents. If not specified, `BLOB` is assumed.\n*   `intents` (*type:* `list(String.t)`, *default:* `nil`) - Required. The name of the intents to export. Format: `projects//locations//agents//intents/`.\n*   `intentsContentInline` (*type:* `boolean()`, *default:* `nil`) - Optional. The option to return the serialized intents inline.\n*   `intentsUri` (*type:* `String.t`, *default:* `nil`) - Optional. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the intents to. The format of this URI must be `gs:///`. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse","doc":"The response message for Intents.ExportIntents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse","doc":"*   `intentsContent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineDestination.t`, *default:* `nil`) - Uncompressed byte content for intents. This field is populated only if `intents_content_inline` is set to true in ExportIntentsRequest.\n*   `intentsUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported intents. This field is populated only if `intents_uri` is specified in ExportIntentsRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata","doc":"Metadata returned for the TestCases.ExportTestCases long running operation. This message currently has no fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesRequest","doc":"The request message for TestCases.ExportTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesRequest","doc":"*   `dataFormat` (*type:* `String.t`, *default:* `nil`) - The data format of the exported test cases. If not specified, `BLOB` is assumed.\n*   `filter` (*type:* `String.t`, *default:* `nil`) - The filter expression used to filter exported test cases, see [API Filtering](https://aip.dev/160). The expression is case insensitive and supports the following syntax: name = [OR name = ] ... For example: * \"name = t1 OR name = t2\" matches the test case with the exact resource name \"t1\" or \"t2\".\n*   `gcsUri` (*type:* `String.t`, *default:* `nil`) - The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the test cases to. The format of this URI must be `gs:///`. If unspecified, the serialized test cases is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse","doc":"The response message for TestCases.ExportTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for test cases.\n*   `gcsUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported test cases. This field is populated only if `gcs_uri` is specified in ExportTestCasesRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ExportTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FilterSpecs","doc":"Filter specifications for data stores.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FilterSpecs.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FilterSpecs","doc":"*   `dataStores` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Data Stores where the boosting configuration is applied. The full names of the referenced data stores. Formats: `projects/{project}/locations/{location}/collections/{collection}/dataStores/{data_store}` `projects/{project}/locations/{location}/dataStores/{data_store}`\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Optional. The filter expression to be applied. Expression syntax is documented at https://cloud.google.com/generative-ai-app-builder/docs/filter-search-metadata#filter-expression-syntax","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FilterSpecs.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FilterSpecs.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FilterSpecs.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FilterSpecs.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FilterSpecs.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow","doc":"Flows represents the conversation flows when you build your chatbot agent. A flow consists of many pages connected by the transition routes. Conversations always start with the built-in Start Flow (with an all-0 ID). Transition routes can direct the conversation session from the current flow (parent flow) to another flow (sub flow). When the sub flow is finished, Dialogflow will bring the session back to the parent flow, where the sub flow is started. Usually, when a transition route is followed by a matched intent, the intent will be \"consumed\". This means the intent won't activate more transition routes. However, when the followed transition route moves the conversation session into a different flow, the matched intent can be carried over and to be consumed in the target flow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this flow. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the flow. The maximum length is 500 characters. If exceeded, the request is rejected.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the flow.\n*   `eventHandlers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler.t)`, *default:* `nil`) - A flow's event handlers serve two purposes: * They are responsible for handling events (e.g. no match, webhook errors) in the flow. * They are inherited by every page's event handlers, which can be used to handle common events regardless of the current page. Event handlers defined in the page have higher priority than those defined in the flow. Unlike transition_routes, these handlers are evaluated on a first-match basis. The first one that matches the event get executed, with the rest being ignored.\n*   `knowledgeConnectorSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.t`, *default:* `nil`) - Optional. Knowledge connector configuration.\n*   `locked` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the flow is locked for changes. If the flow is locked, modifications to the flow will be rejected.\n*   `multiLanguageSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowMultiLanguageSettings.t`, *default:* `nil`) - Optional. Multi-lingual agent settings for this flow.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the flow. Format: `projects//locations//agents//flows/`.\n*   `nluSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3NluSettings.t`, *default:* `nil`) - NLU related settings of the flow.\n*   `transitionRouteGroups` (*type:* `list(String.t)`, *default:* `nil`) - A flow's transition route group serve two purposes: * They are responsible for matching the user's first utterances in the flow. * They are inherited by every page's transition route groups. Transition route groups defined in the page have higher priority than those defined in the flow. Format: `projects//locations//agents//flows//transitionRouteGroups/` or `projects//locations//agents//transitionRouteGroups/` for agent-level groups.\n*   `transitionRoutes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.t)`, *default:* `nil`) - A flow's transition routes serve two purposes: * They are responsible for matching the user's first utterances in the flow. * They are inherited by every page's transition routes and can support use cases such as the user saying \"help\" or \"can I talk to a human?\", which can be handled in a common way regardless of the current page. Transition routes defined in the page have higher priority than those defined in the flow. TransitionRoutes are evalauted in the following order: * TransitionRoutes with intent specified. * TransitionRoutes with only condition specified. TransitionRoutes with intent specified are inherited by pages in the flow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowImportStrategy","doc":"The flow import strategy used for resource conflict resolution associated with an ImportFlowRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowImportStrategy.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowImportStrategy","doc":"*   `globalImportStrategy` (*type:* `String.t`, *default:* `nil`) - Optional. Import strategy for resource conflict resolution, applied globally throughout the flow. It will be applied for all display name conflicts in the imported content. If not specified, 'CREATE_NEW' is assumed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowImportStrategy.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowImportStrategy.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowImportStrategy.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowImportStrategy.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowImportStrategy.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowMultiLanguageSettings","doc":"Settings for multi-lingual agents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowMultiLanguageSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowMultiLanguageSettings","doc":"*   `enableMultiLanguageDetection` (*type:* `boolean()`, *default:* `nil`) - Optional. Enable multi-language detection for this flow. This can be set only if agent level multi language setting is enabled.\n*   `supportedResponseLanguageCodes` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Agent will respond in the detected language if the detected language code is in the supported resolved languages for this flow. This will be used only if multi-language training is enabled in the agent and multi-language detection is enabled in the flow. The supported languages must be a subset of the languages supported by the agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowMultiLanguageSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowMultiLanguageSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowMultiLanguageSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowMultiLanguageSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowMultiLanguageSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult","doc":"The response message for Flows.GetFlowValidationResult.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the flow validation result. Format: `projects//locations//agents//flows//validationResult`.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Last time the flow was validated.\n*   `validationMessages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidationMessage.t)`, *default:* `nil`) - Contains all validation messages.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowValidationResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Form","doc":"A form is a data model that groups related parameters that can be collected from the user. The process in which the agent prompts the user and collects parameter values from the user is called form filling. A form can be added to a page. When form filling is done, the filled parameters will be written to the session.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Form.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Form","doc":"*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameter.t)`, *default:* `nil`) - Parameters to collect from the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Form.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Form.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Form.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Form.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Form.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameter","doc":"Represents a form parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameter","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this parameter. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `defaultValue` (*type:* `any()`, *default:* `nil`) - The default value of an optional parameter. If the parameter is required, the default value will be ignored.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the parameter, unique within the form.\n*   `entityType` (*type:* `String.t`, *default:* `nil`) - Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.\n*   `fillBehavior` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.t`, *default:* `nil`) - Required. Defines fill behavior for the parameter.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter represents a list of values.\n*   `redact` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.\n*   `required` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior","doc":"Configuration for how the filling of a parameter should be handled.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior","doc":"*   `initialPromptFulfillment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.t`, *default:* `nil`) - Required. The fulfillment to provide the initial prompt that the agent can present to the user in order to fill the parameter.\n*   `repromptEventHandlers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler.t)`, *default:* `nil`) - The handlers for parameter-level events, used to provide reprompt for the parameter or transition to a different page/flow. The supported events are: * `sys.no-match-`, where N can be from 1 to 6 * `sys.no-match-default` * `sys.no-input-`, where N can be from 1 to 6 * `sys.no-input-default` * `sys.invalid-parameter` `initial_prompt_fulfillment` provides the first prompt for the parameter. If the user's response does not fill the parameter, a no-match/no-input event will be triggered, and the fulfillment associated with the `sys.no-match-1`/`sys.no-input-1` handler (if defined) will be called to provide a prompt. The `sys.no-match-2`/`sys.no-input-2` handler (if defined) will respond to the next no-match/no-input event, and so on. A `sys.no-match-default` or `sys.no-input-default` handler will be used to handle all following no-match/no-input events after all numbered no-match/no-input handlers for the parameter are consumed. A `sys.invalid-parameter` handler can be defined to handle the case where the parameter values have been `invalidated` by webhook. For example, if the user's response fill the parameter, however the parameter was invalidated by webhook, the fulfillment associated with the `sys.invalid-parameter` handler (if defined) will be called to provide a prompt. If the event handler for the corresponding event can't be found on the parameter, `initial_prompt_fulfillment` will be re-prompted.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FormParameterFillBehavior.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentRequest","doc":"Request of FulfillIntent","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentRequest","doc":"*   `match` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match.t`, *default:* `nil`) - The matched intent/event to fulfill.\n*   `matchIntentRequest` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest.t`, *default:* `nil`) - Must be same as the corresponding MatchIntent request, otherwise the behavior is undefined.\n*   `outputAudioConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig.t`, *default:* `nil`) - Instructs the speech synthesizer how to generate output audio.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentResponse","doc":"Response of FulfillIntent","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentResponse","doc":"*   `outputAudio` (*type:* `String.t`, *default:* `nil`) - The audio data bytes encoded as specified in the request. Note: The output audio is generated based on the values of default platform text responses found in the `query_result.response_messages` field. If multiple default text responses exist, they will be concatenated when generating audio. If no default platform text responses exist, the generated audio content will be empty. In some scenarios, multiple output audio fields may be present in the response structure. In these cases, only the top-most-level audio output has content.\n*   `outputAudioConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig.t`, *default:* `nil`) - The config used by the speech synthesizer to generate the output audio.\n*   `queryResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryResult.t`, *default:* `nil`) - The result of the conversational query.\n*   `responseId` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of the response. It can be used to locate a response in the training example set or for reporting issues.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillIntentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment","doc":"A fulfillment can do one or more of the following actions at the same time: * Generate rich message responses. * Set parameter values. * Call the webhook. Fulfillments can be called at various stages in the Page or Form lifecycle. For example, when a DetectIntentRequest drives a session to enter a new page, the page's entry fulfillment can add a static response to the QueryResult in the returning DetectIntentResponse, call the webhook (for example, to load user data from a database), or both.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this fulfillment. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `conditionalCases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.t)`, *default:* `nil`) - Conditional cases for this fulfillment.\n*   `enableGenerativeFallback` (*type:* `boolean()`, *default:* `nil`) - If the flag is true, the agent will utilize LLM to generate a text response. If LLM generation fails, the defined responses in the fulfillment will be respected. This flag is only useful for fulfillments associated with no-match event handlers.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user.\n*   `returnPartialResponses` (*type:* `boolean()`, *default:* `nil`) - Whether Dialogflow should return currently queued fulfillment response messages in streaming APIs. If a webhook is specified, it happens before Dialogflow invokes webhook. Warning: 1) This flag only affects streaming API. Responses are still queued and returned once in non-streaming API. 2) The flag can be enabled in any fulfillment but only the first 3 partial responses will be returned. You may only want to apply it to fulfillments that have slow webhooks.\n*   `setParameterActions` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.t)`, *default:* `nil`) - Set parameter values before executing the webhook.\n*   `tag` (*type:* `String.t`, *default:* `nil`) - The value of this field will be populated in the WebhookRequest `fulfillmentInfo.tag` field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes. This field is required if `webhook` is specified.\n*   `webhook` (*type:* `String.t`, *default:* `nil`) - The webhook to call. Format: `projects//locations//agents//webhooks/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases","doc":"A list of cascading if-else conditions. Cases are mutually exclusive. The first one with a matching condition is selected, all the rest ignored.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases","doc":"*   `cases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.t)`, *default:* `nil`) - A list of cascading if-else conditions.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase","doc":"Each case has a Boolean condition. When it is evaluated to be True, the corresponding messages will be selected and evaluated recursively.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase","doc":"*   `caseContent` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.t)`, *default:* `nil`) - A list of case content.\n*   `condition` (*type:* `String.t`, *default:* `nil`) - The condition to activate and select this case. Empty means the condition is always true. The condition is evaluated against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent","doc":"The list of messages or conditional cases to activate for this case.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent","doc":"*   `additionalCases` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCases.t`, *default:* `nil`) - Additional cases to be evaluated.\n*   `message` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.t`, *default:* `nil`) - Returned message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction","doc":"Setting a parameter value.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction","doc":"*   `parameter` (*type:* `String.t`, *default:* `nil`) - Display name of the parameter.\n*   `value` (*type:* `any()`, *default:* `nil`) - The new value of the parameter. A null value clears the parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FulfillmentSetParameterAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GcsDestination","doc":"Google Cloud Storage location for a Dialogflow operation that writes or exports objects (e.g. exported agent or transcripts) outside of Dialogflow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GcsDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GcsDestination","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The Google Cloud Storage URI for the exported objects. A URI is of the form: `gs://bucket/object-name-or-prefix` Whether a full object name, or just a prefix, its usage depends on the Dialogflow operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GcsDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GcsDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GcsDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GcsDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GcsDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings","doc":"Settings for Generative AI.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings","doc":"*   `fallbackSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettings.t`, *default:* `nil`) - Settings for Generative Fallback.\n*   `generativeSafetySettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettings.t`, *default:* `nil`) - Settings for Generative Safety.\n*   `knowledgeConnectorSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsKnowledgeConnectorSettings.t`, *default:* `nil`) - Settings for knowledge connector.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Language for this settings.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Format: `projects//locations//agents//generativeSettings`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettings","doc":"Settings for Generative Fallback.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettings","doc":"*   `promptTemplates` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettingsPromptTemplate.t)`, *default:* `nil`) - Stored prompts that can be selected, for example default templates like \"conservative\" or \"chatty\", or user defined ones.\n*   `selectedPrompt` (*type:* `String.t`, *default:* `nil`) - Display name of the selected prompt.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettingsPromptTemplate","doc":"Prompt template.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettingsPromptTemplate.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettingsPromptTemplate","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Prompt name.\n*   `frozen` (*type:* `boolean()`, *default:* `nil`) - If the flag is true, the prompt is frozen and cannot be modified by users.\n*   `promptText` (*type:* `String.t`, *default:* `nil`) - Prompt text that is sent to a LLM on no-match default, placeholders are filled downstream. For example: \"Here is a conversation $conversation, a response is: \"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettingsPromptTemplate.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettingsPromptTemplate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettingsPromptTemplate.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettingsPromptTemplate.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsFallbackSettingsPromptTemplate.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsKnowledgeConnectorSettings","doc":"Settings for knowledge connector. These parameters are used for LLM prompt like \"You are . You are a helpful and verbose at , . Your task is to help humans on \".","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsKnowledgeConnectorSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsKnowledgeConnectorSettings","doc":"*   `agent` (*type:* `String.t`, *default:* `nil`) - Name of the virtual agent. Used for LLM prompt. Can be left empty.\n*   `agentIdentity` (*type:* `String.t`, *default:* `nil`) - Identity of the agent, e.g. \"virtual agent\", \"AI assistant\".\n*   `agentScope` (*type:* `String.t`, *default:* `nil`) - Agent scope, e.g. \"Example company website\", \"internal Example company website for employees\", \"manual of car owner\".\n*   `business` (*type:* `String.t`, *default:* `nil`) - Name of the company, organization or other entity that the agent represents. Used for knowledge connector LLM prompt and for knowledge search.\n*   `businessDescription` (*type:* `String.t`, *default:* `nil`) - Company description, used for LLM prompt, e.g. \"a family company selling freshly roasted coffee beans\".\n*   `disableDataStoreFallback` (*type:* `boolean()`, *default:* `nil`) - Whether to disable fallback to Data Store search results (in case the LLM couldn't pick a proper answer). Per default the feature is enabled.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsKnowledgeConnectorSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsKnowledgeConnectorSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsKnowledgeConnectorSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsKnowledgeConnectorSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GenerativeSettingsKnowledgeConnectorSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator","doc":"Generators contain prompt to be sent to the LLM model to generate text. The prompt can contain parameters which will be resolved before calling the model. It can optionally contain banned phrases to ensure the model responses are safe.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the generator, unique within the agent. The prompt contains pre-defined parameters such as $conversation, $last-user-utterance, etc. populated by Dialogflow. It can also contain custom placeholders which will be resolved during fulfillment.\n*   `modelParameter` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorModelParameter.t`, *default:* `nil`) - Parameters passed to the LLM to configure its behavior.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the generator. Must be set for the Generators.UpdateGenerator method. Generators.CreateGenerate populates the name automatically. Format: `projects//locations//agents//generators/`.\n*   `placeholders` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorPlaceholder.t)`, *default:* `nil`) - Optional. List of custom placeholders in the prompt text.\n*   `promptText` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Phrase.t`, *default:* `nil`) - Required. Prompt for the LLM model.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorModelParameter","doc":"Parameters to be passed to the LLM. If not set, default values will be used.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorModelParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorModelParameter","doc":"*   `maxDecodeSteps` (*type:* `integer()`, *default:* `nil`) - The maximum number of tokens to generate.\n*   `temperature` (*type:* `number()`, *default:* `nil`) - The temperature used for sampling. Temperature sampling occurs after both topP and topK have been applied. Valid range: [0.0, 1.0] Low temperature = less random. High temperature = more random.\n*   `topK` (*type:* `integer()`, *default:* `nil`) - If set, the sampling process in each step is limited to the top_k tokens with highest probabilities. Valid range: [1, 40] or 1000+. Small topK = less random. Large topK = more random.\n*   `topP` (*type:* `number()`, *default:* `nil`) - If set, only the tokens comprising the top top_p probability mass are considered. If both top_p and top_k are set, top_p will be used for further refining candidates selected with top_k. Valid range: (0.0, 1.0]. Small topP = less random. Large topP = more random.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorModelParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorModelParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorModelParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorModelParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorModelParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorPlaceholder","doc":"Represents a custom placeholder in the prompt text.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorPlaceholder.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorPlaceholder","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Unique ID used to map custom placeholder to parameters in fulfillment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Custom placeholder value in the prompt text.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorPlaceholder.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorPlaceholder.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorPlaceholder.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorPlaceholder.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3GeneratorPlaceholder.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata","doc":"Metadata returned for the EntityTypes.ImportEntityTypes long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesRequest","doc":"The request message for EntityTypes.ImportEntityTypes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesRequest","doc":"*   `entityTypesContent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineSource.t`, *default:* `nil`) - Uncompressed byte content of entity types.\n*   `entityTypesUri` (*type:* `String.t`, *default:* `nil`) - The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to import entity types from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).\n*   `mergeOption` (*type:* `String.t`, *default:* `nil`) - Required. Merge option for importing entity types.\n*   `targetEntityType` (*type:* `String.t`, *default:* `nil`) - Optional. The target entity type to import into. Format: `projects//locations//agents//entity_types/`. If set, there should be only one entity type included in entity_types, of which the type should match the type of the target entity type. All entities in the imported entity type will be added to the target entity type.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse","doc":"The response message for EntityTypes.ImportEntityTypes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse","doc":"*   `conflictingResources` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.t`, *default:* `nil`) - Info which resources have conflicts when REPORT_CONFLICT merge_option is set in ImportEntityTypesRequest.\n*   `entityTypes` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifier of the imported entity types. Format: `projects//locations//agents//entity_types/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources","doc":"Conflicting resources detected during the import process. Only filled when REPORT_CONFLICT is set in the request and there are conflicts in the display names.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources","doc":"*   `entityDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entities.\n*   `entityTypeDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entity types.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportEntityTypesResponseConflictingResources.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowRequest","doc":"The request message for Flows.ImportFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowRequest","doc":"*   `flowContent` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for flow.\n*   `flowImportStrategy` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FlowImportStrategy.t`, *default:* `nil`) - Optional. Specifies the import strategy used when resolving resource conflicts.\n*   `flowUri` (*type:* `String.t`, *default:* `nil`) - The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to import flow from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).\n*   `importOption` (*type:* `String.t`, *default:* `nil`) - Flow import mode. If not specified, `KEEP` is assumed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowResponse","doc":"The response message for Flows.ImportFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowResponse","doc":"*   `flow` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the new flow. Format: `projects//locations//agents//flows/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata","doc":"Metadata returned for the Intents.ImportIntents long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsRequest","doc":"The request message for Intents.ImportIntents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsRequest","doc":"*   `intentsContent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineSource.t`, *default:* `nil`) - Uncompressed byte content of intents.\n*   `intentsUri` (*type:* `String.t`, *default:* `nil`) - The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to import intents from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).\n*   `mergeOption` (*type:* `String.t`, *default:* `nil`) - Merge option for importing intents. If not specified, `REJECT` is assumed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse","doc":"The response message for Intents.ImportIntents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse","doc":"*   `conflictingResources` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.t`, *default:* `nil`) - Info which resources have conflicts when REPORT_CONFLICT merge_option is set in ImportIntentsRequest.\n*   `intents` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifier of the imported intents. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources","doc":"Conflicting resources detected during the import process. Only filled when REPORT_CONFLICT is set in the request and there are conflicts in the display names.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources","doc":"*   `entityDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entities.\n*   `intentDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting intents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportIntentsResponseConflictingResources.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata","doc":"Metadata returned for the TestCases.ImportTestCases long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseError.t)`, *default:* `nil`) - Errors for failed test cases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesRequest","doc":"The request message for TestCases.ImportTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesRequest","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for test cases.\n*   `gcsUri` (*type:* `String.t`, *default:* `nil`) - The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to import test cases from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse","doc":"The response message for TestCases.ImportTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse","doc":"*   `names` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifiers of the new test cases. Format: `projects//locations//agents//testCases/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ImportTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineDestination","doc":"Inline destination for a Dialogflow operation that writes or exports objects (e.g. intents) outside of Dialogflow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineDestination","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Output only. The uncompressed byte content for the objects. Only populated in responses.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineSource","doc":"Inline source for a Dialogflow operation that reads or imports objects (e.g. intents) into Dialogflow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineSource","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - The uncompressed byte content for the objects.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InlineSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InputAudioConfig","doc":"Instructs the speech recognizer on how to process the audio content.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InputAudioConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InputAudioConfig","doc":"*   `audioEncoding` (*type:* `String.t`, *default:* `nil`) - Required. Audio encoding of the audio content to process.\n*   `bargeInConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BargeInConfig.t`, *default:* `nil`) - Configuration of barge-in behavior during the streaming of input audio.\n*   `enableWordInfo` (*type:* `boolean()`, *default:* `nil`) - Optional. If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.\n*   `model` (*type:* `String.t`, *default:* `nil`) - Optional. Which Speech model to select for the given request. For more information, see [Speech models](https://cloud.google.com/dialogflow/cx/docs/concept/speech-models).\n*   `modelVariant` (*type:* `String.t`, *default:* `nil`) - Optional. Which variant of the Speech model to use.\n*   `optOutConformerModelMigration` (*type:* `boolean()`, *default:* `nil`) - If `true`, the request will opt out for STT conformer model migration. This field will be deprecated once force migration takes place in June 2024. Please refer to [Dialogflow CX Speech model migration](https://cloud.google.com/dialogflow/cx/docs/concept/speech-model-migration).\n*   `phraseHints` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.\n*   `sampleRateHertz` (*type:* `integer()`, *default:* `nil`) - Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details.\n*   `singleUtterance` (*type:* `boolean()`, *default:* `nil`) - Optional. If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InputAudioConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InputAudioConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InputAudioConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InputAudioConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3InputAudioConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent","doc":"An intent represents a user's intent to interact with a conversational agent. You can provide information for the Dialogflow API to use to match user input to an intent by adding training phrases (i.e., examples of user input) to your intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the intent, unique within the agent.\n*   `isFallback` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this is a fallback intent. Currently only default fallback intent is allowed in the agent, which is added upon agent creation. Adding training phrases to fallback intent is useful in the case of requests that are mistakenly matched, since training phrases assigned to fallback intents act as negative examples that triggers no-match event.\n*   `labels` (*type:* `map()`, *default:* `nil`) - The key/value metadata to label an intent. Labels can contain lowercase letters, digits and the symbols '-' and '_'. International characters are allowed, including letters from unicase alphabets. Keys must start with a letter. Keys and values can be no longer than 63 characters and no more than 128 bytes. Prefix \"sys-\" is reserved for Dialogflow defined labels. Currently allowed Dialogflow defined labels include: * sys-head * sys-contextual The above labels do not require value. \"sys-head\" means the intent is a head intent. \"sys.contextual\" means the intent is a contextual intent.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`.\n*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentParameter.t)`, *default:* `nil`) - The collection of parameters associated with the intent.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.\n*   `trainingPhrases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.t)`, *default:* `nil`) - The collection of training phrases the agent is trained on to identify the intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverage","doc":"Intent coverage represents the percentage of all possible intents in the agent that are triggered in any of a parent's test cases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverage","doc":"*   `coverageScore` (*type:* `number()`, *default:* `nil`) - The percent of intents in the agent that are covered.\n*   `intents` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverageIntent.t)`, *default:* `nil`) - The list of Intents present in the agent","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverageIntent","doc":"The agent's intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverageIntent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverageIntent","doc":"*   `covered` (*type:* `boolean()`, *default:* `nil`) - Whether the intent is covered by at least one of the agent's test cases.\n*   `intent` (*type:* `String.t`, *default:* `nil`) - The intent full resource name","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverageIntent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverageIntent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverageIntent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverageIntent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentCoverageIntent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentInput","doc":"Represents the intent to trigger programmatically rather than as a result of natural language processing.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentInput","doc":"*   `intent` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the intent. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentParameter","doc":"Represents an intent parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentParameter","doc":"*   `entityType` (*type:* `String.t`, *default:* `nil`) - Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the parameter. This field is used by training phrases to annotate their parts.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter represents a list of values.\n*   `redact` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase","doc":"Represents an example that the agent is trained on to identify the intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of the training phrase.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.t)`, *default:* `nil`) - Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `parameter_id` field is set.\n*   `repeatCount` (*type:* `integer()`, *default:* `nil`) - Indicates how many times this example was added to the intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart","doc":"Represents a part of a training phrase.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart","doc":"*   `parameterId` (*type:* `String.t`, *default:* `nil`) - The parameter used to annotate this part of the training phrase. This field is required for annotated parts of the training phrase.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The text for this part.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentTrainingPhrasePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings","doc":"The Knowledge Connector settings for this page or flow. This includes information such as the attached Knowledge Bases, and the way to execute fulfillment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings","doc":"*   `dataStoreConnections` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnection.t)`, *default:* `nil`) - Optional. List of related data store connections.\n*   `enabled` (*type:* `boolean()`, *default:* `nil`) - Whether Knowledge Connector is enabled or not.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.t`, *default:* `nil`) - The fulfillment to be triggered. When the answers from the Knowledge Connector are selected by Dialogflow, you can utitlize the request scoped parameter `$request.knowledge.answers` (contains up to the 5 highest confidence answers) and `$request.knowledge.questions` (contains the corresponding questions) to construct the fulfillment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LanguageInfo","doc":"Represents the language information of the request.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LanguageInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LanguageInfo","doc":"*   `confidenceScore` (*type:* `number()`, *default:* `nil`) - The confidence score of the detected language between 0 and 1.\n*   `inputLanguageCode` (*type:* `String.t`, *default:* `nil`) - The language code specified in the original request.\n*   `resolvedLanguageCode` (*type:* `String.t`, *default:* `nil`) - The language code detected for this request based on the user conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LanguageInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LanguageInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LanguageInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LanguageInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LanguageInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListAgentsResponse","doc":"The response message for Agents.ListAgents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListAgentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListAgentsResponse","doc":"*   `agents` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Agent.t)`, *default:* `nil`) - The list of agents. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListAgentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListAgentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListAgentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListAgentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListAgentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListChangelogsResponse","doc":"The response message for Changelogs.ListChangelogs.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListChangelogsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListChangelogsResponse","doc":"*   `changelogs` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Changelog.t)`, *default:* `nil`) - The list of changelogs. There will be a maximum number of items returned based on the page_size field in the request. The changelogs will be ordered by timestamp.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListChangelogsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListChangelogsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListChangelogsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListChangelogsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListChangelogsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse","doc":"The response message for Environments.ListTestCaseResults.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse","doc":"*   `continuousTestResults` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.t)`, *default:* `nil`) - The list of continuous test results.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListDeploymentsResponse","doc":"The response message for Deployments.ListDeployments.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListDeploymentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListDeploymentsResponse","doc":"*   `deployments` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Deployment.t)`, *default:* `nil`) - The list of deployments. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListDeploymentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListDeploymentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListDeploymentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListDeploymentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListDeploymentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEntityTypesResponse","doc":"The response message for EntityTypes.ListEntityTypes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEntityTypesResponse","doc":"*   `entityTypes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityType.t)`, *default:* `nil`) - The list of entity types. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEnvironmentsResponse","doc":"The response message for Environments.ListEnvironments.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEnvironmentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEnvironmentsResponse","doc":"*   `environments` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.t)`, *default:* `nil`) - The list of environments. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEnvironmentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEnvironmentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEnvironmentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEnvironmentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListEnvironmentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListExperimentsResponse","doc":"The response message for Experiments.ListExperiments.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListExperimentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListExperimentsResponse","doc":"*   `experiments` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Experiment.t)`, *default:* `nil`) - The list of experiments. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListExperimentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListExperimentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListExperimentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListExperimentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListExperimentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListFlowsResponse","doc":"The response message for Flows.ListFlows.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListFlowsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListFlowsResponse","doc":"*   `flows` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow.t)`, *default:* `nil`) - The list of flows. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListFlowsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListFlowsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListFlowsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListFlowsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListFlowsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListGeneratorsResponse","doc":"The response message for Generators.ListGenerators.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListGeneratorsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListGeneratorsResponse","doc":"*   `generators` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Generator.t)`, *default:* `nil`) - The list of generators. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListGeneratorsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListGeneratorsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListGeneratorsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListGeneratorsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListGeneratorsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListIntentsResponse","doc":"The response message for Intents.ListIntents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListIntentsResponse","doc":"*   `intents` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.t)`, *default:* `nil`) - The list of intents. There will be a maximum number of items returned based on the page_size field in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListPagesResponse","doc":"The response message for Pages.ListPages.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListPagesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListPagesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `pages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.t)`, *default:* `nil`) - The list of pages. There will be a maximum number of items returned based on the page_size field in the request.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListPagesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListPagesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListPagesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListPagesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListPagesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSecuritySettingsResponse","doc":"The response message for SecuritySettings.ListSecuritySettings.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSecuritySettingsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSecuritySettingsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `securitySettings` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings.t)`, *default:* `nil`) - The list of security settings.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSecuritySettingsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSecuritySettingsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSecuritySettingsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSecuritySettingsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSecuritySettingsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse","doc":"The response message for SessionEntityTypes.ListSessionEntityTypes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `sessionEntityTypes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.t)`, *default:* `nil`) - The list of session entity types. There will be a maximum number of items returned based on the page_size field in the request.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCaseResultsResponse","doc":"The response message for TestCases.ListTestCaseResults.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCaseResultsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCaseResultsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `testCaseResults` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult.t)`, *default:* `nil`) - The list of test case results.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCaseResultsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCaseResultsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCaseResultsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCaseResultsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCaseResultsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCasesResponse","doc":"The response message for TestCases.ListTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCasesResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `testCases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase.t)`, *default:* `nil`) - The list of test cases. There will be a maximum number of items returned based on the page_size field in the request.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse","doc":"The response message for TransitionRouteGroups.ListTransitionRouteGroups.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `transitionRouteGroups` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.t)`, *default:* `nil`) - The list of transition route groups. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListVersionsResponse","doc":"The response message for Versions.ListVersions.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListVersionsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListVersionsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `versions` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version.t)`, *default:* `nil`) - A list of versions. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListVersionsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListVersionsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListVersionsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListVersionsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListVersionsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListWebhooksResponse","doc":"The response message for Webhooks.ListWebhooks.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListWebhooksResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListWebhooksResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.\n*   `webhooks` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook.t)`, *default:* `nil`) - The list of webhooks. There will be a maximum number of items returned based on the page_size field in the request.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListWebhooksResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListWebhooksResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListWebhooksResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListWebhooksResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ListWebhooksResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LoadVersionRequest","doc":"The request message for Versions.LoadVersion.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LoadVersionRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LoadVersionRequest","doc":"*   `allowOverrideAgentResources` (*type:* `boolean()`, *default:* `nil`) - This field is used to prevent accidental overwrite of other agent resources, which can potentially impact other flow's behavior. If `allow_override_agent_resources` is false, conflicted agent-level resources will not be overridden (i.e. intents, entities, webhooks).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LoadVersionRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LoadVersionRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LoadVersionRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LoadVersionRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LoadVersionRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse","doc":"The response message for Environments.LookupEnvironmentHistory.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse","doc":"*   `environments` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Environment.t)`, *default:* `nil`) - Represents a list of snapshots for an environment. Time of the snapshots is stored in `update_time`.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Token to retrieve the next page of results, or empty if there are no more results in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match","doc":"Represents one match result of MatchIntent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match","doc":"*   `confidence` (*type:* `number()`, *default:* `nil`) - The confidence of this match. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation.\n*   `event` (*type:* `String.t`, *default:* `nil`) - The event that matched the query. Filled for `EVENT`, `NO_MATCH` and `NO_INPUT` match types.\n*   `intent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.t`, *default:* `nil`) - The Intent that matched the query. Some, not all fields are filled in this message, including but not limited to: `name` and `display_name`. Only filled for `INTENT` match type.\n*   `matchType` (*type:* `String.t`, *default:* `nil`) - Type of this Match.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - The collection of parameters extracted from the query. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.\n*   `resolvedInput` (*type:* `String.t`, *default:* `nil`) - Final text input which was matched during MatchIntent. This value can be different from original input sent in request because of spelling correction or other processing.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest","doc":"Request of MatchIntent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest","doc":"*   `persistParameterChanges` (*type:* `boolean()`, *default:* `nil`) - Persist session parameter changes from `query_params`.\n*   `queryInput` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput.t`, *default:* `nil`) - Required. The input specification.\n*   `queryParams` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryParameters.t`, *default:* `nil`) - The parameters of this query.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentResponse","doc":"Response of MatchIntent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentResponse","doc":"*   `currentPage` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.t`, *default:* `nil`) - The current Page. Some, not all fields are filled in this message, including but not limited to `name` and `display_name`.\n*   `matches` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match.t)`, *default:* `nil`) - Match results, if more than one, ordered descendingly by the confidence we have that the particular intent matches the query.\n*   `text` (*type:* `String.t`, *default:* `nil`) - If natural language text was provided as input, this field will contain a copy of the text.\n*   `transcript` (*type:* `String.t`, *default:* `nil`) - If natural language speech audio was provided as input, this field will contain the transcript for the audio.\n*   `triggerEvent` (*type:* `String.t`, *default:* `nil`) - If an event was provided as input, this field will contain a copy of the event name.\n*   `triggerIntent` (*type:* `String.t`, *default:* `nil`) - If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3MatchIntentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3NluSettings","doc":"Settings related to NLU.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3NluSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3NluSettings","doc":"*   `classificationThreshold` (*type:* `number()`, *default:* `nil`) - To filter out false positive results and still get variety in matched natural language inputs for your agent, you can tune the machine learning classification threshold. If the returned score value is less than the threshold value, then a no-match event will be triggered. The score values range from 0.0 (completely uncertain) to 1.0 (completely certain). If set to 0.0, the default of 0.3 is used. You can set a separate classification threshold for the flow in each language enabled for the agent.\n*   `modelTrainingMode` (*type:* `String.t`, *default:* `nil`) - Indicates NLU model training mode.\n*   `modelType` (*type:* `String.t`, *default:* `nil`) - Indicates the type of NLU model.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3NluSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3NluSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3NluSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3NluSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3NluSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig","doc":"Instructs the speech synthesizer how to generate the output audio content.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig","doc":"*   `audioEncoding` (*type:* `String.t`, *default:* `nil`) - Required. Audio encoding of the synthesized audio content.\n*   `sampleRateHertz` (*type:* `integer()`, *default:* `nil`) - Optional. The synthesis sample rate (in hertz) for this audio. If not provided, then the synthesizer will use the default sample rate based on the audio encoding. If this is different from the voice's natural sample rate, then the synthesizer will honor this request by converting to the desired sample rate (which might result in worse audio quality).\n*   `synthesizeSpeechConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SynthesizeSpeechConfig.t`, *default:* `nil`) - Optional. Configuration of how speech should be synthesized. If not specified, Agent.text_to_speech_settings is applied.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3OutputAudioConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page","doc":"A Dialogflow CX conversation (session) can be described and visualized as a state machine. The states of a CX session are represented by pages. For each flow, you define many pages, where your combined pages can handle a complete conversation on the topics the flow is designed for. At any given moment, exactly one page is the current page, the current page is considered active, and the flow associated with that page is considered active. Every flow has a special start page. When a flow initially becomes active, the start page page becomes the current page. For each conversational turn, the current page will either stay the same or transition to another page. You configure each page to collect information from the end-user that is relevant for the conversational state represented by the page. For more information, see the [Page guide](https://cloud.google.com/dialogflow/cx/docs/concept/page).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this page. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the page. The maximum length is 500 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the page, unique within the flow.\n*   `entryFulfillment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the session is entering the page.\n*   `eventHandlers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler.t)`, *default:* `nil`) - Handlers associated with the page to handle events such as webhook errors, no match or no input.\n*   `form` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Form.t`, *default:* `nil`) - The form associated with the page, used for collecting parameters relevant to the page.\n*   `knowledgeConnectorSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3KnowledgeConnectorSettings.t`, *default:* `nil`) - Optional. Knowledge connector configuration.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`.\n*   `transitionRouteGroups` (*type:* `list(String.t)`, *default:* `nil`) - Ordered list of `TransitionRouteGroups` added to the page. Transition route groups must be unique within a page. If the page links both flow-level transition route groups and agent-level transition route groups, the flow-level ones will have higher priority and will be put before the agent-level ones. * If multiple transition routes within a page scope refer to the same intent, then the precedence order is: page's transition route -> page's transition route group -> flow's transition routes. * If multiple transition route groups within a page contain the same intent, then the first group in the ordered list takes precedence. Format:`projects//locations//agents//flows//transitionRouteGroups/` or `projects//locations//agents//transitionRouteGroups/` for agent-level groups.\n*   `transitionRoutes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.t)`, *default:* `nil`) - A list of transitions for the transition rules of this page. They route the conversation to another page in the same flow, or another flow. When we are in a certain page, the TransitionRoutes are evalauted in the following order: * TransitionRoutes defined in the page with intent specified. * TransitionRoutes defined in the transition route groups with intent specified. * TransitionRoutes defined in flow with intent specified. * TransitionRoutes defined in the transition route groups with intent specified. * TransitionRoutes defined in the page with only condition specified. * TransitionRoutes defined in the transition route groups with only condition specified.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfo","doc":"Represents page information communicated to and from the webhook.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfo","doc":"*   `currentPage` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the current page. Format: `projects//locations//agents//flows//pages/`.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The display name of the current page.\n*   `formInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.t`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. Information about the form.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo","doc":"Represents form information.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo","doc":"*   `parameterInfo` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.t)`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. The parameters contained in the form. Note that the webhook cannot add or remove any form parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo","doc":"Represents parameter information.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Required for WebhookResponse. The human-readable name of the parameter, unique within the form. This field cannot be modified by the webhook.\n*   `justCollected` (*type:* `boolean()`, *default:* `nil`) - Optional for WebhookRequest. Ignored for WebhookResponse. Indicates if the parameter value was just collected on the last conversation turn.\n*   `required` (*type:* `boolean()`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Required for WebhookResponse. The state of the parameter. This field can be set to INVALID by the webhook to invalidate the parameter; other values set by the webhook will be ignored.\n*   `value` (*type:* `any()`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. The value of the parameter. This field can be set by the webhook to change the parameter value.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Phrase","doc":"Text input which can be used for prompt or banned phrases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Phrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Phrase","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Required. Text input which can be used for prompt or banned phrases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Phrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Phrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Phrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Phrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Phrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput","doc":"Represents the query input. It can contain one of: 1. A conversational query in the form of text. 2. An intent query that specifies which intent to trigger. 3. Natural language speech audio to be processed. 4. An event to be triggered. 5. DTMF digits to invoke an intent and fill in parameter value. 6. The results of a tool executed by the client.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput","doc":"*   `audio` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AudioInput.t`, *default:* `nil`) - The natural language speech audio to be processed.\n*   `dtmf` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DtmfInput.t`, *default:* `nil`) - The DTMF event to be handled.\n*   `event` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventInput.t`, *default:* `nil`) - The event to be triggered.\n*   `intent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3IntentInput.t`, *default:* `nil`) - The intent to be triggered.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of the input. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language.\n*   `text` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextInput.t`, *default:* `nil`) - The natural language text to be processed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryParameters","doc":"Represents the parameters of a conversational query.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryParameters.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryParameters","doc":"*   `analyzeQueryTextSentiment` (*type:* `boolean()`, *default:* `nil`) - Configures whether sentiment analysis should be performed. If not provided, sentiment analysis is not performed.\n*   `channel` (*type:* `String.t`, *default:* `nil`) - The channel which this query is for. If specified, only the ResponseMessage associated with the channel will be returned. If no ResponseMessage is associated with the channel, it falls back to the ResponseMessage with unspecified channel. If unspecified, the ResponseMessage with unspecified channel will be returned.\n*   `currentPage` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the page to override the current page in the session. Format: `projects//locations//agents//flows//pages/`. If `current_page` is specified, the previous state of the session will be ignored by Dialogflow, including the previous page and the previous session parameters. In most cases, current_page and parameters should be configured together to direct a session to a specific state.\n*   `disableWebhook` (*type:* `boolean()`, *default:* `nil`) - Whether to disable webhook calls for this request.\n*   `endUserMetadata` (*type:* `map()`, *default:* `nil`) - Optional. Information about the end-user to improve the relevance and accuracy of generative answers. This will be interpreted and used by a language model, so, for good results, the data should be self-descriptive, and in a simple structure. Example: ```json { \"subscription plan\": \"Business Premium Plus\", \"devices owned\": [ {\"model\": \"Google Pixel 7\"}, {\"model\": \"Google Pixel Tablet\"} ] } ```\n*   `flowVersions` (*type:* `list(String.t)`, *default:* `nil`) - A list of flow versions to override for the request. Format: `projects//locations//agents//flows//versions/`. If version 1 of flow X is included in this list, the traffic of flow X will go through version 1 regardless of the version configuration in the environment. Each flow can have at most one version specified in this list.\n*   `geoLocation` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleTypeLatLng.t`, *default:* `nil`) - The geo location of this conversational query.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - Additional parameters to be put into session parameters. To remove a parameter from the session, clients should explicitly set the parameter value to null. You can reference the session parameters in the agent with the following format: $session.params.parameter-id. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.\n*   `payload` (*type:* `map()`, *default:* `nil`) - This field can be used to pass custom data into the webhook associated with the agent. Arbitrary JSON objects are supported. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: ``` { \"telephony\": { \"caller_id\": \"+18558363987\" } } ```\n*   `populateDataStoreConnectionSignals` (*type:* `boolean()`, *default:* `nil`) - Optional. If set to true and data stores are involved in serving the request then DetectIntentResponse.query_result.data_store_connection_signals will be filled with data that can help evaluations.\n*   `searchConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SearchConfig.t`, *default:* `nil`) - Optional. Search configuration for UCS search queries.\n*   `sessionEntityTypes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.t)`, *default:* `nil`) - Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session of this query.\n*   `sessionTtl` (*type:* `String.t`, *default:* `nil`) - Optional. Configure lifetime of the Dialogflow session. By default, a Dialogflow session remains active and its data is stored for 30 minutes after the last request is sent for the session. This value should be no longer than 1 day.\n*   `timeZone` (*type:* `String.t`, *default:* `nil`) - The time zone of this conversational query from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris. If not provided, the time zone specified in the agent is used.\n*   `webhookHeaders` (*type:* `map()`, *default:* `nil`) - This field can be used to pass HTTP headers for a webhook call. These headers will be sent to webhook along with the headers that have been configured through Dialogflow web console. The headers defined within this field will overwrite the headers configured through Dialogflow console if there is a conflict. Header names are case-insensitive. Google's specified headers are not allowed. Including: \"Host\", \"Content-Length\", \"Connection\", \"From\", \"User-Agent\", \"Accept-Encoding\", \"If-Modified-Since\", \"If-None-Match\", \"X-Forwarded-For\", etc.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryParameters.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryParameters.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryParameters.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryParameters.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryParameters.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryResult","doc":"Represents the result of a conversational query.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryResult","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AdvancedSettings.t`, *default:* `nil`) - Returns the current advanced settings including IVR settings. Even though the operations configured by these settings are performed by Dialogflow, the client may need to perform special logic at the moment. For example, if Dialogflow exports audio to Google Cloud Storage, then the client may need to wait for the resulting object to appear in the bucket before proceeding.\n*   `allowAnswerFeedback` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the Thumbs up/Thumbs down rating controls are need to be shown for the response in the Dialogflow Messenger widget.\n*   `currentPage` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.t`, *default:* `nil`) - The current Page. Some, not all fields are filled in this message, including but not limited to `name` and `display_name`.\n*   `dataStoreConnectionSignals` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DataStoreConnectionSignals.t`, *default:* `nil`) - Optional. Data store connection feature output signals. Filled only when data stores are involved in serving the query and DetectIntentRequest.populate_data_store_connection_signals is set to true in the request.\n*   `diagnosticInfo` (*type:* `map()`, *default:* `nil`) - The free-form diagnostic info. For example, this field could contain webhook call latency. The fields of this data can change without notice, so you should not write code that depends on its structure. One of the fields is called \"Alternative Matched Intents\", which may aid with debugging. The following describes these intent results: - The list is empty if no intent was matched to end-user input. - Only intents that are referenced in the currently active flow are included. - The matched intent is included. - Other intents that could have matched end-user input, but did not match because they are referenced by intent routes that are out of [scope](https://cloud.google.com/dialogflow/cx/docs/concept/handler#scope), are included. - Other intents referenced by intent routes in scope that matched end-user input, but had a lower confidence score.\n*   `dtmf` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3DtmfInput.t`, *default:* `nil`) - If a DTMF was provided as input, this field will contain a copy of the DtmfInput.\n*   `intent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Intent.t`, *default:* `nil`) - The Intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name` and `display_name`. This field is deprecated, please use QueryResult.match instead.\n*   `intentDetectionConfidence` (*type:* `number()`, *default:* `nil`) - The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. This field is deprecated, please use QueryResult.match instead.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes.\n*   `match` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Match.t`, *default:* `nil`) - Intent match result, could be an intent or an event.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - The collected session parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.\n*   `responseMessages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.t)`, *default:* `nil`) - The list of rich messages returned to the client. Responses vary from simple text messages to more sophisticated, structured payloads used to drive complex logic.\n*   `sentimentAnalysisResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SentimentAnalysisResult.t`, *default:* `nil`) - The sentiment analyss result, which depends on `analyze_query_text_sentiment`, specified in the request.\n*   `text` (*type:* `String.t`, *default:* `nil`) - If natural language text was provided as input, this field will contain a copy of the text.\n*   `transcript` (*type:* `String.t`, *default:* `nil`) - If natural language speech audio was provided as input, this field will contain the transcript for the audio.\n*   `triggerEvent` (*type:* `String.t`, *default:* `nil`) - If an event was provided as input, this field will contain the name of the event.\n*   `triggerIntent` (*type:* `String.t`, *default:* `nil`) - If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`.\n*   `webhookPayloads` (*type:* `list(map())`, *default:* `nil`) - The list of webhook payload in WebhookResponse.payload, in the order of call sequence. If some webhook call fails or doesn't return any payload, an empty `Struct` would be used instead.\n*   `webhookStatuses` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t)`, *default:* `nil`) - The list of webhook call status in the order of call sequence.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3QueryResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResourceName","doc":"Resource name and display name.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResourceName.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResourceName","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display name.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResourceName.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResourceName.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResourceName.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResourceName.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResourceName.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage","doc":"Represents a response message that can be returned by a conversational agent. Response messages are also used for output audio synthesis. The approach is as follows: * If at least one OutputAudioText response is present, then all OutputAudioText responses are linearly concatenated, and the result is used for output audio synthesis. * If the OutputAudioText responses are a mixture of text and SSML, then the concatenated result is treated as SSML; otherwise, the result is treated as either text or SSML as appropriate. The agent designer should ideally use either text or SSML consistently throughout the bot design. * Otherwise, all Text responses are linearly concatenated, and the result is used for output audio synthesis. This approach allows for more sophisticated user experience scenarios, where the text displayed to the user may differ from what is heard.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage","doc":"*   `channel` (*type:* `String.t`, *default:* `nil`) - The channel which the response is associated with. Clients can specify the channel via QueryParameters.channel, and only associated channel response will be returned.\n*   `conversationSuccess` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.t`, *default:* `nil`) - Indicates that the conversation succeeded.\n*   `endInteraction` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.t`, *default:* `nil`) - Output only. A signal that indicates the interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only when the conversation reaches `END_SESSION` page. It is not supposed to be defined by the user. It's guaranteed that there is at most one such message in each response.\n*   `knowledgeInfoCard` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.t`, *default:* `nil`) - Represents info card for knowledge answers, to be better rendered in Dialogflow Messenger.\n*   `liveAgentHandoff` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.t`, *default:* `nil`) - Hands off conversation to a human agent.\n*   `mixedAudio` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.t`, *default:* `nil`) - Output only. An audio response message composed of both the synthesized Dialogflow agent responses and responses defined via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.\n*   `outputAudioText` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.t`, *default:* `nil`) - A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Returns a response containing a custom, platform-specific payload.\n*   `playAudio` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.t`, *default:* `nil`) - Signal that the client should play an audio clip hosted at a client-specific URI. Dialogflow uses this to construct mixed_audio. However, Dialogflow itself does not try to read or process the URI in any way.\n*   `responseType` (*type:* `String.t`, *default:* `nil`) - Response type.\n*   `telephonyTransferCall` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.t`, *default:* `nil`) - A signal that the client should transfer the phone call connected to this agent to a third-party endpoint.\n*   `text` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageText.t`, *default:* `nil`) - Returns a text response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess","doc":"Indicates that the conversation succeeded, i.e., the bot handled the issue that the customer talked to it about. Dialogflow only uses this to determine which conversations should be counted as successful and doesn't process the metadata in this message in any way. Note that Dialogflow also considers conversations that get to the conversation end page as successful even if they don't return ConversationSuccess. You may set this, for example: * In the entry_fulfillment of a Page if entering the page indicates that the conversation succeeded. * In a webhook response when you determine that you handled the customer issue.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Custom metadata. Dialogflow doesn't impose any structure on this.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction","doc":"Indicates that interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only and not supposed to be defined by the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageEndInteraction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard","doc":"Represents info card response. If the response contains generative knowledge prediction, Dialogflow will return a payload with Infobot Messenger compatible info card. Otherwise, the info card response is skipped.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageKnowledgeInfoCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff","doc":"Indicates that the conversation should be handed off to a live agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: * In the entry_fulfillment of a Page if entering the page indicates something went extremely wrong in the conversation. * In a webhook response when you determine that the customer issue can only be handled by a human.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio","doc":"Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs. The external URIs are specified via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio","doc":"*   `segments` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.t)`, *default:* `nil`) - Segments this audio response is composed of.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment","doc":"Represents one segment of audio.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request.\n*   `audio` (*type:* `String.t`, *default:* `nil`) - Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Client-specific URI that points to an audio clip accessible to the client. Dialogflow does not impose any validation on it.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText","doc":"A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `ssml` (*type:* `String.t`, *default:* `nil`) - The SSML text to be synthesized. For more information, see [SSML](/speech/text-to-speech/docs/ssml).\n*   `text` (*type:* `String.t`, *default:* `nil`) - The raw text to be synthesized.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio","doc":"Specifies an audio clip to be played by the client as part of the response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `audioUri` (*type:* `String.t`, *default:* `nil`) - Required. URI of the audio clip. Dialogflow does not impose any validation on this value. It is specific to the client that reads it.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessagePlayAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall","doc":"Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageText","doc":"The text response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageText","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `text` (*type:* `list(String.t)`, *default:* `nil`) - Required. A collection of text response variants. If multiple variants are defined, only one text response variant is returned at runtime.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessageText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequest","doc":"The request message for Agents.RestoreAgent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequest","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for agent.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to restore agent from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).\n*   `gitSource` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequestGitSource.t`, *default:* `nil`) - Setting for restoring from a git branch\n*   `restoreOption` (*type:* `String.t`, *default:* `nil`) - Agent restore mode. If not specified, `KEEP` is assumed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequestGitSource","doc":"Settings for restoring from a git branch","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequestGitSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequestGitSource","doc":"*   `trackingBranch` (*type:* `String.t`, *default:* `nil`) - tracking branch for the git pull","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequestGitSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequestGitSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequestGitSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequestGitSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RestoreAgentRequestGitSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfig","doc":"The configuration for auto rollout.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfig","doc":"*   `failureCondition` (*type:* `String.t`, *default:* `nil`) - The conditions that are used to evaluate the failure of a rollout step. If not specified, no rollout steps will fail. E.g. \"containment_rate < 10% OR average_turn_count < 3\". See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).\n*   `rolloutCondition` (*type:* `String.t`, *default:* `nil`) - The conditions that are used to evaluate the success of a rollout step. If not specified, all rollout steps will proceed to the next one unless failure conditions are met. E.g. \"containment_rate > 60% AND callback_rate < 20%\". See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).\n*   `rolloutSteps` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfigRolloutStep.t)`, *default:* `nil`) - Steps to roll out a flow version. Steps should be sorted by percentage in ascending order.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfigRolloutStep","doc":"A single rollout step with specified traffic allocation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfigRolloutStep.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfigRolloutStep","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The name of the rollout step;\n*   `minDuration` (*type:* `String.t`, *default:* `nil`) - The minimum time that this step should last. Should be longer than 1 hour. If not set, the default minimum duration for each step will be 1 hour.\n*   `trafficPercent` (*type:* `integer()`, *default:* `nil`) - The percentage of traffic allocated to the flow version of this rollout step. (0%, 100%].","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfigRolloutStep.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfigRolloutStep.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfigRolloutStep.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfigRolloutStep.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutConfigRolloutStep.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutState","doc":"State of the auto-rollout process.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutState.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutState","doc":"*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Start time of the current step.\n*   `step` (*type:* `String.t`, *default:* `nil`) - Display name of the current auto rollout step.\n*   `stepIndex` (*type:* `integer()`, *default:* `nil`) - Index of the current step in the auto rollout steps list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutState.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutState.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutState.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutState.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RolloutState.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata","doc":"Metadata returned for the Environments.RunContinuousTest long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError.t)`, *default:* `nil`) - The test errors.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestRequest","doc":"The request message for Environments.RunContinuousTest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestRequest","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse","doc":"The response message for Environments.RunContinuousTest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse","doc":"*   `continuousTestResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ContinuousTestResult.t`, *default:* `nil`) - The result for a continuous test run.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunContinuousTestResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata","doc":"Metadata returned for the TestCases.RunTestCase long running operation. This message currently has no fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseRequest","doc":"The request message for TestCases.RunTestCase.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseRequest","doc":"*   `environment` (*type:* `String.t`, *default:* `nil`) - Optional. Environment name. If not set, draft environment is assumed. Format: `projects//locations//agents//environments/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse","doc":"The response message for TestCases.RunTestCase.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse","doc":"*   `result` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult.t`, *default:* `nil`) - The result.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3RunTestCaseResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettings","doc":"Settings for Generative Safety.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettings","doc":"*   `bannedPhrases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettingsPhrase.t)`, *default:* `nil`) - Banned phrases for generated text.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettingsPhrase","doc":"Text input which can be used for prompt or banned phrases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettingsPhrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettingsPhrase","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. Language code of the phrase.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. Text input which can be used for prompt or banned phrases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettingsPhrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettingsPhrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettingsPhrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettingsPhrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SafetySettingsPhrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SearchConfig","doc":"Search configuration for UCS search queries.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SearchConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SearchConfig","doc":"*   `boostSpecs` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3BoostSpecs.t)`, *default:* `nil`) - Optional. Boosting configuration for the datastores.\n*   `filterSpecs` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3FilterSpecs.t)`, *default:* `nil`) - Optional. Filter configuration for the datastores.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SearchConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SearchConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SearchConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SearchConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SearchConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings","doc":"Represents the settings related to security issues, such as data redaction and data retention. It may take hours for updates on the settings to propagate to all the related components and take effect.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings","doc":"*   `audioExportSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings.t`, *default:* `nil`) - Controls audio export settings for post-conversation analytics when ingesting audio to conversations via Participants.AnalyzeContent or Participants.StreamingAnalyzeContent. If retention_strategy is set to REMOVE_AFTER_CONVERSATION or audio_export_settings.gcs_bucket is empty, audio export is disabled. If audio export is enabled, audio is recorded and saved to audio_export_settings.gcs_bucket, subject to retention policy of audio_export_settings.gcs_bucket. This setting won't effect audio input for implicit sessions via Sessions.DetectIntent or Sessions.StreamingDetectIntent.\n*   `deidentifyTemplate` (*type:* `String.t`, *default:* `nil`) - [DLP](https://cloud.google.com/dlp/docs) deidentify template name. Use this template to define de-identification configuration for the content. The `DLP De-identify Templates Reader` role is needed on the Dialogflow service identity service account (has the form `service-PROJECT_NUMBER@gcp-sa-dialogflow.iam.gserviceaccount.com`) for your agent's project. If empty, Dialogflow replaces sensitive info with `[redacted]` text. The template name will have one of the following formats: `projects//locations//deidentifyTemplates/` OR `organizations//locations//deidentifyTemplates/` Note: `deidentify_template` must be located in the same region as the `SecuritySettings`.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the security settings, unique within the location.\n*   `insightsExportSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings.t`, *default:* `nil`) - Controls conversation exporting settings to Insights after conversation is completed. If retention_strategy is set to REMOVE_AFTER_CONVERSATION, Insights export is disabled no matter what you configure here.\n*   `inspectTemplate` (*type:* `String.t`, *default:* `nil`) - [DLP](https://cloud.google.com/dlp/docs) inspect template name. Use this template to define inspect base settings. The `DLP Inspect Templates Reader` role is needed on the Dialogflow service identity service account (has the form `service-PROJECT_NUMBER@gcp-sa-dialogflow.iam.gserviceaccount.com`) for your agent's project. If empty, we use the default DLP inspect config. The template name will have one of the following formats: `projects//locations//inspectTemplates/` OR `organizations//locations//inspectTemplates/` Note: `inspect_template` must be located in the same region as the `SecuritySettings`.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name of the settings. Required for the SecuritySettingsService.UpdateSecuritySettings method. SecuritySettingsService.CreateSecuritySettings populates the name automatically. Format: `projects//locations//securitySettings/`.\n*   `purgeDataTypes` (*type:* `list(String.t)`, *default:* `nil`) - List of types of data to remove when retention settings triggers purge.\n*   `redactionScope` (*type:* `String.t`, *default:* `nil`) - Defines the data for which Dialogflow applies redaction. Dialogflow does not redact data that it does not have access to – for example, Cloud logging.\n*   `redactionStrategy` (*type:* `String.t`, *default:* `nil`) - Strategy that defines how we do redaction.\n*   `retentionStrategy` (*type:* `String.t`, *default:* `nil`) - Specifies the retention behavior defined by SecuritySettings.RetentionStrategy.\n*   `retentionWindowDays` (*type:* `integer()`, *default:* `nil`) - Retains the data for the specified number of days. User must set a value lower than Dialogflow's default 365d TTL (30 days for Agent Assist traffic), higher value will be ignored and use default. Setting a value higher than that has no effect. A missing value or setting to 0 also means we use default TTL. When data retention configuration is changed, it only applies to the data created after the change; the TTL of existing data created before the change stays intact.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings","doc":"Settings for exporting audio.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings","doc":"*   `audioExportPattern` (*type:* `String.t`, *default:* `nil`) - Filename pattern for exported audio.\n*   `audioFormat` (*type:* `String.t`, *default:* `nil`) - File format for exported audio file. Currently only in telephony recordings.\n*   `enableAudioRedaction` (*type:* `boolean()`, *default:* `nil`) - Enable audio redaction if it is true. Note that this only redacts end-user audio data; Synthesised audio from the virtual agent is not redacted.\n*   `gcsBucket` (*type:* `String.t`, *default:* `nil`) - Cloud Storage bucket to export audio record to. Setting this field would grant the Storage Object Creator role to the Dialogflow Service Agent. API caller that tries to modify this field should have the permission of storage.buckets.setIamPolicy.\n*   `storeTtsAudio` (*type:* `boolean()`, *default:* `nil`) - Whether to store TTS audio. By default, TTS audio from the virtual agent is not exported.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings","doc":"Settings for exporting conversations to [Insights](https://cloud.google.com/contact-center/insights/docs).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings","doc":"*   `enableInsightsExport` (*type:* `boolean()`, *default:* `nil`) - If enabled, we will automatically exports conversations to Insights and Insights runs its analyzers.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SentimentAnalysisResult","doc":"The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SentimentAnalysisResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SentimentAnalysisResult","doc":"*   `magnitude` (*type:* `number()`, *default:* `nil`) - A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).\n*   `score` (*type:* `number()`, *default:* `nil`) - Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SentimentAnalysisResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SentimentAnalysisResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SentimentAnalysisResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SentimentAnalysisResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SentimentAnalysisResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType","doc":"Session entity types are referred to as **User** entity types and are entities that are built for an individual user such as favorites, preferences, playlists, and so on. You can redefine a session entity type at the session level to extend or replace a custom entity type at the user session level (we refer to the entity types defined at the agent level as \"custom entity types\"). Note: session entity types apply to all queries, regardless of the language. For more information about entity types, see the [Dialogflow documentation](https://cloud.google.com/dialogflow/docs/entities-overview).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType","doc":"*   `entities` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EntityTypeEntity.t)`, *default:* `nil`) - Required. The collection of entities to override or supplement the custom entity type.\n*   `entityOverrideMode` (*type:* `String.t`, *default:* `nil`) - Required. Indicates whether the additional data should override or supplement the custom entity type definition.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionEntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionInfo","doc":"Represents session information communicated to and from the webhook.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionInfo","doc":"*   `parameters` (*type:* `map()`, *default:* `nil`) - Optional for WebhookRequest. Optional for WebhookResponse. All parameters collected from forms and intents during the session. Parameters can be created, updated, or removed by the webhook. To remove a parameter from the session, the webhook should explicitly set the parameter value to null in WebhookResponse. The map is keyed by parameters' display names.\n*   `session` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the session. This field can be used by the webhook to identify a session. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/` if environment is specified.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SpeechToTextSettings","doc":"Settings related to speech recognition.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SpeechToTextSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SpeechToTextSettings","doc":"*   `enableSpeechAdaptation` (*type:* `boolean()`, *default:* `nil`) - Whether to use speech adaptation for speech recognition.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SpeechToTextSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SpeechToTextSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SpeechToTextSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SpeechToTextSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SpeechToTextSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StartExperimentRequest","doc":"The request message for Experiments.StartExperiment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StartExperimentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StartExperimentRequest","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StartExperimentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StartExperimentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StartExperimentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StartExperimentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StartExperimentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StopExperimentRequest","doc":"The request message for Experiments.StopExperiment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StopExperimentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StopExperimentRequest","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StopExperimentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StopExperimentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StopExperimentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StopExperimentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3StopExperimentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SubmitAnswerFeedbackRequest","doc":"The request to set the feedback for a bot answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SubmitAnswerFeedbackRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SubmitAnswerFeedbackRequest","doc":"*   `answerFeedback` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3AnswerFeedback.t`, *default:* `nil`) - Required. Feedback provided for a bot answer.\n*   `responseId` (*type:* `String.t`, *default:* `nil`) - Required. ID of the response to update its feedback. This is the same as DetectIntentResponse.response_id.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Optional. The mask to control which fields to update. If the mask is not present, all fields will be updated.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SubmitAnswerFeedbackRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SubmitAnswerFeedbackRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SubmitAnswerFeedbackRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SubmitAnswerFeedbackRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SubmitAnswerFeedbackRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SynthesizeSpeechConfig","doc":"Configuration of how speech should be synthesized.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SynthesizeSpeechConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SynthesizeSpeechConfig","doc":"*   `effectsProfileId` (*type:* `list(String.t)`, *default:* `nil`) - Optional. An identifier which selects 'audio effects' profiles that are applied on (post synthesized) text to speech. Effects are applied on top of each other in the order they are given.\n*   `pitch` (*type:* `float()`, *default:* `nil`) - Optional. Speaking pitch, in the range [-20.0, 20.0]. 20 means increase 20 semitones from the original pitch. -20 means decrease 20 semitones from the original pitch.\n*   `speakingRate` (*type:* `float()`, *default:* `nil`) - Optional. Speaking rate/speed, in the range [0.25, 4.0]. 1.0 is the normal native speed supported by the specific voice. 2.0 is twice as fast, and 0.5 is half as fast. If unset(0.0), defaults to the native 1.0 speed. Any other values < 0.25 or > 4.0 will return an error.\n*   `voice` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VoiceSelectionParams.t`, *default:* `nil`) - Optional. The desired voice of the synthesized audio.\n*   `volumeGainDb` (*type:* `float()`, *default:* `nil`) - Optional. Volume gain (in dB) of the normal native volume supported by the specific voice, in the range [-96.0, 16.0]. If unset, or set to a value of 0.0 (dB), will play at normal native signal amplitude. A value of -6.0 (dB) will play at approximately half the amplitude of the normal native signal amplitude. A value of +6.0 (dB) will play at approximately twice the amplitude of the normal native signal amplitude. We strongly recommend not to exceed +10 (dB) as there's usually no effective increase in loudness for any value greater than that.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SynthesizeSpeechConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SynthesizeSpeechConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SynthesizeSpeechConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SynthesizeSpeechConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SynthesizeSpeechConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase","doc":"Represents a test case.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase","doc":"*   `creationTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. When the test was created.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the test case, unique within the agent. Limit of 200 characters.\n*   `lastTestResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult.t`, *default:* `nil`) - The latest test result.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents//testCases/`.\n*   `notes` (*type:* `String.t`, *default:* `nil`) - Additional freeform notes about the test case. Limit of 400 characters.\n*   `tags` (*type:* `list(String.t)`, *default:* `nil`) - Tags are short descriptions that users may apply to test cases for organizational and filtering purposes. Each tag should start with \"#\" and has a limit of 30 characters.\n*   `testCaseConversationTurns` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurn.t)`, *default:* `nil`) - The conversation turns uttered when the test case was created, in chronological order. These include the canonical set of agent utterances that should occur when the agent is working properly.\n*   `testConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestConfig.t`, *default:* `nil`) - Config for the test case.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseError","doc":"Error info for importing a test.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseError","doc":"*   `status` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - The status associated with the test case.\n*   `testCase` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCase.t`, *default:* `nil`) - The test case.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult","doc":"Represents a result from running a test case in an agent environment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult","doc":"*   `conversationTurns` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ConversationTurn.t)`, *default:* `nil`) - The conversation turns uttered during the test case replay in chronological order.\n*   `environment` (*type:* `String.t`, *default:* `nil`) - Environment where the test was run. If not set, it indicates the draft environment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the test case result. Format: `projects//locations//agents//testCases//results/`.\n*   `testResult` (*type:* `String.t`, *default:* `nil`) - Whether the test case passed in the agent environment.\n*   `testTime` (*type:* `DateTime.t`, *default:* `nil`) - The time that the test was run.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestCaseResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestConfig","doc":"Represents configurations for a test case.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestConfig","doc":"*   `flow` (*type:* `String.t`, *default:* `nil`) - Flow name to start the test case with. Format: `projects//locations//agents//flows/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If neither is set, the test case will start with start page on the default start flow.\n*   `page` (*type:* `String.t`, *default:* `nil`) - The page to start the test case with. Format: `projects//locations//agents//flows//pages/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If neither is set, the test case will start with start page on the default start flow.\n*   `trackingParameters` (*type:* `list(String.t)`, *default:* `nil`) - Session parameters to be compared when calculating differences.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError","doc":"Error info for running a test.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError","doc":"*   `status` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - The status associated with the test.\n*   `testCase` (*type:* `String.t`, *default:* `nil`) - The test case resource name.\n*   `testTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp when the test was completed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestRunDifference","doc":"The description of differences between original and replayed agent output.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestRunDifference.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestRunDifference","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - A human readable description of the diff, showing the actual output vs expected output.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of diff.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestRunDifference.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestRunDifference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestRunDifference.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestRunDifference.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TestRunDifference.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextInput","doc":"Represents the natural language text to be processed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextInput","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The UTF-8 encoded natural language text to be processed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextToSpeechSettings","doc":"Settings related to speech synthesizing.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextToSpeechSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextToSpeechSettings","doc":"*   `synthesizeSpeechConfigs` (*type:* `%{optional(String.t) => GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SynthesizeSpeechConfig.t}`, *default:* `nil`) - Configuration of how speech should be synthesized, mapping from language (https://cloud.google.com/dialogflow/cx/docs/reference/language) to SynthesizeSpeechConfig. These settings affect: - The [phone gateway](https://cloud.google.com/dialogflow/cx/docs/concept/integration/phone-gateway) synthesize configuration set via Agent.text_to_speech_settings. - How speech is synthesized when invoking session APIs. Agent.text_to_speech_settings only applies if OutputAudioConfig.synthesize_speech_config is not specified.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextToSpeechSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextToSpeechSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextToSpeechSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextToSpeechSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TextToSpeechSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TrainFlowRequest","doc":"The request message for Flows.TrainFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TrainFlowRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TrainFlowRequest","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TrainFlowRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TrainFlowRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TrainFlowRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TrainFlowRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TrainFlowRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverage","doc":"Transition coverage represents the percentage of all possible page transitions (page-level transition routes and event handlers, excluding transition route groups) present within any of a parent's test cases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverage","doc":"*   `coverageScore` (*type:* `number()`, *default:* `nil`) - The percent of transitions in the agent that are covered.\n*   `transitions` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransition.t)`, *default:* `nil`) - The list of Transitions present in the agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransition","doc":"A transition in a page.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransition.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransition","doc":"*   `covered` (*type:* `boolean()`, *default:* `nil`) - Whether the transition is covered by at least one of the agent's test cases.\n*   `eventHandler` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3EventHandler.t`, *default:* `nil`) - Event handler.\n*   `index` (*type:* `integer()`, *default:* `nil`) - The index of a transition in the transition list. Starting from 0.\n*   `source` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode.t`, *default:* `nil`) - The start node of a transition.\n*   `target` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode.t`, *default:* `nil`) - The end node of a transition.\n*   `transitionRoute` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.t`, *default:* `nil`) - Intent route or condition route.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransition.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransition.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransition.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransition.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode","doc":"The source or target of a transition.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode","doc":"*   `flow` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Flow.t`, *default:* `nil`) - Indicates a transition to a Flow. Only some fields such as name and displayname will be set.\n*   `page` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Page.t`, *default:* `nil`) - Indicates a transition to a Page. Only some fields such as name and displayname will be set.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute","doc":"A transition route specifies a intent that can be matched and/or a data condition that can be evaluated during a session. When a specified transition is matched, the following actions are taken in order: * If there is a `trigger_fulfillment` associated with the transition, it will be called. * If there is a `target_page` associated with the transition, the session will transition into the specified page. * If there is a `target_flow` associated with the transition, the session will transition into the specified flow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute","doc":"*   `condition` (*type:* `String.t`, *default:* `nil`) - The condition to evaluate against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition). At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The description of the transition route. The maximum length is 500 characters.\n*   `intent` (*type:* `String.t`, *default:* `nil`) - The unique identifier of an Intent. Format: `projects//locations//agents//intents/`. Indicates that the transition can only happen when the given intent is matched. At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this transition route.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the condition is satisfied. At least one of `trigger_fulfillment` and `target` must be specified. When both are defined, `trigger_fulfillment` is executed first.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup","doc":"A TransitionRouteGroup represents a group of `TransitionRoutes` to be used by a Page.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the transition route group, unique within the flow. The display name can be no longer than 30 characters.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the transition route group. TransitionRouteGroups.CreateTransitionRouteGroup populates the name automatically. Format: `projects//locations//agents//flows//transitionRouteGroups/` .\n*   `transitionRoutes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.t)`, *default:* `nil`) - Transition routes associated with the TransitionRouteGroup.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage","doc":"Transition route group coverage represents the percentage of all possible transition routes present within any of a parent's test cases. The results are grouped by the transition route group.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage","doc":"*   `coverageScore` (*type:* `number()`, *default:* `nil`) - The percent of transition routes in all the transition route groups that are covered.\n*   `coverages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage.t)`, *default:* `nil`) - Transition route group coverages.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage","doc":"Coverage result message for one transition route group.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage","doc":"*   `coverageScore` (*type:* `number()`, *default:* `nil`) - The percent of transition routes in the transition route group that are covered.\n*   `routeGroup` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroup.t`, *default:* `nil`) - Transition route group metadata. Only name and displayName will be set.\n*   `transitions` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition.t)`, *default:* `nil`) - The list of transition routes and coverage in the transition route group.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition","doc":"A transition coverage in a transition route group.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition","doc":"*   `covered` (*type:* `boolean()`, *default:* `nil`) - Whether the transition route is covered by at least one of the agent's test cases.\n*   `transitionRoute` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRoute.t`, *default:* `nil`) - Intent route or condition route.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TurnSignals","doc":"Collection of all signals that were extracted for a single turn of the conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TurnSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TurnSignals","doc":"*   `agentEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether agent responded with LiveAgentHandoff fulfillment.\n*   `dtmfUsed` (*type:* `boolean()`, *default:* `nil`) - Whether user was using DTMF input.\n*   `failureReasons` (*type:* `list(String.t)`, *default:* `nil`) - Failure reasons of the turn.\n*   `noMatch` (*type:* `boolean()`, *default:* `nil`) - Whether NLU predicted NO_MATCH.\n*   `noUserInput` (*type:* `boolean()`, *default:* `nil`) - Whether user provided no input.\n*   `reachedEndPage` (*type:* `boolean()`, *default:* `nil`) - Whether turn resulted in End Session page.\n*   `sentimentMagnitude` (*type:* `number()`, *default:* `nil`) - Sentiment magnitude of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `sentimentScore` (*type:* `number()`, *default:* `nil`) - Sentiment score of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `userEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether user was specifically asking for a live agent.\n*   `webhookStatuses` (*type:* `list(String.t)`, *default:* `nil`) - Human-readable statuses of the webhooks triggered during this turn.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TurnSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TurnSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TurnSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TurnSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3TurnSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateAgentRequest","doc":"The request message for Agents.ValidateAgent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateAgentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateAgentRequest","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - If not specified, the agent's default language is used.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateAgentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateAgentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateAgentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateAgentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateAgentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateFlowRequest","doc":"The request message for Flows.ValidateFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateFlowRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateFlowRequest","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - If not specified, the agent's default language is used.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateFlowRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateFlowRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateFlowRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateFlowRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidateFlowRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidationMessage","doc":"Agent/flow validation message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidationMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidationMessage","doc":"*   `detail` (*type:* `String.t`, *default:* `nil`) - The message detail.\n*   `resourceNames` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResourceName.t)`, *default:* `nil`) - The resource names of the resources where the message is found.\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - The type of the resources where the message is found.\n*   `resources` (*type:* `list(String.t)`, *default:* `nil`) - The names of the resources where the message is found.\n*   `severity` (*type:* `String.t`, *default:* `nil`) - Indicates the severity of the message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidationMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidationMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidationMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidationMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ValidationMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VariantsHistory","doc":"The history of variants update.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VariantsHistory.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VariantsHistory","doc":"*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Update time of the variants.\n*   `versionVariants` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariants.t`, *default:* `nil`) - The flow versions as the variants.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VariantsHistory.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VariantsHistory.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VariantsHistory.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VariantsHistory.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VariantsHistory.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version","doc":"Represents a version of a flow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Create time of the version.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the version. The maximum length is 500 characters. If exceeded, the request is rejected.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the version. Limit of 64 characters.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Format: projects//locations//agents//flows//versions/. Version ID is a self-increasing number generated by Dialogflow upon version creation.\n*   `nluSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3NluSettings.t`, *default:* `nil`) - Output only. The NLU settings of the flow at version creation.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The state of this version. This field is read-only and cannot be set by create and update methods.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Version.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariants","doc":"A list of flow version variants.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariants.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariants","doc":"*   `variants` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariantsVariant.t)`, *default:* `nil`) - A list of flow version variants.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariants.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariants.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariants.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariants.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariants.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariantsVariant","doc":"A single flow version with specified traffic allocation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariantsVariant.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariantsVariant","doc":"*   `isControlGroup` (*type:* `boolean()`, *default:* `nil`) - Whether the variant is for the control group.\n*   `trafficAllocation` (*type:* `number()`, *default:* `nil`) - Percentage of the traffic which should be routed to this version of flow. Traffic allocation for a single flow must sum up to 1.0.\n*   `version` (*type:* `String.t`, *default:* `nil`) - The name of the flow version. Format: `projects//locations//agents//flows//versions/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariantsVariant.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariantsVariant.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariantsVariant.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariantsVariant.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VersionVariantsVariant.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VoiceSelectionParams","doc":"Description of which voice to use for speech synthesis.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VoiceSelectionParams.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VoiceSelectionParams","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and ssml_gender. For the list of available voices, please refer to [Supported voices and languages](https://cloud.google.com/text-to-speech/docs/voices).\n*   `ssmlGender` (*type:* `String.t`, *default:* `nil`) - Optional. The preferred gender of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and name. Note that this is only a preference, not requirement. If a voice of the appropriate gender is not available, the synthesizer substitutes a voice with a different gender rather than failing the request.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VoiceSelectionParams.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VoiceSelectionParams.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VoiceSelectionParams.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VoiceSelectionParams.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3VoiceSelectionParams.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook","doc":"Webhooks host the developer's business logic. During a session, webhooks allow the developer to use the data extracted by Dialogflow's natural language processing to generate dynamic responses, validate collected data, or trigger actions on the backend.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook","doc":"*   `disabled` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the webhook is disabled.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the webhook, unique within the agent.\n*   `genericWebService` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.t`, *default:* `nil`) - Configuration for a generic web service.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`.\n*   `serviceDirectory` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.t`, *default:* `nil`) - Configuration for a [Service Directory](https://cloud.google.com/service-directory) service.\n*   `timeout` (*type:* `String.t`, *default:* `nil`) - Webhook execution timeout. Execution is considered failed if Dialogflow doesn't receive a response from webhook at the end of the timeout period. Defaults to 5 seconds, maximum allowed timeout is 30 seconds.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3Webhook.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService","doc":"Represents configuration for a generic web service.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService","doc":"*   `allowedCaCerts` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Specifies a list of allowed custom CA certificates (in DER format) for HTTPS verification. This overrides the default SSL trust store. If this is empty or unspecified, Dialogflow will use Google's default trust store to verify certificates. N.B. Make sure the HTTPS server certificates are signed with \"subject alt name\". For instance a certificate can be self-signed using the following command, ``` openssl x509 -req -days 200 -in example.com.csr \\ -signkey example.com.key \\ -out example.com.crt \\ -extfile <(printf \"\\nsubjectAltName='DNS:www.example.com'\") ```\n*   `httpMethod` (*type:* `String.t`, *default:* `nil`) - Optional. HTTP method for the flexible webhook calls. Standard webhook always uses POST.\n*   `oauthConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.t`, *default:* `nil`) - Optional. The OAuth configuration of the webhook. If specified, Dialogflow will initiate the OAuth client credential flow to exchange an access token from the 3rd party platform and put it in the auth header.\n*   `parameterMapping` (*type:* `map()`, *default:* `nil`) - Optional. Maps the values extracted from specific fields of the flexible webhook response into session parameters. - Key: session parameter name - Value: field path in the webhook response\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for HTTP Basic authentication.\n*   `requestBody` (*type:* `String.t`, *default:* `nil`) - Optional. Defines a custom JSON object as request body to send to flexible webhook.\n*   `requestHeaders` (*type:* `map()`, *default:* `nil`) - The HTTP request headers to send together with webhook requests.\n*   `serviceAgentAuth` (*type:* `String.t`, *default:* `nil`) - Optional. Indicate the auth token type generated from the [Diglogflow service agent](https://cloud.google.com/iam/docs/service-agents#dialogflow-service-agent). The generated token is sent in the Authorization header.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The webhook URI for receiving POST requests. It must use https protocol.\n*   `username` (*type:* `String.t`, *default:* `nil`) - The user name for HTTP Basic authentication.\n*   `webhookType` (*type:* `String.t`, *default:* `nil`) - Optional. Type of the webhook.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig","doc":"Represents configuration of OAuth client credential flow for 3rd party API authentication.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig","doc":"*   `clientId` (*type:* `String.t`, *default:* `nil`) - Required. The client ID provided by the 3rd party platform.\n*   `clientSecret` (*type:* `String.t`, *default:* `nil`) - Required. The client secret provided by the 3rd party platform.\n*   `scopes` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The OAuth scopes to grant.\n*   `tokenEndpoint` (*type:* `String.t`, *default:* `nil`) - Required. The token endpoint provided by the 3rd party platform to exchange an access token.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebServiceOAuthConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequest","doc":"The request message for a webhook call. The request is sent as a JSON object and the field names will be presented in camel cases. You may see undocumented fields in an actual request. These fields are used internally by Dialogflow and should be ignored.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequest","doc":"*   `detectIntentResponseId` (*type:* `String.t`, *default:* `nil`) - Always present. The unique identifier of the DetectIntentResponse that will be returned to the API caller.\n*   `dtmfDigits` (*type:* `String.t`, *default:* `nil`) - If DTMF was provided as input, this field will contain the DTMF digits.\n*   `fulfillmentInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.t`, *default:* `nil`) - Always present. Information about the fulfillment that triggered this webhook call.\n*   `intentInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.t`, *default:* `nil`) - Information about the last matched intent.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language code specified in the original request.\n*   `languageInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3LanguageInfo.t`, *default:* `nil`) - Information about the language of the request.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user. Webhook can choose to append or replace this list in WebhookResponse.fulfillment_response;\n*   `pageInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfo.t`, *default:* `nil`) - Information about page status.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Custom data set in QueryParameters.payload.\n*   `sentimentAnalysisResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.t`, *default:* `nil`) - The sentiment analysis result of the current user request. The field is filled when sentiment analysis is configured to be enabled for the request.\n*   `sessionInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionInfo.t`, *default:* `nil`) - Information about session status.\n*   `text` (*type:* `String.t`, *default:* `nil`) - If natural language text was provided as input, this field will contain a copy of the text.\n*   `transcript` (*type:* `String.t`, *default:* `nil`) - If natural language speech audio was provided as input, this field will contain the transcript for the audio.\n*   `triggerEvent` (*type:* `String.t`, *default:* `nil`) - If an event was provided as input, this field will contain the name of the event.\n*   `triggerIntent` (*type:* `String.t`, *default:* `nil`) - If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo","doc":"Represents fulfillment information communicated to the webhook.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo","doc":"*   `tag` (*type:* `String.t`, *default:* `nil`) - Always present. The value of the Fulfillment.tag field will be populated in this field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo","doc":"Represents intent information communicated to the webhook.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo","doc":"*   `confidence` (*type:* `number()`, *default:* `nil`) - The confidence of the matched intent. Values range from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present. The display name of the last matched intent.\n*   `lastMatchedIntent` (*type:* `String.t`, *default:* `nil`) - Always present. The unique identifier of the last matched intent. Format: `projects//locations//agents//intents/`.\n*   `parameters` (*type:* `%{optional(String.t) => GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.t}`, *default:* `nil`) - Parameters identified as a result of intent matching. This is a map of the name of the identified parameter to the value of the parameter identified from the user's utterance. All parameters defined in the matched intent that are identified will be surfaced here.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue","doc":"Represents a value for an intent parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue","doc":"*   `originalValue` (*type:* `String.t`, *default:* `nil`) - Always present. Original text value extracted from user utterance.\n*   `resolvedValue` (*type:* `any()`, *default:* `nil`) - Always present. Structured value for the parameter extracted from user utterance.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult","doc":"Represents the result of sentiment analysis.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult","doc":"*   `magnitude` (*type:* `number()`, *default:* `nil`) - A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).\n*   `score` (*type:* `number()`, *default:* `nil`) - Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponse","doc":"The response message for a webhook call.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponse","doc":"*   `fulfillmentResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.t`, *default:* `nil`) - The fulfillment response to send to the user. This field can be omitted by the webhook if it does not intend to send any response to the user.\n*   `pageInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3PageInfo.t`, *default:* `nil`) - Information about page status. This field can be omitted by the webhook if it does not intend to modify page status.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Value to append directly to QueryResult.webhook_payloads.\n*   `sessionInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3SessionInfo.t`, *default:* `nil`) - Information about session status. This field can be omitted by the webhook if it does not intend to modify session status.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse","doc":"Represents a fulfillment response to the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse","doc":"*   `mergeBehavior` (*type:* `String.t`, *default:* `nil`) - Merge behavior for `messages`.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig","doc":"Represents configuration for a [Service Directory](https://cloud.google.com/service-directory) service.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig","doc":"*   `genericWebService` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookGenericWebService.t`, *default:* `nil`) - Generic Service configuration of this webhook.\n*   `service` (*type:* `String.t`, *default:* `nil`) - Required. The name of [Service Directory](https://cloud.google.com/service-directory) service. Format: `projects//locations//namespaces//services/`. `Location ID` of the service directory must be the same as the location of the agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings","doc":"Hierarchical advanced settings for agent/flow/page/fulfillment/parameter. Settings exposed at lower level overrides the settings exposed at higher level. Overriding occurs at the sub-setting level. For example, the playback_interruption_settings at fulfillment level only overrides the playback_interruption_settings at the agent level, leaving other settings at the agent level unchanged. DTMF settings does not override each other. DTMF settings set at different levels define DTMF detections running in parallel. Hierarchy: Agent->Flow->Page->Fulfillment/Parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings","doc":"*   `audioExportGcsDestination` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.t`, *default:* `nil`) - If present, incoming audio is exported by Dialogflow to the configured Google Cloud Storage destination. Exposed at the following levels: - Agent level - Flow level\n*   `dtmfSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.t`, *default:* `nil`) - Settings for DTMF. Exposed at the following levels: - Agent level - Flow level - Page level - Parameter level.\n*   `loggingSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.t`, *default:* `nil`) - Settings for logging. Settings for Dialogflow History, Contact Center messages, StackDriver logs, and speech logging. Exposed at the following levels: - Agent level.\n*   `speechSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.t`, *default:* `nil`) - Settings for speech to text detection. Exposed at the following levels: - Agent level - Flow level - Page level - Parameter level","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings","doc":"Define behaviors for DTMF (dual tone multi frequency).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings","doc":"*   `enabled` (*type:* `boolean()`, *default:* `nil`) - If true, incoming audio is processed for DTMF (dual tone multi frequency) events. For example, if the caller presses a button on their telephone keypad and DTMF processing is enabled, Dialogflow will detect the event (e.g. a \"3\" was pressed) in the incoming audio and pass the event to the bot to drive business logic (e.g. when 3 is pressed, return the account balance).\n*   `endpointingTimeoutDuration` (*type:* `String.t`, *default:* `nil`) - Endpoint timeout setting for matching dtmf input to regex.\n*   `finishDigit` (*type:* `String.t`, *default:* `nil`) - The digit that terminates a DTMF digit sequence.\n*   `interdigitTimeoutDuration` (*type:* `String.t`, *default:* `nil`) - Interdigit timeout setting for matching dtmf input to regex.\n*   `maxDigits` (*type:* `integer()`, *default:* `nil`) - Max length of DTMF digits.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsDtmfSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings","doc":"Define behaviors on logging.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings","doc":"*   `enableConsentBasedRedaction` (*type:* `boolean()`, *default:* `nil`) - Enables consent-based end-user input redaction, if true, a pre-defined session parameter `$session.params.conversation-redaction` will be used to determine if the utterance should be redacted.\n*   `enableInteractionLogging` (*type:* `boolean()`, *default:* `nil`) - Enables DF Interaction logging.\n*   `enableStackdriverLogging` (*type:* `boolean()`, *default:* `nil`) - Enables Google Cloud Logging.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings","doc":"Define behaviors of speech to text detection.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings","doc":"*   `endpointerSensitivity` (*type:* `integer()`, *default:* `nil`) - Sensitivity of the speech model that detects the end of speech. Scale from 0 to 100.\n*   `models` (*type:* `map()`, *default:* `nil`) - Mapping from language to Speech-to-Text model. The mapped Speech-to-Text model will be selected for requests from its corresponding language. For more information, see [Speech models](https://cloud.google.com/dialogflow/cx/docs/concept/speech-models).\n*   `noSpeechTimeout` (*type:* `String.t`, *default:* `nil`) - Timeout before detecting no speech.\n*   `useTimeoutBasedEndpointing` (*type:* `boolean()`, *default:* `nil`) - Use timeout based endpointing, interpreting endpointer sensitivy as seconds of timeout value.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettingsSpeechSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AudioInput","doc":"Represents the natural speech audio to be processed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AudioInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AudioInput","doc":"*   `audio` (*type:* `String.t`, *default:* `nil`) - The natural language speech audio to be processed. A single request can contain up to 2 minutes of speech audio data. The transcribed text cannot contain more than 256 bytes. For non-streaming audio detect intent, both `config` and `audio` must be provided. For streaming audio detect intent, `config` must be provided in the first request and `audio` must be provided in all following requests.\n*   `config` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.t`, *default:* `nil`) - Required. Instructs the speech recognizer how to process the speech audio.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AudioInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AudioInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AudioInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AudioInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AudioInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig","doc":"Configuration of the barge-in behavior. Barge-in instructs the API to return a detected utterance at a proper time while the client is playing back the response audio from a previous request. When the client sees the utterance, it should stop the playback and immediately get ready for receiving the responses for the current request. The barge-in handling requires the client to start streaming audio input as soon as it starts playing back the audio from the previous response. The playback is modeled into two phases: * No barge-in phase: which goes first and during which speech detection should not be carried out. * Barge-in phase: which follows the no barge-in phase and during which the API starts speech detection and may inform the client that an utterance has been detected. Note that no-speech event is not expected in this phase. The client provides this configuration in terms of the durations of those two phases. The durations are measured in terms of the audio length from the start of the input audio. No-speech event is a response with END_OF_UTTERANCE without any transcript following up.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig","doc":"*   `noBargeInDuration` (*type:* `String.t`, *default:* `nil`) - Duration that is not eligible for barge-in at the beginning of the input audio.\n*   `totalDuration` (*type:* `String.t`, *default:* `nil`) - Total duration for the playback at the beginning of the input audio.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata","doc":"Metadata returned for the TestCases.BatchRunTestCases long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError.t)`, *default:* `nil`) - The test errors.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse","doc":"The response message for TestCases.BatchRunTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse","doc":"*   `results` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.t)`, *default:* `nil`) - The test case results. The detailed conversation turns are empty in this response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult","doc":"Represents a result from running a test case in an agent environment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the continuous test result. Format: `projects//locations//agents//environments//continuousTestResults/`.\n*   `result` (*type:* `String.t`, *default:* `nil`) - The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not.\n*   `runTime` (*type:* `DateTime.t`, *default:* `nil`) - Time when the continuous testing run starts.\n*   `testCaseResults` (*type:* `list(String.t)`, *default:* `nil`) - A list of individual test case results names in this continuous test run.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals","doc":"This message is used to hold all the Conversation Signals data, which will be converted to JSON and exported to BigQuery.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals","doc":"*   `turnSignals` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.t`, *default:* `nil`) - Required. Turn signals for the current turn.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn","doc":"One interaction between a human and virtual agent. The human provides some input and the virtual agent provides a response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn","doc":"*   `userInput` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.t`, *default:* `nil`) - The user input.\n*   `virtualAgentOutput` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.t`, *default:* `nil`) - The virtual agent output.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput","doc":"The input from the human user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput","doc":"*   `enableSentimentAnalysis` (*type:* `boolean()`, *default:* `nil`) - Whether sentiment analysis is enabled.\n*   `injectedParameters` (*type:* `map()`, *default:* `nil`) - Parameters that need to be injected into the conversation during intent detection.\n*   `input` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1QueryInput.t`, *default:* `nil`) - Supports text input, event input, dtmf input in the test case.\n*   `isWebhookEnabled` (*type:* `boolean()`, *default:* `nil`) - If webhooks should be allowed to trigger in response to the user utterance. Often if parameters are injected, webhooks should not be enabled.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput","doc":"The output from the virtual agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput","doc":"*   `currentPage` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Page.t`, *default:* `nil`) - The Page on which the utterance was spoken. Only name and displayName will be set.\n*   `diagnosticInfo` (*type:* `map()`, *default:* `nil`) - Required. Input only. The diagnostic info output for the turn. Required to calculate the testing coverage.\n*   `differences` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.t)`, *default:* `nil`) - Output only. If this is part of a result conversation turn, the list of differences between the original run and the replay for this output, if any.\n*   `sessionParameters` (*type:* `map()`, *default:* `nil`) - The session parameters available to the bot at this point.\n*   `status` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - Response error from the agent in the test result. If set, other output is empty.\n*   `textResponses` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.t)`, *default:* `nil`) - The text responses from the agent for the turn.\n*   `triggeredIntent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Intent.t`, *default:* `nil`) - The Intent that triggered the response. Only name and displayName will be set.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata","doc":"Metadata associated with the long running operation for Versions.CreateVersion.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata","doc":"*   `version` (*type:* `String.t`, *default:* `nil`) - Name of the created version. Format: `projects//locations//agents//flows//versions/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection","doc":"A data store connection. It represents a data store in Discovery Engine and the type of the contents it contains.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection","doc":"*   `dataStore` (*type:* `String.t`, *default:* `nil`) - The full name of the referenced data store. Formats: `projects/{project}/locations/{location}/collections/{collection}/dataStores/{data_store}` `projects/{project}/locations/{location}/dataStores/{data_store}`\n*   `dataStoreType` (*type:* `String.t`, *default:* `nil`) - The type of the connected data store.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata","doc":"Metadata returned for the Environments.DeployFlow long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata","doc":"*   `testErrors` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError.t)`, *default:* `nil`) - Errors of running deployment tests.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse","doc":"The response message for Environments.DeployFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse","doc":"*   `deployment` (*type:* `String.t`, *default:* `nil`) - The name of the flow version deployment. Format: `projects//locations//agents//environments//deployments/`.\n*   `environment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Environment.t`, *default:* `nil`) - The updated environment where the flow is deployed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DeployFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DtmfInput","doc":"Represents the input for dtmf event.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DtmfInput","doc":"*   `digits` (*type:* `String.t`, *default:* `nil`) - The dtmf digits.\n*   `finishDigit` (*type:* `String.t`, *default:* `nil`) - The finish digit (if any).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Environment","doc":"Represents an environment for an agent. You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for testing, development, production, etc.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Environment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Environment","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - The human-readable description of the environment. The maximum length is 500 characters. If exceeded, the request is rejected.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the environment (unique in an agent). Limit of 64 characters.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The name of the environment. Format: `projects//locations//agents//environments/`.\n*   `testCasesConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.t`, *default:* `nil`) - The test cases config for continuous tests of this environment.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Update time of this environment.\n*   `versionConfigs` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.t)`, *default:* `nil`) - A list of configurations for flow versions. You should include version configs for all flows that are reachable from `Start Flow` in the agent. Otherwise, an error will be returned.\n*   `webhookConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.t`, *default:* `nil`) - The webhook configuration for this environment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Environment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Environment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Environment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Environment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Environment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig","doc":"The configuration for continuous tests.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig","doc":"*   `enableContinuousRun` (*type:* `boolean()`, *default:* `nil`) - Whether to run test cases in TestCasesConfig.test_cases periodically. Default false. If set to true, run once a day.\n*   `enablePredeploymentRun` (*type:* `boolean()`, *default:* `nil`) - Whether to run test cases in TestCasesConfig.test_cases before deploying a flow version to the environment. Default false.\n*   `testCases` (*type:* `list(String.t)`, *default:* `nil`) - A list of test case names to run. They should be under the same agent. Format of each test case name: `projects//locations//agents//testCases/`","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig","doc":"Configuration for the version.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig","doc":"*   `version` (*type:* `String.t`, *default:* `nil`) - Required. Both flow and playbook versions are supported. Format for flow version: projects//locations//agents//flows//versions/. Format for playbook version: projects//locations//agents//playbooks//versions/.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig","doc":"Configuration for webhooks.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig","doc":"*   `webhookOverrides` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Webhook.t)`, *default:* `nil`) - The list of webhooks to override for the agent environment. The webhook must exist in the agent. You can override fields in `generic_web_service` and `service_directory`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventHandler","doc":"An event handler specifies an event that can be handled during a session. When the specified event happens, the following actions are taken in order: * If there is a `trigger_fulfillment` associated with the event, it will be called. * If there is a `target_page` associated with the event, the session will transition into the specified page. * If there is a `target_flow` associated with the event, the session will transition into the specified flow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventHandler.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventHandler","doc":"*   `event` (*type:* `String.t`, *default:* `nil`) - Required. The name of the event to handle.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this event handler.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `targetPlaybook` (*type:* `String.t`, *default:* `nil`) - The target playbook to transition to. Format: `projects//locations//agents//playbooks/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the event occurs. Handling webhook errors with a fulfillment enabled with webhook could cause infinite loop. It is invalid to specify such fulfillment for a handler handling webhooks.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventHandler.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventHandler.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventHandler.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventHandler.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventHandler.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventInput","doc":"Represents the event to trigger.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventInput","doc":"*   `event` (*type:* `String.t`, *default:* `nil`) - Name of the event.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse","doc":"The response message for Agents.ExportAgent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for agent. This field is populated if none of `agent_uri` and `git_destination` are specified in ExportAgentRequest.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported agent. This field is populated if `agent_uri` is specified in ExportAgentRequest.\n*   `commitSha` (*type:* `String.t`, *default:* `nil`) - Commit SHA of the git push. This field is populated if `git_destination` is specified in ExportAgentRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportAgentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata","doc":"Metadata returned for the EntityTypes.ExportEntityTypes long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse","doc":"The response message for EntityTypes.ExportEntityTypes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse","doc":"*   `entityTypesContent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.t`, *default:* `nil`) - Uncompressed byte content for entity types. This field is populated only if `entity_types_content_inline` is set to true in ExportEntityTypesRequest.\n*   `entityTypesUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported entity types. This field is populated only if `entity_types_uri` is specified in ExportEntityTypesRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse","doc":"The response message for Flows.ExportFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse","doc":"*   `flowContent` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for flow.\n*   `flowUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported flow. This field is populated only if `flow_uri` is specified in ExportFlowRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata","doc":"Metadata returned for the Intents.ExportIntents long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse","doc":"The response message for Intents.ExportIntents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse","doc":"*   `intentsContent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.t`, *default:* `nil`) - Uncompressed byte content for intents. This field is populated only if `intents_content_inline` is set to true in ExportIntentsRequest.\n*   `intentsUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported intents. This field is populated only if `intents_uri` is specified in ExportIntentsRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata","doc":"Metadata returned for the TestCases.ExportTestCases long running operation. This message currently has no fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse","doc":"The response message for TestCases.ExportTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Uncompressed raw byte content for test cases.\n*   `gcsUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported test cases. This field is populated only if `gcs_uri` is specified in ExportTestCasesRequest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Form","doc":"A form is a data model that groups related parameters that can be collected from the user. The process in which the agent prompts the user and collects parameter values from the user is called form filling. A form can be added to a page. When form filling is done, the filled parameters will be written to the session.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Form.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Form","doc":"*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameter.t)`, *default:* `nil`) - Parameters to collect from the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Form.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Form.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Form.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Form.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Form.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameter","doc":"Represents a form parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameter","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this parameter. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `defaultValue` (*type:* `any()`, *default:* `nil`) - The default value of an optional parameter. If the parameter is required, the default value will be ignored.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the parameter, unique within the form.\n*   `entityType` (*type:* `String.t`, *default:* `nil`) - Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.\n*   `fillBehavior` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.t`, *default:* `nil`) - Required. Defines fill behavior for the parameter.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter represents a list of values.\n*   `redact` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.\n*   `required` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior","doc":"Configuration for how the filling of a parameter should be handled.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior","doc":"*   `initialPromptFulfillment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t`, *default:* `nil`) - Required. The fulfillment to provide the initial prompt that the agent can present to the user in order to fill the parameter.\n*   `repromptEventHandlers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventHandler.t)`, *default:* `nil`) - The handlers for parameter-level events, used to provide reprompt for the parameter or transition to a different page/flow. The supported events are: * `sys.no-match-`, where N can be from 1 to 6 * `sys.no-match-default` * `sys.no-input-`, where N can be from 1 to 6 * `sys.no-input-default` * `sys.invalid-parameter` `initial_prompt_fulfillment` provides the first prompt for the parameter. If the user's response does not fill the parameter, a no-match/no-input event will be triggered, and the fulfillment associated with the `sys.no-match-1`/`sys.no-input-1` handler (if defined) will be called to provide a prompt. The `sys.no-match-2`/`sys.no-input-2` handler (if defined) will respond to the next no-match/no-input event, and so on. A `sys.no-match-default` or `sys.no-input-default` handler will be used to handle all following no-match/no-input events after all numbered no-match/no-input handlers for the parameter are consumed. A `sys.invalid-parameter` handler can be defined to handle the case where the parameter values have been `invalidated` by webhook. For example, if the user's response fill the parameter, however the parameter was invalidated by webhook, the fulfillment associated with the `sys.invalid-parameter` handler (if defined) will be called to provide a prompt. If the event handler for the corresponding event can't be found on the parameter, `initial_prompt_fulfillment` will be re-prompted.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment","doc":"A fulfillment can do one or more of the following actions at the same time: * Generate rich message responses. * Set parameter values. * Call the webhook. Fulfillments can be called at various stages in the Page or Form lifecycle. For example, when a DetectIntentRequest drives a session to enter a new page, the page's entry fulfillment can add a static response to the QueryResult in the returning DetectIntentResponse, call the webhook (for example, to load user data from a database), or both.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this fulfillment. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `conditionalCases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.t)`, *default:* `nil`) - Conditional cases for this fulfillment.\n*   `enableGenerativeFallback` (*type:* `boolean()`, *default:* `nil`) - If the flag is true, the agent will utilize LLM to generate a text response. If LLM generation fails, the defined responses in the fulfillment will be respected. This flag is only useful for fulfillments associated with no-match event handlers.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user.\n*   `returnPartialResponses` (*type:* `boolean()`, *default:* `nil`) - Whether Dialogflow should return currently queued fulfillment response messages in streaming APIs. If a webhook is specified, it happens before Dialogflow invokes webhook. Warning: 1) This flag only affects streaming API. Responses are still queued and returned once in non-streaming API. 2) The flag can be enabled in any fulfillment but only the first 3 partial responses will be returned. You may only want to apply it to fulfillments that have slow webhooks.\n*   `setParameterActions` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.t)`, *default:* `nil`) - Set parameter values before executing the webhook.\n*   `tag` (*type:* `String.t`, *default:* `nil`) - The value of this field will be populated in the WebhookRequest `fulfillmentInfo.tag` field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes. This field is required if `webhook` is specified.\n*   `webhook` (*type:* `String.t`, *default:* `nil`) - The webhook to call. Format: `projects//locations//agents//webhooks/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases","doc":"A list of cascading if-else conditions. Cases are mutually exclusive. The first one with a matching condition is selected, all the rest ignored.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases","doc":"*   `cases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.t)`, *default:* `nil`) - A list of cascading if-else conditions.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase","doc":"Each case has a Boolean condition. When it is evaluated to be True, the corresponding messages will be selected and evaluated recursively.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase","doc":"*   `caseContent` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.t)`, *default:* `nil`) - A list of case content.\n*   `condition` (*type:* `String.t`, *default:* `nil`) - The condition to activate and select this case. Empty means the condition is always true. The condition is evaluated against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent","doc":"The list of messages or conditional cases to activate for this case.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent","doc":"*   `additionalCases` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases.t`, *default:* `nil`) - Additional cases to be evaluated.\n*   `message` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.t`, *default:* `nil`) - Returned message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction","doc":"Setting a parameter value.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction","doc":"*   `parameter` (*type:* `String.t`, *default:* `nil`) - Display name of the parameter.\n*   `value` (*type:* `any()`, *default:* `nil`) - The new value of the parameter. A null value clears the parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1GcsDestination","doc":"Google Cloud Storage location for a Dialogflow operation that writes or exports objects (e.g. exported agent or transcripts) outside of Dialogflow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1GcsDestination","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The Google Cloud Storage URI for the exported objects. A URI is of the form: `gs://bucket/object-name-or-prefix` Whether a full object name, or just a prefix, its usage depends on the Dialogflow operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1GcsDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata","doc":"Metadata returned for the EntityTypes.ImportEntityTypes long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse","doc":"The response message for EntityTypes.ImportEntityTypes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse","doc":"*   `conflictingResources` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.t`, *default:* `nil`) - Info which resources have conflicts when REPORT_CONFLICT merge_option is set in ImportEntityTypesRequest.\n*   `entityTypes` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifier of the imported entity types. Format: `projects//locations//agents//entity_types/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources","doc":"Conflicting resources detected during the import process. Only filled when REPORT_CONFLICT is set in the request and there are conflicts in the display names.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources","doc":"*   `entityDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entities.\n*   `entityTypeDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entity types.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportEntityTypesResponseConflictingResources.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse","doc":"The response message for Flows.ImportFlow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse","doc":"*   `flow` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the new flow. Format: `projects//locations//agents//flows/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportFlowResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata","doc":"Metadata returned for the Intents.ImportIntents long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse","doc":"The response message for Intents.ImportIntents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse","doc":"*   `conflictingResources` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.t`, *default:* `nil`) - Info which resources have conflicts when REPORT_CONFLICT merge_option is set in ImportIntentsRequest.\n*   `intents` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifier of the imported intents. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources","doc":"Conflicting resources detected during the import process. Only filled when REPORT_CONFLICT is set in the request and there are conflicts in the display names.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources","doc":"*   `entityDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting entities.\n*   `intentDisplayNames` (*type:* `list(String.t)`, *default:* `nil`) - Display names of conflicting intents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportIntentsResponseConflictingResources.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata","doc":"Metadata returned for the TestCases.ImportTestCases long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.t)`, *default:* `nil`) - Errors for failed test cases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse","doc":"The response message for TestCases.ImportTestCases.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse","doc":"*   `names` (*type:* `list(String.t)`, *default:* `nil`) - The unique identifiers of the new test cases. Format: `projects//locations//agents//testCases/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InlineDestination","doc":"Inline destination for a Dialogflow operation that writes or exports objects (e.g. intents) outside of Dialogflow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InlineDestination","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Output only. The uncompressed byte content for the objects. Only populated in responses.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InlineDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig","doc":"Instructs the speech recognizer on how to process the audio content.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig","doc":"*   `audioEncoding` (*type:* `String.t`, *default:* `nil`) - Required. Audio encoding of the audio content to process.\n*   `bargeInConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1BargeInConfig.t`, *default:* `nil`) - Configuration of barge-in behavior during the streaming of input audio.\n*   `enableWordInfo` (*type:* `boolean()`, *default:* `nil`) - Optional. If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.\n*   `model` (*type:* `String.t`, *default:* `nil`) - Optional. Which Speech model to select for the given request. For more information, see [Speech models](https://cloud.google.com/dialogflow/cx/docs/concept/speech-models).\n*   `modelVariant` (*type:* `String.t`, *default:* `nil`) - Optional. Which variant of the Speech model to use.\n*   `optOutConformerModelMigration` (*type:* `boolean()`, *default:* `nil`) - If `true`, the request will opt out for STT conformer model migration. This field will be deprecated once force migration takes place in June 2024. Please refer to [Dialogflow CX Speech model migration](https://cloud.google.com/dialogflow/cx/docs/concept/speech-model-migration).\n*   `phraseHints` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.\n*   `sampleRateHertz` (*type:* `integer()`, *default:* `nil`) - Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details.\n*   `singleUtterance` (*type:* `boolean()`, *default:* `nil`) - Optional. If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1InputAudioConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Intent","doc":"An intent represents a user's intent to interact with a conversational agent. You can provide information for the Dialogflow API to use to match user input to an intent by adding training phrases (i.e., examples of user input) to your intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Intent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Intent","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the intent, unique within the agent.\n*   `isFallback` (*type:* `boolean()`, *default:* `nil`) - Indicates whether this is a fallback intent. Currently only default fallback intent is allowed in the agent, which is added upon agent creation. Adding training phrases to fallback intent is useful in the case of requests that are mistakenly matched, since training phrases assigned to fallback intents act as negative examples that triggers no-match event.\n*   `labels` (*type:* `map()`, *default:* `nil`) - The key/value metadata to label an intent. Labels can contain lowercase letters, digits and the symbols '-' and '_'. International characters are allowed, including letters from unicase alphabets. Keys must start with a letter. Keys and values can be no longer than 63 characters and no more than 128 bytes. Prefix \"sys-\" is reserved for Dialogflow defined labels. Currently allowed Dialogflow defined labels include: * sys-head * sys-contextual The above labels do not require value. \"sys-head\" means the intent is a head intent. \"sys-contextual\" means the intent is a contextual intent.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`.\n*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.t)`, *default:* `nil`) - The collection of parameters associated with the intent.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.\n*   `trainingPhrases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.t)`, *default:* `nil`) - The collection of training phrases the agent is trained on to identify the intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Intent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Intent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Intent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Intent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Intent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentInput","doc":"Represents the intent to trigger programmatically rather than as a result of natural language processing.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentInput","doc":"*   `intent` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the intent. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentParameter","doc":"Represents an intent parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentParameter","doc":"*   `entityType` (*type:* `String.t`, *default:* `nil`) - Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.\n*   `id` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the parameter. This field is used by training phrases to annotate their parts.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter represents a list of values.\n*   `redact` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase","doc":"Represents an example that the agent is trained on to identify the intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of the training phrase.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.t)`, *default:* `nil`) - Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `parameter_id` field is set.\n*   `repeatCount` (*type:* `integer()`, *default:* `nil`) - Indicates how many times this example was added to the intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart","doc":"Represents a part of a training phrase.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart","doc":"*   `parameterId` (*type:* `String.t`, *default:* `nil`) - The parameter used to annotate this part of the training phrase. This field is required for annotated parts of the training phrase.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The text for this part.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings","doc":"The Knowledge Connector settings for this page or flow. This includes information such as the attached Knowledge Bases, and the way to execute fulfillment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings","doc":"*   `dataStoreConnections` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DataStoreConnection.t)`, *default:* `nil`) - Optional. List of related data store connections.\n*   `enabled` (*type:* `boolean()`, *default:* `nil`) - Whether Knowledge Connector is enabled or not.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t`, *default:* `nil`) - The fulfillment to be triggered. When the answers from the Knowledge Connector are selected by Dialogflow, you can utitlize the request scoped parameter `$request.knowledge.answers` (contains up to the 5 highest confidence answers) and `$request.knowledge.questions` (contains the corresponding questions) to construct the fulfillment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo","doc":"Represents the language information of the request.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo","doc":"*   `confidenceScore` (*type:* `number()`, *default:* `nil`) - The confidence score of the detected language between 0 and 1.\n*   `inputLanguageCode` (*type:* `String.t`, *default:* `nil`) - The language code specified in the original request.\n*   `resolvedLanguageCode` (*type:* `String.t`, *default:* `nil`) - The language code detected for this request based on the user conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Page","doc":"A Dialogflow CX conversation (session) can be described and visualized as a state machine. The states of a CX session are represented by pages. For each flow, you define many pages, where your combined pages can handle a complete conversation on the topics the flow is designed for. At any given moment, exactly one page is the current page, the current page is considered active, and the flow associated with that page is considered active. Every flow has a special start page. When a flow initially becomes active, the start page page becomes the current page. For each conversational turn, the current page will either stay the same or transition to another page. You configure each page to collect information from the end-user that is relevant for the conversational state represented by the page. For more information, see the [Page guide](https://cloud.google.com/dialogflow/cx/docs/concept/page).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Page.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Page","doc":"*   `advancedSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AdvancedSettings.t`, *default:* `nil`) - Hierarchical advanced settings for this page. The settings exposed at the lower level overrides the settings exposed at the higher level.\n*   `description` (*type:* `String.t`, *default:* `nil`) - The description of the page. The maximum length is 500 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the page, unique within the flow.\n*   `entryFulfillment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the session is entering the page.\n*   `eventHandlers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventHandler.t)`, *default:* `nil`) - Handlers associated with the page to handle events such as webhook errors, no match or no input.\n*   `form` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Form.t`, *default:* `nil`) - The form associated with the page, used for collecting parameters relevant to the page.\n*   `knowledgeConnectorSettings` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1KnowledgeConnectorSettings.t`, *default:* `nil`) - Optional. Knowledge connector configuration.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`.\n*   `transitionRouteGroups` (*type:* `list(String.t)`, *default:* `nil`) - Ordered list of `TransitionRouteGroups` added to the page. Transition route groups must be unique within a page. If the page links both flow-level transition route groups and agent-level transition route groups, the flow-level ones will have higher priority and will be put before the agent-level ones. * If multiple transition routes within a page scope refer to the same intent, then the precedence order is: page's transition route -> page's transition route group -> flow's transition routes. * If multiple transition route groups within a page contain the same intent, then the first group in the ordered list takes precedence. Format:`projects//locations//agents//flows//transitionRouteGroups/` or `projects//locations//agents//transitionRouteGroups/` for agent-level groups.\n*   `transitionRoutes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.t)`, *default:* `nil`) - A list of transitions for the transition rules of this page. They route the conversation to another page in the same flow, or another flow. When we are in a certain page, the TransitionRoutes are evalauted in the following order: * TransitionRoutes defined in the page with intent specified. * TransitionRoutes defined in the transition route groups with intent specified. * TransitionRoutes defined in flow with intent specified. * TransitionRoutes defined in the transition route groups with intent specified. * TransitionRoutes defined in the page with only condition specified. * TransitionRoutes defined in the transition route groups with only condition specified.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Page.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Page.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Page.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Page.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Page.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfo","doc":"Represents page information communicated to and from the webhook.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfo","doc":"*   `currentPage` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the current page. Format: `projects//locations//agents//flows//pages/`.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The display name of the current page.\n*   `formInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.t`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. Information about the form.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo","doc":"Represents form information.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo","doc":"*   `parameterInfo` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.t)`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. The parameters contained in the form. Note that the webhook cannot add or remove any form parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo","doc":"Represents parameter information.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Required for WebhookResponse. The human-readable name of the parameter, unique within the form. This field cannot be modified by the webhook.\n*   `justCollected` (*type:* `boolean()`, *default:* `nil`) - Optional for WebhookRequest. Ignored for WebhookResponse. Indicates if the parameter value was just collected on the last conversation turn.\n*   `required` (*type:* `boolean()`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Required for WebhookResponse. The state of the parameter. This field can be set to INVALID by the webhook to invalidate the parameter; other values set by the webhook will be ignored.\n*   `value` (*type:* `any()`, *default:* `nil`) - Optional for both WebhookRequest and WebhookResponse. The value of the parameter. This field can be set by the webhook to change the parameter value.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1QueryInput","doc":"Represents the query input. It can contain one of: 1. A conversational query in the form of text. 2. An intent query that specifies which intent to trigger. 3. Natural language speech audio to be processed. 4. An event to be triggered. 5. DTMF digits to invoke an intent and fill in parameter value. 6. The results of a tool executed by the client.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1QueryInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1QueryInput","doc":"*   `audio` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1AudioInput.t`, *default:* `nil`) - The natural language speech audio to be processed.\n*   `dtmf` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1DtmfInput.t`, *default:* `nil`) - The DTMF event to be handled.\n*   `event` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1EventInput.t`, *default:* `nil`) - The event to be triggered.\n*   `intent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1IntentInput.t`, *default:* `nil`) - The intent to be triggered.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of the input. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language.\n*   `text` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TextInput.t`, *default:* `nil`) - The natural language text to be processed.\n*   `toolCallResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.t`, *default:* `nil`) - The results of a tool executed by the client.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1QueryInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1QueryInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1QueryInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1QueryInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1QueryInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage","doc":"Represents a response message that can be returned by a conversational agent. Response messages are also used for output audio synthesis. The approach is as follows: * If at least one OutputAudioText response is present, then all OutputAudioText responses are linearly concatenated, and the result is used for output audio synthesis. * If the OutputAudioText responses are a mixture of text and SSML, then the concatenated result is treated as SSML; otherwise, the result is treated as either text or SSML as appropriate. The agent designer should ideally use either text or SSML consistently throughout the bot design. * Otherwise, all Text responses are linearly concatenated, and the result is used for output audio synthesis. This approach allows for more sophisticated user experience scenarios, where the text displayed to the user may differ from what is heard.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage","doc":"*   `channel` (*type:* `String.t`, *default:* `nil`) - The channel which the response is associated with. Clients can specify the channel via QueryParameters.channel, and only associated channel response will be returned.\n*   `conversationSuccess` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.t`, *default:* `nil`) - Indicates that the conversation succeeded.\n*   `endInteraction` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.t`, *default:* `nil`) - Output only. A signal that indicates the interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only when the conversation reaches `END_SESSION` page. It is not supposed to be defined by the user. It's guaranteed that there is at most one such message in each response.\n*   `knowledgeInfoCard` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.t`, *default:* `nil`) - Represents info card for knowledge answers, to be better rendered in Dialogflow Messenger.\n*   `liveAgentHandoff` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.t`, *default:* `nil`) - Hands off conversation to a human agent.\n*   `mixedAudio` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.t`, *default:* `nil`) - Output only. An audio response message composed of both the synthesized Dialogflow agent responses and responses defined via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.\n*   `outputAudioText` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.t`, *default:* `nil`) - A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Returns a response containing a custom, platform-specific payload.\n*   `playAudio` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.t`, *default:* `nil`) - Signal that the client should play an audio clip hosted at a client-specific URI. Dialogflow uses this to construct mixed_audio. However, Dialogflow itself does not try to read or process the URI in any way.\n*   `telephonyTransferCall` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.t`, *default:* `nil`) - A signal that the client should transfer the phone call connected to this agent to a third-party endpoint.\n*   `text` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.t`, *default:* `nil`) - Returns a text response.\n*   `toolCall` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCall.t`, *default:* `nil`) - Returns the definition of a tool call that should be executed by the client.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess","doc":"Indicates that the conversation succeeded, i.e., the bot handled the issue that the customer talked to it about. Dialogflow only uses this to determine which conversations should be counted as successful and doesn't process the metadata in this message in any way. Note that Dialogflow also considers conversations that get to the conversation end page as successful even if they don't return ConversationSuccess. You may set this, for example: * In the entry_fulfillment of a Page if entering the page indicates that the conversation succeeded. * In a webhook response when you determine that you handled the customer issue.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Custom metadata. Dialogflow doesn't impose any structure on this.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction","doc":"Indicates that interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only and not supposed to be defined by the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard","doc":"Represents info card response. If the response contains generative knowledge prediction, Dialogflow will return a payload with Infobot Messenger compatible info card. Otherwise, the info card response is skipped.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageKnowledgeInfoCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff","doc":"Indicates that the conversation should be handed off to a live agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: * In the entry_fulfillment of a Page if entering the page indicates something went extremely wrong in the conversation. * In a webhook response when you determine that the customer issue can only be handled by a human.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio","doc":"Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs. The external URIs are specified via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio","doc":"*   `segments` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.t)`, *default:* `nil`) - Segments this audio response is composed of.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment","doc":"Represents one segment of audio.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request.\n*   `audio` (*type:* `String.t`, *default:* `nil`) - Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Client-specific URI that points to an audio clip accessible to the client. Dialogflow does not impose any validation on it.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText","doc":"A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `ssml` (*type:* `String.t`, *default:* `nil`) - The SSML text to be synthesized. For more information, see [SSML](/speech/text-to-speech/docs/ssml).\n*   `text` (*type:* `String.t`, *default:* `nil`) - The raw text to be synthesized.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio","doc":"Specifies an audio clip to be played by the client as part of the response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `audioUri` (*type:* `String.t`, *default:* `nil`) - Required. URI of the audio clip. Dialogflow does not impose any validation on this value. It is specific to the client that reads it.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall","doc":"Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText","doc":"The text response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.\n*   `text` (*type:* `list(String.t)`, *default:* `nil`) - Required. A collection of text response variants. If multiple variants are defined, only one text response variant is returned at runtime.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessageText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata","doc":"Metadata returned for the Environments.RunContinuousTest long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata","doc":"*   `errors` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError.t)`, *default:* `nil`) - The test errors.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse","doc":"The response message for Environments.RunContinuousTest.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse","doc":"*   `continuousTestResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ContinuousTestResult.t`, *default:* `nil`) - The result for a continuous test run.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata","doc":"Metadata returned for the TestCases.RunTestCase long running operation. This message currently has no fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse","doc":"The response message for TestCases.RunTestCase.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse","doc":"*   `result` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.t`, *default:* `nil`) - The result.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1RunTestCaseResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1SessionInfo","doc":"Represents session information communicated to and from the webhook.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1SessionInfo","doc":"*   `parameters` (*type:* `map()`, *default:* `nil`) - Optional for WebhookRequest. Optional for WebhookResponse. All parameters collected from forms and intents during the session. Parameters can be created, updated, or removed by the webhook. To remove a parameter from the session, the webhook should explicitly set the parameter value to null in WebhookResponse. The map is keyed by parameters' display names.\n*   `session` (*type:* `String.t`, *default:* `nil`) - Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the session. This field can be used by the webhook to identify a session. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/` if environment is specified.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCase","doc":"Represents a test case.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCase","doc":"*   `creationTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. When the test was created.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the test case, unique within the agent. Limit of 200 characters.\n*   `lastTestResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.t`, *default:* `nil`) - The latest test result.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents//testCases/`.\n*   `notes` (*type:* `String.t`, *default:* `nil`) - Additional freeform notes about the test case. Limit of 400 characters.\n*   `tags` (*type:* `list(String.t)`, *default:* `nil`) - Tags are short descriptions that users may apply to test cases for organizational and filtering purposes. Each tag should start with \"#\" and has a limit of 30 characters.\n*   `testCaseConversationTurns` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.t)`, *default:* `nil`) - The conversation turns uttered when the test case was created, in chronological order. These include the canonical set of agent utterances that should occur when the agent is working properly.\n*   `testConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestConfig.t`, *default:* `nil`) - Config for the test case.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseError","doc":"Error info for importing a test.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseError","doc":"*   `status` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - The status associated with the test case.\n*   `testCase` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCase.t`, *default:* `nil`) - The test case.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult","doc":"Represents a result from running a test case in an agent environment.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult","doc":"*   `conversationTurns` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ConversationTurn.t)`, *default:* `nil`) - The conversation turns uttered during the test case replay in chronological order.\n*   `environment` (*type:* `String.t`, *default:* `nil`) - Environment where the test was run. If not set, it indicates the draft environment.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The resource name for the test case result. Format: `projects//locations//agents//testCases//results/`.\n*   `testResult` (*type:* `String.t`, *default:* `nil`) - Whether the test case passed in the agent environment.\n*   `testTime` (*type:* `DateTime.t`, *default:* `nil`) - The time that the test was run.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestCaseResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestConfig","doc":"Represents configurations for a test case.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestConfig","doc":"*   `flow` (*type:* `String.t`, *default:* `nil`) - Flow name to start the test case with. Format: `projects//locations//agents//flows/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If neither is set, the test case will start with start page on the default start flow.\n*   `page` (*type:* `String.t`, *default:* `nil`) - The page to start the test case with. Format: `projects//locations//agents//flows//pages/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If neither is set, the test case will start with start page on the default start flow.\n*   `trackingParameters` (*type:* `list(String.t)`, *default:* `nil`) - Session parameters to be compared when calculating differences.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError","doc":"Error info for running a test.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError","doc":"*   `status` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - The status associated with the test.\n*   `testCase` (*type:* `String.t`, *default:* `nil`) - The test case resource name.\n*   `testTime` (*type:* `DateTime.t`, *default:* `nil`) - The timestamp when the test was completed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference","doc":"The description of differences between original and replayed agent output.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - A human readable description of the diff, showing the actual output vs expected output.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of diff.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TestRunDifference.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TextInput","doc":"Represents the natural language text to be processed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TextInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TextInput","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The UTF-8 encoded natural language text to be processed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TextInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TextInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TextInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TextInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TextInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCall","doc":"Represents a call of a specific tool's action with the specified inputs.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCall.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCall","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - Required. The name of the tool's action associated with this call.\n*   `inputParameters` (*type:* `map()`, *default:* `nil`) - Optional. The action's input parameters.\n*   `tool` (*type:* `String.t`, *default:* `nil`) - Required. The tool associated with this call. Format: `projects//locations//agents//tools/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCall.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCall.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCall.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCall.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult","doc":"The result of calling a tool's action that has been executed by the client.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - Required. The name of the tool's action associated with this call.\n*   `error` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.t`, *default:* `nil`) - The tool call's error.\n*   `outputParameters` (*type:* `map()`, *default:* `nil`) - The tool call's output parameters.\n*   `tool` (*type:* `String.t`, *default:* `nil`) - Required. The tool associated with this call. Format: `projects//locations//agents//tools/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError","doc":"An error produced by the tool call.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError","doc":"*   `message` (*type:* `String.t`, *default:* `nil`) - Optional. The error message of the function.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ToolCallResultError.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute","doc":"A transition route specifies a intent that can be matched and/or a data condition that can be evaluated during a session. When a specified transition is matched, the following actions are taken in order: * If there is a `trigger_fulfillment` associated with the transition, it will be called. * If there is a `target_page` associated with the transition, the session will transition into the specified page. * If there is a `target_flow` associated with the transition, the session will transition into the specified flow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute","doc":"*   `condition` (*type:* `String.t`, *default:* `nil`) - The condition to evaluate against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition). At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The description of the transition route. The maximum length is 500 characters.\n*   `intent` (*type:* `String.t`, *default:* `nil`) - The unique identifier of an Intent. Format: `projects//locations//agents//intents/`. Indicates that the transition can only happen when the given intent is matched. At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this transition route.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.\n*   `triggerFulfillment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Fulfillment.t`, *default:* `nil`) - The fulfillment to call when the condition is satisfied. At least one of `trigger_fulfillment` and `target` must be specified. When both are defined, `trigger_fulfillment` is executed first.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TransitionRoute.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TurnSignals","doc":"Collection of all signals that were extracted for a single turn of the conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TurnSignals","doc":"*   `agentEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether agent responded with LiveAgentHandoff fulfillment.\n*   `dtmfUsed` (*type:* `boolean()`, *default:* `nil`) - Whether user was using DTMF input.\n*   `failureReasons` (*type:* `list(String.t)`, *default:* `nil`) - Failure reasons of the turn.\n*   `noMatch` (*type:* `boolean()`, *default:* `nil`) - Whether NLU predicted NO_MATCH.\n*   `noUserInput` (*type:* `boolean()`, *default:* `nil`) - Whether user provided no input.\n*   `reachedEndPage` (*type:* `boolean()`, *default:* `nil`) - Whether turn resulted in End Session page.\n*   `sentimentMagnitude` (*type:* `number()`, *default:* `nil`) - Sentiment magnitude of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `sentimentScore` (*type:* `number()`, *default:* `nil`) - Sentiment score of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `userEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether user was specifically asking for a live agent.\n*   `webhookStatuses` (*type:* `list(String.t)`, *default:* `nil`) - Human-readable statuses of the webhooks triggered during this turn.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1TurnSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Webhook","doc":"Webhooks host the developer's business logic. During a session, webhooks allow the developer to use the data extracted by Dialogflow's natural language processing to generate dynamic responses, validate collected data, or trigger actions on the backend.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Webhook.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Webhook","doc":"*   `disabled` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the webhook is disabled.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The human-readable name of the webhook, unique within the agent.\n*   `genericWebService` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.t`, *default:* `nil`) - Configuration for a generic web service.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`.\n*   `serviceDirectory` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.t`, *default:* `nil`) - Configuration for a [Service Directory](https://cloud.google.com/service-directory) service.\n*   `timeout` (*type:* `String.t`, *default:* `nil`) - Webhook execution timeout. Execution is considered failed if Dialogflow doesn't receive a response from webhook at the end of the timeout period. Defaults to 5 seconds, maximum allowed timeout is 30 seconds.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Webhook.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Webhook.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Webhook.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Webhook.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1Webhook.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService","doc":"Represents configuration for a generic web service.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService","doc":"*   `allowedCaCerts` (*type:* `list(String.t)`, *default:* `nil`) - Optional. Specifies a list of allowed custom CA certificates (in DER format) for HTTPS verification. This overrides the default SSL trust store. If this is empty or unspecified, Dialogflow will use Google's default trust store to verify certificates. N.B. Make sure the HTTPS server certificates are signed with \"subject alt name\". For instance a certificate can be self-signed using the following command, ``` openssl x509 -req -days 200 -in example.com.csr \\ -signkey example.com.key \\ -out example.com.crt \\ -extfile <(printf \"\\nsubjectAltName='DNS:www.example.com'\") ```\n*   `httpMethod` (*type:* `String.t`, *default:* `nil`) - Optional. HTTP method for the flexible webhook calls. Standard webhook always uses POST.\n*   `oauthConfig` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.t`, *default:* `nil`) - Optional. The OAuth configuration of the webhook. If specified, Dialogflow will initiate the OAuth client credential flow to exchange an access token from the 3rd party platform and put it in the auth header.\n*   `parameterMapping` (*type:* `map()`, *default:* `nil`) - Optional. Maps the values extracted from specific fields of the flexible webhook response into session parameters. - Key: session parameter name - Value: field path in the webhook response\n*   `password` (*type:* `String.t`, *default:* `nil`) - The password for HTTP Basic authentication.\n*   `requestBody` (*type:* `String.t`, *default:* `nil`) - Optional. Defines a custom JSON object as request body to send to flexible webhook.\n*   `requestHeaders` (*type:* `map()`, *default:* `nil`) - The HTTP request headers to send together with webhook requests.\n*   `serviceAgentAuth` (*type:* `String.t`, *default:* `nil`) - Optional. Indicate the auth token type generated from the [Diglogflow service agent](https://cloud.google.com/iam/docs/service-agents#dialogflow-service-agent). The generated token is sent in the Authorization header.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The webhook URI for receiving POST requests. It must use https protocol.\n*   `username` (*type:* `String.t`, *default:* `nil`) - The user name for HTTP Basic authentication.\n*   `webhookType` (*type:* `String.t`, *default:* `nil`) - Optional. Type of the webhook.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig","doc":"Represents configuration of OAuth client credential flow for 3rd party API authentication.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig","doc":"*   `clientId` (*type:* `String.t`, *default:* `nil`) - Required. The client ID provided by the 3rd party platform.\n*   `clientSecret` (*type:* `String.t`, *default:* `nil`) - Required. The client secret provided by the 3rd party platform.\n*   `scopes` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The OAuth scopes to grant.\n*   `tokenEndpoint` (*type:* `String.t`, *default:* `nil`) - Required. The token endpoint provided by the 3rd party platform to exchange an access token.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebServiceOAuthConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest","doc":"The request message for a webhook call. The request is sent as a JSON object and the field names will be presented in camel cases. You may see undocumented fields in an actual request. These fields are used internally by Dialogflow and should be ignored.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest","doc":"*   `detectIntentResponseId` (*type:* `String.t`, *default:* `nil`) - Always present. The unique identifier of the DetectIntentResponse that will be returned to the API caller.\n*   `dtmfDigits` (*type:* `String.t`, *default:* `nil`) - If DTMF was provided as input, this field will contain the DTMF digits.\n*   `fulfillmentInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.t`, *default:* `nil`) - Always present. Information about the fulfillment that triggered this webhook call.\n*   `intentInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.t`, *default:* `nil`) - Information about the last matched intent.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language code specified in the original request.\n*   `languageInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1LanguageInfo.t`, *default:* `nil`) - Information about the language of the request.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user. Webhook can choose to append or replace this list in WebhookResponse.fulfillment_response;\n*   `pageInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfo.t`, *default:* `nil`) - Information about page status.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Custom data set in QueryParameters.payload.\n*   `sentimentAnalysisResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.t`, *default:* `nil`) - The sentiment analysis result of the current user request. The field is filled when sentiment analysis is configured to be enabled for the request.\n*   `sessionInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.t`, *default:* `nil`) - Information about session status.\n*   `text` (*type:* `String.t`, *default:* `nil`) - If natural language text was provided as input, this field will contain a copy of the text.\n*   `transcript` (*type:* `String.t`, *default:* `nil`) - If natural language speech audio was provided as input, this field will contain the transcript for the audio.\n*   `triggerEvent` (*type:* `String.t`, *default:* `nil`) - If an event was provided as input, this field will contain the name of the event.\n*   `triggerIntent` (*type:* `String.t`, *default:* `nil`) - If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo","doc":"Represents fulfillment information communicated to the webhook.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo","doc":"*   `tag` (*type:* `String.t`, *default:* `nil`) - Always present. The value of the Fulfillment.tag field will be populated in this field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo","doc":"Represents intent information communicated to the webhook.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo","doc":"*   `confidence` (*type:* `number()`, *default:* `nil`) - The confidence of the matched intent. Values range from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Always present. The display name of the last matched intent.\n*   `lastMatchedIntent` (*type:* `String.t`, *default:* `nil`) - Always present. The unique identifier of the last matched intent. Format: `projects//locations//agents//intents/`.\n*   `parameters` (*type:* `%{optional(String.t) => GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.t}`, *default:* `nil`) - Parameters identified as a result of intent matching. This is a map of the name of the identified parameter to the value of the parameter identified from the user's utterance. All parameters defined in the matched intent that are identified will be surfaced here.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue","doc":"Represents a value for an intent parameter.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue","doc":"*   `originalValue` (*type:* `String.t`, *default:* `nil`) - Always present. Original text value extracted from user utterance.\n*   `resolvedValue` (*type:* `any()`, *default:* `nil`) - Always present. Structured value for the parameter extracted from user utterance.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult","doc":"Represents the result of sentiment analysis.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult","doc":"*   `magnitude` (*type:* `number()`, *default:* `nil`) - A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).\n*   `score` (*type:* `number()`, *default:* `nil`) - Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse","doc":"The response message for a webhook call.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse","doc":"*   `fulfillmentResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.t`, *default:* `nil`) - The fulfillment response to send to the user. This field can be omitted by the webhook if it does not intend to send any response to the user.\n*   `pageInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1PageInfo.t`, *default:* `nil`) - Information about page status. This field can be omitted by the webhook if it does not intend to modify page status.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Value to append directly to QueryResult.webhook_payloads.\n*   `sessionInfo` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1SessionInfo.t`, *default:* `nil`) - Information about session status. This field can be omitted by the webhook if it does not intend to modify session status.\n*   `targetFlow` (*type:* `String.t`, *default:* `nil`) - The target flow to transition to. Format: `projects//locations//agents//flows/`.\n*   `targetPage` (*type:* `String.t`, *default:* `nil`) - The target page to transition to. Format: `projects//locations//agents//flows//pages/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse","doc":"Represents a fulfillment response to the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse","doc":"*   `mergeBehavior` (*type:* `String.t`, *default:* `nil`) - Merge behavior for `messages`.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1ResponseMessage.t)`, *default:* `nil`) - The list of rich message responses to present to the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig","doc":"Represents configuration for a [Service Directory](https://cloud.google.com/service-directory) service.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig","doc":"*   `genericWebService` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookGenericWebService.t`, *default:* `nil`) - Generic Service configuration of this webhook.\n*   `service` (*type:* `String.t`, *default:* `nil`) - Required. The name of [Service Directory](https://cloud.google.com/service-directory) service. Format: `projects//locations//namespaces//services/`. `Location ID` of the service directory must be the same as the location of the agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2AnnotatedMessagePart","doc":"Represents a part of a message possibly annotated with an entity. The part can be an entity or purely a part of the message between two entities or message start/end.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2AnnotatedMessagePart","doc":"*   `entityType` (*type:* `String.t`, *default:* `nil`) - The [Dialogflow system entity type](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. If this is empty, Dialogflow could not annotate the phrase part with a system entity.\n*   `formattedValue` (*type:* `any()`, *default:* `nil`) - The [Dialogflow system entity formatted value ](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. For example for a system entity of type `@sys.unit-currency`, this may contain: { \"amount\": 5, \"currency\": \"USD\" } \n*   `text` (*type:* `String.t`, *default:* `nil`) - A part of a message possibly annotated with an entity.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleAnswer","doc":"Represents article answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `confidence` (*type:* `number()`, *default:* `nil`) - Article match confidence. The system's confidence score that this article is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `metadata` (*type:* `map()`, *default:* `nil`) - A map that contains metadata about the answer and the document from which it originates.\n*   `snippets` (*type:* `list(String.t)`, *default:* `nil`) - Article snippets.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The article title.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The article URI.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata","doc":"Metadata for article suggestion models.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata","doc":"*   `trainingModelType` (*type:* `String.t`, *default:* `nil`) - Optional. Type of the article suggestion model. If not provided, model_type is used.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse","doc":"The response message for EntityTypes.BatchUpdateEntityTypes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse","doc":"*   `entityTypes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityType.t)`, *default:* `nil`) - The collection of updated or created entity types.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse","doc":"The response message for Intents.BatchUpdateIntents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse","doc":"*   `intents` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Intent.t)`, *default:* `nil`) - The collection of updated or created intents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2BatchUpdateIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata","doc":"Metadata for a ConversationProfiles.ClearSuggestionFeatureConfig operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata","doc":"*   `conversationProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp whe the request was created. The time is measured on server side.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.\n*   `suggestionFeatureType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the suggestion feature to remove.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context","doc":"Dialogflow contexts are similar to natural language context. If a person says to you \"they are orange\", you need context in order to understand what \"they\" is referring to. Similarly, for Dialogflow to handle an end-user expression like that, it needs to be provided with context in order to correctly match an intent. Using contexts, you can control the flow of a conversation. You can configure contexts for an intent by setting input and output contexts, which are identified by string names. When an intent is matched, any configured output contexts for that intent become active. While any contexts are active, Dialogflow is more likely to match intents that are configured with input contexts that correspond to the currently active contexts. For more information about context, see the [Contexts guide](https://cloud.google.com/dialogflow/docs/contexts-overview).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context","doc":"*   `lifespanCount` (*type:* `integer()`, *default:* `nil`) - Optional. The number of conversational query requests after which the context expires. The default is `0`. If set to `0`, the context expires immediately. Contexts expire automatically after 20 minutes if there are no matching queries.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the context. Format: `projects//agent/sessions//contexts/`, or `projects//agent/environments//users//sessions//contexts/`. The `Context ID` is always converted to lowercase, may only contain characters in `a-zA-Z0-9_-%` and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: * `__system_counters__` * `*_id_dialog_context` * `*_dialog_params_size`\n*   `parameters` (*type:* `map()`, *default:* `nil`) - Optional. The collection of parameters associated with this context. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationEvent","doc":"Represents a notification sent to Pub/Sub subscribers for conversation lifecycle events.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationEvent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationEvent","doc":"*   `conversation` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the conversation this notification refers to. Format: `projects//conversations/`.\n*   `errorStatus` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - More detailed information about an error. Only set for type UNRECOVERABLE_ERROR_IN_PHONE_CALL.\n*   `newMessagePayload` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Message.t`, *default:* `nil`) - Payload of NEW_MESSAGE event.\n*   `type` (*type:* `String.t`, *default:* `nil`) - The type of the event that this notification refers to.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationEvent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationEvent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationModel","doc":"Represents a conversation model.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationModel.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationModel","doc":"*   `articleSuggestionModelMetadata` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleSuggestionModelMetadata.t`, *default:* `nil`) - Metadata for article suggestion models.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Creation time of this model.\n*   `datasets` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InputDataset.t)`, *default:* `nil`) - Required. Datasets used to create model.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The display name of the model. At most 64 bytes long.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Language code for the conversation model. If not specified, the language is en-US. Language at ConversationModel should be set for all non en-us languages. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".\n*   `name` (*type:* `String.t`, *default:* `nil`) - ConversationModel resource name. Format: `projects//conversationModels/`\n*   `satisfiesPzi` (*type:* `boolean()`, *default:* `nil`) - Output only. A read only boolean field reflecting Zone Isolation status of the model.\n*   `satisfiesPzs` (*type:* `boolean()`, *default:* `nil`) - Output only. A read only boolean field reflecting Zone Separation status of the model.\n*   `smartReplyModelMetadata` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.t`, *default:* `nil`) - Metadata for smart reply models.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. State of the model. A model can only serve prediction requests after it gets deployed.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationModel.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationModel.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationModel.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationModel.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ConversationModel.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata","doc":"Metadata for CreateConversationDataset.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata","doc":"*   `conversationDataset` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation dataset that will be created. Format: `projects//locations//conversationDatasets/`","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata","doc":"Metadata for a ConversationModels.CreateConversationModelEvaluation operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata","doc":"*   `conversationModel` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//locations//conversationModels/`\n*   `conversationModelEvaluation` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//locations//conversationModels//evaluations/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when the request to create conversation model was submitted. The time is measured on server side.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of CreateConversationModel operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata","doc":"Metadata for a ConversationModels.CreateConversationModel operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata","doc":"*   `conversationModel` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//conversationModels/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when the request to create conversation model is submitted. The time is measured on server side.\n*   `state` (*type:* `String.t`, *default:* `nil`) - State of CreateConversationModel operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2CreateConversationModelOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata","doc":"Metadata for DeleteConversationDataset.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata","doc":"Metadata for a ConversationModels.DeleteConversationModel operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata","doc":"*   `conversationModel` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//conversationModels/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when delete conversation model request was created. The time is measured on server side.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata","doc":"Metadata for a ConversationModels.DeployConversationModel operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata","doc":"*   `conversationModel` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//conversationModels/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when request to deploy conversation model was submitted. The time is measured on server side.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2DeployConversationModelOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EncryptionSpec","doc":"A customer-managed encryption key specification that can be applied to all created resources (e.g. Conversation).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EncryptionSpec.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EncryptionSpec","doc":"*   `kmsKey` (*type:* `String.t`, *default:* `nil`) - Required. The name of customer-managed encryption key that is used to secure a resource and its sub-resources. If empty, the resource is secured by the default Google encryption key. Only the key in the same location as this resource is allowed to be used for encryption. Format: `projects/{project}/locations/{location}/keyRings/{keyRing}/cryptoKeys/{key}`\n*   `name` (*type:* `String.t`, *default:* `nil`) - Immutable. The resource name of the encryption key specification resource. Format: projects/{project}/locations/{location}/encryptionSpec","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EncryptionSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EncryptionSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EncryptionSpec.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EncryptionSpec.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EncryptionSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityType","doc":"Each intent parameter has a type, called the entity type, which dictates exactly how data from an end-user expression is extracted. Dialogflow provides predefined system entities that can match many common types of data. For example, there are system entities for matching dates, times, colors, email addresses, and so on. You can also create your own custom entities for matching custom data. For example, you could define a vegetable entity that can match the types of vegetables available for purchase with a grocery store agent. For more information, see the [Entity guide](https://cloud.google.com/dialogflow/docs/entities-overview).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityType.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityType","doc":"*   `autoExpansionMode` (*type:* `String.t`, *default:* `nil`) - Optional. Indicates whether the entity type can be automatically expanded.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the entity type.\n*   `enableFuzzyExtraction` (*type:* `boolean()`, *default:* `nil`) - Optional. Enables fuzzy entity extraction during classification.\n*   `entities` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityTypeEntity.t)`, *default:* `nil`) - Optional. The collection of entity entries associated with the entity type.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Required. Indicates the kind of entity type.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Format: `projects//agent/entityTypes/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityType.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityType.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityTypeEntity","doc":"An **entity entry** for an associated entity type.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityTypeEntity.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityTypeEntity","doc":"*   `synonyms` (*type:* `list(String.t)`, *default:* `nil`) - Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: * This collection must contain exactly one synonym equal to `value`.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: * A reference value to be used in place of synonyms. For `KIND_LIST` entity types: * A string that can contain references to other entity types (with or without aliases).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityTypeEntity.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityTypeEntity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityTypeEntity.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityTypeEntity.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityTypeEntity.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EventInput","doc":"Events allow for matching intents by event name instead of the natural language input. For instance, input `` can trigger a personalized welcome response. The parameter `name` may be used by the agent in the response: `\"Hello #welcome_event.name! What can I do for you today?\"`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EventInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EventInput","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of this query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language. This field is ignored when used in the context of a WebhookResponse.followup_event_input field, because the language was already defined in the originating detect intent request.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the event.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - The collection of parameters associated with the event. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EventInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EventInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EventInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EventInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EventInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportAgentResponse","doc":"The response message for Agents.ExportAgent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportAgentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportAgentResponse","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Zip compressed raw byte content for agent.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in `ExportAgentRequest`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportAgentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportAgentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportAgentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportAgentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportAgentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportOperationMetadata","doc":"Metadata related to the Export Data Operations (e.g. ExportDocument).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportOperationMetadata","doc":"*   `exportedGcsDestination` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2GcsDestination.t`, *default:* `nil`) - Cloud Storage file path of the exported data.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2FaqAnswer","doc":"Represents answer from \"frequently asked questions\".","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2FaqAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2FaqAnswer","doc":"*   `answer` (*type:* `String.t`, *default:* `nil`) - The piece of text from the `source` knowledge base document.\n*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `confidence` (*type:* `number()`, *default:* `nil`) - The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `metadata` (*type:* `map()`, *default:* `nil`) - A map that contains metadata about the answer and the document from which it originates.\n*   `question` (*type:* `String.t`, *default:* `nil`) - The corresponding FAQ question.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2FaqAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2FaqAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2FaqAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2FaqAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2FaqAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2GcsDestination","doc":"Google Cloud Storage location for the output.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2GcsDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2GcsDestination","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - The Google Cloud Storage URIs for the output. A URI is of the form: `gs://bucket/object-prefix-or-name` Whether a prefix or name is used depends on the use case. The requesting user must have \"write-permission\" to the bucket.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2GcsDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2GcsDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2GcsDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2GcsDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2GcsDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent","doc":"Represents a notification sent to Cloud Pub/Sub subscribers for human agent assistant events in a specific conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent","doc":"*   `conversation` (*type:* `String.t`, *default:* `nil`) - The conversation this notification refers to. Format: `projects//conversations/`.\n*   `participant` (*type:* `String.t`, *default:* `nil`) - The participant that the suggestion is compiled for. Format: `projects//conversations//participants/`. It will not be set in legacy workflow.\n*   `suggestionResults` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestionResult.t)`, *default:* `nil`) - The suggestion results payload that this notification refers to.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2HumanAgentAssistantEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata","doc":"Metadata for a ConversationDatasets.ImportConversationData operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata","doc":"*   `conversationDataset` (*type:* `String.t`, *default:* `nil`) - The resource name of the imported conversation dataset. Format: `projects//locations//conversationDatasets/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when import conversation data request was created. The time is measured on server side.\n*   `partialFailures` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t)`, *default:* `nil`) - Partial failures are failures that don't fail the whole long running operation, e.g. single files that couldn't be read.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse","doc":"Response used for ConversationDatasets.ImportConversationData long running operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse","doc":"*   `conversationDataset` (*type:* `String.t`, *default:* `nil`) - The resource name of the imported conversation dataset. Format: `projects//locations//conversationDatasets/`\n*   `importCount` (*type:* `integer()`, *default:* `nil`) - Number of conversations imported successfully.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportConversationDataOperationResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportDocumentsResponse","doc":"Response message for Documents.ImportDocuments.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportDocumentsResponse","doc":"*   `warnings` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t)`, *default:* `nil`) - Includes details about skipped documents or any other warnings.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ImportDocumentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata","doc":"Metadata for initializing a location-level encryption specification.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata","doc":"*   `request` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.t`, *default:* `nil`) - Output only. The original request for initialization.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest","doc":"The request to initialize a location-level encryption specification.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest","doc":"*   `encryptionSpec` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EncryptionSpec.t`, *default:* `nil`) - Required. The encryption spec used for CMEK encryption. It is required that the kms key is in the same region as the endpoint. The same key will be used for all provisioned resources, if encryption is available. If the kms_key_name is left empty, no encryption will be enforced.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InitializeEncryptionSpecRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InputDataset","doc":"InputDataset used to create model or do evaluation. NextID:5","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InputDataset.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InputDataset","doc":"*   `dataset` (*type:* `String.t`, *default:* `nil`) - Required. ConversationDataset resource name. Format: `projects//locations//conversationDatasets/`","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InputDataset.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InputDataset.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InputDataset.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InputDataset.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2InputDataset.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Intent","doc":"An intent categorizes an end-user's intention for one conversation turn. For each agent, you define many intents, where your combined intents can handle a complete conversation. When an end-user writes or says something, referred to as an end-user expression or end-user input, Dialogflow matches the end-user input to the best intent in your agent. Matching an intent is also known as intent classification. For more information, see the [intent guide](https://cloud.google.com/dialogflow/docs/intents-overview).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Intent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Intent","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the action associated with the intent. Note: The action name must not contain whitespaces.\n*   `defaultResponsePlatforms` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of platforms for which the first responses will be copied from the messages in PLATFORM_UNSPECIFIED (i.e. default platform).\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of this intent.\n*   `endInteraction` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.\n*   `events` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of event names that trigger the intent. If the collection of input contexts is not empty, all of the contexts must be present in the active user session for an event to trigger this intent. Event names are limited to 150 characters.\n*   `followupIntentInfo` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.t)`, *default:* `nil`) - Output only. Read-only. Information about all followup intents that have this intent as a direct or indirect parent. We populate this field only in the output.\n*   `inputContextNames` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of context names required for this intent to be triggered. Format: `projects//agent/sessions/-/contexts/`.\n*   `isFallback` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether this is a fallback intent.\n*   `liveAgentHandoff` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage.t)`, *default:* `nil`) - Optional. The collection of rich messages corresponding to the `Response` field in the Dialogflow console.\n*   `mlDisabled` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether Machine Learning is disabled for the intent. Note: If `ml_disabled` setting is set to true, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Format: `projects//agent/intents/`.\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context.t)`, *default:* `nil`) - Optional. The collection of contexts that are activated when the intent is matched. Context messages in this collection should not set the parameters field. Setting the `lifespan_count` to 0 will reset the context when the intent is matched. Format: `projects//agent/sessions/-/contexts/`.\n*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentParameter.t)`, *default:* `nil`) - Optional. The collection of parameters associated with the intent.\n*   `parentFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - Read-only after creation. The unique identifier of the parent intent in the chain of followup intents. You can set this field when creating an intent, for example with CreateIntent or BatchUpdateIntents, in order to make this intent a followup intent. It identifies the parent followup intent. Format: `projects//agent/intents/`.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - Optional. The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.\n*   `resetContexts` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether to delete all contexts in the current session when this intent is matched.\n*   `rootFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - Output only. Read-only. The unique identifier of the root intent in the chain of followup intents. It identifies the correct followup intents chain for this intent. We populate this field only in the output. Format: `projects//agent/intents/`.\n*   `trainingPhrases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.t)`, *default:* `nil`) - Optional. The collection of examples that the agent is trained on.\n*   `webhookState` (*type:* `String.t`, *default:* `nil`) - Optional. Indicates whether webhooks are enabled for the intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Intent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Intent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Intent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Intent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Intent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo","doc":"Represents a single followup intent in the chain.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo","doc":"*   `followupIntentName` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the followup intent. Format: `projects//agent/intents/`.\n*   `parentFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the followup intent's parent. Format: `projects//agent/intents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentFollowupIntentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage","doc":"A rich response message. Corresponds to the intent `Response` field in the Dialogflow console. For more information, see [Rich response messages](https://cloud.google.com/dialogflow/docs/intents-rich-messages).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage","doc":"*   `basicCard` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.t`, *default:* `nil`) - The basic card response for Actions on Google.\n*   `browseCarouselCard` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.t`, *default:* `nil`) - Browse carousel card for Actions on Google.\n*   `card` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCard.t`, *default:* `nil`) - The card response.\n*   `carouselSelect` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.t`, *default:* `nil`) - The carousel card response for Actions on Google.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - The image response.\n*   `linkOutSuggestion` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.t`, *default:* `nil`) - The link out suggestion chip for Actions on Google.\n*   `listSelect` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelect.t`, *default:* `nil`) - The list card response for Actions on Google.\n*   `mediaContent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.t`, *default:* `nil`) - The media content card for Actions on Google.\n*   `payload` (*type:* `map()`, *default:* `nil`) - A custom platform-specific response.\n*   `platform` (*type:* `String.t`, *default:* `nil`) - Optional. The platform that this message is intended for.\n*   `quickReplies` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.t`, *default:* `nil`) - The quick replies response.\n*   `simpleResponses` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.t`, *default:* `nil`) - The voice and text-only responses for Actions on Google.\n*   `suggestions` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.t`, *default:* `nil`) - The suggestion chips for Actions on Google.\n*   `tableCard` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCard.t`, *default:* `nil`) - Table card for Actions on Google.\n*   `text` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageText.t`, *default:* `nil`) - The text response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCard","doc":"The basic card message. Useful for displaying information.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.t)`, *default:* `nil`) - Optional. The collection of card buttons.\n*   `formattedText` (*type:* `String.t`, *default:* `nil`) - Required, unless image is present. The body text of the card.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. The image for the card.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. The subtitle of the card.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton","doc":"The button object that appears at the bottom of a card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton","doc":"*   `openUriAction` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.t`, *default:* `nil`) - Required. Action to take when a user taps on the button.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The title of the button.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction","doc":"Opens the given URI.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The HTTP or HTTPS scheme URI.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard","doc":"Browse Carousel Card for Actions on Google. https://developers.google.com/actions/assistant/responses#browsing_carousel","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard","doc":"*   `imageDisplayOptions` (*type:* `String.t`, *default:* `nil`) - Optional. Settings for displaying the image. Applies to every image in items.\n*   `items` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.t)`, *default:* `nil`) - Required. List of items in the Browse Carousel Card. Minimum of two items, maximum of ten.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem","doc":"Browsing carousel tile","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the carousel item. Maximum of four lines of text.\n*   `footer` (*type:* `String.t`, *default:* `nil`) - Optional. Text that appears at the bottom of the Browse Carousel Card. Maximum of one line of text.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. Hero image for the carousel item.\n*   `openUriAction` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.t`, *default:* `nil`) - Required. Action to present to the user.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the carousel item. Maximum of two lines of text.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction","doc":"Actions on Google action to open a given url.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction","doc":"*   `url` (*type:* `String.t`, *default:* `nil`) - Required. URL\n*   `urlTypeHint` (*type:* `String.t`, *default:* `nil`) - Optional. Specifies the type of viewer that is used when opening the URL. Defaults to opening via web browser.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCard","doc":"The card response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCardButton.t)`, *default:* `nil`) - Optional. The collection of card buttons.\n*   `imageUri` (*type:* `String.t`, *default:* `nil`) - Optional. The public URI to an image file for the card.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. The subtitle of the card.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCardButton","doc":"Contains information about a button.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCardButton.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCardButton","doc":"*   `postback` (*type:* `String.t`, *default:* `nil`) - Optional. The text to send back to the Dialogflow API or a URI to open.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Optional. The text to show on the button.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCardButton.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCardButton.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCardButton.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCardButton.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCardButton.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect","doc":"The card for presenting a carousel of options to select from.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect","doc":"*   `items` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.t)`, *default:* `nil`) - Required. Carousel items.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelect.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem","doc":"An item in the carousel.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The body text of the card.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. The image to display.\n*   `info` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.t`, *default:* `nil`) - Required. Additional info about the option item.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the carousel item.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageCarouselSelectItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties","doc":"Column properties for TableCard.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties","doc":"*   `header` (*type:* `String.t`, *default:* `nil`) - Required. Column heading.\n*   `horizontalAlignment` (*type:* `String.t`, *default:* `nil`) - Optional. Defines text alignment for all cells in this column.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage","doc":"The image response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage","doc":"*   `accessibilityText` (*type:* `String.t`, *default:* `nil`) - Optional. A text description of the image to be used for accessibility, e.g., screen readers.\n*   `imageUri` (*type:* `String.t`, *default:* `nil`) - Optional. The public URI to an image file.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion","doc":"The suggestion chip message that allows the user to jump out to the app or website associated with this agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion","doc":"*   `destinationName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the app or site this chip is linking to.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The URI of the app or site to open when the user taps the suggestion chip.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelect","doc":"The card for presenting a list of options to select from.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelect.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelect","doc":"*   `items` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.t)`, *default:* `nil`) - Required. List items.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. Subtitle of the list.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The overall title of the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelect.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelect.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelect.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelect.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelect.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem","doc":"An item in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The main text describing the item.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. The image to display.\n*   `info` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.t`, *default:* `nil`) - Required. Additional information about this option.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The title of the list item.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageListSelectItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContent","doc":"The media content card for Actions on Google.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContent","doc":"*   `mediaObjects` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.t)`, *default:* `nil`) - Required. List of media objects.\n*   `mediaType` (*type:* `String.t`, *default:* `nil`) - Optional. What type of media is the content (ie \"audio\").","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject","doc":"Response media object for media content card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject","doc":"*   `contentUrl` (*type:* `String.t`, *default:* `nil`) - Required. Url where the media is stored.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of media card.\n*   `icon` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. Icon to display above media content.\n*   `largeImage` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. Image to display above media content.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Name of media card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies","doc":"The quick replies response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies","doc":"*   `quickReplies` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of quick replies.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the collection of quick replies.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageQuickReplies.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo","doc":"Additional info about the select item for when it is triggered in a dialog.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Required. A unique key that will be sent back to the agent if this response is given.\n*   `synonyms` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of synonyms that can also be used to trigger this item in dialog.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSelectItemInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse","doc":"The simple response message containing speech or text.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse","doc":"*   `displayText` (*type:* `String.t`, *default:* `nil`) - Optional. The text to display.\n*   `ssml` (*type:* `String.t`, *default:* `nil`) - One of text_to_speech or ssml must be provided. Structured spoken response to the user in the SSML format. Mutually exclusive with text_to_speech.\n*   `textToSpeech` (*type:* `String.t`, *default:* `nil`) - One of text_to_speech or ssml must be provided. The plain text of the speech output. Mutually exclusive with ssml.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses","doc":"The collection of simple response candidates. This message in `QueryResult.fulfillment_messages` and `WebhookResponse.fulfillment_messages` should contain only one `SimpleResponse`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses","doc":"*   `simpleResponses` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponse.t)`, *default:* `nil`) - Required. The list of simple responses.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSimpleResponses.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestion","doc":"The suggestion chip message that the user can tap to quickly post a reply to the conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestion","doc":"*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The text shown the in the suggestion chip.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestions","doc":"The collection of suggestions.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestions","doc":"*   `suggestions` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestion.t)`, *default:* `nil`) - Required. The list of suggested replies.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageSuggestions.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCard","doc":"Table card for Actions on Google.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageBasicCardButton.t)`, *default:* `nil`) - Optional. List of buttons for the card.\n*   `columnProperties` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageColumnProperties.t)`, *default:* `nil`) - Optional. Display properties for the columns in this table.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageImage.t`, *default:* `nil`) - Optional. Image which should be displayed on the card.\n*   `rows` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.t)`, *default:* `nil`) - Optional. Rows in this table of data.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. Subtitle to the title.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell","doc":"Cell of TableCardRow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Required. Text in this cell.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow","doc":"Row of TableCard.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow","doc":"*   `cells` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardCell.t)`, *default:* `nil`) - Optional. List of cells that make up this row.\n*   `dividerAfter` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether to add a visual divider after this row.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageTableCardRow.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageText","doc":"The text response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageText","doc":"*   `text` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of the agent's responses.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessageText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentParameter","doc":"Represents intent parameters.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentParameter","doc":"*   `defaultValue` (*type:* `String.t`, *default:* `nil`) - Optional. The default value to use when the `value` yields an empty result. Default values can be extracted from contexts by using the following syntax: `#context_name.parameter_name`.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the parameter.\n*   `entityTypeDisplayName` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the entity type, prefixed with `@`, that describes values of the parameter. If the parameter is required, this must be provided.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the parameter represents a list of values.\n*   `mandatory` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the parameter is required. That is, whether the intent cannot be completed without collecting the parameter value.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of this parameter.\n*   `prompts` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of prompts that the agent can present to the user in order to collect a value for the parameter.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Optional. The definition of the parameter value. It can be: - a constant string, - a parameter value defined as `$parameter_name`, - an original parameter value defined as `$parameter_name.original`, - a parameter value from some context defined as `#context_name.parameter_name`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrase","doc":"Represents an example that the agent is trained on.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrase","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this training phrase.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.t)`, *default:* `nil`) - Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `entity_type`, `alias`, and `user_defined` fields are all set.\n*   `timesAddedCount` (*type:* `integer()`, *default:* `nil`) - Optional. Indicates how many times this example was added to the intent. Each time a developer adds an existing sample by editing an intent or training, this counter is increased.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. The type of the training phrase.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart","doc":"Represents a part of a training phrase.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart","doc":"*   `alias` (*type:* `String.t`, *default:* `nil`) - Optional. The parameter name for the value extracted from the annotated part of the example. This field is required for annotated parts of the training phrase.\n*   `entityType` (*type:* `String.t`, *default:* `nil`) - Optional. The entity type name prefixed with `@`. This field is required for annotated parts of the training phrase.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The text for this part.\n*   `userDefined` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the text was manually annotated. This field is set to true when the Dialogflow Console is used to manually annotate the part. When creating an annotated part with the API, you must set this to true.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentTrainingPhrasePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer","doc":"Represents a Knowledge Assist answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of the answer record. Format: `projects//locations//answer Records/`.\n*   `suggestedQuery` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.t`, *default:* `nil`) - The query suggested based on the context. Suggestion is made only if it is different from the previous suggestion.\n*   `suggestedQueryAnswer` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.t`, *default:* `nil`) - The answer generated for the suggested query. Whether or not an answer is generated depends on how confident we are about the generated query.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer","doc":"Represents an answer from Knowledge. Currently supports FAQ and Generative answers.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer","doc":"*   `answerText` (*type:* `String.t`, *default:* `nil`) - The piece of text from the `source` that answers this suggested query.\n*   `faqSource` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.t`, *default:* `nil`) - Populated if the prediction came from FAQ.\n*   `generativeSource` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.t`, *default:* `nil`) - Populated if the prediction was Generative.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource","doc":"Details about source of FAQ answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource","doc":"*   `question` (*type:* `String.t`, *default:* `nil`) - The corresponding FAQ question.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource","doc":"Details about source of Generative answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource","doc":"*   `snippets` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.t)`, *default:* `nil`) - All snippets used for this Generative Prediction, with their source URI and data.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet","doc":"Snippet Source for a Generative Prediction.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Metadata of the document.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Text taken from that URI.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Title of the document.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - URI the data is sourced from.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery","doc":"Represents a suggested query.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery","doc":"*   `queryText` (*type:* `String.t`, *default:* `nil`) - Suggested query text.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswerSuggestedQuery.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata","doc":"Metadata in google::longrunning::Operation for Knowledge operations.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata","doc":"*   `exportOperationMetadata` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ExportOperationMetadata.t`, *default:* `nil`) - Metadata for the Export Data Operation such as the destination of export.\n*   `knowledgeBase` (*type:* `String.t`, *default:* `nil`) - The name of the knowledge base interacted with during the operation.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. The current state of this operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Message","doc":"Represents a message posted into a conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Message.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Message","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Required. The message content.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the message was created in Contact Center AI.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The message language. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".\n*   `messageAnnotation` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2MessageAnnotation.t`, *default:* `nil`) - Output only. The annotation for the message.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of the message. Format: `projects//locations//conversations//messages/`.\n*   `participant` (*type:* `String.t`, *default:* `nil`) - Output only. The participant that sends this message.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Output only. The role of the participant.\n*   `sendTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The time when the message was sent.\n*   `sentimentAnalysis` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.t`, *default:* `nil`) - Output only. The sentiment analysis result for the message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Message.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Message.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Message.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Message.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Message.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2MessageAnnotation","doc":"Represents the result of annotation for the message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2MessageAnnotation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2MessageAnnotation","doc":"*   `containEntities` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the text message contains entities.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2AnnotatedMessagePart.t)`, *default:* `nil`) - The collection of annotated message parts ordered by their position in the message. You can recover the annotated message by concatenating [AnnotatedMessagePart.text].","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2MessageAnnotation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2MessageAnnotation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2MessageAnnotation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2MessageAnnotation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2MessageAnnotation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest","doc":"Represents the contents of the original request that was passed to the `[Streaming]DetectIntent` call.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest","doc":"*   `payload` (*type:* `map()`, *default:* `nil`) - Optional. This field is set to the value of the `QueryParameters.payload` field passed in the request. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: { \"telephony\": { \"caller_id\": \"+18558363987\" } } Note: The caller ID field (`caller_id`) will be redacted for Trial Edition agents and populated with the caller ID in [E.164 format](https://en.wikipedia.org/wiki/E.164) for Essentials Edition agents.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The source of this request, e.g., `google`, `facebook`, `slack`. It is set by Dialogflow-owned servers.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Optional. The version of the protocol used for this request. This field is AoG-specific.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2QueryResult","doc":"Represents the result of conversational query or event processing.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2QueryResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2QueryResult","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - The action name from the matched intent.\n*   `allRequiredParamsPresent` (*type:* `boolean()`, *default:* `nil`) - This field is set to: - `false` if the matched intent has required parameters and not all of the required parameter values have been collected. - `true` if all required parameter values have been collected, or if the matched intent doesn't contain any required parameters.\n*   `cancelsSlotFilling` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the conversational query triggers a cancellation for slot filling. For more information, see the [cancel slot filling documentation](https://cloud.google.com/dialogflow/es/docs/intents-actions-parameters#cancel).\n*   `diagnosticInfo` (*type:* `map()`, *default:* `nil`) - Free-form diagnostic information for the associated detect intent request. The fields of this data can change without notice, so you should not write code that depends on its structure. The data may contain: - webhook call latency - webhook errors\n*   `fulfillmentMessages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage.t)`, *default:* `nil`) - The collection of rich messages to present to the user.\n*   `fulfillmentText` (*type:* `String.t`, *default:* `nil`) - The text to be pronounced to the user or shown on the screen. Note: This is a legacy field, `fulfillment_messages` should be preferred.\n*   `intent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Intent.t`, *default:* `nil`) - The intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name`, `display_name`, `end_interaction` and `is_fallback`.\n*   `intentDetectionConfidence` (*type:* `number()`, *default:* `nil`) - The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. If there are `multiple knowledge_answers` messages, this value is set to the greatest `knowledgeAnswers.match_confidence` value in the list.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes.\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context.t)`, *default:* `nil`) - The collection of output contexts. If applicable, `output_contexts.parameters` contains entries with name `.original` containing the original parameter values before the query.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - The collection of extracted parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.\n*   `queryText` (*type:* `String.t`, *default:* `nil`) - The original conversational query text: - If natural language text was provided as input, `query_text` contains a copy of the input. - If natural language speech audio was provided as input, `query_text` contains the speech recognition result. If speech recognizer produced multiple alternatives, a particular one is picked. - If automatic spell correction is enabled, `query_text` will contain the corrected user input.\n*   `sentimentAnalysisResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.t`, *default:* `nil`) - The sentiment analysis result, which depends on the `sentiment_analysis_request_config` specified in the request.\n*   `speechRecognitionConfidence` (*type:* `number()`, *default:* `nil`) - The Speech recognition confidence between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. The default of 0.0 is a sentinel value indicating that confidence was not set. This field is not guaranteed to be accurate or set. In particular this field isn't set for StreamingDetectIntent since the streaming endpoint has separate confidence estimates per portion of the audio in StreamingRecognitionResult.\n*   `webhookPayload` (*type:* `map()`, *default:* `nil`) - If the query was fulfilled by a webhook call, this field is set to the value of the `payload` field returned in the webhook response.\n*   `webhookSource` (*type:* `String.t`, *default:* `nil`) - If the query was fulfilled by a webhook call, this field is set to the value of the `source` field returned in the webhook response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2QueryResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2QueryResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2QueryResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2QueryResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2QueryResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Sentiment","doc":"The sentiment, such as positive/negative feeling or association, for a unit of analysis, such as the query text. See: https://cloud.google.com/natural-language/docs/basics#interpreting_sentiment_analysis_values for how to interpret the result.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Sentiment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Sentiment","doc":"*   `magnitude` (*type:* `number()`, *default:* `nil`) - A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).\n*   `score` (*type:* `number()`, *default:* `nil`) - Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Sentiment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Sentiment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Sentiment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Sentiment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Sentiment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SentimentAnalysisResult","doc":"The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral. For DetectIntent, it needs to be configured in DetectIntentRequest.query_params. For StreamingDetectIntent, it needs to be configured in StreamingDetectIntentRequest.query_params. And for Participants.AnalyzeContent and Participants.StreamingAnalyzeContent, it needs to be configured in ConversationProfile.human_agent_assistant_config","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SentimentAnalysisResult","doc":"*   `queryTextSentiment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Sentiment.t`, *default:* `nil`) - The sentiment analysis result for `query_text`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SentimentAnalysisResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SessionEntityType","doc":"A session represents a conversation between a Dialogflow agent and an end-user. You can create special entities, called session entities, during a session. Session entities can extend or replace custom entity types and only exist during the session that they were created for. All session data, including session entities, is stored by Dialogflow for 20 minutes. For more information, see the [session entity guide](https://cloud.google.com/dialogflow/docs/entities-session).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SessionEntityType.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SessionEntityType","doc":"*   `entities` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EntityTypeEntity.t)`, *default:* `nil`) - Required. The collection of entities associated with this session entity type.\n*   `entityOverrideMode` (*type:* `String.t`, *default:* `nil`) - Required. Indicates whether the additional data should override or supplement the custom entity type definition.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of this session entity type. Format: `projects//agent/sessions//entityTypes/`, or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SessionEntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SessionEntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SessionEntityType.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SessionEntityType.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SessionEntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata","doc":"Metadata for a ConversationProfiles.SetSuggestionFeatureConfig operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata","doc":"*   `conversationProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp whe the request was created. The time is measured on server side.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.\n*   `suggestionFeatureType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the suggestion feature to add or update.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyAnswer","doc":"Represents a smart reply answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `confidence` (*type:* `number()`, *default:* `nil`) - Smart reply confidence. The system's confidence score that this reply is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `reply` (*type:* `String.t`, *default:* `nil`) - The content of the reply.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata","doc":"Metadata for smart reply models.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata","doc":"*   `trainingModelType` (*type:* `String.t`, *default:* `nil`) - Optional. Type of the smart reply model. If not provided, model_type is used.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyModelMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestArticlesResponse","doc":"The response message for Participants.SuggestArticles.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestArticlesResponse","doc":"*   `articleAnswers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2ArticleAnswer.t)`, *default:* `nil`) - Articles ordered by score in descending order.\n*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestArticlesRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse","doc":"The request message for Participants.SuggestFaqAnswers.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestFaqAnswersRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `faqAnswers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2FaqAnswer.t)`, *default:* `nil`) - Answers extracted from FAQ documents.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse","doc":"The response message for Participants.SuggestKnowledgeAssist.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestKnowledgeAssistRequest.context_size field in the request if there are fewer messages in the conversation.\n*   `knowledgeAssistAnswer` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2KnowledgeAssistAnswer.t`, *default:* `nil`) - Output only. Knowledge Assist suggestion.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse","doc":"The response message for Participants.SuggestSmartReplies.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestSmartRepliesRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.\n*   `smartReplyAnswers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SmartReplyAnswer.t)`, *default:* `nil`) - Output only. Multiple reply options provided by smart reply service. The order is based on the rank of the model prediction. The maximum number of the returned replies is set in SmartReplyConfig.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestionResult","doc":"One response of different type of suggestion response which is used in the response of Participants.AnalyzeContent and Participants.AnalyzeContent, as well as HumanAgentAssistantEvent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestionResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestionResult","doc":"*   `error` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - Error status if the request failed.\n*   `suggestArticlesResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestArticlesResponse.t`, *default:* `nil`) - SuggestArticlesResponse if request is for ARTICLE_SUGGESTION.\n*   `suggestFaqAnswersResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestFaqAnswersResponse.t`, *default:* `nil`) - SuggestFaqAnswersResponse if request is for FAQ_ANSWER.\n*   `suggestKnowledgeAssistResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestKnowledgeAssistResponse.t`, *default:* `nil`) - SuggestKnowledgeAssistResponse if request is for KNOWLEDGE_ASSIST.\n*   `suggestSmartRepliesResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestSmartRepliesResponse.t`, *default:* `nil`) - SuggestSmartRepliesResponse if request is for SMART_REPLY.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestionResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestionResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestionResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestionResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SuggestionResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata","doc":"Metadata for a ConversationModels.UndeployConversationModel operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata","doc":"*   `conversationModel` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation model. Format: `projects//conversationModels/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp when the request to undeploy conversation model was submitted. The time is measured on server side.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookRequest","doc":"The request message for a webhook call.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookRequest","doc":"*   `originalDetectIntentRequest` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2OriginalDetectIntentRequest.t`, *default:* `nil`) - Optional. The contents of the original request that was passed to `[Streaming]DetectIntent` call.\n*   `queryResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2QueryResult.t`, *default:* `nil`) - The result of the conversational query or event processing. Contains the same value as `[Streaming]DetectIntentResponse.query_result`.\n*   `responseId` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the response. Contains the same value as `[Streaming]DetectIntentResponse.response_id`.\n*   `session` (*type:* `String.t`, *default:* `nil`) - The unique identifier of detectIntent request session. Can be used to identify end-user inside webhook implementation. Format: `projects//agent/sessions/`, or `projects//agent/environments//users//sessions/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookResponse","doc":"The response message for a webhook call. This response is validated by the Dialogflow server. If validation fails, an error will be returned in the QueryResult.diagnostic_info field. Setting JSON fields to an empty value with the wrong type is a common error. To avoid this error: - Use `\"\"` for empty strings - Use `{}` or `null` for empty objects - Use `[]` or `null` for empty arrays For more information, see the [Protocol Buffers Language Guide](https://developers.google.com/protocol-buffers/docs/proto3#json).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookResponse","doc":"*   `followupEventInput` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2EventInput.t`, *default:* `nil`) - Optional. Invokes the supplied events. When this field is set, Dialogflow ignores the `fulfillment_text`, `fulfillment_messages`, and `payload` fields.\n*   `fulfillmentMessages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2IntentMessage.t)`, *default:* `nil`) - Optional. The rich response messages intended for the end-user. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_messages sent to the integration or API caller.\n*   `fulfillmentText` (*type:* `String.t`, *default:* `nil`) - Optional. The text response message intended for the end-user. It is recommended to use `fulfillment_messages.text.text[0]` instead. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_text sent to the integration or API caller.\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2Context.t)`, *default:* `nil`) - Optional. The collection of output contexts that will overwrite currently active contexts for the session and reset their lifespans. When provided, Dialogflow uses this field to populate QueryResult.output_contexts sent to the integration or API caller.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Optional. This field can be used to pass custom data from your webhook to the integration or API caller. Arbitrary JSON objects are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_payload sent to the integration or API caller. This field is also used by the [Google Assistant integration](https://cloud.google.com/dialogflow/docs/integrations/aog) for rich response messages. See the format definition at [Google Assistant Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)\n*   `sessionEntityTypes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2SessionEntityType.t)`, *default:* `nil`) - Optional. Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session. Setting this data from a webhook overwrites the session entity types that have been set using `detectIntent`, `streamingDetectIntent` or SessionEntityType management methods.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Optional. A custom field used to identify the webhook source. Arbitrary strings are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_source sent to the integration or API caller.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2WebhookResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart","doc":"Represents a part of a message possibly annotated with an entity. The part can be an entity or purely a part of the message between two entities or message start/end.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart","doc":"*   `entityType` (*type:* `String.t`, *default:* `nil`) - Optional. The [Dialogflow system entity type](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. If this is empty, Dialogflow could not annotate the phrase part with a system entity.\n*   `formattedValue` (*type:* `any()`, *default:* `nil`) - Optional. The [Dialogflow system entity formatted value ](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. For example for a system entity of type `@sys.unit-currency`, this may contain: { \"amount\": 5, \"currency\": \"USD\" } \n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. A part of a message possibly annotated with an entity.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ArticleAnswer","doc":"Represents article answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ArticleAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `metadata` (*type:* `map()`, *default:* `nil`) - A map that contains metadata about the answer and the document from which it originates.\n*   `snippets` (*type:* `list(String.t)`, *default:* `nil`) - Output only. Article snippets.\n*   `title` (*type:* `String.t`, *default:* `nil`) - The article title.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - The article URI.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse","doc":"The response message for EntityTypes.BatchUpdateEntityTypes.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse","doc":"*   `entityTypes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityType.t)`, *default:* `nil`) - The collection of updated or created entity types.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse","doc":"The response message for Intents.BatchUpdateIntents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse","doc":"*   `intents` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Intent.t)`, *default:* `nil`) - The collection of updated or created intents.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata","doc":"Metadata for a ConversationProfile.ClearSuggestionFeatureConfig operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata","doc":"*   `conversationProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp whe the request was created. The time is measured on server side.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.\n*   `suggestionFeatureType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the suggestion feature to remove.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context","doc":"Dialogflow contexts are similar to natural language context. If a person says to you \"they are orange\", you need context in order to understand what \"they\" is referring to. Similarly, for Dialogflow to handle an end-user expression like that, it needs to be provided with context in order to correctly match an intent. Using contexts, you can control the flow of a conversation. You can configure contexts for an intent by setting input and output contexts, which are identified by string names. When an intent is matched, any configured output contexts for that intent become active. While any contexts are active, Dialogflow is more likely to match intents that are configured with input contexts that correspond to the currently active contexts. For more information about context, see the [Contexts guide](https://cloud.google.com/dialogflow/docs/contexts-overview).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context","doc":"*   `lifespanCount` (*type:* `integer()`, *default:* `nil`) - Optional. The number of conversational query requests after which the context expires. The default is `0`. If set to `0`, the context expires immediately. Contexts expire automatically after 20 minutes if there are no matching queries.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, The `Context ID` is always converted to lowercase, may only contain characters in `a-zA-Z0-9_-%` and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: * `__system_counters__` * `*_id_dialog_context` * `*_dialog_params_size`\n*   `parameters` (*type:* `map()`, *default:* `nil`) - Optional. The collection of parameters associated with this context. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ConversationEvent","doc":"Represents a notification sent to Pub/Sub subscribers for conversation lifecycle events.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ConversationEvent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ConversationEvent","doc":"*   `conversation` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the conversation this notification refers to. Format: `projects//conversations/`.\n*   `errorStatus` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - Optional. More detailed information about an error. Only set for type UNRECOVERABLE_ERROR_IN_PHONE_CALL.\n*   `newMessagePayload` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Message.t`, *default:* `nil`) - Payload of NEW_MESSAGE event.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. The type of the event that this notification refers to.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ConversationEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ConversationEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ConversationEvent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ConversationEvent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ConversationEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer","doc":"Represents a Dialogflow assist answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `intentSuggestion` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.t`, *default:* `nil`) - An intent suggestion generated from conversation.\n*   `queryResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult.t`, *default:* `nil`) - Result from v2 agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EncryptionSpec","doc":"A customer-managed encryption key specification that can be applied to all created resources (e.g. Conversation).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EncryptionSpec","doc":"*   `kmsKey` (*type:* `String.t`, *default:* `nil`) - Required. The name of customer-managed encryption key that is used to secure a resource and its sub-resources. If empty, the resource is secured by the default Google encryption key. Only the key in the same location as this resource is allowed to be used for encryption. Format: `projects/{project}/locations/{location}/keyRings/{keyRing}/cryptoKeys/{key}`\n*   `name` (*type:* `String.t`, *default:* `nil`) - Immutable. The resource name of the encryption key specification resource. Format: projects/{project}/locations/{location}/encryptionSpec","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityType","doc":"Each intent parameter has a type, called the entity type, which dictates exactly how data from an end-user expression is extracted. Dialogflow provides predefined system entities that can match many common types of data. For example, there are system entities for matching dates, times, colors, email addresses, and so on. You can also create your own custom entities for matching custom data. For example, you could define a vegetable entity that can match the types of vegetables available for purchase with a grocery store agent. For more information, see the [Entity guide](https://cloud.google.com/dialogflow/docs/entities-overview).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityType.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityType","doc":"*   `autoExpansionMode` (*type:* `String.t`, *default:* `nil`) - Optional. Indicates whether the entity type can be automatically expanded.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the entity type.\n*   `enableFuzzyExtraction` (*type:* `boolean()`, *default:* `nil`) - Optional. Enables fuzzy entity extraction during classification.\n*   `entities` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.t)`, *default:* `nil`) - Optional. The collection of entity entries associated with the entity type.\n*   `kind` (*type:* `String.t`, *default:* `nil`) - Required. Indicates the kind of entity type.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityType.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityType.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity","doc":"An **entity entry** for an associated entity type.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity","doc":"*   `synonyms` (*type:* `list(String.t)`, *default:* `nil`) - Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: * This collection must contain exactly one synonym equal to `value`.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: * A reference value to be used in place of synonyms. For `KIND_LIST` entity types: * A string that can contain references to other entity types (with or without aliases).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EventInput","doc":"Events allow for matching intents by event name instead of the natural language input. For instance, input `` can trigger a personalized welcome response. The parameter `name` may be used by the agent in the response: `\"Hello #welcome_event.name! What can I do for you today?\"`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EventInput.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EventInput","doc":"*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Required. The language of this query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language. This field is ignored when used in the context of a WebhookResponse.followup_event_input field, because the language was already defined in the originating detect intent request.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of the event.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - The collection of parameters associated with the event. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EventInput.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EventInput.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EventInput.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EventInput.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EventInput.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse","doc":"The response message for Agents.ExportAgent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse","doc":"*   `agentContent` (*type:* `String.t`, *default:* `nil`) - Zip compressed raw byte content for agent.\n*   `agentUri` (*type:* `String.t`, *default:* `nil`) - The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in `ExportAgentRequest`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportAgentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata","doc":"Metadata related to the Export Data Operations (e.g. ExportDocument).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata","doc":"*   `exportedGcsDestination` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1GcsDestination.t`, *default:* `nil`) - Cloud Storage file path of the exported data.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1FaqAnswer","doc":"Represents answer from \"frequently asked questions\".","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1FaqAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1FaqAnswer","doc":"*   `answer` (*type:* `String.t`, *default:* `nil`) - The piece of text from the `source` knowledge base document.\n*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `confidence` (*type:* `number()`, *default:* `nil`) - The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `metadata` (*type:* `map()`, *default:* `nil`) - A map that contains metadata about the answer and the document from which it originates.\n*   `question` (*type:* `String.t`, *default:* `nil`) - The corresponding FAQ question.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1FaqAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1FaqAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1FaqAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1FaqAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1FaqAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1GcsDestination","doc":"Google Cloud Storage location for the output.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1GcsDestination.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1GcsDestination","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The Google Cloud Storage URIs for the output. A URI is of the form: `gs://bucket/object-prefix-or-name` Whether a prefix or name is used depends on the use case. The requesting user must have \"write-permission\" to the bucket.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1GcsDestination.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1GcsDestination.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1GcsDestination.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1GcsDestination.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1GcsDestination.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent","doc":"Output only. Represents a notification sent to Pub/Sub subscribers for agent assistant events in a specific conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent","doc":"*   `conversation` (*type:* `String.t`, *default:* `nil`) - The conversation this notification refers to. Format: `projects//conversations/`.\n*   `participant` (*type:* `String.t`, *default:* `nil`) - The participant that the suggestion is compiled for. And This field is used to call Participants.ListSuggestions API. Format: `projects//conversations//participants/`. It will not be set in legacy workflow. HumanAgentAssistantConfig.name for more information.\n*   `suggestionResults` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestionResult.t)`, *default:* `nil`) - The suggestion results payload that this notification refers to. It will only be set when HumanAgentAssistantConfig.SuggestionConfig.group_suggestion_responses sets to true.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse","doc":"Response message for Documents.ImportDocuments.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse","doc":"*   `warnings` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t)`, *default:* `nil`) - Includes details about skipped documents or any other warnings.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ImportDocumentsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata","doc":"Metadata for initializing a location-level encryption specification.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata","doc":"*   `request` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.t`, *default:* `nil`) - Output only. The original request for initialization.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest","doc":"The request to initialize a location-level encryption specification.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest","doc":"*   `encryptionSpec` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EncryptionSpec.t`, *default:* `nil`) - Required. The encryption spec used for CMEK encryption. It is required that the kms key is in the same region as the endpoint. The same key will be used for all provisioned resources, if encryption is available. If the kms_key_name is left empty, no encryption will be enforced.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1InitializeEncryptionSpecRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Intent","doc":"An intent categorizes an end-user's intention for one conversation turn. For each agent, you define many intents, where your combined intents can handle a complete conversation. When an end-user writes or says something, referred to as an end-user expression or end-user input, Dialogflow matches the end-user input to the best intent in your agent. Matching an intent is also known as intent classification. For more information, see the [intent guide](https://cloud.google.com/dialogflow/docs/intents-overview).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Intent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Intent","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the action associated with the intent. Note: The action name must not contain whitespaces.\n*   `defaultResponsePlatforms` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of platforms for which the first responses will be copied from the messages in PLATFORM_UNSPECIFIED (i.e. default platform).\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of this intent.\n*   `endInteraction` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.\n*   `events` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of event names that trigger the intent. If the collection of input contexts is not empty, all of the contexts must be present in the active user session for an event to trigger this intent. Event names are limited to 150 characters.\n*   `followupIntentInfo` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.t)`, *default:* `nil`) - Output only. Information about all followup intents that have this intent as a direct or indirect parent. We populate this field only in the output.\n*   `inputContextNames` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The list of context names required for this intent to be triggered. Formats: - `projects//agent/sessions/-/contexts/` - `projects//locations//agent/sessions/-/contexts/`\n*   `isFallback` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether this is a fallback intent.\n*   `liveAgentHandoff` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.\n*   `messages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage.t)`, *default:* `nil`) - Optional. The collection of rich messages corresponding to the `Response` field in the Dialogflow console.\n*   `mlDisabled` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether Machine Learning is disabled for the intent. Note: If `ml_disabled` setting is set to true, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off.\n*   `mlEnabled` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether Machine Learning is enabled for the intent. Note: If `ml_enabled` setting is set to false, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off. DEPRECATED! Please use `ml_disabled` field instead. NOTE: If both `ml_enabled` and `ml_disabled` are either not set or false, then the default value is determined as follows: - Before April 15th, 2018 the default is: ml_enabled = false / ml_disabled = true. - After April 15th, 2018 the default is: ml_enabled = true / ml_disabled = false.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context.t)`, *default:* `nil`) - Optional. The collection of contexts that are activated when the intent is matched. Context messages in this collection should not set the parameters field. Setting the `lifespan_count` to 0 will reset the context when the intent is matched. Format: `projects//agent/sessions/-/contexts/`.\n*   `parameters` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentParameter.t)`, *default:* `nil`) - Optional. The collection of parameters associated with the intent.\n*   `parentFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of the parent intent in the chain of followup intents. You can set this field when creating an intent, for example with CreateIntent or BatchUpdateIntents, in order to make this intent a followup intent. It identifies the parent followup intent. Format: `projects//agent/intents/`.\n*   `priority` (*type:* `integer()`, *default:* `nil`) - Optional. The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.\n*   `resetContexts` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether to delete all contexts in the current session when this intent is matched.\n*   `rootFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of the root intent in the chain of followup intents. It identifies the correct followup intents chain for this intent. Format: `projects//agent/intents/`.\n*   `trainingPhrases` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.t)`, *default:* `nil`) - Optional. The collection of examples that the agent is trained on.\n*   `webhookState` (*type:* `String.t`, *default:* `nil`) - Optional. Indicates whether webhooks are enabled for the intent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Intent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Intent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Intent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Intent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Intent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo","doc":"Represents a single followup intent in the chain.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo","doc":"*   `followupIntentName` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the followup intent. Format: `projects//agent/intents/`.\n*   `parentFollowupIntentName` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the followup intent's parent. Format: `projects//agent/intents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage","doc":"Corresponds to the `Response` field in the Dialogflow console.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage","doc":"*   `basicCard` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.t`, *default:* `nil`) - Displays a basic card for Actions on Google.\n*   `browseCarouselCard` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.t`, *default:* `nil`) - Browse carousel card for Actions on Google.\n*   `card` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.t`, *default:* `nil`) - Displays a card.\n*   `carouselSelect` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.t`, *default:* `nil`) - Displays a carousel card for Actions on Google.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Displays an image.\n*   `linkOutSuggestion` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.t`, *default:* `nil`) - Displays a link out suggestion chip for Actions on Google.\n*   `listSelect` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.t`, *default:* `nil`) - Displays a list card for Actions on Google.\n*   `mediaContent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.t`, *default:* `nil`) - The media content card for Actions on Google.\n*   `payload` (*type:* `map()`, *default:* `nil`) - A custom platform-specific response.\n*   `platform` (*type:* `String.t`, *default:* `nil`) - Optional. The platform that this message is intended for.\n*   `quickReplies` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.t`, *default:* `nil`) - Displays quick replies.\n*   `rbmCarouselRichCard` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.t`, *default:* `nil`) - Rich Business Messaging (RBM) carousel rich card response.\n*   `rbmStandaloneRichCard` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.t`, *default:* `nil`) - Standalone Rich Business Messaging (RBM) rich card response.\n*   `rbmText` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.t`, *default:* `nil`) - Rich Business Messaging (RBM) text response. RBM allows businesses to send enriched and branded versions of SMS. See https://jibe.google.com/business-messaging.\n*   `simpleResponses` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.t`, *default:* `nil`) - Returns a voice or text-only response for Actions on Google.\n*   `suggestions` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.t`, *default:* `nil`) - Displays suggestion chips for Actions on Google.\n*   `tableCard` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.t`, *default:* `nil`) - Table card for Actions on Google.\n*   `telephonyPlayAudio` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.t`, *default:* `nil`) - Plays audio from a file in Telephony Gateway.\n*   `telephonySynthesizeSpeech` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.t`, *default:* `nil`) - Synthesizes speech in Telephony Gateway.\n*   `telephonyTransferCall` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.t`, *default:* `nil`) - Transfers the call in Telephony Gateway.\n*   `text` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageText.t`, *default:* `nil`) - Returns a text response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard","doc":"The basic card message. Useful for displaying information.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.t)`, *default:* `nil`) - Optional. The collection of card buttons.\n*   `formattedText` (*type:* `String.t`, *default:* `nil`) - Required, unless image is present. The body text of the card.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. The image for the card.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. The subtitle of the card.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton","doc":"The button object that appears at the bottom of a card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton","doc":"*   `openUriAction` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.t`, *default:* `nil`) - Required. Action to take when a user taps on the button.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The title of the button.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction","doc":"Opens the given URI.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The HTTP or HTTPS scheme URI.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard","doc":"Browse Carousel Card for Actions on Google. https://developers.google.com/actions/assistant/responses#browsing_carousel","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard","doc":"*   `imageDisplayOptions` (*type:* `String.t`, *default:* `nil`) - Optional. Settings for displaying the image. Applies to every image in items.\n*   `items` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.t)`, *default:* `nil`) - Required. List of items in the Browse Carousel Card. Minimum of two items, maximum of ten.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem","doc":"Browsing carousel tile","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the carousel item. Maximum of four lines of text.\n*   `footer` (*type:* `String.t`, *default:* `nil`) - Optional. Text that appears at the bottom of the Browse Carousel Card. Maximum of one line of text.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. Hero image for the carousel item.\n*   `openUriAction` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.t`, *default:* `nil`) - Required. Action to present to the user.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the carousel item. Maximum of two lines of text.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction","doc":"Actions on Google action to open a given url.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction","doc":"*   `url` (*type:* `String.t`, *default:* `nil`) - Required. URL\n*   `urlTypeHint` (*type:* `String.t`, *default:* `nil`) - Optional. Specifies the type of viewer that is used when opening the URL. Defaults to opening via web browser.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCard","doc":"The card response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.t)`, *default:* `nil`) - Optional. The collection of card buttons.\n*   `imageUri` (*type:* `String.t`, *default:* `nil`) - Optional. The public URI to an image file for the card.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. The subtitle of the card.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton","doc":"Optional. Contains information about a button.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton","doc":"*   `postback` (*type:* `String.t`, *default:* `nil`) - Optional. The text to send back to the Dialogflow API or a URI to open.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Optional. The text to show on the button.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCardButton.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect","doc":"The card for presenting a carousel of options to select from.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect","doc":"*   `items` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.t)`, *default:* `nil`) - Required. Carousel items.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem","doc":"An item in the carousel.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The body text of the card.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. The image to display.\n*   `info` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.t`, *default:* `nil`) - Required. Additional info about the option item.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the carousel item.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties","doc":"Column properties for TableCard.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties","doc":"*   `header` (*type:* `String.t`, *default:* `nil`) - Required. Column heading.\n*   `horizontalAlignment` (*type:* `String.t`, *default:* `nil`) - Optional. Defines text alignment for all cells in this column.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage","doc":"The image response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage","doc":"*   `accessibilityText` (*type:* `String.t`, *default:* `nil`) - A text description of the image to be used for accessibility, e.g., screen readers. Required if image_uri is set for CarouselSelect.\n*   `imageUri` (*type:* `String.t`, *default:* `nil`) - Optional. The public URI to an image file.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion","doc":"The suggestion chip message that allows the user to jump out to the app or website associated with this agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion","doc":"*   `destinationName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the app or site this chip is linking to.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The URI of the app or site to open when the user taps the suggestion chip.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect","doc":"The card for presenting a list of options to select from.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect","doc":"*   `items` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.t)`, *default:* `nil`) - Required. List items.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. Subtitle of the list.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The overall title of the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelect.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem","doc":"An item in the list.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. The main text describing the item.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. The image to display.\n*   `info` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.t`, *default:* `nil`) - Required. Additional information about this option.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The title of the list item.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageListSelectItem.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent","doc":"The media content card for Actions on Google.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent","doc":"*   `mediaObjects` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.t)`, *default:* `nil`) - Required. List of media objects.\n*   `mediaType` (*type:* `String.t`, *default:* `nil`) - Optional. What type of media is the content (ie \"audio\").","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject","doc":"Response media object for media content card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject","doc":"*   `contentUrl` (*type:* `String.t`, *default:* `nil`) - Required. Url where the media is stored.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of media card.\n*   `icon` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. Icon to display above media content.\n*   `largeImage` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. Image to display above media content.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. Name of media card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies","doc":"The quick replies response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies","doc":"*   `quickReplies` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of quick replies.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The title of the collection of quick replies.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageQuickReplies.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent","doc":"Rich Business Messaging (RBM) Card content","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Optional. Description of the card (at most 2000 bytes). At least one of the title, description or media must be set.\n*   `media` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.t`, *default:* `nil`) - Optional. However at least one of the title, description or media must be set. Media (image, GIF or a video) to include in the card.\n*   `suggestions` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.t)`, *default:* `nil`) - Optional. List of suggestions to include in the card.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. Title of the card (at most 200 bytes). At least one of the title, description or media must be set.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia","doc":"Rich Business Messaging (RBM) Media displayed in Cards The following media-types are currently supported: Image Types * image/jpeg * image/jpg' * image/gif * image/png Video Types * video/h263 * video/m4v * video/mp4 * video/mpeg * video/mpeg4 * video/webm","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia","doc":"*   `fileUri` (*type:* `String.t`, *default:* `nil`) - Required. Publicly reachable URI of the file. The RBM platform determines the MIME type of the file from the content-type field in the HTTP headers when the platform fetches the file. The content-type field must be present and accurate in the HTTP response from the URL.\n*   `height` (*type:* `String.t`, *default:* `nil`) - Required for cards with vertical orientation. The height of the media within a rich card with a vertical layout. For a standalone card with horizontal layout, height is not customizable, and this field is ignored.\n*   `thumbnailUri` (*type:* `String.t`, *default:* `nil`) - Optional. Publicly reachable URI of the thumbnail.If you don't provide a thumbnail URI, the RBM platform displays a blank placeholder thumbnail until the user's device downloads the file. Depending on the user's setting, the file may not download automatically and may require the user to tap a download button.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard","doc":"Carousel Rich Business Messaging (RBM) rich card. Rich cards allow you to respond to users with more vivid content, e.g. with media and suggestions. If you want to show a single card with more control over the layout, please use RbmStandaloneCard instead.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard","doc":"*   `cardContents` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.t)`, *default:* `nil`) - Required. The cards in the carousel. A carousel must have at least 2 cards and at most 10.\n*   `cardWidth` (*type:* `String.t`, *default:* `nil`) - Required. The width of the cards in the carousel.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard","doc":"Standalone Rich Business Messaging (RBM) rich card. Rich cards allow you to respond to users with more vivid content, e.g. with media and suggestions. You can group multiple rich cards into one using RbmCarouselCard but carousel cards will give you less control over the card layout.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard","doc":"*   `cardContent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent.t`, *default:* `nil`) - Required. Card content.\n*   `cardOrientation` (*type:* `String.t`, *default:* `nil`) - Required. Orientation of the card.\n*   `thumbnailImageAlignment` (*type:* `String.t`, *default:* `nil`) - Required if orientation is horizontal. Image preview alignment for standalone cards with horizontal layout.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction","doc":"Rich Business Messaging (RBM) suggested client-side action that the user can choose from the card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction","doc":"*   `dial` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.t`, *default:* `nil`) - Suggested client side action: Dial a phone number\n*   `openUrl` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.t`, *default:* `nil`) - Suggested client side action: Open a URI on device\n*   `postbackData` (*type:* `String.t`, *default:* `nil`) - Opaque payload that the Dialogflow receives in a user event when the user taps the suggested action. This data will be also forwarded to webhook to allow performing custom business logic.\n*   `shareLocation` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.t`, *default:* `nil`) - Suggested client side action: Share user location\n*   `text` (*type:* `String.t`, *default:* `nil`) - Text to display alongside the action.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial","doc":"Opens the user's default dialer app with the specified phone number but does not dial automatically.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Required. The phone number to fill in the default dialer app. This field should be in [E.164](https://en.wikipedia.org/wiki/E.164) format. An example of a correctly formatted phone number: +15556767888.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri","doc":"Opens the user's default web browser app to the specified uri If the user has an app installed that is registered as the default handler for the URL, then this app will be opened instead, and its icon will be used in the suggested action UI.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The uri to open on the user device","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation","doc":"Opens the device's location chooser so the user can pick a location to send back to the agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply","doc":"Rich Business Messaging (RBM) suggested reply that the user can click instead of typing in their own response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply","doc":"*   `postbackData` (*type:* `String.t`, *default:* `nil`) - Opaque payload that the Dialogflow receives in a user event when the user taps the suggested reply. This data will be also forwarded to webhook to allow performing custom business logic.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Suggested reply text.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion","doc":"Rich Business Messaging (RBM) suggestion. Suggestions allow user to easily select/click a predefined response or perform an action (like opening a web uri).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion","doc":"*   `action` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction.t`, *default:* `nil`) - Predefined client side actions that user can choose\n*   `reply` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply.t`, *default:* `nil`) - Predefined replies for user to select instead of typing","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText","doc":"Rich Business Messaging (RBM) text response with suggestions.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText","doc":"*   `rbmSuggestion` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion.t)`, *default:* `nil`) - Optional. One or more suggestions to show to the user.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. Text sent and displayed to the user.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageRbmText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo","doc":"Additional info about the select item for when it is triggered in a dialog.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Required. A unique key that will be sent back to the agent if this response is given.\n*   `synonyms` (*type:* `list(String.t)`, *default:* `nil`) - Optional. A list of synonyms that can also be used to trigger this item in dialog.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse","doc":"The simple response message containing speech or text.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse","doc":"*   `displayText` (*type:* `String.t`, *default:* `nil`) - Optional. The text to display.\n*   `ssml` (*type:* `String.t`, *default:* `nil`) - One of text_to_speech or ssml must be provided. Structured spoken response to the user in the SSML format. Mutually exclusive with text_to_speech.\n*   `textToSpeech` (*type:* `String.t`, *default:* `nil`) - One of text_to_speech or ssml must be provided. The plain text of the speech output. Mutually exclusive with ssml.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses","doc":"The collection of simple response candidates. This message in `QueryResult.fulfillment_messages` and `WebhookResponse.fulfillment_messages` should contain only one `SimpleResponse`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses","doc":"*   `simpleResponses` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse.t)`, *default:* `nil`) - Required. The list of simple responses.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion","doc":"The suggestion chip message that the user can tap to quickly post a reply to the conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion","doc":"*   `title` (*type:* `String.t`, *default:* `nil`) - Required. The text shown the in the suggestion chip.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions","doc":"The collection of suggestions.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions","doc":"*   `suggestions` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestion.t)`, *default:* `nil`) - Required. The list of suggested replies.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageSuggestions.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard","doc":"Table card for Actions on Google.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard","doc":"*   `buttons` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton.t)`, *default:* `nil`) - Optional. List of buttons for the card.\n*   `columnProperties` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageColumnProperties.t)`, *default:* `nil`) - Optional. Display properties for the columns in this table.\n*   `image` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageImage.t`, *default:* `nil`) - Optional. Image which should be displayed on the card.\n*   `rows` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.t)`, *default:* `nil`) - Optional. Rows in this table of data.\n*   `subtitle` (*type:* `String.t`, *default:* `nil`) - Optional. Subtitle to the title.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Required. Title of the card.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCard.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell","doc":"Cell of TableCardRow.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell","doc":"*   `text` (*type:* `String.t`, *default:* `nil`) - Required. Text in this cell.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow","doc":"Row of TableCard.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow","doc":"*   `cells` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardCell.t)`, *default:* `nil`) - Optional. List of cells that make up this row.\n*   `dividerAfter` (*type:* `boolean()`, *default:* `nil`) - Optional. Whether to add a visual divider after this row.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTableCardRow.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio","doc":"Plays audio from a file in Telephony Gateway.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio","doc":"*   `audioUri` (*type:* `String.t`, *default:* `nil`) - Required. URI to a Google Cloud Storage object containing the audio to play, e.g., \"gs://bucket/object\". The object must contain a single channel (mono) of linear PCM audio (2 bytes / sample) at 8kHz. This object must be readable by the `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` service account where is the number of the Telephony Gateway project (usually the same as the Dialogflow agent project). If the Google Cloud Storage bucket is in the Telephony Gateway project, this permission is added by default when enabling the Dialogflow V2 API. For audio from other sources, consider using the `TelephonySynthesizeSpeech` message with SSML.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech","doc":"Synthesizes speech and plays back the synthesized audio to the caller in Telephony Gateway. Telephony Gateway takes the synthesizer settings from `DetectIntentResponse.output_audio_config` which can either be set at request-level or can come from the agent-level synthesizer config.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech","doc":"*   `ssml` (*type:* `String.t`, *default:* `nil`) - The SSML to be synthesized. For more information, see [SSML](https://developers.google.com/actions/reference/ssml).\n*   `text` (*type:* `String.t`, *default:* `nil`) - The raw text to be synthesized.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall","doc":"Transfers the call in Telephony Gateway.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Required. The phone number to transfer the call to in [E.164 format](https://en.wikipedia.org/wiki/E.164). We currently only allow transferring to US numbers (+1xxxyyyzzzz).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageText","doc":"The text response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageText","doc":"*   `text` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of the agent's responses.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessageText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentParameter","doc":"Represents intent parameters.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentParameter.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentParameter","doc":"*   `defaultValue` (*type:* `String.t`, *default:* `nil`) - Optional. The default value to use when the `value` yields an empty result. Default values can be extracted from contexts by using the following syntax: `#context_name.parameter_name`.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Required. The name of the parameter.\n*   `entityTypeDisplayName` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the entity type, prefixed with `@`, that describes values of the parameter. If the parameter is required, this must be provided.\n*   `isList` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the parameter represents a list of values.\n*   `mandatory` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the parameter is required. That is, whether the intent cannot be completed without collecting the parameter value.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The unique identifier of this parameter.\n*   `prompts` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The collection of prompts that the agent can present to the user in order to collect a value for the parameter.\n*   `value` (*type:* `String.t`, *default:* `nil`) - Optional. The definition of the parameter value. It can be: - a constant string, - a parameter value defined as `$parameter_name`, - an original parameter value defined as `$parameter_name.original`, - a parameter value from some context defined as `#context_name.parameter_name`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentParameter.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentParameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentParameter.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentParameter.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentParameter.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentSuggestion","doc":"Represents an intent suggestion.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentSuggestion","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The display name of the intent.\n*   `intentV2` (*type:* `String.t`, *default:* `nil`) - The unique identifier of this intent. Format: `projects//locations//agent/intents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentSuggestion.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase","doc":"Represents an example that the agent is trained on.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. The unique identifier of this training phrase.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.t)`, *default:* `nil`) - Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `entity_type`, `alias`, and `user_defined` fields are all set.\n*   `timesAddedCount` (*type:* `integer()`, *default:* `nil`) - Optional. Indicates how many times this example was added to the intent. Each time a developer adds an existing sample by editing an intent or training, this counter is increased.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Required. The type of the training phrase.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrase.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart","doc":"Represents a part of a training phrase.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart","doc":"*   `alias` (*type:* `String.t`, *default:* `nil`) - Optional. The parameter name for the value extracted from the annotated part of the example. This field is required for annotated parts of the training phrase.\n*   `entityType` (*type:* `String.t`, *default:* `nil`) - Optional. The entity type name prefixed with `@`. This field is required for annotated parts of the training phrase.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Required. The text for this part.\n*   `userDefined` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates whether the text was manually annotated. This field is set to true when the Dialogflow Console is used to manually annotate the part. When creating an annotated part with the API, you must set this to true.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers","doc":"Represents the result of querying a Knowledge base.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers","doc":"*   `answers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.t)`, *default:* `nil`) - A list of answers from Knowledge Connector.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer","doc":"An answer from Knowledge Connector.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer","doc":"*   `answer` (*type:* `String.t`, *default:* `nil`) - The piece of text from the `source` knowledge base document that answers this conversational query.\n*   `faqQuestion` (*type:* `String.t`, *default:* `nil`) - The corresponding FAQ question if the answer was extracted from a FAQ Document, empty otherwise.\n*   `matchConfidence` (*type:* `number()`, *default:* `nil`) - The system's confidence score that this Knowledge answer is a good match for this conversational query. The range is from 0.0 (completely uncertain) to 1.0 (completely certain). Note: The confidence score is likely to vary somewhat (possibly even for identical requests), as the underlying model is under constant improvement. It may be deprecated in the future. We recommend using `match_confidence_level` which should be generally more stable.\n*   `matchConfidenceLevel` (*type:* `String.t`, *default:* `nil`) - The system's confidence level that this knowledge answer is a good match for this conversational query. NOTE: The confidence level for a given `` pair may change without notice, as it depends on models that are constantly being improved. However, it will change less frequently than the confidence score below, and should be preferred for referencing the quality of an answer.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Indicates which Knowledge Document this answer was extracted from. Format: `projects//knowledgeBases//documents/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer","doc":"Represents a Knowledge Assist answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of the answer record. Format: `projects//locations//answer Records/`.\n*   `suggestedQuery` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.t`, *default:* `nil`) - The query suggested based on the context. Suggestion is made only if it is different from the previous suggestion.\n*   `suggestedQueryAnswer` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.t`, *default:* `nil`) - The answer generated for the suggested query. Whether or not an answer is generated depends on how confident we are about the generated query.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer","doc":"Represents an answer from Knowledge. Currently supports FAQ and Generative answers.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer","doc":"*   `answerText` (*type:* `String.t`, *default:* `nil`) - The piece of text from the `source` that answers this suggested query.\n*   `faqSource` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.t`, *default:* `nil`) - Populated if the prediction came from FAQ.\n*   `generativeSource` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.t`, *default:* `nil`) - Populated if the prediction was Generative.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource","doc":"Details about source of FAQ answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource","doc":"*   `question` (*type:* `String.t`, *default:* `nil`) - The corresponding FAQ question.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerFaqSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource","doc":"Details about source of Generative answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource","doc":"*   `snippets` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.t)`, *default:* `nil`) - All snippets used for this Generative Prediction, with their source URI and data.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSource.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet","doc":"Snippet Source for a Generative Prediction.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Metadata of the document.\n*   `text` (*type:* `String.t`, *default:* `nil`) - Text taken from that URI.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Title of the document.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - URI the data is sourced from.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerKnowledgeAnswerGenerativeSourceSnippet.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery","doc":"Represents a suggested query.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery","doc":"*   `queryText` (*type:* `String.t`, *default:* `nil`) - Suggested query text.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswerSuggestedQuery.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata","doc":"Metadata in google::longrunning::Operation for Knowledge operations.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata","doc":"*   `exportOperationMetadata` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ExportOperationMetadata.t`, *default:* `nil`) - Metadata for the Export Data Operation such as the destination of export.\n*   `knowledgeBase` (*type:* `String.t`, *default:* `nil`) - The name of the knowledge base interacted with during the operation.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Required. Output only. The current state of this operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Message","doc":"Represents a message posted into a conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Message.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Message","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - Required. The message content.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when the message was created in Contact Center AI.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The message language. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".\n*   `messageAnnotation` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.t`, *default:* `nil`) - Output only. The annotation for the message.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Optional. The unique identifier of the message. Format: `projects//locations//conversations//messages/`.\n*   `participant` (*type:* `String.t`, *default:* `nil`) - Output only. The participant that sends this message.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Output only. The role of the participant.\n*   `responseMessages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessage.t)`, *default:* `nil`) - Optional. Automated agent responses.\n*   `sendTime` (*type:* `DateTime.t`, *default:* `nil`) - Optional. The time when the message was sent.\n*   `sentimentAnalysis` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.t`, *default:* `nil`) - Output only. The sentiment analysis result for the message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Message.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Message.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Message.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Message.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Message.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1MessageAnnotation","doc":"Represents the result of annotation for the message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1MessageAnnotation","doc":"*   `containEntities` (*type:* `boolean()`, *default:* `nil`) - Required. Indicates whether the text message contains entities.\n*   `parts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1AnnotatedMessagePart.t)`, *default:* `nil`) - Optional. The collection of annotated message parts ordered by their position in the message. You can recover the annotated message by concatenating [AnnotatedMessagePart.text].","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1MessageAnnotation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest","doc":"Represents the contents of the original request that was passed to the `[Streaming]DetectIntent` call.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest","doc":"*   `payload` (*type:* `map()`, *default:* `nil`) - Optional. This field is set to the value of the `QueryParameters.payload` field passed in the request. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: { \"telephony\": { \"caller_id\": \"+18558363987\" } } Note: The caller ID field (`caller_id`) will be redacted for Trial Edition agents and populated with the caller ID in [E.164 format](https://en.wikipedia.org/wiki/E.164) for Essentials Edition agents.\n*   `source` (*type:* `String.t`, *default:* `nil`) - The source of this request, e.g., `google`, `facebook`, `slack`. It is set by Dialogflow-owned servers.\n*   `version` (*type:* `String.t`, *default:* `nil`) - Optional. The version of the protocol used for this request. This field is AoG-specific.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult","doc":"Represents the result of conversational query or event processing.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult","doc":"*   `action` (*type:* `String.t`, *default:* `nil`) - The action name from the matched intent.\n*   `allRequiredParamsPresent` (*type:* `boolean()`, *default:* `nil`) - This field is set to: - `false` if the matched intent has required parameters and not all of the required parameter values have been collected. - `true` if all required parameter values have been collected, or if the matched intent doesn't contain any required parameters.\n*   `cancelsSlotFilling` (*type:* `boolean()`, *default:* `nil`) - Indicates whether the conversational query triggers a cancellation for slot filling. For more information, see the [cancel slot filling documentation](https://cloud.google.com/dialogflow/es/docs/intents-actions-parameters#cancel).\n*   `diagnosticInfo` (*type:* `map()`, *default:* `nil`) - Free-form diagnostic information for the associated detect intent request. The fields of this data can change without notice, so you should not write code that depends on its structure. The data may contain: - webhook call latency - webhook errors\n*   `fulfillmentMessages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage.t)`, *default:* `nil`) - The collection of rich messages to present to the user.\n*   `fulfillmentText` (*type:* `String.t`, *default:* `nil`) - The text to be pronounced to the user or shown on the screen. Note: This is a legacy field, `fulfillment_messages` should be preferred.\n*   `intent` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Intent.t`, *default:* `nil`) - The intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name`, `display_name`, `end_interaction` and `is_fallback`.\n*   `intentDetectionConfidence` (*type:* `number()`, *default:* `nil`) - The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. If there are `multiple knowledge_answers` messages, this value is set to the greatest `knowledgeAnswers.match_confidence` value in the list.\n*   `knowledgeAnswers` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAnswers.t`, *default:* `nil`) - The result from Knowledge Connector (if any), ordered by decreasing `KnowledgeAnswers.match_confidence`.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes.\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context.t)`, *default:* `nil`) - The collection of output contexts. If applicable, `output_contexts.parameters` contains entries with name `.original` containing the original parameter values before the query.\n*   `parameters` (*type:* `map()`, *default:* `nil`) - The collection of extracted parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: * MapKey type: string * MapKey value: parameter name * MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. * MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.\n*   `queryText` (*type:* `String.t`, *default:* `nil`) - The original conversational query text: - If natural language text was provided as input, `query_text` contains a copy of the input. - If natural language speech audio was provided as input, `query_text` contains the speech recognition result. If speech recognizer produced multiple alternatives, a particular one is picked. - If automatic spell correction is enabled, `query_text` will contain the corrected user input.\n*   `sentimentAnalysisResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.t`, *default:* `nil`) - The sentiment analysis result, which depends on the `sentiment_analysis_request_config` specified in the request.\n*   `speechRecognitionConfidence` (*type:* `number()`, *default:* `nil`) - The Speech recognition confidence between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. The default of 0.0 is a sentinel value indicating that confidence was not set. This field is not guaranteed to be accurate or set. In particular this field isn't set for StreamingDetectIntent since the streaming endpoint has separate confidence estimates per portion of the audio in StreamingRecognitionResult.\n*   `webhookPayload` (*type:* `map()`, *default:* `nil`) - If the query was fulfilled by a webhook call, this field is set to the value of the `payload` field returned in the webhook response.\n*   `webhookSource` (*type:* `String.t`, *default:* `nil`) - If the query was fulfilled by a webhook call, this field is set to the value of the `source` field returned in the webhook response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessage","doc":"Response messages from an automated agent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessage.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessage","doc":"*   `endInteraction` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.t`, *default:* `nil`) - A signal that indicates the interaction with the Dialogflow agent has ended.\n*   `liveAgentHandoff` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.t`, *default:* `nil`) - Hands off conversation to a live agent.\n*   `mixedAudio` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.t`, *default:* `nil`) - An audio response message composed of both the synthesized Dialogflow agent responses and the audios hosted in places known to the client.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Returns a response containing a custom, platform-specific payload.\n*   `telephonyTransferCall` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.t`, *default:* `nil`) - A signal that the client should transfer the phone call connected to this agent to a third-party endpoint.\n*   `text` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.t`, *default:* `nil`) - Returns a text response.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessage.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessage.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessage.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessage.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessage.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction","doc":"Indicates that interaction with the Dialogflow agent has ended.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff","doc":"Indicates that the conversation should be handed off to a human agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: * In the entry fulfillment of a CX Page if entering the page indicates something went extremely wrong in the conversation. * In a webhook response when you determine that the customer issue can only be handled by a human.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff","doc":"*   `metadata` (*type:* `map()`, *default:* `nil`) - Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio","doc":"Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio","doc":"*   `segments` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.t)`, *default:* `nil`) - Segments this audio response is composed of.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment","doc":"Represents one segment of audio.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment","doc":"*   `allowPlaybackInterruption` (*type:* `boolean()`, *default:* `nil`) - Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request.\n*   `audio` (*type:* `String.t`, *default:* `nil`) - Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request.\n*   `uri` (*type:* `String.t`, *default:* `nil`) - Client-specific URI that points to an audio clip accessible to the client.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall","doc":"Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall","doc":"*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164).\n*   `sipUri` (*type:* `String.t`, *default:* `nil`) - Transfer the call to a SIP endpoint.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageText","doc":"The text response message.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageText","doc":"*   `text` (*type:* `list(String.t)`, *default:* `nil`) - A collection of text response variants. If multiple variants are defined, only one text response variant is returned at runtime.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ResponseMessageText.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Sentiment","doc":"The sentiment, such as positive/negative feeling or association, for a unit of analysis, such as the query text. See: https://cloud.google.com/natural-language/docs/basics#interpreting_sentiment_analysis_values for how to interpret the result.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Sentiment.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Sentiment","doc":"*   `magnitude` (*type:* `number()`, *default:* `nil`) - A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).\n*   `score` (*type:* `number()`, *default:* `nil`) - Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Sentiment.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Sentiment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Sentiment.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Sentiment.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Sentiment.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult","doc":"The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral. For Participants.DetectIntent, it needs to be configured in DetectIntentRequest.query_params. For Participants.StreamingDetectIntent, it needs to be configured in StreamingDetectIntentRequest.query_params. And for Participants.AnalyzeContent and Participants.StreamingAnalyzeContent, it needs to be configured in ConversationProfile.human_agent_assistant_config","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult","doc":"*   `queryTextSentiment` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Sentiment.t`, *default:* `nil`) - The sentiment analysis result for `query_text`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SentimentAnalysisResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SessionEntityType","doc":"A session represents a conversation between a Dialogflow agent and an end-user. You can create special entities, called session entities, during a session. Session entities can extend or replace custom entity types and only exist during the session that they were created for. All session data, including session entities, is stored by Dialogflow for 20 minutes. For more information, see the [session entity guide](https://cloud.google.com/dialogflow/docs/entities-session).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SessionEntityType.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SessionEntityType","doc":"*   `entities` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EntityTypeEntity.t)`, *default:* `nil`) - Required. The collection of entities associated with this session entity type.\n*   `entityOverrideMode` (*type:* `String.t`, *default:* `nil`) - Required. Indicates whether the additional data should override or supplement the custom entity type definition.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The unique identifier of this session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SessionEntityType.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SessionEntityType.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SessionEntityType.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SessionEntityType.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SessionEntityType.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata","doc":"Metadata for a ConversationProfile.SetSuggestionFeatureConfig operation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata","doc":"*   `conversationProfile` (*type:* `String.t`, *default:* `nil`) - The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Timestamp whe the request was created. The time is measured on server side.\n*   `participantRole` (*type:* `String.t`, *default:* `nil`) - Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.\n*   `suggestionFeatureType` (*type:* `String.t`, *default:* `nil`) - Required. The type of the suggestion feature to add or update.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer","doc":"Represents a smart reply answer.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer","doc":"*   `answerRecord` (*type:* `String.t`, *default:* `nil`) - The name of answer record, in the format of \"projects//locations//answerRecords/\"\n*   `confidence` (*type:* `number()`, *default:* `nil`) - Smart reply confidence. The system's confidence score that this reply is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).\n*   `reply` (*type:* `String.t`, *default:* `nil`) - The content of the reply.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse","doc":"The response message for Participants.SuggestArticles.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse","doc":"*   `articleAnswers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1ArticleAnswer.t)`, *default:* `nil`) - Output only. Articles ordered by score in descending order.\n*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestArticlesResponse.context_size field in the request if there aren't that many messages in the conversation.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse","doc":"The response message for Participants.SuggestDialogflowAssists.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestDialogflowAssistsRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `dialogflowAssistAnswers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1DialogflowAssistAnswer.t)`, *default:* `nil`) - Output only. Multiple reply options provided by Dialogflow assist service. The order is based on the rank of the model prediction.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to suggest answer. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse","doc":"The request message for Participants.SuggestFaqAnswers.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestFaqAnswersRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `faqAnswers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1FaqAnswer.t)`, *default:* `nil`) - Output only. Answers extracted from FAQ documents.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse","doc":"The response message for Participants.SuggestKnowledgeAssist.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestKnowledgeAssistRequest.context_size field in the request if there are fewer messages in the conversation.\n*   `knowledgeAssistAnswer` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1KnowledgeAssistAnswer.t`, *default:* `nil`) - Output only. Knowledge Assist suggestion.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse","doc":"The response message for Participants.SuggestSmartReplies.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse","doc":"*   `contextSize` (*type:* `integer()`, *default:* `nil`) - Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestSmartRepliesRequest.context_size field in the request if there aren't that many messages in the conversation.\n*   `latestMessage` (*type:* `String.t`, *default:* `nil`) - The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.\n*   `smartReplyAnswers` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SmartReplyAnswer.t)`, *default:* `nil`) - Output only. Multiple reply options provided by smart reply service. The order is based on the rank of the model prediction. The maximum number of the returned replies is set in SmartReplyConfig.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestionResult","doc":"One response of different type of suggestion response which is used in the response of Participants.AnalyzeContent and Participants.AnalyzeContent, as well as HumanAgentAssistantEvent.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestionResult.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestionResult","doc":"*   `error` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - Error status if the request failed.\n*   `suggestArticlesResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestArticlesResponse.t`, *default:* `nil`) - SuggestArticlesResponse if request is for ARTICLE_SUGGESTION.\n*   `suggestDialogflowAssistsResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.t`, *default:* `nil`) - SuggestDialogflowAssistsResponse if request is for DIALOGFLOW_ASSIST.\n*   `suggestEntityExtractionResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestDialogflowAssistsResponse.t`, *default:* `nil`) - SuggestDialogflowAssistsResponse if request is for ENTITY_EXTRACTION.\n*   `suggestFaqAnswersResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse.t`, *default:* `nil`) - SuggestFaqAnswersResponse if request is for FAQ_ANSWER.\n*   `suggestKnowledgeAssistResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestKnowledgeAssistResponse.t`, *default:* `nil`) - SuggestKnowledgeAssistResponse if request is for KNOWLEDGE_ASSIST.\n*   `suggestSmartRepliesResponse` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse.t`, *default:* `nil`) - SuggestSmartRepliesResponse if request is for SMART_REPLY.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestionResult.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestionResult.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestionResult.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestionResult.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SuggestionResult.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookRequest","doc":"The request message for a webhook call.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookRequest.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookRequest","doc":"*   `alternativeQueryResults` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult.t)`, *default:* `nil`) - Alternative query results from KnowledgeService.\n*   `originalDetectIntentRequest` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest.t`, *default:* `nil`) - Optional. The contents of the original request that was passed to `[Streaming]DetectIntent` call.\n*   `queryResult` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1QueryResult.t`, *default:* `nil`) - The result of the conversational query or event processing. Contains the same value as `[Streaming]DetectIntentResponse.query_result`.\n*   `responseId` (*type:* `String.t`, *default:* `nil`) - The unique identifier of the response. Contains the same value as `[Streaming]DetectIntentResponse.response_id`.\n*   `session` (*type:* `String.t`, *default:* `nil`) - The unique identifier of detectIntent request session. Can be used to identify end-user inside webhook implementation. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`,","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookRequest.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookRequest.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookResponse","doc":"The response message for a webhook call. This response is validated by the Dialogflow server. If validation fails, an error will be returned in the QueryResult.diagnostic_info field. Setting JSON fields to an empty value with the wrong type is a common error. To avoid this error: - Use `\"\"` for empty strings - Use `{}` or `null` for empty objects - Use `[]` or `null` for empty arrays For more information, see the [Protocol Buffers Language Guide](https://developers.google.com/protocol-buffers/docs/proto3#json).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookResponse","doc":"*   `endInteraction` (*type:* `boolean()`, *default:* `nil`) - Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.\n*   `followupEventInput` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1EventInput.t`, *default:* `nil`) - Optional. Invokes the supplied events. When this field is set, Dialogflow ignores the `fulfillment_text`, `fulfillment_messages`, and `payload` fields.\n*   `fulfillmentMessages` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1IntentMessage.t)`, *default:* `nil`) - Optional. The rich response messages intended for the end-user. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_messages sent to the integration or API caller.\n*   `fulfillmentText` (*type:* `String.t`, *default:* `nil`) - Optional. The text response message intended for the end-user. It is recommended to use `fulfillment_messages.text.text[0]` instead. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_text sent to the integration or API caller.\n*   `liveAgentHandoff` (*type:* `boolean()`, *default:* `nil`) - Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.\n*   `outputContexts` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1Context.t)`, *default:* `nil`) - Optional. The collection of output contexts that will overwrite currently active contexts for the session and reset their lifespans. When provided, Dialogflow uses this field to populate QueryResult.output_contexts sent to the integration or API caller.\n*   `payload` (*type:* `map()`, *default:* `nil`) - Optional. This field can be used to pass custom data from your webhook to the integration or API caller. Arbitrary JSON objects are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_payload sent to the integration or API caller. This field is also used by the [Google Assistant integration](https://cloud.google.com/dialogflow/docs/integrations/aog) for rich response messages. See the format definition at [Google Assistant Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)\n*   `sessionEntityTypes` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1SessionEntityType.t)`, *default:* `nil`) - Optional. Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session. Setting this data from a webhook overwrites the session entity types that have been set using `detectIntent`, `streamingDetectIntent` or SessionEntityType management methods.\n*   `source` (*type:* `String.t`, *default:* `nil`) - Optional. A custom field used to identify the webhook source. Arbitrary strings are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_source sent to the integration or API caller.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV2beta1WebhookResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1ConversationSignals","doc":"This message is used to hold all the Conversation Signals data, which will be converted to JSON and exported to BigQuery.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1ConversationSignals","doc":"*   `turnSignals` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1TurnSignals.t`, *default:* `nil`) - Required. Turn signals for the current turn.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1ConversationSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1TurnSignals","doc":"Collection of all signals that were extracted for a single turn of the conversation.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1TurnSignals.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1TurnSignals","doc":"*   `agentEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether agent responded with LiveAgentHandoff fulfillment.\n*   `dtmfUsed` (*type:* `boolean()`, *default:* `nil`) - Whether user was using DTMF input.\n*   `failureReasons` (*type:* `list(String.t)`, *default:* `nil`) - Failure reasons of the turn.\n*   `noMatch` (*type:* `boolean()`, *default:* `nil`) - Whether NLU predicted NO_MATCH.\n*   `noUserInput` (*type:* `boolean()`, *default:* `nil`) - Whether user provided no input.\n*   `reachedEndPage` (*type:* `boolean()`, *default:* `nil`) - Whether turn resulted in End Session page.\n*   `sentimentMagnitude` (*type:* `number()`, *default:* `nil`) - Sentiment magnitude of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `sentimentScore` (*type:* `number()`, *default:* `nil`) - Sentiment score of the user utterance if [sentiment](https://cloud.google.com/dialogflow/cx/docs/concept/sentiment) was enabled.\n*   `triggeredAbandonmentEvent` (*type:* `boolean()`, *default:* `nil`) - Whether agent has triggered the event corresponding to user abandoning the conversation.\n*   `userEscalated` (*type:* `boolean()`, *default:* `nil`) - Whether user was specifically asking for a live agent.\n*   `webhookStatuses` (*type:* `list(String.t)`, *default:* `nil`) - Human-readable statuses of the webhooks triggered during this turn.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1TurnSignals.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1TurnSignals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1TurnSignals.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1TurnSignals.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudDialogflowV3alpha1TurnSignals.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationListLocationsResponse","doc":"The response message for Locations.ListLocations.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationListLocationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationListLocationsResponse","doc":"*   `locations` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationLocation.t)`, *default:* `nil`) - A list of locations that matches the specified filter in the request.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationListLocationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationListLocationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationListLocationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationListLocationsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationListLocationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationLocation","doc":"A resource that represents a Google Cloud location.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationLocation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationLocation","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".\n*   `labels` (*type:* `map()`, *default:* `nil`) - Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}\n*   `locationId` (*type:* `String.t`, *default:* `nil`) - The canonical id for this location. For example: `\"us-east1\"`.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata. For example the available capacity at the given location.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationLocation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationLocation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationLocation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationLocation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleCloudLocationLocation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleLongrunningListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningListOperationsResponse.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleLongrunningOperation.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleProtobufEmpty.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleRpcStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.Dialogflow.V3.Model.GoogleTypeLatLng","doc":"An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleTypeLatLng.html"},{"type":"module","title":"Attributes - GoogleApi.Dialogflow.V3.Model.GoogleTypeLatLng","doc":"*   `latitude` (*type:* `float()`, *default:* `nil`) - The latitude in degrees. It must be in the range [-90.0, +90.0].\n*   `longitude` (*type:* `float()`, *default:* `nil`) - The longitude in degrees. It must be in the range [-180.0, +180.0].","ref":"GoogleApi.Dialogflow.V3.Model.GoogleTypeLatLng.html#module-attributes"},{"type":"function","title":"GoogleApi.Dialogflow.V3.Model.GoogleTypeLatLng.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.Dialogflow.V3.Model.GoogleTypeLatLng.html#decode/2"},{"type":"type","title":"GoogleApi.Dialogflow.V3.Model.GoogleTypeLatLng.t/0","doc":"","ref":"GoogleApi.Dialogflow.V3.Model.GoogleTypeLatLng.html#t:t/0"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.35.1"}}